/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */

//#define YYDEBUG 1

	#ifdef __cplusplus
		extern "C" {
	#endif

	#include <stdlib.h>
	#include <stdio.h>
	#include <string.h>
	#include <math.h>
	#include <errno.h>
	#include "../BasicTypes.h"
	#include "../Constants.h"
	#include "../WordCodes.h"
	#include "../CompileErrors.h"
	#include "../ErrorCodes.h"
	#include "../Version.h"


	#define SYMTABLESIZE 2000
	#define IFTABLESIZE 1000
	#define PARSEWARNINGTABLESIZE 10

	extern int yylex();
	extern char *yytext;
	int yyerror(const char *);
	int errorcode;
	extern int column;
	extern int linenumber;
	extern char *lexingfilename;
	extern int numincludes;
	extern int filenumber;
	extern char* include_filenames[];
	extern int include_filenames_counter;

	int *wordCode = NULL;
	unsigned int maxwordoffset = 0;		// size of the current wordCode array
	unsigned int wordOffset = 0;		// current location on the WordCode array

	unsigned int listlen = 0;
	unsigned int listlenmax = 0;
	unsigned int numberoflists = 0;

	unsigned int varnumber[IFTABLESIZE];	// stack of variable numbers in a statement to return the varmumber
	int nvarnumber=0;


	int functionDefSymbol = -1;	// if in a function definition (what is the symbol number) -1 = not in fundef
	int subroutineDefSymbol = -1;	// if in a subroutine definition (what is the symbol number) -1 = not in fundef

	struct label
	{
		char *name;
		int offset;
	};

	char *EMPTYSTR = "";
        char **symtable=NULL;
        int *symtableaddress=NULL;
        int *symtableaddresstype=NULL;
        int *symtableaddressargs=NULL;
        int numsyms = 0;
        int maxsymtable = 0; // size of the current symtable/symtableaddress/symtableaddresstype arrays



	// array to hold stack of if statement branch locations
	// that need to have final jump location added to them
	// the iftable is also used by for, subroutine, and function to insure
	// that no if,do,while,... is nested incorrectly
	unsigned int iftablesourceline[IFTABLESIZE];
	unsigned int iftabletype[IFTABLESIZE];
	int iftableid[IFTABLESIZE];			// used to store a sequential number for this if - unique label creation
	int iftableincludes[IFTABLESIZE];			// used to store the include depth of the code
	unsigned int iftablevariable[IFTABLESIZE];			// store the variable in a FOR to check at NEXT
	int numifs = 0;
	int nextifid;

	#define IFTABLETYPEIF 1
	#define IFTABLETYPEELSE 2
	#define IFTABLETYPEDO 3
	#define IFTABLETYPEWHILE 4
	#define IFTABLETYPEFOR 5
	#define IFTABLETYPEFUNCTION 6
	#define IFTABLETYPETRY 7
	#define IFTABLETYPECATCH 8
	#define IFTABLETYPEBEGINCASE 9
	#define IFTABLETYPECASE 10
	#define IFTABLETYPESUBROUTINE 11
	#define IFTABLETYPEINTERNAL 12


	// store the function variables here during a function definition
	unsigned int args[100];
	unsigned int argstype[100];
	int numargs = 0;

	#define ARGSTYPEVALUE 0
        #define ARGSTYPEVARARRAY 1

	// compiler workings - store in array so that interperter can display all of them
	int parsewarningtable[PARSEWARNINGTABLESIZE];
	int parsewarningtablelinenumber[PARSEWARNINGTABLESIZE];
	int parsewarningtablecolumn[PARSEWARNINGTABLESIZE];
        int parsewarningtablelexingfilenumber[PARSEWARNINGTABLESIZE];
	int numparsewarnings = 0;

        int basicParse(char *);

	void checkWordMem(unsigned int addedwords) {
		unsigned int t;
		if (wordOffset + addedwords + 1 >= maxwordoffset) {
                        maxwordoffset = maxwordoffset + addedwords + 2048;
			wordCode = realloc(wordCode, maxwordoffset * sizeof(int));
			for (t=wordOffset; t<maxwordoffset; t++) {
				*(wordCode+t) = 0;
                        }
		}
	}

	int bytesToFullWords(unsigned int size) {
		// return how many words will be needed to store "size" bytes
                return((size + sizeof(int) - 1) / sizeof(int));
	}

	void addOp(int op) {
		checkWordMem(1);
		wordCode[wordOffset] = op;
                wordOffset++;
		//printf("line=%i addOp op=%i\n",linenumber, op);
	}

        void addData(int data) {
                checkWordMem(1);
                wordCode[wordOffset] = data;
                wordOffset++;
        }

	void addIntOp(int op, int data) {
		addOp(op);
                addData(data);
	}

	void addIntIntOp(int op, int data, int data2) {
		addOp(op);
		addData(data);
		addData(data2);
	}

	void addFloatOp(int op, double data) {
		addOp(op);
		unsigned int wlen = bytesToFullWords(sizeof(double));
		checkWordMem(wlen);
		double *temp = (double *) (wordCode + wordOffset);
		*temp = data;
		wordOffset += wlen;
	}

	void addStringOp(int op, char *data) {
		addOp(op);
		unsigned int len = strlen(data) + 1;
		unsigned int wlen = bytesToFullWords(len);
		checkWordMem(wlen);
		strncpy((char *) (wordCode + wordOffset), data, len);
		wordOffset += wlen;
	}

	void clearIfTable() {
		int j;
		for (j = 0; j < IFTABLESIZE; j++) {
			iftablesourceline[j] = -1;
			iftabletype[j] = -1;
			iftableid[j] = -1;
			iftableincludes[j] = -1;
		}
		numifs = 0;
		nextifid = 0;
	}

	int testIfOnTable(int includelevel) {
		// return line number if there is an unfinished while.do.if.else
		// or send back -1
		if (numifs >=1 ) {
			if (iftableincludes[numifs-1]>=includelevel) {
				return iftablesourceline[numifs-1];
			}
		}
		return -1;
	}

	int testIfOnTableError(int includelevel) {
		// return Error number if there is an unfinished while.do.if.else
		// or send back 0
		if (numifs >=1 ) {
			if (iftableincludes[numifs-1]>=includelevel) {
				if (iftabletype[numifs-1]==IFTABLETYPEIF) return COMPERR_IFNOEND;
				if (iftabletype[numifs-1]==IFTABLETYPEELSE) return COMPERR_ELSENOEND;
				if (iftabletype[numifs-1]==IFTABLETYPEDO) return COMPERR_DONOEND;
				if (iftabletype[numifs-1]==IFTABLETYPEWHILE) return COMPERR_WHILENOEND;
				if (iftabletype[numifs-1]==IFTABLETYPEFOR) return COMPERR_FORNOEND;
				if (iftabletype[numifs-1]==IFTABLETYPEFUNCTION) return COMPERR_FUNCTIONNOEND;
				if (iftabletype[numifs-1]==IFTABLETYPETRY) return COMPERR_TRYNOEND;
				if (iftabletype[numifs-1]==IFTABLETYPECATCH) return COMPERR_CATCHNOEND;
				if (iftabletype[numifs-1]==IFTABLETYPEBEGINCASE) return COMPERR_BEGINCASENOEND;
				if (iftabletype[numifs-1]==IFTABLETYPECASE) return COMPERR_CASENOEND;
				if (iftabletype[numifs-1]==IFTABLETYPESUBROUTINE) return COMPERR_SUBROUTINENOEND;
			}
		}
		return 0;
	}

	int newIf(int sourceline, int type, unsigned int variable) {
		iftablesourceline[numifs] = sourceline;
		iftabletype[numifs] = type;
		iftableid[numifs] = nextifid;
		iftableincludes[numifs] = numincludes;
		iftablevariable[numifs] = variable;
		nextifid++;
		numifs++;
		return numifs - 1;
	}

	void newParseWarning(int type) {
		// add warning to warnings table (if not maximum)
		if (numparsewarnings<PARSEWARNINGTABLESIZE) {
			parsewarningtable[numparsewarnings] = type;
			parsewarningtablelinenumber[numparsewarnings] = linenumber;
			parsewarningtablecolumn[numparsewarnings] = column;
                        parsewarningtablelexingfilenumber[numparsewarnings] = filenumber;
			numparsewarnings++;
		} else {
			parsewarningtable[numparsewarnings-1] = COMPWARNING_MAXIMUMWARNINGS;
			parsewarningtablelinenumber[numparsewarnings-1] = 0;
			parsewarningtablecolumn[numparsewarnings-1] = 0;
                        parsewarningtablelexingfilenumber[numparsewarnings-1] = 0;
		}
	}

	int getSymbol(char *name) {
		// get a symbol if it exists or create a new one on the symbol table
		int i;
		for (i = 0; i < numsyms; i++) {
                        if (symtable[i] && !strcasecmp(name, symtable[i]))
				return i;
		}

		//allocate memory if there is no more room for new symbol
		if(numsyms>=maxsymtable-1){
			maxsymtable += 1024;
			symtable = realloc(symtable, maxsymtable * sizeof(char*));
			symtableaddress = realloc(symtableaddress, maxsymtable * sizeof(int));
			symtableaddresstype = realloc(symtableaddresstype, maxsymtable * sizeof(int));
			symtableaddressargs = realloc(symtableaddressargs, maxsymtable * sizeof(int));
		}

		symtable[numsyms] = strdup(name);
		symtableaddress[numsyms] = -1;
		symtableaddresstype[numsyms] = -1;
		symtableaddressargs[numsyms] = -1;
		numsyms++;
		return numsyms - 1;
	}

	#define INTERNALSYMBOLEXIT 0 //at the end of the loop - all done
	#define INTERNALSYMBOLCONTINUE 1 //at the test of the loop
        #define INTERNALSYMBOLTOP 2 // at the top of the loop - all done

	int getInternalSymbol(int id, int type) {
		// an internal symbol used to jump an if
		int i;
		char name[32];
		sprintf(name,"___%d_%d", id, type);
		i = getSymbol(name);
		symtableaddresstype[i]=ADDRESSTYPE_SYSTEMCALL;
		return i;
	}

	void freeBasicParse() {
		// free all dynamically allocated stuff
		while(numsyms>0) free(symtable[--numsyms]);
		free(wordCode);
		wordCode=NULL;
		free(symtable);
		symtable=NULL;
		free(symtableaddress);
		symtableaddress=NULL;
		free(symtableaddresstype);
		symtableaddresstype=NULL;
		free(symtableaddressargs);
		symtableaddressargs=NULL;
		maxsymtable = 0;
		maxwordoffset = 0;

		while(include_filenames_counter>0){
			include_filenames_counter--;
			free(include_filenames[include_filenames_counter]);
		}
	}

	int initializeBasicParse() {
		int f;
		maxsymtable = 2048;
		symtable = malloc(maxsymtable * sizeof(char*));
		if(symtable)
			for(f=0;f<maxsymtable;f++) symtable[f]=NULL;
		symtableaddress = malloc(maxsymtable * sizeof(int));
		symtableaddresstype = malloc(maxsymtable * sizeof(int));
		symtableaddressargs = malloc(maxsymtable * sizeof(int));

		maxwordoffset = 2048;
		wordCode = malloc(maxwordoffset * sizeof(int));

		//no memory
		if(!wordCode || !symtable || !symtableaddress || !symtableaddresstype || !symtableaddressargs){
			freeBasicParse();
			return -1;
		}

		unsigned int t=maxwordoffset;
		while(t>0) wordCode[--t] = 0;
		wordOffset = 0;
		linenumber = 1;

		listlen = 0;
		listlenmax = 0;
		numberoflists = 0;

		addIntOp(OP_CURRLINE, filenumber * 0x1000000 + linenumber);
		return 0; 	// success in creating and filling
	}


	#ifdef __cplusplus
	}
	#endif



# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "basicParse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_B256ABS = 3,                    /* B256ABS  */
  YYSYMBOL_B256ACOS = 4,                   /* B256ACOS  */
  YYSYMBOL_B256ADD1 = 5,                   /* B256ADD1  */
  YYSYMBOL_B256ADDEQUAL = 6,               /* B256ADDEQUAL  */
  YYSYMBOL_B256ALERT = 7,                  /* B256ALERT  */
  YYSYMBOL_B256AMP = 8,                    /* B256AMP  */
  YYSYMBOL_B256AMPEQUAL = 9,               /* B256AMPEQUAL  */
  YYSYMBOL_B256AND = 10,                   /* B256AND  */
  YYSYMBOL_B256ARC = 11,                   /* B256ARC  */
  YYSYMBOL_B256ARRAYBASE = 12,             /* B256ARRAYBASE  */
  YYSYMBOL_B256ASC = 13,                   /* B256ASC  */
  YYSYMBOL_B256ASIN = 14,                  /* B256ASIN  */
  YYSYMBOL_B256ASSIGNED = 15,              /* B256ASSIGNED  */
  YYSYMBOL_B256ATAN = 16,                  /* B256ATAN  */
  YYSYMBOL_B256BEGINCASE = 17,             /* B256BEGINCASE  */
  YYSYMBOL_B256BINARYNOT = 18,             /* B256BINARYNOT  */
  YYSYMBOL_B256BINARYOR = 19,              /* B256BINARYOR  */
  YYSYMBOL_B256BITSHIFTL = 20,             /* B256BITSHIFTL  */
  YYSYMBOL_B256BITSHIFTR = 21,             /* B256BITSHIFTR  */
  YYSYMBOL_B256BLACK = 22,                 /* B256BLACK  */
  YYSYMBOL_B256BLUE = 23,                  /* B256BLUE  */
  YYSYMBOL_B256BOOLEOF = 24,               /* B256BOOLEOF  */
  YYSYMBOL_B256BOOLFALSE = 25,             /* B256BOOLFALSE  */
  YYSYMBOL_B256BOOLTRUE = 26,              /* B256BOOLTRUE  */
  YYSYMBOL_B256CALL = 27,                  /* B256CALL  */
  YYSYMBOL_B256CASE = 28,                  /* B256CASE  */
  YYSYMBOL_B256CATCH = 29,                 /* B256CATCH  */
  YYSYMBOL_B256CEIL = 30,                  /* B256CEIL  */
  YYSYMBOL_B256CHANGEDIR = 31,             /* B256CHANGEDIR  */
  YYSYMBOL_B256CHORD = 32,                 /* B256CHORD  */
  YYSYMBOL_B256CHR = 33,                   /* B256CHR  */
  YYSYMBOL_B256CIRCLE = 34,                /* B256CIRCLE  */
  YYSYMBOL_B256CLEAR = 35,                 /* B256CLEAR  */
  YYSYMBOL_B256CLG = 36,                   /* B256CLG  */
  YYSYMBOL_B256CLICKB = 37,                /* B256CLICKB  */
  YYSYMBOL_B256CLICKCLEAR = 38,            /* B256CLICKCLEAR  */
  YYSYMBOL_B256CLICKX = 39,                /* B256CLICKX  */
  YYSYMBOL_B256CLICKY = 40,                /* B256CLICKY  */
  YYSYMBOL_B256CLOSE = 41,                 /* B256CLOSE  */
  YYSYMBOL_B256CLS = 42,                   /* B256CLS  */
  YYSYMBOL_B256CONFIRM = 43,               /* B256CONFIRM  */
  YYSYMBOL_B256CONTINUEDO = 44,            /* B256CONTINUEDO  */
  YYSYMBOL_B256CONTINUEFOR = 45,           /* B256CONTINUEFOR  */
  YYSYMBOL_B256CONTINUEWHILE = 46,         /* B256CONTINUEWHILE  */
  YYSYMBOL_B256COS = 47,                   /* B256COS  */
  YYSYMBOL_B256COUNT = 48,                 /* B256COUNT  */
  YYSYMBOL_B256COUNTX = 49,                /* B256COUNTX  */
  YYSYMBOL_B256CURRENTDIR = 50,            /* B256CURRENTDIR  */
  YYSYMBOL_B256CYAN = 51,                  /* B256CYAN  */
  YYSYMBOL_B256DARKBLUE = 52,              /* B256DARKBLUE  */
  YYSYMBOL_B256DARKCYAN = 53,              /* B256DARKCYAN  */
  YYSYMBOL_B256DARKGREEN = 54,             /* B256DARKGREEN  */
  YYSYMBOL_B256DARKGREY = 55,              /* B256DARKGREY  */
  YYSYMBOL_B256DARKORANGE = 56,            /* B256DARKORANGE  */
  YYSYMBOL_B256DARKPURPLE = 57,            /* B256DARKPURPLE  */
  YYSYMBOL_B256DARKRED = 58,               /* B256DARKRED  */
  YYSYMBOL_B256DARKYELLOW = 59,            /* B256DARKYELLOW  */
  YYSYMBOL_B256DAY = 60,                   /* B256DAY  */
  YYSYMBOL_B256DBCLOSE = 61,               /* B256DBCLOSE  */
  YYSYMBOL_B256DBCLOSESET = 62,            /* B256DBCLOSESET  */
  YYSYMBOL_B256DBEXECUTE = 63,             /* B256DBEXECUTE  */
  YYSYMBOL_B256DBFLOAT = 64,               /* B256DBFLOAT  */
  YYSYMBOL_B256DBINT = 65,                 /* B256DBINT  */
  YYSYMBOL_B256DBNULL = 66,                /* B256DBNULL  */
  YYSYMBOL_B256DBOPEN = 67,                /* B256DBOPEN  */
  YYSYMBOL_B256DBOPENSET = 68,             /* B256DBOPENSET  */
  YYSYMBOL_B256DBROW = 69,                 /* B256DBROW  */
  YYSYMBOL_B256DBSTRING = 70,              /* B256DBSTRING  */
  YYSYMBOL_B256DEBUGINFO = 71,             /* B256DEBUGINFO  */
  YYSYMBOL_B256DEGREES = 72,               /* B256DEGREES  */
  YYSYMBOL_B256DIM = 73,                   /* B256DIM  */
  YYSYMBOL_B256DIR = 74,                   /* B256DIR  */
  YYSYMBOL_B256DIVEQUAL = 75,              /* B256DIVEQUAL  */
  YYSYMBOL_B256DO = 76,                    /* B256DO  */
  YYSYMBOL_B256EDITVISIBLE = 77,           /* B256EDITVISIBLE  */
  YYSYMBOL_B256ELLIPSE = 78,               /* B256ELLIPSE  */
  YYSYMBOL_B256ELSE = 79,                  /* B256ELSE  */
  YYSYMBOL_B256END = 80,                   /* B256END  */
  YYSYMBOL_B256ENDCASE = 81,               /* B256ENDCASE  */
  YYSYMBOL_B256ENDFUNCTION = 82,           /* B256ENDFUNCTION  */
  YYSYMBOL_B256ENDIF = 83,                 /* B256ENDIF  */
  YYSYMBOL_B256ENDSUBROUTINE = 84,         /* B256ENDSUBROUTINE  */
  YYSYMBOL_B256ENDTRY = 85,                /* B256ENDTRY  */
  YYSYMBOL_B256ENDWHILE = 86,              /* B256ENDWHILE  */
  YYSYMBOL_B256ERROR_ARGUMENTCOUNT = 87,   /* B256ERROR_ARGUMENTCOUNT  */
  YYSYMBOL_B256ERROR_ARRAYELEMENT = 88,    /* B256ERROR_ARRAYELEMENT  */
  YYSYMBOL_B256ERROR_ARRAYEVEN = 89,       /* B256ERROR_ARRAYEVEN  */
  YYSYMBOL_B256ERROR_ARRAYEXPR = 90,       /* B256ERROR_ARRAYEXPR  */
  YYSYMBOL_B256ERROR_ARRAYINDEX = 91,      /* B256ERROR_ARRAYINDEX  */
  YYSYMBOL_B256ERROR_ARRAYINDEXMISSING = 92, /* B256ERROR_ARRAYINDEXMISSING  */
  YYSYMBOL_B256ERROR_ARRAYLENGTH2D = 93,   /* B256ERROR_ARRAYLENGTH2D  */
  YYSYMBOL_B256ERROR_ARRAYNITEMS = 94,     /* B256ERROR_ARRAYNITEMS  */
  YYSYMBOL_B256ERROR_ARRAYSIZELARGE = 95,  /* B256ERROR_ARRAYSIZELARGE  */
  YYSYMBOL_B256ERROR_ARRAYSIZESMALL = 96,  /* B256ERROR_ARRAYSIZESMALL  */
  YYSYMBOL_B256ERROR_ASINACOSRANGE = 97,   /* B256ERROR_ASINACOSRANGE  */
  YYSYMBOL_B256ERROR_BOOLEANCONV = 98,     /* B256ERROR_BOOLEANCONV  */
  YYSYMBOL_B256ERROR_DBCOLNO = 99,         /* B256ERROR_DBCOLNO  */
  YYSYMBOL_B256ERROR_DBCONNNUMBER = 100,   /* B256ERROR_DBCONNNUMBER  */
  YYSYMBOL_B256ERROR_DBNOTOPEN = 101,      /* B256ERROR_DBNOTOPEN  */
  YYSYMBOL_B256ERROR_DBNOTSET = 102,       /* B256ERROR_DBNOTSET  */
  YYSYMBOL_B256ERROR_DBNOTSETROW = 103,    /* B256ERROR_DBNOTSETROW  */
  YYSYMBOL_B256ERROR_DBOPEN = 104,         /* B256ERROR_DBOPEN  */
  YYSYMBOL_B256ERROR_DBQUERY = 105,        /* B256ERROR_DBQUERY  */
  YYSYMBOL_B256ERROR_DBSETNUMBER = 106,    /* B256ERROR_DBSETNUMBER  */
  YYSYMBOL_B256ERROR_DIVZERO = 107,        /* B256ERROR_DIVZERO  */
  YYSYMBOL_B256ERROR_DOWNLOAD = 108,       /* B256ERROR_DOWNLOAD  */
  YYSYMBOL_B256ERROR_ENVELOPEMAX = 109,    /* B256ERROR_ENVELOPEMAX  */
  YYSYMBOL_B256ERROR_ENVELOPEODD = 110,    /* B256ERROR_ENVELOPEODD  */
  YYSYMBOL_B256ERROR_EXPECTEDARRAY = 111,  /* B256ERROR_EXPECTEDARRAY  */
  YYSYMBOL_B256ERROR_EXPECTEDSOUND = 112,  /* B256ERROR_EXPECTEDSOUND  */
  YYSYMBOL_B256ERROR_FILENOTOPEN = 113,    /* B256ERROR_FILENOTOPEN  */
  YYSYMBOL_B256ERROR_FILENUMBER = 114,     /* B256ERROR_FILENUMBER  */
  YYSYMBOL_B256ERROR_FILEOPEN = 115,       /* B256ERROR_FILEOPEN  */
  YYSYMBOL_B256ERROR_FILEOPERATION = 116,  /* B256ERROR_FILEOPERATION  */
  YYSYMBOL_B256ERROR_FILERESET = 117,      /* B256ERROR_FILERESET  */
  YYSYMBOL_B256ERROR_FILEWRITE = 118,      /* B256ERROR_FILEWRITE  */
  YYSYMBOL_B256ERROR_FOLDER = 119,         /* B256ERROR_FOLDER  */
  YYSYMBOL_B256ERROR_FREEDB = 120,         /* B256ERROR_FREEDB  */
  YYSYMBOL_B256ERROR_FREEDBSET = 121,      /* B256ERROR_FREEDBSET  */
  YYSYMBOL_B256ERROR_FREEFILE = 122,       /* B256ERROR_FREEFILE  */
  YYSYMBOL_B256ERROR_FREENET = 123,        /* B256ERROR_FREENET  */
  YYSYMBOL_B256ERROR_HARMONICLIST = 124,   /* B256ERROR_HARMONICLIST  */
  YYSYMBOL_B256ERROR_HARMONICNUMBER = 125, /* B256ERROR_HARMONICNUMBER  */
  YYSYMBOL_B256ERROR_IMAGEFILE = 126,      /* B256ERROR_IMAGEFILE  */
  YYSYMBOL_B256ERROR_IMAGERESOURCE = 127,  /* B256ERROR_IMAGERESOURCE  */
  YYSYMBOL_B256ERROR_IMAGESAVETYPE = 128,  /* B256ERROR_IMAGESAVETYPE  */
  YYSYMBOL_B256ERROR_IMAGESCALE = 129,     /* B256ERROR_IMAGESCALE  */
  YYSYMBOL_B256ERROR_INFINITY = 130,       /* B256ERROR_INFINITY  */
  YYSYMBOL_B256ERROR_INTEGERRANGE = 131,   /* B256ERROR_INTEGERRANGE  */
  YYSYMBOL_B256ERROR_INVALIDKEYNAME = 132, /* B256ERROR_INVALIDKEYNAME  */
  YYSYMBOL_B256ERROR_INVALIDPROGNAME = 133, /* B256ERROR_INVALIDPROGNAME  */
  YYSYMBOL_B256ERROR_INVALIDRESOURCE = 134, /* B256ERROR_INVALIDRESOURCE  */
  YYSYMBOL_B256ERROR_LOGRANGE = 135,       /* B256ERROR_LOGRANGE  */
  YYSYMBOL_B256ERROR_LONGRANGE = 136,      /* B256ERROR_LONGRANGE  */
  YYSYMBOL_B256ERROR_MAXRECURSE = 137,     /* B256ERROR_MAXRECURSE  */
  YYSYMBOL_B256ERROR_NETACCEPT = 138,      /* B256ERROR_NETACCEPT  */
  YYSYMBOL_B256ERROR_NETBIND = 139,        /* B256ERROR_NETBIND  */
  YYSYMBOL_B256ERROR_NETCONN = 140,        /* B256ERROR_NETCONN  */
  YYSYMBOL_B256ERROR_NETHOST = 141,        /* B256ERROR_NETHOST  */
  YYSYMBOL_B256ERROR_NETNONE = 142,        /* B256ERROR_NETNONE  */
  YYSYMBOL_B256ERROR_NETREAD = 143,        /* B256ERROR_NETREAD  */
  YYSYMBOL_B256ERROR_NETSOCK = 144,        /* B256ERROR_NETSOCK  */
  YYSYMBOL_B256ERROR_NETSOCKNUMBER = 145,  /* B256ERROR_NETSOCKNUMBER  */
  YYSYMBOL_B256ERROR_NETSOCKOPT = 146,     /* B256ERROR_NETSOCKOPT  */
  YYSYMBOL_B256ERROR_NETWRITE = 147,       /* B256ERROR_NETWRITE  */
  YYSYMBOL_B256ERROR_NEXTNOFOR = 148,      /* B256ERROR_NEXTNOFOR  */
  YYSYMBOL_B256ERROR_NONE = 149,           /* B256ERROR_NONE  */
  YYSYMBOL_B256ERROR_NOSUCHFUNCTION = 150, /* B256ERROR_NOSUCHFUNCTION  */
  YYSYMBOL_B256ERROR_NOSUCHLABEL = 151,    /* B256ERROR_NOSUCHLABEL  */
  YYSYMBOL_B256ERROR_NOSUCHSUBROUTINE = 152, /* B256ERROR_NOSUCHSUBROUTINE  */
  YYSYMBOL_B256ERROR_NOTARRAY = 153,       /* B256ERROR_NOTARRAY  */
  YYSYMBOL_B256ERROR_NOTIMPLEMENTED = 154, /* B256ERROR_NOTIMPLEMENTED  */
  YYSYMBOL_B256ERROR_NUMBERCONV = 155,     /* B256ERROR_NUMBERCONV  */
  YYSYMBOL_B256ERROR_NUMBEREXPR = 156,     /* B256ERROR_NUMBEREXPR  */
  YYSYMBOL_B256ERROR_ONEDIMENSIONAL = 157, /* B256ERROR_ONEDIMENSIONAL  */
  YYSYMBOL_B256ERROR_ONERRORSUB = 158,     /* B256ERROR_ONERRORSUB  */
  YYSYMBOL_B256ERROR_PENWIDTH = 159,       /* B256ERROR_PENWIDTH  */
  YYSYMBOL_B256ERROR_PERMISSION = 160,     /* B256ERROR_PERMISSION  */
  YYSYMBOL_B256ERROR_POLYPOINTS = 161,     /* B256ERROR_POLYPOINTS  */
  YYSYMBOL_B256ERROR_PRINTERNOTOFF = 162,  /* B256ERROR_PRINTERNOTOFF  */
  YYSYMBOL_B256ERROR_PRINTERNOTON = 163,   /* B256ERROR_PRINTERNOTON  */
  YYSYMBOL_B256ERROR_PRINTEROPEN = 164,    /* B256ERROR_PRINTEROPEN  */
  YYSYMBOL_B256ERROR_RADIX = 165,          /* B256ERROR_RADIX  */
  YYSYMBOL_B256ERROR_RADIXSTRING = 166,    /* B256ERROR_RADIXSTRING  */
  YYSYMBOL_B256ERROR_REFNOTASSIGNED = 167, /* B256ERROR_REFNOTASSIGNED  */
  YYSYMBOL_B256ERROR_RGB = 168,            /* B256ERROR_RGB  */
  YYSYMBOL_B256ERROR_SERIALPARAMETER = 169, /* B256ERROR_SERIALPARAMETER  */
  YYSYMBOL_B256ERROR_SETTINGMAXKEYS = 170, /* B256ERROR_SETTINGMAXKEYS  */
  YYSYMBOL_B256ERROR_SETTINGMAXLEN = 171,  /* B256ERROR_SETTINGMAXLEN  */
  YYSYMBOL_B256ERROR_SETTINGSGETACCESS = 172, /* B256ERROR_SETTINGSGETACCESS  */
  YYSYMBOL_B256ERROR_SETTINGSSETACCESS = 173, /* B256ERROR_SETTINGSSETACCESS  */
  YYSYMBOL_B256ERROR_SLICESIZE = 174,      /* B256ERROR_SLICESIZE  */
  YYSYMBOL_B256ERROR_SOUNDERROR = 175,     /* B256ERROR_SOUNDERROR  */
  YYSYMBOL_B256ERROR_SOUNDFILE = 176,      /* B256ERROR_SOUNDFILE  */
  YYSYMBOL_B256ERROR_SOUNDFILEFORMAT = 177, /* B256ERROR_SOUNDFILEFORMAT  */
  YYSYMBOL_B256ERROR_SOUNDLENGTH = 178,    /* B256ERROR_SOUNDLENGTH  */
  YYSYMBOL_B256ERROR_SOUNDNOTSEEKABLE = 179, /* B256ERROR_SOUNDNOTSEEKABLE  */
  YYSYMBOL_B256ERROR_SOUNDRESOURCE = 180,  /* B256ERROR_SOUNDRESOURCE  */
  YYSYMBOL_B256ERROR_SPRITENA = 181,       /* B256ERROR_SPRITENA  */
  YYSYMBOL_B256ERROR_SPRITENUMBER = 182,   /* B256ERROR_SPRITENUMBER  */
  YYSYMBOL_B256ERROR_SPRITESLICE = 183,    /* B256ERROR_SPRITESLICE  */
  YYSYMBOL_B256ERROR_SQRRANGE = 184,       /* B256ERROR_SQRRANGE  */
  YYSYMBOL_B256ERROR_STACKUNDERFLOW = 185, /* B256ERROR_STACKUNDERFLOW  */
  YYSYMBOL_B256ERROR_STRING2NOTE = 186,    /* B256ERROR_STRING2NOTE  */
  YYSYMBOL_B256ERROR_STRINGCONV = 187,     /* B256ERROR_STRINGCONV  */
  YYSYMBOL_B256ERROR_STRINGEXPR = 188,     /* B256ERROR_STRINGEXPR  */
  YYSYMBOL_B256ERROR_STRINGMAXLEN = 189,   /* B256ERROR_STRINGMAXLEN  */
  YYSYMBOL_B256ERROR_STRSTART = 190,       /* B256ERROR_STRSTART  */
  YYSYMBOL_B256ERROR_TOOMANYSOUNDS = 191,  /* B256ERROR_TOOMANYSOUNDS  */
  YYSYMBOL_B256ERROR_UNEXPECTEDRETURN = 192, /* B256ERROR_UNEXPECTEDRETURN  */
  YYSYMBOL_B256ERROR_UNSERIALIZEFORMAT = 193, /* B256ERROR_UNSERIALIZEFORMAT  */
  YYSYMBOL_B256ERROR_VARCIRCULAR = 194,    /* B256ERROR_VARCIRCULAR  */
  YYSYMBOL_B256ERROR_VARNOTASSIGNED = 195, /* B256ERROR_VARNOTASSIGNED  */
  YYSYMBOL_B256ERROR_VARNULL = 196,        /* B256ERROR_VARNULL  */
  YYSYMBOL_B256ERROR_WAVEFORMLOGICAL = 197, /* B256ERROR_WAVEFORMLOGICAL  */
  YYSYMBOL_B256ERROR_WAVOBSOLETE = 198,    /* B256ERROR_WAVOBSOLETE  */
  YYSYMBOL_B256EXISTS = 199,               /* B256EXISTS  */
  YYSYMBOL_B256EXITDO = 200,               /* B256EXITDO  */
  YYSYMBOL_B256EXITFOR = 201,              /* B256EXITFOR  */
  YYSYMBOL_B256EXITWHILE = 202,            /* B256EXITWHILE  */
  YYSYMBOL_B256EXP = 203,                  /* B256EXP  */
  YYSYMBOL_B256EXPLODE = 204,              /* B256EXPLODE  */
  YYSYMBOL_B256EXPLODEX = 205,             /* B256EXPLODEX  */
  YYSYMBOL_B256FASTGRAPHICS = 206,         /* B256FASTGRAPHICS  */
  YYSYMBOL_B256FILL = 207,                 /* B256FILL  */
  YYSYMBOL_B256FLOOR = 208,                /* B256FLOOR  */
  YYSYMBOL_B256FONT = 209,                 /* B256FONT  */
  YYSYMBOL_B256FOR = 210,                  /* B256FOR  */
  YYSYMBOL_B256FOREACH = 211,              /* B256FOREACH  */
  YYSYMBOL_B256FREEDB = 212,               /* B256FREEDB  */
  YYSYMBOL_B256FREEDBSET = 213,            /* B256FREEDBSET  */
  YYSYMBOL_B256FREEFILE = 214,             /* B256FREEFILE  */
  YYSYMBOL_B256FREENET = 215,              /* B256FREENET  */
  YYSYMBOL_B256FROMBINARY = 216,           /* B256FROMBINARY  */
  YYSYMBOL_B256FROMHEX = 217,              /* B256FROMHEX  */
  YYSYMBOL_B256FROMOCTAL = 218,            /* B256FROMOCTAL  */
  YYSYMBOL_B256FROMRADIX = 219,            /* B256FROMRADIX  */
  YYSYMBOL_B256FUNCTION = 220,             /* B256FUNCTION  */
  YYSYMBOL_B256GETARRAYBASE = 221,         /* B256GETARRAYBASE  */
  YYSYMBOL_B256GETBRUSHCOLOR = 222,        /* B256GETBRUSHCOLOR  */
  YYSYMBOL_B256GETCLIPBOARDIMAGE = 223,    /* B256GETCLIPBOARDIMAGE  */
  YYSYMBOL_B256GETCLIPBOARDSTRING = 224,   /* B256GETCLIPBOARDSTRING  */
  YYSYMBOL_B256GETCOLOR = 225,             /* B256GETCOLOR  */
  YYSYMBOL_B256GETPENWIDTH = 226,          /* B256GETPENWIDTH  */
  YYSYMBOL_B256GETSETTING = 227,           /* B256GETSETTING  */
  YYSYMBOL_B256GETSLICE = 228,             /* B256GETSLICE  */
  YYSYMBOL_B256GLOBAL = 229,               /* B256GLOBAL  */
  YYSYMBOL_B256GOSUB = 230,                /* B256GOSUB  */
  YYSYMBOL_B256GOTO = 231,                 /* B256GOTO  */
  YYSYMBOL_B256GRAPHHEIGHT = 232,          /* B256GRAPHHEIGHT  */
  YYSYMBOL_B256GRAPHSIZE = 233,            /* B256GRAPHSIZE  */
  YYSYMBOL_B256GRAPHVISIBLE = 234,         /* B256GRAPHVISIBLE  */
  YYSYMBOL_B256GRAPHTOOLBARVISIBLE = 235,  /* B256GRAPHTOOLBARVISIBLE  */
  YYSYMBOL_B256GRAPHWIDTH = 236,           /* B256GRAPHWIDTH  */
  YYSYMBOL_B256GREEN = 237,                /* B256GREEN  */
  YYSYMBOL_B256GREY = 238,                 /* B256GREY  */
  YYSYMBOL_B256GTE = 239,                  /* B256GTE  */
  YYSYMBOL_B256HOUR = 240,                 /* B256HOUR  */
  YYSYMBOL_B256IF = 241,                   /* B256IF  */
  YYSYMBOL_B256IN = 242,                   /* B256IN  */
  YYSYMBOL_B256IMAGEAUTOCROP = 243,        /* B256IMAGEAUTOCROP  */
  YYSYMBOL_B256IMAGECENTERED = 244,        /* B256IMAGECENTERED  */
  YYSYMBOL_B256IMAGECOPY = 245,            /* B256IMAGECOPY  */
  YYSYMBOL_B256IMAGECROP = 246,            /* B256IMAGECROP  */
  YYSYMBOL_B256IMAGEDRAW = 247,            /* B256IMAGEDRAW  */
  YYSYMBOL_B256IMAGEFLIP = 248,            /* B256IMAGEFLIP  */
  YYSYMBOL_B256IMAGEHEIGHT = 249,          /* B256IMAGEHEIGHT  */
  YYSYMBOL_B256IMAGELOAD = 250,            /* B256IMAGELOAD  */
  YYSYMBOL_B256IMAGENEW = 251,             /* B256IMAGENEW  */
  YYSYMBOL_B256IMAGEPIXEL = 252,           /* B256IMAGEPIXEL  */
  YYSYMBOL_B256IMAGERESIZE = 253,          /* B256IMAGERESIZE  */
  YYSYMBOL_B256IMAGEROTATE = 254,          /* B256IMAGEROTATE  */
  YYSYMBOL_B256IMAGESETPIXEL = 255,        /* B256IMAGESETPIXEL  */
  YYSYMBOL_B256IMAGESMOOTH = 256,          /* B256IMAGESMOOTH  */
  YYSYMBOL_B256IMAGETRANSFORMED = 257,     /* B256IMAGETRANSFORMED  */
  YYSYMBOL_B256IMAGETYPE_BMP = 258,        /* B256IMAGETYPE_BMP  */
  YYSYMBOL_B256IMAGETYPE_JPG = 259,        /* B256IMAGETYPE_JPG  */
  YYSYMBOL_B256IMAGETYPE_PNG = 260,        /* B256IMAGETYPE_PNG  */
  YYSYMBOL_B256IMAGEWIDTH = 261,           /* B256IMAGEWIDTH  */
  YYSYMBOL_B256IMGLOAD = 262,              /* B256IMGLOAD  */
  YYSYMBOL_B256IMGSAVE = 263,              /* B256IMGSAVE  */
  YYSYMBOL_B256IMPLODE = 264,              /* B256IMPLODE  */
  YYSYMBOL_B256INPUT = 265,                /* B256INPUT  */
  YYSYMBOL_B256INPUTFLOAT = 266,           /* B256INPUTFLOAT  */
  YYSYMBOL_B256INPUTINT = 267,             /* B256INPUTINT  */
  YYSYMBOL_B256INPUTSTRING = 268,          /* B256INPUTSTRING  */
  YYSYMBOL_B256INSTR = 269,                /* B256INSTR  */
  YYSYMBOL_B256INSTRX = 270,               /* B256INSTRX  */
  YYSYMBOL_B256INTDIV = 271,               /* B256INTDIV  */
  YYSYMBOL_B256ISNUMERIC = 272,            /* B256ISNUMERIC  */
  YYSYMBOL_B256KEY = 273,                  /* B256KEY  */
  YYSYMBOL_B256KEYPRESSED = 274,           /* B256KEYPRESSED  */
  YYSYMBOL_B256KILL = 275,                 /* B256KILL  */
  YYSYMBOL_B256LASTERROR = 276,            /* B256LASTERROR  */
  YYSYMBOL_B256LASTERROREXTRA = 277,       /* B256LASTERROREXTRA  */
  YYSYMBOL_B256LASTERRORLINE = 278,        /* B256LASTERRORLINE  */
  YYSYMBOL_B256LASTERRORMESSAGE = 279,     /* B256LASTERRORMESSAGE  */
  YYSYMBOL_B256LEFT = 280,                 /* B256LEFT  */
  YYSYMBOL_B256LENGTH = 281,               /* B256LENGTH  */
  YYSYMBOL_B256LET = 282,                  /* B256LET  */
  YYSYMBOL_B256LINE = 283,                 /* B256LINE  */
  YYSYMBOL_B256LJUST = 284,                /* B256LJUST  */
  YYSYMBOL_B256LOG = 285,                  /* B256LOG  */
  YYSYMBOL_B256LOGTEN = 286,               /* B256LOGTEN  */
  YYSYMBOL_B256LOWER = 287,                /* B256LOWER  */
  YYSYMBOL_B256LTE = 288,                  /* B256LTE  */
  YYSYMBOL_B256LTRIM = 289,                /* B256LTRIM  */
  YYSYMBOL_B256MAINTOOLBARVISIBLE = 290,   /* B256MAINTOOLBARVISIBLE  */
  YYSYMBOL_B256MAP = 291,                  /* B256MAP  */
  YYSYMBOL_B256MD5 = 292,                  /* B256MD5  */
  YYSYMBOL_B256MID = 293,                  /* B256MID  */
  YYSYMBOL_B256MIDX = 294,                 /* B256MIDX  */
  YYSYMBOL_B256MINUTE = 295,               /* B256MINUTE  */
  YYSYMBOL_B256MOD = 296,                  /* B256MOD  */
  YYSYMBOL_B256MKDIR = 297,                /* B256MKDIR  */
  YYSYMBOL_B256MONTH = 298,                /* B256MONTH  */
  YYSYMBOL_B256MOUSEB = 299,               /* B256MOUSEB  */
  YYSYMBOL_B256MOUSEBUTTON_CENTER = 300,   /* B256MOUSEBUTTON_CENTER  */
  YYSYMBOL_B256MOUSEBUTTON_DOUBLECLICK = 301, /* B256MOUSEBUTTON_DOUBLECLICK  */
  YYSYMBOL_B256MOUSEBUTTON_LEFT = 302,     /* B256MOUSEBUTTON_LEFT  */
  YYSYMBOL_B256MOUSEBUTTON_NONE = 303,     /* B256MOUSEBUTTON_NONE  */
  YYSYMBOL_B256MOUSEBUTTON_RIGHT = 304,    /* B256MOUSEBUTTON_RIGHT  */
  YYSYMBOL_B256MOUSEX = 305,               /* B256MOUSEX  */
  YYSYMBOL_B256MOUSEY = 306,               /* B256MOUSEY  */
  YYSYMBOL_B256MSEC = 307,                 /* B256MSEC  */
  YYSYMBOL_B256MULEQUAL = 308,             /* B256MULEQUAL  */
  YYSYMBOL_B256NE = 309,                   /* B256NE  */
  YYSYMBOL_B256NETADDRESS = 310,           /* B256NETADDRESS  */
  YYSYMBOL_B256NETCLOSE = 311,             /* B256NETCLOSE  */
  YYSYMBOL_B256NETCONNECT = 312,           /* B256NETCONNECT  */
  YYSYMBOL_B256NETDATA = 313,              /* B256NETDATA  */
  YYSYMBOL_B256NETLISTEN = 314,            /* B256NETLISTEN  */
  YYSYMBOL_B256NETREAD = 315,              /* B256NETREAD  */
  YYSYMBOL_B256NETWRITE = 316,             /* B256NETWRITE  */
  YYSYMBOL_B256NEXT = 317,                 /* B256NEXT  */
  YYSYMBOL_B256NOT = 318,                  /* B256NOT  */
  YYSYMBOL_B256OFFERROR = 319,             /* B256OFFERROR  */
  YYSYMBOL_B256ONERROR = 320,              /* B256ONERROR  */
  YYSYMBOL_B256ONSTOP = 321,               /* B256ONSTOP  */
  YYSYMBOL_B256OPEN = 322,                 /* B256OPEN  */
  YYSYMBOL_B256OPENB = 323,                /* B256OPENB  */
  YYSYMBOL_B256OPENFILEDIALOG = 324,       /* B256OPENFILEDIALOG  */
  YYSYMBOL_B256OPENSERIAL = 325,           /* B256OPENSERIAL  */
  YYSYMBOL_B256OR = 326,                   /* B256OR  */
  YYSYMBOL_B256ORANGE = 327,               /* B256ORANGE  */
  YYSYMBOL_B256OSTYPE = 328,               /* B256OSTYPE  */
  YYSYMBOL_B256OSTYPE_ANDROID = 329,       /* B256OSTYPE_ANDROID  */
  YYSYMBOL_B256OSTYPE_LINUX = 330,         /* B256OSTYPE_LINUX  */
  YYSYMBOL_B256OSTYPE_MACINTOSH = 331,     /* B256OSTYPE_MACINTOSH  */
  YYSYMBOL_B256OSTYPE_WINDOWS = 332,       /* B256OSTYPE_WINDOWS  */
  YYSYMBOL_B256OUTPUTVISIBLE = 333,        /* B256OUTPUTVISIBLE  */
  YYSYMBOL_B256OUTPUTTOOLBARVISIBLE = 334, /* B256OUTPUTTOOLBARVISIBLE  */
  YYSYMBOL_B256PAUSE = 335,                /* B256PAUSE  */
  YYSYMBOL_B256PENWIDTH = 336,             /* B256PENWIDTH  */
  YYSYMBOL_B256PI = 337,                   /* B256PI  */
  YYSYMBOL_B256PIE = 338,                  /* B256PIE  */
  YYSYMBOL_B256PIXEL = 339,                /* B256PIXEL  */
  YYSYMBOL_B256PLOT = 340,                 /* B256PLOT  */
  YYSYMBOL_B256POLY = 341,                 /* B256POLY  */
  YYSYMBOL_B256PORTIN = 342,               /* B256PORTIN  */
  YYSYMBOL_B256PORTOUT = 343,              /* B256PORTOUT  */
  YYSYMBOL_B256PRINT = 344,                /* B256PRINT  */
  YYSYMBOL_B256PRINTAT = 345,              /* B256PRINTAT  */
  YYSYMBOL_B256PRINTERCANCEL = 346,        /* B256PRINTERCANCEL  */
  YYSYMBOL_B256PRINTEROFF = 347,           /* B256PRINTEROFF  */
  YYSYMBOL_B256PRINTERON = 348,            /* B256PRINTERON  */
  YYSYMBOL_B256PRINTERPAGE = 349,          /* B256PRINTERPAGE  */
  YYSYMBOL_B256PROMPT = 350,               /* B256PROMPT  */
  YYSYMBOL_B256PURPLE = 351,               /* B256PURPLE  */
  YYSYMBOL_B256PUTSLICE = 352,             /* B256PUTSLICE  */
  YYSYMBOL_B256RADIANS = 353,              /* B256RADIANS  */
  YYSYMBOL_B256RAND = 354,                 /* B256RAND  */
  YYSYMBOL_B256READ = 355,                 /* B256READ  */
  YYSYMBOL_B256READBYTE = 356,             /* B256READBYTE  */
  YYSYMBOL_B256READLINE = 357,             /* B256READLINE  */
  YYSYMBOL_B256RECT = 358,                 /* B256RECT  */
  YYSYMBOL_B256RED = 359,                  /* B256RED  */
  YYSYMBOL_B256REDIM = 360,                /* B256REDIM  */
  YYSYMBOL_B256REF = 361,                  /* B256REF  */
  YYSYMBOL_B256REFRESH = 362,              /* B256REFRESH  */
  YYSYMBOL_B256REGEXMINIMAL = 363,         /* B256REGEXMINIMAL  */
  YYSYMBOL_B256REM = 364,                  /* B256REM  */
  YYSYMBOL_B256REPLACE = 365,              /* B256REPLACE  */
  YYSYMBOL_B256REPLACEX = 366,             /* B256REPLACEX  */
  YYSYMBOL_B256SAVEFILEDIALOG = 367,       /* B256SAVEFILEDIALOG  */
  YYSYMBOL_B256RESET = 368,                /* B256RESET  */
  YYSYMBOL_B256RETURN = 369,               /* B256RETURN  */
  YYSYMBOL_B256RGB = 370,                  /* B256RGB  */
  YYSYMBOL_B256RIGHT = 371,                /* B256RIGHT  */
  YYSYMBOL_B256RJUST = 372,                /* B256RJUST  */
  YYSYMBOL_B256RMDIR = 373,                /* B256RMDIR  */
  YYSYMBOL_B256ROUND = 374,                /* B256ROUND  */
  YYSYMBOL_B256RTRIM = 375,                /* B256RTRIM  */
  YYSYMBOL_B256SAY = 376,                  /* B256SAY  */
  YYSYMBOL_B256SECOND = 377,               /* B256SECOND  */
  YYSYMBOL_B256SEED = 378,                 /* B256SEED  */
  YYSYMBOL_B256SEEK = 379,                 /* B256SEEK  */
  YYSYMBOL_B256SEMICOLON = 380,            /* B256SEMICOLON  */
  YYSYMBOL_B256SEMICOLONEQUAL = 381,       /* B256SEMICOLONEQUAL  */
  YYSYMBOL_B256SERIALIZE = 382,            /* B256SERIALIZE  */
  YYSYMBOL_B256SETCLIPBOARDIMAGE = 383,    /* B256SETCLIPBOARDIMAGE  */
  YYSYMBOL_B256SETCLIPBOARDSTRING = 384,   /* B256SETCLIPBOARDSTRING  */
  YYSYMBOL_B256SETCOLOR = 385,             /* B256SETCOLOR  */
  YYSYMBOL_B256SETGRAPH = 386,             /* B256SETGRAPH  */
  YYSYMBOL_B256SETSETTING = 387,           /* B256SETSETTING  */
  YYSYMBOL_B256SIN = 388,                  /* B256SIN  */
  YYSYMBOL_B256SIZE = 389,                 /* B256SIZE  */
  YYSYMBOL_B256SLICE_ALL = 390,            /* B256SLICE_ALL  */
  YYSYMBOL_B256SLICE_PAINT = 391,          /* B256SLICE_PAINT  */
  YYSYMBOL_B256SLICE_SPRITE = 392,         /* B256SLICE_SPRITE  */
  YYSYMBOL_B256SOUND = 393,                /* B256SOUND  */
  YYSYMBOL_B256SOUNDENVELOPE = 394,        /* B256SOUNDENVELOPE  */
  YYSYMBOL_B256SOUNDFADE = 395,            /* B256SOUNDFADE  */
  YYSYMBOL_B256SOUNDHARMONICS = 396,       /* B256SOUNDHARMONICS  */
  YYSYMBOL_B256SOUNDID = 397,              /* B256SOUNDID  */
  YYSYMBOL_B256SOUNDLENGTH = 398,          /* B256SOUNDLENGTH  */
  YYSYMBOL_B256SOUNDLOAD = 399,            /* B256SOUNDLOAD  */
  YYSYMBOL_B256SOUNDLOADRAW = 400,         /* B256SOUNDLOADRAW  */
  YYSYMBOL_B256SOUNDLOOP = 401,            /* B256SOUNDLOOP  */
  YYSYMBOL_B256SOUNDPAUSE = 402,           /* B256SOUNDPAUSE  */
  YYSYMBOL_B256SOUNDPLAY = 403,            /* B256SOUNDPLAY  */
  YYSYMBOL_B256SOUNDPLAYER = 404,          /* B256SOUNDPLAYER  */
  YYSYMBOL_B256SOUNDPLAYEROFF = 405,       /* B256SOUNDPLAYEROFF  */
  YYSYMBOL_B256SOUNDPOSITION = 406,        /* B256SOUNDPOSITION  */
  YYSYMBOL_B256SOUNDSAMPLERATE = 407,      /* B256SOUNDSAMPLERATE  */
  YYSYMBOL_B256SOUNDSEEK = 408,            /* B256SOUNDSEEK  */
  YYSYMBOL_B256SOUNDSTATE = 409,           /* B256SOUNDSTATE  */
  YYSYMBOL_B256SOUNDSTOP = 410,            /* B256SOUNDSTOP  */
  YYSYMBOL_B256SOUNDSYSTEM = 411,          /* B256SOUNDSYSTEM  */
  YYSYMBOL_B256SOUNDVOLUME = 412,          /* B256SOUNDVOLUME  */
  YYSYMBOL_B256SOUNDWAIT = 413,            /* B256SOUNDWAIT  */
  YYSYMBOL_B256SOUNDWAVEFORM = 414,        /* B256SOUNDWAVEFORM  */
  YYSYMBOL_B256SPRITECOLLIDE = 415,        /* B256SPRITECOLLIDE  */
  YYSYMBOL_B256SPRITEDIM = 416,            /* B256SPRITEDIM  */
  YYSYMBOL_B256SPRITEH = 417,              /* B256SPRITEH  */
  YYSYMBOL_B256SPRITEHIDE = 418,           /* B256SPRITEHIDE  */
  YYSYMBOL_B256SPRITELOAD = 419,           /* B256SPRITELOAD  */
  YYSYMBOL_B256SPRITEMOVE = 420,           /* B256SPRITEMOVE  */
  YYSYMBOL_B256SPRITEO = 421,              /* B256SPRITEO  */
  YYSYMBOL_B256SPRITEPLACE = 422,          /* B256SPRITEPLACE  */
  YYSYMBOL_B256SPRITEPOLY = 423,           /* B256SPRITEPOLY  */
  YYSYMBOL_B256SPRITER = 424,              /* B256SPRITER  */
  YYSYMBOL_B256SPRITES = 425,              /* B256SPRITES  */
  YYSYMBOL_B256SPRITESHOW = 426,           /* B256SPRITESHOW  */
  YYSYMBOL_B256SPRITESLICE = 427,          /* B256SPRITESLICE  */
  YYSYMBOL_B256SPRITETEXT = 428,           /* B256SPRITETEXT  */
  YYSYMBOL_B256SPRITEV = 429,              /* B256SPRITEV  */
  YYSYMBOL_B256SPRITEW = 430,              /* B256SPRITEW  */
  YYSYMBOL_B256SPRITEX = 431,              /* B256SPRITEX  */
  YYSYMBOL_B256SPRITEY = 432,              /* B256SPRITEY  */
  YYSYMBOL_B256SQR = 433,                  /* B256SQR  */
  YYSYMBOL_B256STAMP = 434,                /* B256STAMP  */
  YYSYMBOL_B256STEP = 435,                 /* B256STEP  */
  YYSYMBOL_B256SUB1 = 436,                 /* B256SUB1  */
  YYSYMBOL_B256SUBEQUAL = 437,             /* B256SUBEQUAL  */
  YYSYMBOL_B256SUBROUTINE = 438,           /* B256SUBROUTINE  */
  YYSYMBOL_B256SYSTEM = 439,               /* B256SYSTEM  */
  YYSYMBOL_B256TAN = 440,                  /* B256TAN  */
  YYSYMBOL_B256TEXT = 441,                 /* B256TEXT  */
  YYSYMBOL_B256TEXTHEIGHT = 442,           /* B256TEXTHEIGHT  */
  YYSYMBOL_B256TEXTWIDTH = 443,            /* B256TEXTWIDTH  */
  YYSYMBOL_B256THEN = 444,                 /* B256THEN  */
  YYSYMBOL_B256THROWERROR = 445,           /* B256THROWERROR  */
  YYSYMBOL_B256TO = 446,                   /* B256TO  */
  YYSYMBOL_B256TOBINARY = 447,             /* B256TOBINARY  */
  YYSYMBOL_B256TOFLOAT = 448,              /* B256TOFLOAT  */
  YYSYMBOL_B256TOHEX = 449,                /* B256TOHEX  */
  YYSYMBOL_B256TOINT = 450,                /* B256TOINT  */
  YYSYMBOL_B256TOOCTAL = 451,              /* B256TOOCTAL  */
  YYSYMBOL_B256TORADIX = 452,              /* B256TORADIX  */
  YYSYMBOL_B256TOSTRING = 453,             /* B256TOSTRING  */
  YYSYMBOL_B256TRIM = 454,                 /* B256TRIM  */
  YYSYMBOL_B256TRY = 455,                  /* B256TRY  */
  YYSYMBOL_B256TYPEOF = 456,               /* B256TYPEOF  */
  YYSYMBOL_B256TYPE_ARRAY = 457,           /* B256TYPE_ARRAY  */
  YYSYMBOL_B256TYPE_FLOAT = 458,           /* B256TYPE_FLOAT  */
  YYSYMBOL_B256TYPE_INT = 459,             /* B256TYPE_INT  */
  YYSYMBOL_B256TYPE_MAP = 460,             /* B256TYPE_MAP  */
  YYSYMBOL_B256TYPE_REF = 461,             /* B256TYPE_REF  */
  YYSYMBOL_B256TYPE_STRING = 462,          /* B256TYPE_STRING  */
  YYSYMBOL_B256TYPE_UNASSIGNED = 463,      /* B256TYPE_UNASSIGNED  */
  YYSYMBOL_B256UNASSIGN = 464,             /* B256UNASSIGN  */
  YYSYMBOL_B256UNLOAD = 465,               /* B256UNLOAD  */
  YYSYMBOL_B256UNSERIALIZE = 466,          /* B256UNSERIALIZE  */
  YYSYMBOL_B256UNTIL = 467,                /* B256UNTIL  */
  YYSYMBOL_B256UPPER = 468,                /* B256UPPER  */
  YYSYMBOL_B256VARIABLEWATCH = 469,        /* B256VARIABLEWATCH  */
  YYSYMBOL_B256VERSION = 470,              /* B256VERSION  */
  YYSYMBOL_B256VOLUME = 471,               /* B256VOLUME  */
  YYSYMBOL_B256WARNING_ARRAYELEMENT = 472, /* B256WARNING_ARRAYELEMENT  */
  YYSYMBOL_B256WARNING_BOOLEANCONV = 473,  /* B256WARNING_BOOLEANCONV  */
  YYSYMBOL_B256WARNING_INTEGERRANGE = 474, /* B256WARNING_INTEGERRANGE  */
  YYSYMBOL_B256WARNING_LONGRANGE = 475,    /* B256WARNING_LONGRANGE  */
  YYSYMBOL_B256WARNING_NUMBERCONV = 476,   /* B256WARNING_NUMBERCONV  */
  YYSYMBOL_B256WARNING_REFNOTASSIGNED = 477, /* B256WARNING_REFNOTASSIGNED  */
  YYSYMBOL_B256WARNING_SOUNDERROR = 478,   /* B256WARNING_SOUNDERROR  */
  YYSYMBOL_B256WARNING_SOUNDFILEFORMAT = 479, /* B256WARNING_SOUNDFILEFORMAT  */
  YYSYMBOL_B256WARNING_SOUNDLENGTH = 480,  /* B256WARNING_SOUNDLENGTH  */
  YYSYMBOL_B256WARNING_SOUNDNOTSEEKABLE = 481, /* B256WARNING_SOUNDNOTSEEKABLE  */
  YYSYMBOL_B256WARNING_START = 482,        /* B256WARNING_START  */
  YYSYMBOL_B256WARNING_STRING2NOTE = 483,  /* B256WARNING_STRING2NOTE  */
  YYSYMBOL_B256WARNING_STRINGCONV = 484,   /* B256WARNING_STRINGCONV  */
  YYSYMBOL_B256WARNING_VARNOTASSIGNED = 485, /* B256WARNING_VARNOTASSIGNED  */
  YYSYMBOL_B256WARNING_WAVOBSOLETE = 486,  /* B256WARNING_WAVOBSOLETE  */
  YYSYMBOL_B256WAVLENGTH = 487,            /* B256WAVLENGTH  */
  YYSYMBOL_B256WAVPAUSE = 488,             /* B256WAVPAUSE  */
  YYSYMBOL_B256WAVPLAY = 489,              /* B256WAVPLAY  */
  YYSYMBOL_B256WAVPOS = 490,               /* B256WAVPOS  */
  YYSYMBOL_B256WAVSEEK = 491,              /* B256WAVSEEK  */
  YYSYMBOL_B256WAVSTATE = 492,             /* B256WAVSTATE  */
  YYSYMBOL_B256WAVSTOP = 493,              /* B256WAVSTOP  */
  YYSYMBOL_B256WAVWAIT = 494,              /* B256WAVWAIT  */
  YYSYMBOL_B256WHILE = 495,                /* B256WHILE  */
  YYSYMBOL_B256WHITE = 496,                /* B256WHITE  */
  YYSYMBOL_B256WRITE = 497,                /* B256WRITE  */
  YYSYMBOL_B256WRITEBYTE = 498,            /* B256WRITEBYTE  */
  YYSYMBOL_B256WRITELINE = 499,            /* B256WRITELINE  */
  YYSYMBOL_B256XOR = 500,                  /* B256XOR  */
  YYSYMBOL_B256YEAR = 501,                 /* B256YEAR  */
  YYSYMBOL_B256YELLOW = 502,               /* B256YELLOW  */
  YYSYMBOL_B256ZFILL = 503,                /* B256ZFILL  */
  YYSYMBOL_B256INTEGER = 504,              /* B256INTEGER  */
  YYSYMBOL_B256FLOAT = 505,                /* B256FLOAT  */
  YYSYMBOL_B256STRING = 506,               /* B256STRING  */
  YYSYMBOL_B256HEXCONST = 507,             /* B256HEXCONST  */
  YYSYMBOL_B256BINCONST = 508,             /* B256BINCONST  */
  YYSYMBOL_B256OCTCONST = 509,             /* B256OCTCONST  */
  YYSYMBOL_B256VARIABLE = 510,             /* B256VARIABLE  */
  YYSYMBOL_B256LABEL = 511,                /* B256LABEL  */
  YYSYMBOL_512_ = 512,                     /* ','  */
  YYSYMBOL_513_ = 513,                     /* '<'  */
  YYSYMBOL_514_ = 514,                     /* '>'  */
  YYSYMBOL_515_ = 515,                     /* '='  */
  YYSYMBOL_516_ = 516,                     /* '-'  */
  YYSYMBOL_517_ = 517,                     /* '+'  */
  YYSYMBOL_518_ = 518,                     /* '*'  */
  YYSYMBOL_519_ = 519,                     /* '/'  */
  YYSYMBOL_B256UNARY = 520,                /* B256UNARY  */
  YYSYMBOL_521_ = 521,                     /* '^'  */
  YYSYMBOL_522_ = 522,                     /* '['  */
  YYSYMBOL_523_ = 523,                     /* ']'  */
  YYSYMBOL_524_ = 524,                     /* '{'  */
  YYSYMBOL_525_ = 525,                     /* '}'  */
  YYSYMBOL_526_ = 526,                     /* '('  */
  YYSYMBOL_527_ = 527,                     /* ')'  */
  YYSYMBOL_528_n_ = 528,                   /* '\n'  */
  YYSYMBOL_529_ = 529,                     /* ':'  */
  YYSYMBOL_530_ = 530,                     /* '?'  */
  YYSYMBOL_531_ = 531,                     /* '%'  */
  YYSYMBOL_YYACCEPT = 532,                 /* $accept  */
  YYSYMBOL_program = 533,                  /* program  */
  YYSYMBOL_programnewline = 534,           /* programnewline  */
  YYSYMBOL_programline = 535,              /* programline  */
  YYSYMBOL_label = 536,                    /* label  */
  YYSYMBOL_compoundstmt = 537,             /* compoundstmt  */
  YYSYMBOL_array_none = 538,               /* array_none  */
  YYSYMBOL_array_size = 539,               /* array_size  */
  YYSYMBOL_array_size_rows = 540,          /* array_size_rows  */
  YYSYMBOL_array_size_cols = 541,          /* array_size_cols  */
  YYSYMBOL_array_indexing = 542,           /* array_indexing  */
  YYSYMBOL_variable = 543,                 /* variable  */
  YYSYMBOL_variable_a = 544,               /* variable_a  */
  YYSYMBOL_array_element = 545,            /* array_element  */
  YYSYMBOL_functionvariable = 546,         /* functionvariable  */
  YYSYMBOL_functionvariablelist = 547,     /* functionvariablelist  */
  YYSYMBOL_functionvariables = 548,        /* functionvariables  */
  YYSYMBOL_listoflists = 549,              /* listoflists  */
  YYSYMBOL_listinlist = 550,               /* listinlist  */
  YYSYMBOL_listofitems = 551,              /* listofitems  */
  YYSYMBOL_listitems = 552,                /* listitems  */
  YYSYMBOL_listofmapitems = 553,           /* listofmapitems  */
  YYSYMBOL_mapitems = 554,                 /* mapitems  */
  YYSYMBOL_callexprlist = 555,             /* callexprlist  */
  YYSYMBOL_callexpr = 556,                 /* callexpr  */
  YYSYMBOL_args_none = 557,                /* args_none  */
  YYSYMBOL_args_ee = 558,                  /* args_ee  */
  YYSYMBOL_args_ea = 559,                  /* args_ea  */
  YYSYMBOL_args_ev = 560,                  /* args_ev  */
  YYSYMBOL_args_eee = 561,                 /* args_eee  */
  YYSYMBOL_args_eeee = 562,                /* args_eeee  */
  YYSYMBOL_args_eeeee = 563,               /* args_eeeee  */
  YYSYMBOL_args_eeeeee = 564,              /* args_eeeeee  */
  YYSYMBOL_args_eeeeeee = 565,             /* args_eeeeeee  */
  YYSYMBOL_args_eeeeeeeee = 566,           /* args_eeeeeeeee  */
  YYSYMBOL_args_eeeeeeeeee = 567,          /* args_eeeeeeeeee  */
  YYSYMBOL_expr = 568,                     /* expr  */
  YYSYMBOL_expr_multi = 569,               /* expr_multi  */
  YYSYMBOL_expr_function = 570,            /* expr_function  */
  YYSYMBOL_expr_constants = 571,           /* expr_constants  */
  YYSYMBOL_expr_errors = 572,              /* expr_errors  */
  YYSYMBOL_expr_numeric = 573,             /* expr_numeric  */
  YYSYMBOL_expr_string = 574,              /* expr_string  */
  YYSYMBOL_expr_dataelement = 575,         /* expr_dataelement  */
  YYSYMBOL_statement = 576,                /* statement  */
  YYSYMBOL_begincasestmt = 577,            /* begincasestmt  */
  YYSYMBOL_casestmt = 578,                 /* casestmt  */
  YYSYMBOL_579_1 = 579,                    /* $@1  */
  YYSYMBOL_catchstmt = 580,                /* catchstmt  */
  YYSYMBOL_dostmt = 581,                   /* dostmt  */
  YYSYMBOL_elsestmt = 582,                 /* elsestmt  */
  YYSYMBOL_endcasestmt = 583,              /* endcasestmt  */
  YYSYMBOL_endifstmt = 584,                /* endifstmt  */
  YYSYMBOL_endtrystmt = 585,               /* endtrystmt  */
  YYSYMBOL_endwhilestmt = 586,             /* endwhilestmt  */
  YYSYMBOL_ifstmt = 587,                   /* ifstmt  */
  YYSYMBOL_ifthenstmt = 588,               /* ifthenstmt  */
  YYSYMBOL_ifthenelsestmt = 589,           /* ifthenelsestmt  */
  YYSYMBOL_ifthenelse = 590,               /* ifthenelse  */
  YYSYMBOL_trystmt = 591,                  /* trystmt  */
  YYSYMBOL_untilstmt = 592,                /* untilstmt  */
  YYSYMBOL_593_2 = 593,                    /* $@2  */
  YYSYMBOL_whilestmt = 594,                /* whilestmt  */
  YYSYMBOL_595_3 = 595,                    /* $@3  */
  YYSYMBOL_letstmt = 596,                  /* letstmt  */
  YYSYMBOL_mapstmt = 597,                  /* mapstmt  */
  YYSYMBOL_dimstmt = 598,                  /* dimstmt  */
  YYSYMBOL_redimstmt = 599,                /* redimstmt  */
  YYSYMBOL_pausestmt = 600,                /* pausestmt  */
  YYSYMBOL_throwerrorstmt = 601,           /* throwerrorstmt  */
  YYSYMBOL_clearstmt = 602,                /* clearstmt  */
  YYSYMBOL_fastgraphicsstmt = 603,         /* fastgraphicsstmt  */
  YYSYMBOL_graphsizestmt = 604,            /* graphsizestmt  */
  YYSYMBOL_refreshstmt = 605,              /* refreshstmt  */
  YYSYMBOL_endstmt = 606,                  /* endstmt  */
  YYSYMBOL_arrayelementassign = 607,       /* arrayelementassign  */
  YYSYMBOL_arrayassign = 608,              /* arrayassign  */
  YYSYMBOL_assign = 609,                   /* assign  */
  YYSYMBOL_forstmt = 610,                  /* forstmt  */
  YYSYMBOL_foreachstmt = 611,              /* foreachstmt  */
  YYSYMBOL_nextstmt = 612,                 /* nextstmt  */
  YYSYMBOL_gotostmt = 613,                 /* gotostmt  */
  YYSYMBOL_gosubstmt = 614,                /* gosubstmt  */
  YYSYMBOL_callstmt = 615,                 /* callstmt  */
  YYSYMBOL_offerrorstmt = 616,             /* offerrorstmt  */
  YYSYMBOL_onerrorstmt = 617,              /* onerrorstmt  */
  YYSYMBOL_onstopstmt = 618,               /* onstopstmt  */
  YYSYMBOL_returnstmt = 619,               /* returnstmt  */
  YYSYMBOL_colorstmt = 620,                /* colorstmt  */
  YYSYMBOL_soundstmt = 621,                /* soundstmt  */
  YYSYMBOL_soundplaystmt = 622,            /* soundplaystmt  */
  YYSYMBOL_soundpausestmt = 623,           /* soundpausestmt  */
  YYSYMBOL_soundplayeroffstmt = 624,       /* soundplayeroffstmt  */
  YYSYMBOL_soundstopstmt = 625,            /* soundstopstmt  */
  YYSYMBOL_soundwaitstmt = 626,            /* soundwaitstmt  */
  YYSYMBOL_soundwaveformstmt = 627,        /* soundwaveformstmt  */
  YYSYMBOL_soundsystemstmt = 628,          /* soundsystemstmt  */
  YYSYMBOL_soundenvelopestmt = 629,        /* soundenvelopestmt  */
  YYSYMBOL_soundharmonicsstmt = 630,       /* soundharmonicsstmt  */
  YYSYMBOL_soundfadestmt = 631,            /* soundfadestmt  */
  YYSYMBOL_soundseekstmt = 632,            /* soundseekstmt  */
  YYSYMBOL_soundvolumestmt = 633,          /* soundvolumestmt  */
  YYSYMBOL_soundloopstmt = 634,            /* soundloopstmt  */
  YYSYMBOL_plotstmt = 635,                 /* plotstmt  */
  YYSYMBOL_linestmt = 636,                 /* linestmt  */
  YYSYMBOL_circlestmt = 637,               /* circlestmt  */
  YYSYMBOL_ellipsestmt = 638,              /* ellipsestmt  */
  YYSYMBOL_arcstmt = 639,                  /* arcstmt  */
  YYSYMBOL_chordstmt = 640,                /* chordstmt  */
  YYSYMBOL_piestmt = 641,                  /* piestmt  */
  YYSYMBOL_rectstmt = 642,                 /* rectstmt  */
  YYSYMBOL_textstmt = 643,                 /* textstmt  */
  YYSYMBOL_fontstmt = 644,                 /* fontstmt  */
  YYSYMBOL_saystmt = 645,                  /* saystmt  */
  YYSYMBOL_systemstmt = 646,               /* systemstmt  */
  YYSYMBOL_volumestmt = 647,               /* volumestmt  */
  YYSYMBOL_polystmt = 648,                 /* polystmt  */
  YYSYMBOL_stampstmt = 649,                /* stampstmt  */
  YYSYMBOL_openstmt = 650,                 /* openstmt  */
  YYSYMBOL_writestmt = 651,                /* writestmt  */
  YYSYMBOL_writelinestmt = 652,            /* writelinestmt  */
  YYSYMBOL_writebytestmt = 653,            /* writebytestmt  */
  YYSYMBOL_closestmt = 654,                /* closestmt  */
  YYSYMBOL_resetstmt = 655,                /* resetstmt  */
  YYSYMBOL_seedstmt = 656,                 /* seedstmt  */
  YYSYMBOL_seekstmt = 657,                 /* seekstmt  */
  YYSYMBOL_inputstmt = 658,                /* inputstmt  */
  YYSYMBOL_printstmt = 659,                /* printstmt  */
  YYSYMBOL_printatstmt = 660,              /* printatstmt  */
  YYSYMBOL_wavpausestmt = 661,             /* wavpausestmt  */
  YYSYMBOL_wavplaystmt = 662,              /* wavplaystmt  */
  YYSYMBOL_wavseekstmt = 663,              /* wavseekstmt  */
  YYSYMBOL_wavstopstmt = 664,              /* wavstopstmt  */
  YYSYMBOL_wavwaitstmt = 665,              /* wavwaitstmt  */
  YYSYMBOL_putslicestmt = 666,             /* putslicestmt  */
  YYSYMBOL_imgloadstmt = 667,              /* imgloadstmt  */
  YYSYMBOL_spritedimstmt = 668,            /* spritedimstmt  */
  YYSYMBOL_spriteloadstmt = 669,           /* spriteloadstmt  */
  YYSYMBOL_spriteslicestmt = 670,          /* spriteslicestmt  */
  YYSYMBOL_spritepolystmt = 671,           /* spritepolystmt  */
  YYSYMBOL_spritetextstmt = 672,           /* spritetextstmt  */
  YYSYMBOL_spriteplacestmt = 673,          /* spriteplacestmt  */
  YYSYMBOL_spritemovestmt = 674,           /* spritemovestmt  */
  YYSYMBOL_spritehidestmt = 675,           /* spritehidestmt  */
  YYSYMBOL_spriteshowstmt = 676,           /* spriteshowstmt  */
  YYSYMBOL_clickclearstmt = 677,           /* clickclearstmt  */
  YYSYMBOL_changedirstmt = 678,            /* changedirstmt  */
  YYSYMBOL_dbopenstmt = 679,               /* dbopenstmt  */
  YYSYMBOL_dbclosestmt = 680,              /* dbclosestmt  */
  YYSYMBOL_dbexecutestmt = 681,            /* dbexecutestmt  */
  YYSYMBOL_dbopensetstmt = 682,            /* dbopensetstmt  */
  YYSYMBOL_dbclosesetstmt = 683,           /* dbclosesetstmt  */
  YYSYMBOL_netlistenstmt = 684,            /* netlistenstmt  */
  YYSYMBOL_netconnectstmt = 685,           /* netconnectstmt  */
  YYSYMBOL_netwritestmt = 686,             /* netwritestmt  */
  YYSYMBOL_netclosestmt = 687,             /* netclosestmt  */
  YYSYMBOL_killstmt = 688,                 /* killstmt  */
  YYSYMBOL_setclipboardimagestmt = 689,    /* setclipboardimagestmt  */
  YYSYMBOL_setclipboardstringstmt = 690,   /* setclipboardstringstmt  */
  YYSYMBOL_setsettingstmt = 691,           /* setsettingstmt  */
  YYSYMBOL_portoutstmt = 692,              /* portoutstmt  */
  YYSYMBOL_imgsavestmt = 693,              /* imgsavestmt  */
  YYSYMBOL_editvisiblestmt = 694,          /* editvisiblestmt  */
  YYSYMBOL_graphvisiblestmt = 695,         /* graphvisiblestmt  */
  YYSYMBOL_outputvisiblestmt = 696,        /* outputvisiblestmt  */
  YYSYMBOL_maintoolbarvisiblestmt = 697,   /* maintoolbarvisiblestmt  */
  YYSYMBOL_graphtoolbarvisiblestmt = 698,  /* graphtoolbarvisiblestmt  */
  YYSYMBOL_outputtoolbarvisiblestmt = 699, /* outputtoolbarvisiblestmt  */
  YYSYMBOL_globalstmt = 700,               /* globalstmt  */
  YYSYMBOL_penwidthstmt = 701,             /* penwidthstmt  */
  YYSYMBOL_alertstmt = 702,                /* alertstmt  */
  YYSYMBOL_continuedostmt = 703,           /* continuedostmt  */
  YYSYMBOL_continueforstmt = 704,          /* continueforstmt  */
  YYSYMBOL_continuewhilestmt = 705,        /* continuewhilestmt  */
  YYSYMBOL_exitdostmt = 706,               /* exitdostmt  */
  YYSYMBOL_exitforstmt = 707,              /* exitforstmt  */
  YYSYMBOL_exitwhilestmt = 708,            /* exitwhilestmt  */
  YYSYMBOL_printercancelstmt = 709,        /* printercancelstmt  */
  YYSYMBOL_printeroffstmt = 710,           /* printeroffstmt  */
  YYSYMBOL_printeronstmt = 711,            /* printeronstmt  */
  YYSYMBOL_printerpagestmt = 712,          /* printerpagestmt  */
  YYSYMBOL_functionstmt = 713,             /* functionstmt  */
  YYSYMBOL_subroutinestmt = 714,           /* subroutinestmt  */
  YYSYMBOL_endfunctionstmt = 715,          /* endfunctionstmt  */
  YYSYMBOL_endsubroutinestmt = 716,        /* endsubroutinestmt  */
  YYSYMBOL_regexminimalstmt = 717,         /* regexminimalstmt  */
  YYSYMBOL_unassignstmt = 718,             /* unassignstmt  */
  YYSYMBOL_variablewatchstmt = 719,        /* variablewatchstmt  */
  YYSYMBOL_imagecropstmt = 720,            /* imagecropstmt  */
  YYSYMBOL_imageautocropstmt = 721,        /* imageautocropstmt  */
  YYSYMBOL_imageresizestmt = 722,          /* imageresizestmt  */
  YYSYMBOL_imagesetpixelstmt = 723,        /* imagesetpixelstmt  */
  YYSYMBOL_imagedrawstmt = 724,            /* imagedrawstmt  */
  YYSYMBOL_imagecenteredstmt = 725,        /* imagecenteredstmt  */
  YYSYMBOL_imagetransformedstmt = 726,     /* imagetransformedstmt  */
  YYSYMBOL_imagerotatestmt = 727,          /* imagerotatestmt  */
  YYSYMBOL_imageflipstmt = 728,            /* imageflipstmt  */
  YYSYMBOL_imagesmoothstmt = 729,          /* imagesmoothstmt  */
  YYSYMBOL_unloadstmt = 730,               /* unloadstmt  */
  YYSYMBOL_setgraphstmt = 731,             /* setgraphstmt  */
  YYSYMBOL_arraybasestmt = 732             /* arraybasestmt  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  949
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   36608

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  532
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  201
/* YYNRULES -- Number of rules.  */
#define YYNRULES  951
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2002

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   767


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     528,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   531,     2,     2,
     526,   527,   518,   517,   512,   516,     2,   519,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   529,     2,
     513,   515,   514,   530,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   522,     2,   523,   521,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   524,     2,   525,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   520
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   901,   901,   902,   906,   914,   915,   916,   917,   918,
     919,   920,   921,   925,   943,   944,   957,   961,   965,   966,
     970,   971,   976,   977,   978,   985,   988,   992,   993,   994,
     998,   999,  1009,  1016,  1017,  1022,  1023,  1036,  1048,  1054,
    1055,  1061,  1070,  1071,  1077,  1088,  1089,  1095,  1096,  1102,
    1103,  1117,  1118,  1125,  1126,  1130,  1131,  1135,  1136,  1141,
    1142,  1147,  1148,  1153,  1154,  1159,  1160,  1165,  1166,  1171,
    1172,  1177,  1178,  1183,  1184,  1185,  1186,  1187,  1188,  1189,
    1190,  1200,  1201,  1204,  1207,  1210,  1218,  1224,  1239,  1240,
    1241,  1242,  1243,  1244,  1245,  1246,  1247,  1248,  1249,  1250,
    1251,  1252,  1253,  1254,  1255,  1256,  1257,  1258,  1259,  1260,
    1261,  1262,  1263,  1264,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,  1272,  1273,  1274,  1275,  1276,  1277,  1278,  1286,  1289,
    1292,  1295,  1298,  1301,  1304,  1307,  1310,  1313,  1316,  1319,
    1322,  1325,  1328,  1331,  1334,  1337,  1340,  1343,  1346,  1349,
    1352,  1355,  1358,  1361,  1364,  1367,  1370,  1373,  1376,  1379,
    1382,  1385,  1388,  1391,  1394,  1397,  1400,  1403,  1406,  1409,
    1412,  1415,  1418,  1421,  1424,  1427,  1430,  1433,  1436,  1439,
    1442,  1445,  1448,  1451,  1454,  1457,  1460,  1463,  1466,  1469,
    1472,  1475,  1478,  1481,  1484,  1487,  1490,  1493,  1496,  1499,
    1502,  1505,  1508,  1511,  1514,  1517,  1520,  1523,  1526,  1529,
    1532,  1535,  1538,  1541,  1544,  1547,  1550,  1553,  1556,  1559,
    1562,  1565,  1568,  1571,  1574,  1577,  1580,  1583,  1586,  1589,
    1592,  1595,  1598,  1601,  1604,  1607,  1610,  1613,  1616,  1619,
    1622,  1625,  1628,  1631,  1634,  1637,  1640,  1643,  1646,  1649,
    1652,  1655,  1658,  1661,  1664,  1674,  1675,  1684,  1689,  1698,
    1702,  1705,  1708,  1711,  1716,  1719,  1722,  1723,  1724,  1725,
    1726,  1727,  1730,  1733,  1734,  1735,  1736,  1737,  1738,  1739,
    1740,  1741,  1745,  1757,  1769,  1781,  1793,  1800,  1807,  1814,
    1821,  1822,  1823,  1824,  1825,  1830,  1834,  1835,  1839,  1840,
    1841,  1842,  1843,  1844,  1845,  1846,  1847,  1848,  1849,  1850,
    1851,  1852,  1853,  1854,  1855,  1856,  1857,  1861,  1862,  1863,
    1864,  1865,  1866,  1867,  1868,  1869,  1870,  1871,  1875,  1876,
    1880,  1881,  1885,  1888,  1889,  1890,  1891,  1892,  1893,  1894,
    1895,  1899,  1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,
    1910,  1911,  1912,  1913,  1914,  1915,  1920,  1924,  1927,  1933,
    1937,  1939,  1945,  1949,  1951,  1957,  1961,  1963,  1964,  1965,
    1966,  1967,  1968,  1972,  1973,  1974,  1975,  1976,  1977,  1978,
    1979,  1980,  1981,  1982,  1983,  1987,  1988,  1989,  1990,  1991,
    1995,  1998,  2002,  2006,  2010,  2013,  2023,  2033,  2043,  2044,
    2045,  2047,  2051,  2054,  2060,  2063,  2066,  2070,  2073,  2077,
    2080,  2084,  2087,  2090,  2093,  2096,  2100,  2103,  2106,  2109,
    2112,  2115,  2118,  2126,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,  2147,
    2151,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
    2162,  2163,  2164,  2168,  2169,  2170,  2173,  2178,  2182,  2185,
    2188,  2190,  2194,  2198,  2202,  2205,  2208,  2209,  2210,  2211,
    2212,  2213,  2214,  2215,  2218,  2224,  2227,  2230,  2234,  2237,
    2241,  2245,  2249,  2253,  2257,  2260,  2264,  2267,  2271,  2274,
    2288,  2291,  2294,  2297,  2301,  2305,  2308,  2312,  2316,  2327,
    2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,
    2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,
    2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,
    2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,
    2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
    2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,
    2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,
    2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,
    2430,  2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,  2451,
    2452,  2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,
    2486,  2493,  2493,  2524,  2551,  2561,  2607,  2638,  2660,  2683,
    2707,  2718,  2729,  2738,  2752,  2763,  2763,  2790,  2790,  2801,
    2802,  2803,  2804,  2805,  2806,  2809,  2816,  2819,  2825,  2830,
    2838,  2841,  2847,  2850,  2856,  2859,  2865,  2870,  2878,  2881,
    2889,  2895,  2900,  2903,  2913,  2919,  2925,  2929,  2935,  2940,
    2947,  2950,  2959,  2968,  2978,  2989,  2999,  3010,  3021,  3036,
    3044,  3047,  3053,  3059,  3065,  3071,  3076,  3082,  3088,  3097,
    3108,  3120,  3129,  3141,  3163,  3183,  3192,  3202,  3207,  3215,
    3221,  3224,  3227,  3234,  3239,  3251,  3263,  3267,  3270,  3279,
    3286,  3291,  3295,  3301,  3309,  3312,  3318,  3321,  3327,  3330,
    3337,  3340,  3347,  3351,  3356,  3361,  3364,  3367,  3372,  3375,
    3378,  3384,  3387,  3397,  3400,  3407,  3410,  3417,  3420,  3427,
    3432,  3439,  3445,  3451,  3455,  3462,  3466,  3473,  3477,  3484,
    3487,  3491,  3497,  3500,  3504,  3510,  3513,  3517,  3522,  3530,
    3536,  3542,  3548,  3553,  3556,  3561,  3570,  3576,  3580,  3586,
    3590,  3598,  3605,  3611,  3616,  3620,  3625,  3630,  3636,  3641,
    3647,  3652,  3657,  3661,  3666,  3670,  3675,  3680,  3685,  3690,
    3695,  3701,  3707,  3713,  3718,  3724,  3730,  3736,  3741,  3747,
    3753,  3759,  3764,  3770,  3776,  3785,  3790,  3795,  3800,  3805,
    3810,  3815,  3820,  3827,  3831,  3838,  3844,  3848,  3853,  3859,
    3865,  3871,  3877,  3885,  3891,  3898,  3904,  3910,  3916,  3922,
    3926,  3932,  3937,  3942,  3947,  3955,  3960,  3964,  3968,  3975,
    3981,  3987,  3993,  3999,  4004,  4010,  4014,  4020,  4025,  4031,
    4038,  4043,  4049,  4054,  4058,  4064,  4069,  4075,  4080,  4086,
    4091,  4097,  4101,  4106,  4112,  4118,  4124,  4130,  4136,  4140,
    4146,  4152,  4158,  4164,  4170,  4176,  4182,  4197,  4203,  4209,
    4225,  4241,  4257,  4273,  4289,  4305,  4311,  4317,  4323,  4329,
    4373,  4412,  4440,  4464,  4470,  4473,  4480,  4486,  4492,  4496,
    4503,  4507,  4514,  4517,  4524,  4528,  4532,  4536,  4543,  4548,
    4552,  4556,  4563,  4566,  4573,  4580,  4583,  4590,  4596,  4602,
    4605,  4612
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "B256ABS", "B256ACOS",
  "B256ADD1", "B256ADDEQUAL", "B256ALERT", "B256AMP", "B256AMPEQUAL",
  "B256AND", "B256ARC", "B256ARRAYBASE", "B256ASC", "B256ASIN",
  "B256ASSIGNED", "B256ATAN", "B256BEGINCASE", "B256BINARYNOT",
  "B256BINARYOR", "B256BITSHIFTL", "B256BITSHIFTR", "B256BLACK",
  "B256BLUE", "B256BOOLEOF", "B256BOOLFALSE", "B256BOOLTRUE", "B256CALL",
  "B256CASE", "B256CATCH", "B256CEIL", "B256CHANGEDIR", "B256CHORD",
  "B256CHR", "B256CIRCLE", "B256CLEAR", "B256CLG", "B256CLICKB",
  "B256CLICKCLEAR", "B256CLICKX", "B256CLICKY", "B256CLOSE", "B256CLS",
  "B256CONFIRM", "B256CONTINUEDO", "B256CONTINUEFOR", "B256CONTINUEWHILE",
  "B256COS", "B256COUNT", "B256COUNTX", "B256CURRENTDIR", "B256CYAN",
  "B256DARKBLUE", "B256DARKCYAN", "B256DARKGREEN", "B256DARKGREY",
  "B256DARKORANGE", "B256DARKPURPLE", "B256DARKRED", "B256DARKYELLOW",
  "B256DAY", "B256DBCLOSE", "B256DBCLOSESET", "B256DBEXECUTE",
  "B256DBFLOAT", "B256DBINT", "B256DBNULL", "B256DBOPEN", "B256DBOPENSET",
  "B256DBROW", "B256DBSTRING", "B256DEBUGINFO", "B256DEGREES", "B256DIM",
  "B256DIR", "B256DIVEQUAL", "B256DO", "B256EDITVISIBLE", "B256ELLIPSE",
  "B256ELSE", "B256END", "B256ENDCASE", "B256ENDFUNCTION", "B256ENDIF",
  "B256ENDSUBROUTINE", "B256ENDTRY", "B256ENDWHILE",
  "B256ERROR_ARGUMENTCOUNT", "B256ERROR_ARRAYELEMENT",
  "B256ERROR_ARRAYEVEN", "B256ERROR_ARRAYEXPR", "B256ERROR_ARRAYINDEX",
  "B256ERROR_ARRAYINDEXMISSING", "B256ERROR_ARRAYLENGTH2D",
  "B256ERROR_ARRAYNITEMS", "B256ERROR_ARRAYSIZELARGE",
  "B256ERROR_ARRAYSIZESMALL", "B256ERROR_ASINACOSRANGE",
  "B256ERROR_BOOLEANCONV", "B256ERROR_DBCOLNO", "B256ERROR_DBCONNNUMBER",
  "B256ERROR_DBNOTOPEN", "B256ERROR_DBNOTSET", "B256ERROR_DBNOTSETROW",
  "B256ERROR_DBOPEN", "B256ERROR_DBQUERY", "B256ERROR_DBSETNUMBER",
  "B256ERROR_DIVZERO", "B256ERROR_DOWNLOAD", "B256ERROR_ENVELOPEMAX",
  "B256ERROR_ENVELOPEODD", "B256ERROR_EXPECTEDARRAY",
  "B256ERROR_EXPECTEDSOUND", "B256ERROR_FILENOTOPEN",
  "B256ERROR_FILENUMBER", "B256ERROR_FILEOPEN", "B256ERROR_FILEOPERATION",
  "B256ERROR_FILERESET", "B256ERROR_FILEWRITE", "B256ERROR_FOLDER",
  "B256ERROR_FREEDB", "B256ERROR_FREEDBSET", "B256ERROR_FREEFILE",
  "B256ERROR_FREENET", "B256ERROR_HARMONICLIST",
  "B256ERROR_HARMONICNUMBER", "B256ERROR_IMAGEFILE",
  "B256ERROR_IMAGERESOURCE", "B256ERROR_IMAGESAVETYPE",
  "B256ERROR_IMAGESCALE", "B256ERROR_INFINITY", "B256ERROR_INTEGERRANGE",
  "B256ERROR_INVALIDKEYNAME", "B256ERROR_INVALIDPROGNAME",
  "B256ERROR_INVALIDRESOURCE", "B256ERROR_LOGRANGE", "B256ERROR_LONGRANGE",
  "B256ERROR_MAXRECURSE", "B256ERROR_NETACCEPT", "B256ERROR_NETBIND",
  "B256ERROR_NETCONN", "B256ERROR_NETHOST", "B256ERROR_NETNONE",
  "B256ERROR_NETREAD", "B256ERROR_NETSOCK", "B256ERROR_NETSOCKNUMBER",
  "B256ERROR_NETSOCKOPT", "B256ERROR_NETWRITE", "B256ERROR_NEXTNOFOR",
  "B256ERROR_NONE", "B256ERROR_NOSUCHFUNCTION", "B256ERROR_NOSUCHLABEL",
  "B256ERROR_NOSUCHSUBROUTINE", "B256ERROR_NOTARRAY",
  "B256ERROR_NOTIMPLEMENTED", "B256ERROR_NUMBERCONV",
  "B256ERROR_NUMBEREXPR", "B256ERROR_ONEDIMENSIONAL",
  "B256ERROR_ONERRORSUB", "B256ERROR_PENWIDTH", "B256ERROR_PERMISSION",
  "B256ERROR_POLYPOINTS", "B256ERROR_PRINTERNOTOFF",
  "B256ERROR_PRINTERNOTON", "B256ERROR_PRINTEROPEN", "B256ERROR_RADIX",
  "B256ERROR_RADIXSTRING", "B256ERROR_REFNOTASSIGNED", "B256ERROR_RGB",
  "B256ERROR_SERIALPARAMETER", "B256ERROR_SETTINGMAXKEYS",
  "B256ERROR_SETTINGMAXLEN", "B256ERROR_SETTINGSGETACCESS",
  "B256ERROR_SETTINGSSETACCESS", "B256ERROR_SLICESIZE",
  "B256ERROR_SOUNDERROR", "B256ERROR_SOUNDFILE",
  "B256ERROR_SOUNDFILEFORMAT", "B256ERROR_SOUNDLENGTH",
  "B256ERROR_SOUNDNOTSEEKABLE", "B256ERROR_SOUNDRESOURCE",
  "B256ERROR_SPRITENA", "B256ERROR_SPRITENUMBER", "B256ERROR_SPRITESLICE",
  "B256ERROR_SQRRANGE", "B256ERROR_STACKUNDERFLOW",
  "B256ERROR_STRING2NOTE", "B256ERROR_STRINGCONV", "B256ERROR_STRINGEXPR",
  "B256ERROR_STRINGMAXLEN", "B256ERROR_STRSTART",
  "B256ERROR_TOOMANYSOUNDS", "B256ERROR_UNEXPECTEDRETURN",
  "B256ERROR_UNSERIALIZEFORMAT", "B256ERROR_VARCIRCULAR",
  "B256ERROR_VARNOTASSIGNED", "B256ERROR_VARNULL",
  "B256ERROR_WAVEFORMLOGICAL", "B256ERROR_WAVOBSOLETE", "B256EXISTS",
  "B256EXITDO", "B256EXITFOR", "B256EXITWHILE", "B256EXP", "B256EXPLODE",
  "B256EXPLODEX", "B256FASTGRAPHICS", "B256FILL", "B256FLOOR", "B256FONT",
  "B256FOR", "B256FOREACH", "B256FREEDB", "B256FREEDBSET", "B256FREEFILE",
  "B256FREENET", "B256FROMBINARY", "B256FROMHEX", "B256FROMOCTAL",
  "B256FROMRADIX", "B256FUNCTION", "B256GETARRAYBASE", "B256GETBRUSHCOLOR",
  "B256GETCLIPBOARDIMAGE", "B256GETCLIPBOARDSTRING", "B256GETCOLOR",
  "B256GETPENWIDTH", "B256GETSETTING", "B256GETSLICE", "B256GLOBAL",
  "B256GOSUB", "B256GOTO", "B256GRAPHHEIGHT", "B256GRAPHSIZE",
  "B256GRAPHVISIBLE", "B256GRAPHTOOLBARVISIBLE", "B256GRAPHWIDTH",
  "B256GREEN", "B256GREY", "B256GTE", "B256HOUR", "B256IF", "B256IN",
  "B256IMAGEAUTOCROP", "B256IMAGECENTERED", "B256IMAGECOPY",
  "B256IMAGECROP", "B256IMAGEDRAW", "B256IMAGEFLIP", "B256IMAGEHEIGHT",
  "B256IMAGELOAD", "B256IMAGENEW", "B256IMAGEPIXEL", "B256IMAGERESIZE",
  "B256IMAGEROTATE", "B256IMAGESETPIXEL", "B256IMAGESMOOTH",
  "B256IMAGETRANSFORMED", "B256IMAGETYPE_BMP", "B256IMAGETYPE_JPG",
  "B256IMAGETYPE_PNG", "B256IMAGEWIDTH", "B256IMGLOAD", "B256IMGSAVE",
  "B256IMPLODE", "B256INPUT", "B256INPUTFLOAT", "B256INPUTINT",
  "B256INPUTSTRING", "B256INSTR", "B256INSTRX", "B256INTDIV",
  "B256ISNUMERIC", "B256KEY", "B256KEYPRESSED", "B256KILL",
  "B256LASTERROR", "B256LASTERROREXTRA", "B256LASTERRORLINE",
  "B256LASTERRORMESSAGE", "B256LEFT", "B256LENGTH", "B256LET", "B256LINE",
  "B256LJUST", "B256LOG", "B256LOGTEN", "B256LOWER", "B256LTE",
  "B256LTRIM", "B256MAINTOOLBARVISIBLE", "B256MAP", "B256MD5", "B256MID",
  "B256MIDX", "B256MINUTE", "B256MOD", "B256MKDIR", "B256MONTH",
  "B256MOUSEB", "B256MOUSEBUTTON_CENTER", "B256MOUSEBUTTON_DOUBLECLICK",
  "B256MOUSEBUTTON_LEFT", "B256MOUSEBUTTON_NONE", "B256MOUSEBUTTON_RIGHT",
  "B256MOUSEX", "B256MOUSEY", "B256MSEC", "B256MULEQUAL", "B256NE",
  "B256NETADDRESS", "B256NETCLOSE", "B256NETCONNECT", "B256NETDATA",
  "B256NETLISTEN", "B256NETREAD", "B256NETWRITE", "B256NEXT", "B256NOT",
  "B256OFFERROR", "B256ONERROR", "B256ONSTOP", "B256OPEN", "B256OPENB",
  "B256OPENFILEDIALOG", "B256OPENSERIAL", "B256OR", "B256ORANGE",
  "B256OSTYPE", "B256OSTYPE_ANDROID", "B256OSTYPE_LINUX",
  "B256OSTYPE_MACINTOSH", "B256OSTYPE_WINDOWS", "B256OUTPUTVISIBLE",
  "B256OUTPUTTOOLBARVISIBLE", "B256PAUSE", "B256PENWIDTH", "B256PI",
  "B256PIE", "B256PIXEL", "B256PLOT", "B256POLY", "B256PORTIN",
  "B256PORTOUT", "B256PRINT", "B256PRINTAT", "B256PRINTERCANCEL",
  "B256PRINTEROFF", "B256PRINTERON", "B256PRINTERPAGE", "B256PROMPT",
  "B256PURPLE", "B256PUTSLICE", "B256RADIANS", "B256RAND", "B256READ",
  "B256READBYTE", "B256READLINE", "B256RECT", "B256RED", "B256REDIM",
  "B256REF", "B256REFRESH", "B256REGEXMINIMAL", "B256REM", "B256REPLACE",
  "B256REPLACEX", "B256SAVEFILEDIALOG", "B256RESET", "B256RETURN",
  "B256RGB", "B256RIGHT", "B256RJUST", "B256RMDIR", "B256ROUND",
  "B256RTRIM", "B256SAY", "B256SECOND", "B256SEED", "B256SEEK",
  "B256SEMICOLON", "B256SEMICOLONEQUAL", "B256SERIALIZE",
  "B256SETCLIPBOARDIMAGE", "B256SETCLIPBOARDSTRING", "B256SETCOLOR",
  "B256SETGRAPH", "B256SETSETTING", "B256SIN", "B256SIZE", "B256SLICE_ALL",
  "B256SLICE_PAINT", "B256SLICE_SPRITE", "B256SOUND", "B256SOUNDENVELOPE",
  "B256SOUNDFADE", "B256SOUNDHARMONICS", "B256SOUNDID", "B256SOUNDLENGTH",
  "B256SOUNDLOAD", "B256SOUNDLOADRAW", "B256SOUNDLOOP", "B256SOUNDPAUSE",
  "B256SOUNDPLAY", "B256SOUNDPLAYER", "B256SOUNDPLAYEROFF",
  "B256SOUNDPOSITION", "B256SOUNDSAMPLERATE", "B256SOUNDSEEK",
  "B256SOUNDSTATE", "B256SOUNDSTOP", "B256SOUNDSYSTEM", "B256SOUNDVOLUME",
  "B256SOUNDWAIT", "B256SOUNDWAVEFORM", "B256SPRITECOLLIDE",
  "B256SPRITEDIM", "B256SPRITEH", "B256SPRITEHIDE", "B256SPRITELOAD",
  "B256SPRITEMOVE", "B256SPRITEO", "B256SPRITEPLACE", "B256SPRITEPOLY",
  "B256SPRITER", "B256SPRITES", "B256SPRITESHOW", "B256SPRITESLICE",
  "B256SPRITETEXT", "B256SPRITEV", "B256SPRITEW", "B256SPRITEX",
  "B256SPRITEY", "B256SQR", "B256STAMP", "B256STEP", "B256SUB1",
  "B256SUBEQUAL", "B256SUBROUTINE", "B256SYSTEM", "B256TAN", "B256TEXT",
  "B256TEXTHEIGHT", "B256TEXTWIDTH", "B256THEN", "B256THROWERROR",
  "B256TO", "B256TOBINARY", "B256TOFLOAT", "B256TOHEX", "B256TOINT",
  "B256TOOCTAL", "B256TORADIX", "B256TOSTRING", "B256TRIM", "B256TRY",
  "B256TYPEOF", "B256TYPE_ARRAY", "B256TYPE_FLOAT", "B256TYPE_INT",
  "B256TYPE_MAP", "B256TYPE_REF", "B256TYPE_STRING", "B256TYPE_UNASSIGNED",
  "B256UNASSIGN", "B256UNLOAD", "B256UNSERIALIZE", "B256UNTIL",
  "B256UPPER", "B256VARIABLEWATCH", "B256VERSION", "B256VOLUME",
  "B256WARNING_ARRAYELEMENT", "B256WARNING_BOOLEANCONV",
  "B256WARNING_INTEGERRANGE", "B256WARNING_LONGRANGE",
  "B256WARNING_NUMBERCONV", "B256WARNING_REFNOTASSIGNED",
  "B256WARNING_SOUNDERROR", "B256WARNING_SOUNDFILEFORMAT",
  "B256WARNING_SOUNDLENGTH", "B256WARNING_SOUNDNOTSEEKABLE",
  "B256WARNING_START", "B256WARNING_STRING2NOTE", "B256WARNING_STRINGCONV",
  "B256WARNING_VARNOTASSIGNED", "B256WARNING_WAVOBSOLETE", "B256WAVLENGTH",
  "B256WAVPAUSE", "B256WAVPLAY", "B256WAVPOS", "B256WAVSEEK",
  "B256WAVSTATE", "B256WAVSTOP", "B256WAVWAIT", "B256WHILE", "B256WHITE",
  "B256WRITE", "B256WRITEBYTE", "B256WRITELINE", "B256XOR", "B256YEAR",
  "B256YELLOW", "B256ZFILL", "B256INTEGER", "B256FLOAT", "B256STRING",
  "B256HEXCONST", "B256BINCONST", "B256OCTCONST", "B256VARIABLE",
  "B256LABEL", "','", "'<'", "'>'", "'='", "'-'", "'+'", "'*'", "'/'",
  "B256UNARY", "'^'", "'['", "']'", "'{'", "'}'", "'('", "')'", "'\\n'",
  "':'", "'?'", "'%'", "$accept", "program", "programnewline",
  "programline", "label", "compoundstmt", "array_none", "array_size",
  "array_size_rows", "array_size_cols", "array_indexing", "variable",
  "variable_a", "array_element", "functionvariable",
  "functionvariablelist", "functionvariables", "listoflists", "listinlist",
  "listofitems", "listitems", "listofmapitems", "mapitems", "callexprlist",
  "callexpr", "args_none", "args_ee", "args_ea", "args_ev", "args_eee",
  "args_eeee", "args_eeeee", "args_eeeeee", "args_eeeeeee",
  "args_eeeeeeeee", "args_eeeeeeeeee", "expr", "expr_multi",
  "expr_function", "expr_constants", "expr_errors", "expr_numeric",
  "expr_string", "expr_dataelement", "statement", "begincasestmt",
  "casestmt", "$@1", "catchstmt", "dostmt", "elsestmt", "endcasestmt",
  "endifstmt", "endtrystmt", "endwhilestmt", "ifstmt", "ifthenstmt",
  "ifthenelsestmt", "ifthenelse", "trystmt", "untilstmt", "$@2",
  "whilestmt", "$@3", "letstmt", "mapstmt", "dimstmt", "redimstmt",
  "pausestmt", "throwerrorstmt", "clearstmt", "fastgraphicsstmt",
  "graphsizestmt", "refreshstmt", "endstmt", "arrayelementassign",
  "arrayassign", "assign", "forstmt", "foreachstmt", "nextstmt",
  "gotostmt", "gosubstmt", "callstmt", "offerrorstmt", "onerrorstmt",
  "onstopstmt", "returnstmt", "colorstmt", "soundstmt", "soundplaystmt",
  "soundpausestmt", "soundplayeroffstmt", "soundstopstmt", "soundwaitstmt",
  "soundwaveformstmt", "soundsystemstmt", "soundenvelopestmt",
  "soundharmonicsstmt", "soundfadestmt", "soundseekstmt",
  "soundvolumestmt", "soundloopstmt", "plotstmt", "linestmt", "circlestmt",
  "ellipsestmt", "arcstmt", "chordstmt", "piestmt", "rectstmt", "textstmt",
  "fontstmt", "saystmt", "systemstmt", "volumestmt", "polystmt",
  "stampstmt", "openstmt", "writestmt", "writelinestmt", "writebytestmt",
  "closestmt", "resetstmt", "seedstmt", "seekstmt", "inputstmt",
  "printstmt", "printatstmt", "wavpausestmt", "wavplaystmt", "wavseekstmt",
  "wavstopstmt", "wavwaitstmt", "putslicestmt", "imgloadstmt",
  "spritedimstmt", "spriteloadstmt", "spriteslicestmt", "spritepolystmt",
  "spritetextstmt", "spriteplacestmt", "spritemovestmt", "spritehidestmt",
  "spriteshowstmt", "clickclearstmt", "changedirstmt", "dbopenstmt",
  "dbclosestmt", "dbexecutestmt", "dbopensetstmt", "dbclosesetstmt",
  "netlistenstmt", "netconnectstmt", "netwritestmt", "netclosestmt",
  "killstmt", "setclipboardimagestmt", "setclipboardstringstmt",
  "setsettingstmt", "portoutstmt", "imgsavestmt", "editvisiblestmt",
  "graphvisiblestmt", "outputvisiblestmt", "maintoolbarvisiblestmt",
  "graphtoolbarvisiblestmt", "outputtoolbarvisiblestmt", "globalstmt",
  "penwidthstmt", "alertstmt", "continuedostmt", "continueforstmt",
  "continuewhilestmt", "exitdostmt", "exitforstmt", "exitwhilestmt",
  "printercancelstmt", "printeroffstmt", "printeronstmt",
  "printerpagestmt", "functionstmt", "subroutinestmt", "endfunctionstmt",
  "endsubroutinestmt", "regexminimalstmt", "unassignstmt",
  "variablewatchstmt", "imagecropstmt", "imageautocropstmt",
  "imageresizestmt", "imagesetpixelstmt", "imagedrawstmt",
  "imagecenteredstmt", "imagetransformedstmt", "imagerotatestmt",
  "imageflipstmt", "imagesmoothstmt", "unloadstmt", "setgraphstmt",
  "arraybasestmt", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1427)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-835)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const int yypact[] =
{
   21213,  8864,  9379,  8864, -1427,  -434, -1427, -1427,  8864,  9379,
    9894, 10409,  -495, 10409,  -495, -1427, -1427, -1427, 10409, 10924,
   11439, 11439, 11954,  -366, -1427,  8864, 12469, -1427,  -495, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,  -495, 12984,
    -434,  -434,  -434,  -363,  -434,  -434, 11954,  8864,  8864,  8864,
   11439, 13499, 14014, 13499, 11954, 11954, 11439, 14529,  8864, 15044,
   15559, 11439, 16074, 16074, 16074, 16074,  8864,  -366, 12469,  8864,
    -363,  8864, 10409, 11954, 11439, 11439,  -434,  -495,  -434,  -434,
   11439, 11439, 16589,  8864,  8864,  8864,  8864,  9379, 11439,  8864,
   11439, 17104, 11954,  -495,  -495,  -495,  -495,  9894, 17619,  -366,
    -495,  8864, -1427, 10409, 10409,  8864,  8864,  8864, 11439,  8864,
    8864, 11954, 10409,  9894, 11439, 18134, 14529, 10924, 11439, 10409,
   10924, 10409, 11439, 10409,  8864, 11439, 10409, 11439,  8864,  8864,
   11439, 13499, 13499, 11439,  8864, 14014, 11954, 15559,  -434,  8864,
   18649,  8864, -1427,  -366,  8864, -1427,  -363,  8864,  -495, 10409,
    8864,  -495,  -495, -1427, 11439, 11439, 11439, -1427, -1427,  -366,
   19164,    40,  -459, 21718,  -289,   159,  -185,   176,  -451, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, 22191, -1427,
   -1427, 22191, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427,  -431,  -425,  -352,  -374,  -370,  -365,  -357,  8864,
    -495,  -495,  -348,  -495,  -495,  -340,  -338,  -495,  -495,  -495,
    -495,  -337,  -336,  -335,  -334,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -332,  -331,  -329,  -328,
    -327,  -326,  -325,  -324,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -322,  -321, 11954, 11439,
    -319,  -495,  -317,  -495,  -495,  -316,  -315,  -314,  -311,  -495,
    -495,  -495,  -495,  -495,  -495,  -306, 19679,  -495,  -495,  -495,
    -495,  -495,  -304,  -303,  -301,  -300,  -299,  -495,  -495,  -495,
    -298,  -297,  -296,  -295,  -294,  -293,  -291,  -495,  -495,  -495,
    -495,  -288,  -287,  -285,  -284,  -278,  -277,  -274,  -273,  -271,
    -270,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -269,  -268,  8864,  -267,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -266,  -265,  -264,  -495,  -258,  -495,
    -256,  -255,  -252,  -495,  -249,  -248,  -246,  -244,  -243,  -239,
    -238,  -236,  -495,  -233,  -231,  -230,  -495,  -495,  -495,  -495,
    -229,  -228,  -226,  -225,  -224,  -495,  -223,  -218,  -217,  -215,
    -214,  -212,  -211,  -209,  -208,  -207,  -206,  -352,  -205,  -204,
    -203,  -199,  -194,  -190,  -189,  -188,  -184,  -181,  -176,  -173,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -172,  -171,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,  -495,
    -495,  -170, -1427, -1427, -1427, -1427, -1427, -1427,  8864,  -462,
   20194,  8864,    28, -1427,     8, -1427, -1427, 36005, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427,  9379, -1427, -1427, 24945, 36005,
    -434,  -169,  8864, 36005, -1427, -1427,  9894, -1427, 24998,  5259,
   -1427, 36005,  -166, -1427, -1427, 36005, -1427, -1427, 36005,  5774,
   -1427, -1427, 25056, 11439, -1427, 25056, -1427, 25056, 11954, -1427,
   -1427, 25106,  -160,  6804,    82, 36005, 12469, -1427, 25128, -1427,
   -1427, 12984, -1427, -1427, -1427, 25156,  -152,  -237,  -162,  -363,
    -153, -1427,  -144, -1427, -1427, -1427, -1427, -1427, 25106, 36005,
   36005, 25209, -1427, 25056, 13499, -1427, -1427, -1427, -1427, 25236,
   14014, -1427, 25393, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, 25056, 14529, -1427, -1427, 25473, 36005, 15044, -1427,
   -1427, 25520, 15559, -1427, -1427, -1427, 25571, -1427, 25056, 16074,
      72,   145, -1427, -1427, 25594,    94,   167, -1427, -1427,   137,
     171, -1427, -1427,   157,   175, -1427, -1427, 36005, -1427, -1427,
   -1427, -1427, 36005, -1427, 36005, -1427, 36005, -1427, -1427, -1427,
   25056, -1427, 25056, -1427, -1427,  -156,  -155, -1427, 25056, -1427,
   25056, 16589, -1427, -1427, -1427, -1427, -1427, -1427, 25674, 36005,
   36005, 36005, 36005, -1427, -1427, -1427, 36005, -1427,  5259, -1427,
   -1427, 25756, -1427, -1427, -1427, -1427, -1427, -1427, -1427, 17619,
   -1427, -1427, -1427, 25830, 11439,   165, -1427, 36005, -1427, 36005,
   -1427, 36005, 36005, 36005, 36005, -1427, 25056, 36005, 36005, -1427,
   -1427, 25106, -1427, 36005, -1427, -1427, 25056,  6289, -1427, -1427,
   25128, -1427, -1427, -1427, -1427, 25056, -1427, 25056, -1427, 36005,
   -1427, -1427, 25056, -1427, 36005, -1427, 25056, -1427, 36005, 36005,
   -1427, 25056, -1427, 36005, -1427, 25056, 36005, 36005, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, 36005, -1427,
   -1427, -1427, -1427, -1427, -1427,  -162, 36005, 18649, -1427, -1427,
   -1427, 25856, 36005, -1427, -1427, 36005,  8864, -1427, 36005, -1427,
   -1427, 36005, 36005, -1427, -1427,  8864, -1427, 25056, -1427, 25056,
   -1427, 25056,  -483,  -151,  -148,  5259, -1427, -1427, 25928, -1427,
   -1427, 21213, -1427,    10, -1427, -1427,  8864,  8864,  8864,  8864,
    8864, -1427,  8864,  7319, -1427, -1427,  8864,  8864, -1427,  8864,
    8864,  8864,  8864,  8864, -1427,  8864,  8864, 22191,   299, -1427,
    8864,  8864,  -352,  -142, -1427,  8864,  8864,  -366,  8864,  -344,
   -1427, -1427,  5259, -1427, -1427, -1427,  8864,  8864, -1427, -1427,
   -1427, -1427,  8864,  8864,  8864,  8864, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427,  8864,  8864,  8864,
    5259, -1427,  8864,  8864,  8864,  5259, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,  8864,
    8864, -1427, -1427, -1427,  8864, -1427,  5259, -1427, -1427, -1427,
    8864,  8864,  8864,  8864, -1427, -1427, -1427, -1427, -1427, -1427,
    8864, 19679, -1427, -1427, 26005, -1427, -1427, -1427, -1427, -1427,
    5259, -1427,  8864,  8864,  8864,  9894, -1427, -1427, -1427,  8864,
   11954,  8864,  8864,  8864,  5259, -1427,  5259, -1427, -1427, -1427,
   -1427, -1427,  8864,  8864, 11954,  8864,  8864,  8864,  8864,  8864,
    8864,  8864, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427,  5259, -1427,  5259, -1427,  1105,  9894,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427,  8864,  8864,  8864,
   -1427,  8864, -1427,  5259, -1427,  5259, -1427,  5259, -1427, -1427,
    8864,  8864,  9894,  8864,  8864, 11954, 11439,  8864, -1427,  8864,
    8864,  5259, -1427, -1427, -1427, -1427, -1427,  5259, -1427, 11439,
    8864, 11439,  5259, -1427, -1427,  5259, -1427,  8864,  8864,  8864,
    8864,  8864,  8864,  8864,  8864,  8864,  8864,  -142, -1427,  8864,
    5259, -1427,  8864,  8864,  8864,  8864,  8864,  8864,  8864,  8864,
    8864,  8864, -1427, -1427, -1427, -1427, -1427, -1427, -1427,  8864,
    8864, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, 11439,  -344, -1427, -1427, 20194,  -143,  -131,
   -1427,  -141, 26111,     1,  -151,    18, 26219, -1427, -1427,  3190,
    3714,  -139,  -153, -1427, -1427, -1427, -1427,  8864,  8864,  8864,
    8864,  8864,  8864,  8864,  8864,  8864,  8864,  8864,  8864,  8864,
    8864,  8864,  8864,  8864,  8864,  8864,  8864,  8864,  8864, 20709,
    -137,  -135,   265,  8864,  -133,  4229, 36005,  -132,   796,  8864,
   -1427,  -129,  1503,  8864,  1818,  8864,  8864,  8864,   178,  1916,
    8864,  -127,  2155,  8864,  2175,  8864,  8864,    39,  -117,  -473,
   -1427,  -429,  -119,  -363, -1427,  2197,  8864,  2241,  8864, 21346,
    8864,  -121,  -118, 22324,  8864, 22470,  8864,  -116,  -114, 22618,
    -352,  4744,  -113,  -110, 22651,  8864,  -108, 22719,  8864,  8864,
   22761,  8864,   201, 22795,  8864, -1427, 22913,  8864, 36005, 36005,
   -1427, -1427, -1427,  -107,  8864, -1427, -1427, 36005, 36005, 36005,
   36005, 36005, 36005, -1427, 22955, 36005, 36005, 36005, 36005, 36005,
   36005, 36005, 36005, 36005, -1427, -1427, 26241, 26292,  -343,  8864,
   26373, 26395,  -105,  -104, 26455, 26478, 26541, 26576, 23044, 26635,
   26657, 26693, 23086, 23166, 23194, 23246, 23339, 26778, 26993, 27015,
   27059, 27092, 27112, 27171, 27395, 27435, 27455, 27475, 27535, 23503,
    8864, 23575, 27577, 27775, 27801,  -103, 27843,  -102,  -101, 23601,
   27877, 27917, 27999, 28092, 28170, 28198, 28248,  -100,   -98, 28316,
   28394, 28434, 28485, 28513, 28565, 28610, 28630, 28658,   -95, 28779,
   28923, 23634, 28949, 28973, 29035, 29079, 29099, 29187,   -93, 29363,
   29383,   -92,   -89,   -85, 23681, 29487, 29507, 29563, 29619, 29800,
     -81, 23760, 29822,   -80, 23786, 29900, 29928, 29948, 29972, 30103,
   30231, 30265, 30356, 30384, 30501, 30524, 30552, 30580, 30643, 23812,
   30677, 30701, 30845, 30958, 31039, 31098, 31160, 31223, 31275, 31309,
   31417,   -79,   -76, -1427, 20194, -1427,  7834, -1427,   -77,  -482,
     -75, -1427,   -72,   -62, 36005,   -74, -1427, -1427,    -5,  1105,
      -5,  -130,  -130,   198,  1773,  -344,   198,  -344,   198,  2260,
   21374,  2260,   198,   198,   198,   -88,   -88,  -344,  -344,   -69,
    -344, -1427, -1427, 31489, -1427,   -59, -1427, 31566, -1427, 36005,
   31566, 36005, 36005,  8864,  8864, 36005, -1427, 31613, 31674, 31738,
   -1427,  -434, -1427,   -57, -1427, 31851, 31939, 31674, -1427, -1427,
   31976, 32003, -1427, -1427,  -142, -1427, -1427,   -54, -1427, -1427,
   32029, -1427, -1427, 32051, 32088,  8864,  8864, 36005, 32288, -1427,
    8864,   -48, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427,  8864, -1427, -1427,  8864,  8864,  8864, -1427,  8864,
   -1427,  8864, -1427,  8864, -1427,  8864, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427,  8864,  8864, 32371,
    8864, -1427, -1427, -1427,  8864, -1427, -1427, -1427, -1427, -1427,
    8864,  8864, -1427, -1427, -1427,  8864, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427,  8864,  8864, -1427, -1427, -1427,  8864,
   -1427,  8864, -1427, -1427, -1427, -1427, -1427,  8864,  8864, -1427,
    8864,  8864, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,  8864, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,  8864,
    8864, -1427, -1427, -1427, -1427, -1427, -1427,  8864, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427,  8864,   -58,   -47, -1427,
    -434, -1427,  8349,   -46,  8864, -1427,  8864, 36005, 36005,  8864,
    8864,  8864,   233, -1427,  8864,  8864,  8864,  8864, -1427,  8864,
    8864, 36005, 36005,  8864, 32391,  8864, 32413, 23930, 32453, 24166,
   24211, 24234, 32490, 24274, 32571, 32607,  8864, 32747, 24327, 24351,
   24377, 32807, 32928, 24470, 33004, 33043, 33122, 33164, 33187, 33215,
   24591, 33336, 33358, 33468, 33518, -1427, -1427,   -45, -1427, 33595,
   36005, 33639, 33639, 33755,    39, 33876, 33898, 33920, 33992, 34042,
   33876, 33595, -1427, 34070, -1427,  8864, -1427, -1427,  8864, -1427,
    8864, -1427,  8864, -1427, -1427,  8864, -1427, -1427, -1427, 33992,
    8864,  8864, -1427,  8864, -1427,  8864, -1427, -1427,  8864,  8864,
   -1427, -1427, -1427,  8864,  8864,  8864, -1427,  8864, -1427, -1427,
   -1427, -1427,  8864, -1427,  8864,  8864,  8864, -1427,  8864,  8864,
    8864,  8864,  8864, -1427, 34241, 34306, 34326, 34365, 34437, 34478,
   34620, 24642, 34648, 34692, 34765, 24681, 34788, 24761, 34907, -1427,
   36077, 34951, 36005, 36005, 34951, 35002, 35024, 35002, 35075, -1427,
   -1427, -1427, -1427, -1427,  8864, -1427,  8864, -1427, -1427, -1427,
   -1427,  8864, -1427, -1427,  8864, -1427, -1427,  8864,  8864,  8864,
    8864, 24802, 35103, 35164, 35339, 35429, 36005, 35466, 35488,  8864,
   -1427, -1427, -1427, -1427,  8864,  8864,  8864, 35539, 36005, 35592,
   35642, -1427,  8864,  8864, 35750, 36005,  8864, 35792,  8864, 35895,
    8864, 36005
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
      12,     0,     0,     0,   650,     0,   651,   653,     0,     0,
       0,    52,    52,    52,    52,   909,   910,   911,    52,    52,
       0,     0,     0,     0,   654,     0,     0,   655,    52,   656,
     921,   657,   922,   658,   659,   912,   913,   914,    52,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    52,     0,     0,     0,   724,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    52,     0,    52,    52,    52,    52,     0,     0,     0,
      52,     0,    11,    52,    52,     0,     0,     0,     0,     0,
       0,     0,    52,     0,     0,    52,     0,    52,     0,    52,
      52,    52,     0,    52,     0,     0,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   664,     0,     0,   665,     0,     0,    52,    52,
       0,    52,    52,   667,     0,     0,     0,    25,    13,     0,
      52,     0,     3,     9,     7,    27,     0,     0,    15,   502,
     504,   505,   522,   526,   527,   529,   532,   533,   548,   549,
     550,     0,   635,   638,   646,   565,   568,   521,   595,   581,
     634,   509,   537,   545,   596,   530,   674,   673,   672,   539,
     540,   574,   544,   543,   503,   575,   577,   576,   599,   512,
     607,   610,   608,   609,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   584,   566,   508,   525,   500,   507,
     583,   594,   633,   538,   601,   632,   640,   585,   630,   578,
     649,   648,   647,   511,   598,   602,   603,   563,   591,   592,
     641,   642,   643,   644,   645,   593,   561,   621,   623,   628,
     626,   629,   625,   624,   622,   627,   510,   506,   520,   517,
     518,   519,   516,   572,   571,   573,   570,   564,   604,   605,
     606,   586,   562,   524,   546,   579,   567,   547,   580,   542,
     582,   499,   513,   514,   515,   534,   535,   536,   587,   588,
     589,   590,   541,   631,   528,   531,   597,   636,   639,   553,
     551,   557,   556,   554,   552,   560,   558,   555,   559,   637,
     523,   501,     0,     0,     0,     0,     0,     0,     0,     0,
      52,    52,    52,    52,    52,     0,     0,    52,    52,    52,
      52,     0,     0,     0,     0,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,     0,     0,     0,    52,
       0,     0,     0,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,     0,     0,     0,     0,
       0,    52,    52,    52,    52,     0,     0,     0,     0,    52,
      52,    52,    52,    52,    52,     0,     0,    52,    52,    52,
      52,    52,    52,     0,     0,     0,     0,    52,    52,    52,
       0,     0,     0,     0,     0,    52,    52,    52,    52,    52,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,     0,     0,    52,    52,    52,
      52,    52,    52,    52,     0,     0,     0,    52,     0,    52,
      52,    52,    52,    52,     0,     0,     0,     0,     0,     0,
       0,     0,    52,     0,     0,    52,    52,    52,    52,    52,
      52,     0,     0,     0,    52,    52,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    52,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      52,    52,    52,    52,    52,    52,    52,     0,     0,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,     0,   255,   256,   423,   396,   395,   397,     0,     0,
       0,     0,    27,   490,    80,   491,   492,   908,    73,    74,
      75,    76,    77,    78,    79,     0,   773,   774,     0,   951,
       0,     0,     0,   872,   775,   776,     0,   771,     0,     0,
     693,   694,     0,   871,   812,   813,   692,   875,   876,     0,
     882,   884,   883,     0,   878,   877,   874,   873,     0,   880,
     881,   879,    27,     0,   676,   900,     0,   772,     0,   699,
     695,     0,   787,   786,   785,   788,     0,     0,     0,     0,
      27,    32,    35,   906,   726,   725,   696,   697,     0,   901,
     904,     0,   929,   928,     0,   941,   940,   939,   938,     0,
       0,   927,     0,   937,   936,   935,   934,   946,   945,   931,
     930,   944,     0,     0,   933,   932,     0,   947,     0,   943,
     942,     0,     0,   852,   853,   854,     0,   899,   898,     0,
      27,    80,   821,   819,     0,    27,    80,   833,   831,    27,
      80,   829,   827,    27,    80,   825,   823,   893,   671,   670,
     669,   770,   903,   675,   569,   891,   892,   887,   888,   886,
     885,   890,   889,   723,   729,   730,     0,   797,   796,   799,
     798,     0,   800,   801,   802,   803,   804,   805,     0,   902,
     905,   690,   907,   777,   778,   769,   792,   897,     0,   837,
     835,    42,   843,   844,   915,   916,   917,   918,   851,     0,
     779,   780,   781,     0,     0,   684,   698,   923,   814,   815,
     734,   735,   600,   789,   816,   818,   817,   894,   895,   737,
     738,   736,   950,   949,   896,   739,   740,     0,   755,   756,
     757,   762,   761,   758,   759,   760,   767,   768,   745,   744,
     741,   742,   743,   747,   746,   763,   764,   749,   748,   754,
     765,   766,   751,   750,   753,   752,   855,   869,   856,   865,
     866,   867,   868,   861,   862,   863,   864,   858,   870,   857,
     859,   860,   795,   794,   793,     0,   790,     0,   782,   783,
     784,     0,   691,   924,   925,   948,     0,   926,   791,   845,
     846,   847,   848,   849,   850,     0,   807,   806,   811,   810,
     809,   808,     0,     0,     0,     0,   841,   839,    42,     1,
       4,    12,    10,     5,     8,   711,     0,     0,     0,     0,
       0,   712,     0,     0,    28,    30,     0,     0,   701,     0,
       0,     0,     0,     0,   702,     0,     0,     0,   661,   662,
       0,     0,     0,   288,   284,     0,     0,     0,     0,   270,
      88,    89,     0,   316,    90,    91,     0,     0,    92,   338,
     336,   337,     0,     0,     0,     0,   437,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   321,     0,     0,     0,
       0,   355,     0,     0,     0,     0,   451,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,     0,
       0,   494,   495,   496,     0,   383,     0,   384,   386,   387,
       0,     0,     0,     0,   422,   343,   447,   448,   342,   344,
       0,     0,   497,   498,     0,   326,   325,   102,   103,   322,
       0,   482,     0,     0,     0,     0,   470,   471,   472,     0,
       0,     0,     0,     0,     0,   331,     0,   329,   367,   442,
     368,   441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   323,   320,   335,   104,   105,   106,   107,   108,
     333,   334,   376,   445,     0,   369,     0,   443,   274,     0,
     109,   375,   110,   111,   112,   113,   315,     0,     0,     0,
     114,     0,   314,     0,   433,     0,   381,     0,   435,   115,
       0,     0,     0,     0,     0,     0,     0,     0,   324,     0,
       0,     0,   327,   116,   117,   118,   404,     0,   410,     0,
       0,     0,     0,   406,   411,     0,   408,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   289,   285,     0,
       0,   379,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   119,   120,   121,   122,   123,   124,   125,     0,
       0,   388,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   398,   399,   400,
     126,   319,   127,     0,   259,   257,   258,     0,     0,    39,
      38,     0,    42,    27,   490,    80,     0,   286,   287,     0,
       0,    28,   419,   420,   421,   282,   283,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   263,
       0,     0,     0,     0,     0,     0,   652,     0,     0,     0,
      51,     0,     0,     0,     0,     0,     0,     0,   680,   678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     919,     0,     0,     0,   660,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   836,     0,
       0,     0,   688,   686,     0,   920,     0,     0,   666,   668,
      26,    29,    31,     0,   840,     2,     6,   713,   717,   716,
     715,   718,   714,    16,     0,   709,   710,   703,   707,   706,
     705,   708,   704,   700,    14,   663,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,     0,    44,     0,    81,     0,     0,
       0,    87,     0,    47,    49,     0,    21,    19,    84,   271,
     267,   268,   269,   279,   281,   264,   280,   261,   276,   272,
      83,   273,   277,   278,   275,   260,    82,    85,   265,   266,
     262,    64,    66,     0,   727,     0,    60,     0,    54,    53,
      53,   683,   682,     0,     0,   677,    62,     0,    53,     0,
     721,     0,    33,     0,    36,     0,     0,     0,    70,    72,
       0,     0,    56,    58,    57,    55,   731,     0,   733,    68,
      53,   838,    43,    42,     0,     0,     0,   685,     0,   842,
       0,    24,   313,   305,   293,   304,   417,   418,   306,   317,
     299,   424,     0,   389,   302,     0,     0,     0,   361,     0,
     358,     0,   364,     0,   356,     0,   438,   465,   307,   450,
     318,   312,   300,   385,   391,   392,   393,     0,     0,     0,
       0,   481,   413,   478,     0,   414,   412,   457,   458,   456,
       0,     0,   466,   332,   330,     0,   292,   483,   484,   309,
     310,   427,   467,   446,     0,     0,   370,   444,   488,     0,
     371,     0,   459,   308,   434,   382,   436,     0,     0,   489,
       0,     0,   485,   486,   416,   415,   468,   455,   301,   328,
     409,   474,   473,   475,   403,   402,   405,   407,     0,   349,
     354,   352,   353,   351,   350,   347,   348,   311,   303,     0,
       0,   377,   461,   291,   462,   290,   463,     0,   425,   469,
     401,   493,   426,   487,    41,    40,     0,     0,     0,    17,
       0,    86,     0,     0,     0,   728,     0,   681,   679,     0,
       0,     0,     0,    34,     0,     0,     0,     0,   732,     0,
       0,   689,   687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    45,    20,    18,     0,    48,     0,
      59,     0,    59,   719,     0,    59,     0,     0,    59,    59,
       0,    59,    22,     0,   390,     0,   372,   374,     0,   362,
       0,   359,     0,   365,   357,     0,   439,   394,   449,     0,
       0,     0,   477,     0,   294,     0,   297,   431,     0,     0,
     429,   339,   460,     0,     0,     0,   432,     0,   346,   380,
     378,   464,     0,    50,     0,     0,     0,   722,     0,     0,
       0,     0,     0,    23,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,    61,   720,    61,     0,     0,    61,    61,   373,
     363,   360,   366,   440,     0,   476,     0,   295,   298,   428,
     430,     0,   452,   454,     0,   340,   345,     0,     0,     0,
       0,     0,     0,     0,     0,    63,    63,     0,    63,     0,
     480,   296,   453,   341,     0,     0,     0,     0,    65,     0,
      65,   479,     0,     0,     0,    67,     0,     0,     0,    69,
       0,    71
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1427,  -471, -1427, -1427, -1427,  -149,  -154,  -860, -1427, -1427,
   -1427,  1411,   170,  1399, -1427,  -432,   -67, -1427, -1099, -1427,
     -25, -1427, -1426, -1330, -1427,  2496,   285,   -37,   -29,   406,
    1004,   212,   194,  -320,  -262,  -261,    -1, -1427, -1427, -1427,
   -1427, -1427, -1427, -1393, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427,   420,   422,   423, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427, -1427,
   -1427
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,   161,   951,   162,   163,   164,  1341,  1342,  1343,  1344,
     965,   652,   653,   654,   722,  1400,   723,   655,  1328,  1329,
    1330,   656,  1331,  1592,  1593,   680,  1381,   772,   773,  1377,
    1391,  1370,  1371,   817,   759,   760,   728,   658,   659,   660,
     661,   662,   663,   664,   168,   169,   170,   672,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   926,   184,   935,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     657,   668,   669,   793,  1640,  1397,  1337,   673,   668,   678,
     681,   964,   685,  1345,   953,  1350,  1351,   688,   692,   695,
     697,   701,   966,  1345,   705,   708,   777,   781,   785,   978,
    1798,   682,   979,  1337,   778,   782,   786,   157,   715,   963,
     949,  1799,  1325,  1326,  1440,  1625,   729,   730,   731,   733,
     739,   742,   739,   719,  1642,   752,   756,   757,   761,   766,
     768,   774,   774,   774,   774,   787,   829,   708,   792,   950,
     794,   796,  -820,   800,   802,   954,   157,  1337,   977,   808,
     810,   818,   819,   820,   821,   822,   668,   752,   826,   752,
     831,  1657,   670,  1402,  -832,   980,   678,   843,  1440,  1337,
     847,   981,   849,   851,   852,   853,   854,   856,   857,   858,
     861,   863,   678,   866,   870,   756,   875,   877,   879,   882,
     884,   886,   888,   889,   891,   893,   895,   896,   897,   752,
     739,   739,   752,   908,   742,   946,   766,  -828,   916,   921,
     922,  1354,  1337,   925,   157,  -822,   928,   157,   931,   932,
    1345,  -820,   985,   937,   939,   941,   986,  -824,   157,   948,
     159,   987,  1337,   719,   955,   956,  1356,  -834,   957,   988,
     166,  -830,  1345,  -832,   982,  -826,  1345,  1368,   992,  1469,
    1345,   968,   969,  1354,  1440,   970,   996,  1369,   997,  1002,
    1003,  1004,  1005,   703,  1017,  1018,   667,  1019,  1020,  1022,
    1023,  1024,  1025,   675,  1139,  1140,  1347,  1144,  1356,  1146,
    1150,  1151,  1152,   721,   666,  1153,  -828,  1349,  1350,  1351,
    1160,   674,  1170,  1172,  -822,  1173,  1174,  1175,  1179,  1180,
    1181,  1182,  1183,  1184,   958,  1186,  -824,   166,  1192,  1193,
     721,  1194,  1195,   478,   479,   738,  -834,   746,  1196,  1197,
    -830,   971,  1198,  1199,  -826,  1200,  1201,  1214,  1216,  1219,
    1227,  1228,  1229,   737,   741,   745,  1354,   496,  1231,   844,
    1233,  1235,   765,  1347,  1237,  1348,   816,  1240,  1241,  1398,
    1242,   824,  1243,  1244,  1349,  1350,  1351,  1245,  1246,  1390,
    1247,  1356,   842,  1249,   815,  1250,  1251,  1257,  1259,   823,
    1260,  1261,  1262,  1265,   691,   694,   696,   699,  1267,  1268,
     841,  1269,  1270,   923,  1271,  1272,   927,  1273,  1274,  1275,
    1276,  1279,  1280,  1282,   712,   902,   906,  1283,   989,   943,
     967,   726,  1284,   166,   920,   732,  1285,  1286,  1287,   747,
     749,   751,  1288,   901,   905,  1289,   767,   909,   166,   914,
    1290,   166,   919,  1291,  1299,  1300,  1323,  1375,   797,   799,
     801,  1380,   963,  1396,  1399,   807,   809,   812,  1403,  1402,
    1421,  1422,  1434,   825,  1446,   827,  1441,   832,  1465,  1442,
    1469,  1584,  1583,  1595,  1585,  1633,  1364,  1365,  1366,  1367,
    1621,  1368,  1622,   855,  1440,  1626,   859,  1641,  1628,   865,
    1636,  1369,   874,   876,  1453,   881,  1648,   885,  1665,  1649,
     890,  1652,   894,  1653,  1658,   898,   677,  1659,   907,  1661,
    1669,   910,  1676,  1677,  1715,  1717,  1718,  1727,   700,  1728,
    1366,  1367,  1738,  1368,  1749,  1752,  -820,  1338,  1753,   936,
     938,   940,  1754,  1369,  1346,   713,  1761,  1764,  1793,  1794,
    1802,  1800,   727,  1797,  1346,  1801,  1803,   735,  -832,   743,
     748,   750,  1369,   754,  1338,  1855,   763,   959,  1805,  1354,
    1813,  1917,  1858,  1818,  1825,  1864,  1856,  1799,   752,   798,
    1445,  1596,  1913,  1435,   972,  1795,  1939,   788,   813,   789,
     790,  1423,     0,     0,  1356,  1164,  1411,  1412,   833,     0,
       0,  -828,     0,   838,  1352,   617,     0,  1353,  1338,  -822,
       0,  1364,  1365,  1366,  1367,     0,  1368,   860,     0,   864,
       0,  -824,   871,  1339,     0,     0,  1369,  1340,  1440,     0,
    1338,  -834,     0,     0,     0,  -830,  1354,   899,   903,  -826,
     960,     0,   911,   912,  1218,  1442,   918,     0,   964,   157,
    1339,     0,     0,  1355,  1340,     0,     0,   973,     0,     0,
       0,  1356,     0,   650,     0,   719,   964,     0,     0,     0,
       0,     0,     0,  1338,  1357,     0,     0,     0,     0,     0,
       0,  1346,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,  1338,  1339,   961,   962,     0,  1340,     0,
    -820,  -820,     0,  1346,     0,     0,     0,  1346,     0,     0,
       0,  1346,   974,   975,     0,     0,  1339,     0,     0,     0,
    1340,     0,  -832,  -832,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,  1324,     0,  1332,
    1336,     0,     0,     0,     0,     0,     0,     0,     0,  1339,
       0,     0,     0,  1340,  1372,  -828,  -828,     0,     0,     0,
       0,  1376,     0,  -822,  -822,  1378,     0,     0,  1336,  1339,
       0,   963,     0,  1340,     0,  -824,  -824,     0,  1382,     0,
       0,   976,  1382,     0,     0,  -834,  -834,  1384,     0,  -830,
    -830,     0,  1389,  -826,  -826,  1392,     0,     0,  1163,     0,
    1394,     0,     0,     0,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1369,
       0,     0,  1417,  1405,     0,     0,     0,     0,     0,  1407,
    1418,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1409,     0,     0,     0,     0,  1413,     0,     0,
       0,  1415,     0,  1141,  1143,  1360,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,  1373,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,   964,     0,
       0,     0,  1587,     0,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,  1426,  1347,     0,  1348,     0,     0,     0,
    1424,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
       0,  1334,     0,     0,     0,     0,     0,  1427,  1464,     0,
       0,     0,     0,     0,     0,  1334,     0,     0,  1430,     0,
       0,     0,     0,  1433,     0,     0,  1334,     0,     0,  1334,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1334,
       0,     0,     0,  1334,     0,     0,  1392,     0,  1334,     0,
       0,     0,     0,     0,     0,     0,  1334,     0,     0,     0,
       0,  1334,     0,     0,  1142,     0,     0,     0,     0,   943,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1334,     0,     0,     0,     0,     0,
    1334,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
    1443,     0,     0,  1334,     0,  1438,     0,     0,  1334,     0,
       0,     0,  1334,     0,  1439,     0,     0,     0,     0,  1334,
       0,     0,     0,     0,  1427,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1447,  1448,  1449,  1450,  1451,
       0,  1452,  1454,     0,     0,  1455,  1456,     0,  1457,  1458,
    1459,  1460,  1461,     0,  1462,  1463,     0,     0,     0,  1466,
    1467,  1334,     0,     0,  1470,  1471,     0,  1474,  1388,     0,
       0,  1475,     0,     0,     0,  1476,  1477,     0,  1334,     0,
       0,  1478,  1479,  1480,  1481,     0,     0,     0,     0,  1334,
       0,     0,     0,     0,     0,     0,  1482,  1483,  1484,  1485,
       0,  1486,  1487,  1488,  1489,     0,     0,     0,     0,     0,
     707,     0,     0,     0,     0,  1352,     0,  1334,  1353,     0,
       0,     0,     0,   714,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   736,     0,   744,     0,     0,
       0,   755,     0,     0,   764,     0,     0,  1354,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,     0,   814,  1334,     0,     0,
       0,     0,  1356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   840,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,  1347,     0,  1334,     0,     0,     0,   869,
     872,   166,  1358,     0,  1349,  1350,  1351,     0,     0,  1432,
       0,     0,     0,     0,     0,   900,   904,     0,  1490,  1491,
       0,   913,     0,  1492,     0,  1493,     0,   166,     0,  1494,
    1495,  1496,  1497,     0,     0,     0,     0,  1472,     0,  1498,
    1499,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,  1502,  1503,  1504,   678,     0,  1359,     0,  1506,  1509,
    1510,  1511,  1512,  1513,     0,  1514,     0,     0,  1597,     0,
       0,  1515,  1516,     0,  1519,  1520,  1521,  1522,  1523,  1524,
    1525,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1526,     0,  1527,     0,     0,   678,     0,
       0,     0,     0,     0,     0,     0,  1529,  1530,  1531,     0,
    1532,     0,  1533,     0,  1534,     0,  1535,     0,     0,  1536,
    1537,   678,  1539,  1540,     0,  1544,  1545,   964,  1546,  1547,
    1548,     0,     0,     0,     0,     0,  1549,     0,  1551,  1552,
    1554,  1555,     0,     0,  1556,     0,  1557,  1558,  1559,  1560,
    1561,  1562,  1563,  1564,  1565,  1566,     0,     0,  1567,  1568,
       0,  1569,  1570,  1571,  1572,  1573,  1574,  1575,  1576,  1577,
    1578,     0,     0,     0,     0,     0,  1360,     0,  1579,  1580,
       0,     0,  1582,     0,     0,     0,     0,     0,  1379,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
       0,     0,   752,  1587,     0,     0,  1332,  1369,     0,     0,
       0,  1334,  1643,     0,     0,     0,  1644,     0,  1454,  1594,
       0,     0,     0,     0,  1352,     0,  1598,  1599,  1600,  1601,
    1602,  1603,  1604,  1605,  1606,  1607,  1608,  1609,  1610,  1611,
    1612,  1613,  1614,  1615,  1616,  1617,  1618,  1619,  1620,     0,
       0,     0,  1623,     0,  1594,     0,  1354,     0,  1627,     0,
       0,     0,  1629,     0,  1630,  1631,  1632,     0,     0,  1635,
       0,     0,  1637,  1355,  1638,  1639,     0,     0,     0,   167,
       0,  1356,     0,     0,  1662,  1645,     0,  1646,     0,  1647,
       0,   165,     0,  1650,  1357,  1651,   671,     0,     0,     0,
    1594,     0,   704,     0,  1660,     0,     0,  1610,  1663,     0,
    1664,     0,     0,  1667,   702,     0,  1668,     0,     0,     0,
       0,     0,     0,  1610,     0,     0,     0,     0,     0,     0,
       0,   716,   717,   718,   720,   724,   725,     0,     0,     0,
       0,   771,   776,   780,   784,  1507,   167,     0,  1454,     0,
       0,     0,     0,   770,   775,   779,   783,     0,   165,  1517,
       0,   720,     0,     0,     0,     0,     0,   803,     0,   805,
     806,     0,     0,     0,     0,     0,     0,     0,   845,  1709,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,  1347,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,     0,     0,     0,
    1541,  1543,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   924,     0,  1550,     0,  1553,     0,     0,   915,
       0,     0,     0,     0,   702,     0,     0,   720,   944,     0,
       0,     0,   167,     0,     0,     0,     0,     0,     0,   721,
     942,     0,     0,   721,   165,     0,     0,   167,     0,     0,
     167,  1505,     0,  1663,     0,  1615,  1508,     0,     0,   165,
       0,     0,   165,     0,     0,     0,     0,     0,     0,     0,
    1518,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1528,  1368,     0,     0,     0,
       0,     0,  1807,  1808,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1538,     0,
       0,  1542,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1821,  1822,     0,     0,     0,  1824,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1826,     0,     0,  1827,  1828,  1829,     0,  1830,     0,
    1831,     0,  1832,     0,  1833,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1834,  1835,     0,  1837,
       0,     0,     0,  1838,     0,     0,     0,     0,     0,  1839,
    1840,     0,     0,   984,  1841,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,  1843,   983,     0,     0,  1844,     0,
    1845,     0,  1352,     0,     0,  1353,  1846,  1847,     0,  1848,
    1849,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1850,     0,     0,
       0,     0,     0,     0,  1354,     0,     0,     0,  1851,  1852,
       0,  1347,     0,  1348,     0,     0,  1853,     0,     0,     0,
       0,  1355,  1349,  1350,  1351,  1854,     0,     0,     0,  1356,
       0,  1594,     0,  1859,     0,  1860,     0,     0,  1861,  1862,
    1863,     0,  1357,  1865,  1866,  1867,  1868,     0,  1869,  1870,
       0,     0,  1871,     0,  1873,     0,  1347,     0,  1348,  1358,
       0,     0,     0,     0,     0,  1889,     0,  1349,  1350,  1351,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1924,     0,     0,  1925,     0,  1926,
       0,  1927,     0,  1359,  1928,     0,     0,     0,     0,  1929,
    1930,     0,  1931,     0,  1932,     0,     0,  1933,  1934,     0,
       0,     0,  1935,  1936,  1937,     0,  1938,     0,     0,     0,
       0,  1940,     0,  1941,  1942,  1943,     0,  1944,  1945,  1946,
    1947,  1948,     0,     0,  1347,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1971,     0,  1972,     0,     0,     0,     0,
    1973,     0,     0,  1974,     0,     0,  1975,  1976,  1977,  1978,
       0,     0,     0,     0,     0,     0,     0,     0,  1987,     0,
       0,     0,     0,  1988,  1989,  1990,     0,     0,     0,     0,
       0,  1994,  1995,     0,     0,  1997,  1278,  1999,     0,  2001,
       0,     0,     0,  1360,     0,     0,     0,     0,  1277,     0,
       0,     0,  1352,     0,     0,  1383,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1354,     0,     0,     0,     0,     0,
    1335,     0,     0,     0,     0,     0,     0,  1352,     0,     0,
    1353,  1355,  1333,     0,  1335,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,     0,  1335,  1333,     0,  1335,     0,
       0,  1374,  1357,     0,     0,     0,     0,  1333,  1335,  1354,
    1333,     0,  1335,     0,     0,     0,     0,  1335,     0,  1358,
    1333,     0,     0,     0,  1333,  1335,  1355,     0,     0,  1333,
    1335,     0,     0,     0,  1356,     0,     0,  1333,     0,     0,
       0,     0,  1333,  1634,     0,     0,     0,  1357,     0,     0,
    1401,     0,     0,  1335,     0,     0,     0,     0,     0,  1335,
       0,     0,     0,     0,  1358,  1333,     0,     0,     0,     0,
       0,  1333,  1335,  1359,     0,  1352,     0,  1335,  1353,     0,
       0,  1335,     0,  1347,  1333,  1348,     0,     0,  1335,  1333,
       0,     0,     0,  1333,  1349,  1350,  1351,     0,     0,     0,
    1333,     0,     0,  1347,     0,  1348,     0,  1354,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,  1359,     0,
       0,     0,     0,     0,  1355,  1347,     0,  1348,     0,     0,
    1335,     0,  1356,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,  1333,     0,     0,  1357,     0,  1335,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1335,  1333,
       0,     0,  1358,     0,     0,     0,     0,     0,     0,  1347,
    1333,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,  1335,     0,  1347,     0,
    1348,     0,     0,  1360,     0,     0,     0,     0,  1333,  1349,
    1350,  1351,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1335,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1333,     0,
    1385,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,     0,  1335,  1587,     0,     0,     0,  1369,
     167,     0,     0,     0,     0,     0,  1333,     0,     0,     0,
       0,     0,   165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,   944,     0,     0,     0,     0,  1473,     0,   165,     0,
       0,     0,     0,  1468,  1352,     0,     0,  1353,   702,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1352,     0,  1360,  1353,     0,     0,
       0,     0,     0,     0,     0,     0,  1354,     0,  1383,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1352,  1368,     0,  1353,
       0,     0,     0,  1355,     0,     0,  1354,  1369,     0,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1355,  1357,     0,     0,     0,  1354,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
    1352,  1358,     0,  1353,  1357,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,  1352,
       0,  1358,     0,     0,     0,     0,  1357,     0,   683,   684,
     686,     0,  1354,     0,   687,   690,     0,     0,     0,     0,
       0,     0,     0,  1358,   709,     0,     0,     0,     0,  1355,
       0,  1354,     0,     0,   710,  1359,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
    1357,     0,     0,     0,     0,  1359,  1356,     0,     0,     0,
    1335,     0,     0,     0,     0,     0,     0,  1358,   795,  1357,
       0,     0,  1333,   804,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,     0,   834,
     835,   836,   837,     0,     0,     0,   846,     0,     0,   848,
     850,     0,     0,     0,     0,     0,     0,     0,   862,     0,
       0,   868,     0,   873,     0,   878,   880,   883,     0,   887,
       0,  1359,   892,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   929,   930,     0,   933,   934,     0,
       0,     0,     0,     0,     0,  1360,   947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1393,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1360,  1368,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,  1369,  1395,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,  1360,     0,     0,
       0,     0,  1587,     0,     0,     0,  1369,     0,     0,  1406,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,  1369,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1408,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,  1369,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     720,     0,     0,     0,   720,     0,     0,     0,     0,  1655,
       0,     0,     0,     0,     0,     0,   990,   991,   993,   994,
     995,  1654,     0,   998,   999,  1000,  1001,     0,     0,     0,
       0,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,
    1015,  1016,     0,     0,     0,  1021,     0,     0,     0,  1026,
    1027,  1028,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,
    1037,  1038,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,
    1047,  1048,  1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,
    1057,  1058,  1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,
    1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,  1083,  1084,  1085,  1086,
    1087,  1088,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,  1098,  1099,  1100,  1101,  1102,  1103,  1104,  1105,  1106,
    1107,  1108,  1109,  1110,  1111,  1112,  1113,  1114,  1115,  1116,
    1117,  1118,  1119,  1120,  1121,  1122,  1123,  1124,  1125,  1126,
    1127,  1128,  1129,  1130,  1131,  1132,  1133,  1134,  1135,  1136,
    1137,  1138,     0,     0,     0,     0,     0,  1145,  1147,  1148,
    1149,     0,     0,     0,     0,  1154,  1155,  1156,  1157,  1158,
    1159,     0,     0,  1165,  1166,  1167,  1168,  1169,  1171,     0,
       0,     0,     0,  1176,  1177,  1178,     0,     0,     0,     0,
       0,  1185,  1187,  1188,  1189,  1190,  1191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1202,  1203,  1204,
    1205,  1206,  1207,  1208,  1209,  1210,  1211,  1212,  1213,  1215,
    1217,     0,     0,  1220,  1221,  1222,  1223,  1224,  1225,  1226,
       0,     0,  1812,  1230,     0,  1232,  1234,  1236,  1238,  1239,
       0,     0,     0,     0,     0,     0,     0,     0,  1248,     0,
       0,  1252,  1253,  1254,  1255,  1256,  1258,     0,     0,     0,
    1263,  1264,  1266,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1292,  1293,  1294,  1295,
    1296,  1297,  1298,     0,     0,  1301,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,  1311,  1312,  1313,  1314,  1315,
    1316,  1317,  1318,  1319,  1320,  1321,  1322,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   322,   323,   324,     0,     0,     0,     0,
       0,     0,     0,   325,   326,   327,   328,     0,   329,     0,
       0,  1857,   330,   331,   332,   333,   334,     0,     0,     0,
     335,     0,     0,   336,     0,   337,     0,   338,     0,   339,
     340,     0,     0,   341,     0,     0,     0,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,     0,     0,     0,   356,   357,   358,     0,     0,   359,
     360,   361,   362,     0,   363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
       0,     0,     0,   477,   478,   479,     0,     0,   480,     0,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,     0,
       0,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,     0,     0,     0,     0,   502,     0,     0,     0,   503,
     504,   505,   506,     0,     0,     0,     0,     0,   507,   508,
     509,   510,     0,     0,   511,     0,     0,     0,     0,   512,
     513,     0,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,     0,     0,   523,   524,   525,   526,     0,   527,
       0,     0,   528,   529,   530,   531,     0,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,     0,     0,
     542,     0,     0,   543,     0,   544,     0,     0,   545,     0,
       0,     0,     0,     0,   546,     0,     0,   547,   548,   549,
     550,   551,   552,     0,     0,     0,     0,   553,     0,   554,
       0,     0,   555,     0,     0,     0,     0,     0,     0,     0,
     556,   557,     0,   558,   559,   560,   561,   562,     0,   563,
       0,     0,     0,     0,     0,   564,   565,   566,     0,     0,
     567,   568,   569,     0,   570,   571,     0,   572,     0,     0,
       0,     0,   573,     0,     0,     0,     0,     0,   574,   575,
     576,   577,   578,     0,     0,     0,     0,   579,   580,   581,
     582,     0,     0,     0,   583,     0,   584,   585,     0,   586,
       0,     0,     0,     0,     0,   587,     0,   588,     0,     0,
       0,   589,     0,     0,   590,   591,     0,     0,     0,   592,
     593,   594,   595,   596,     0,     0,   597,     0,     0,     0,
     598,     0,   599,   600,     0,     0,     0,   601,   602,   603,
     604,   605,   606,   607,   608,     0,   609,   610,   611,   612,
     613,   614,   615,   616,     0,     0,   617,     0,   618,     0,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,     0,     0,
     636,     0,   637,     0,     0,     0,   638,     0,     0,     0,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     157,     0,  1588,     0,     0,     0,   648,   649,     0,     0,
       0,     0,     0,  1453,   650,     0,   651,   322,   323,   324,
    1589,     0,     0,     0,     0,     0,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,  1590,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     651,  1591,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
    1590,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   651,  1624,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,  1590,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     651,  1656,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   651,  1380,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     693,  1380,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   706,  1380,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,  1386,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,  1387,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     693,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,  1453,   650,     0,   651,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,  1796,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     651,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
    1590,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   651,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     651,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   665,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     676,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   679,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     689,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   693,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     698,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   706,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     711,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   734,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     740,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   753,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     758,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   762,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     769,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   811,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     828,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   839,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     867,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,   917,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,   650,     0,
     945,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       0,     0,     0,     0,     0,   648,   649,   322,   323,   324,
       0,     0,     0,   650,     0,  1161,     0,   325,   326,   327,
     328,     0,   329,     0,     0,     0,   330,   331,   332,   333,
     334,     0,     0,     0,   335,     0,     0,   336,     0,   337,
       0,   338,     0,   339,   340,     0,     0,   341,     0,     0,
       0,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,     0,     0,     0,   356,   357,
     358,     0,     0,   359,   360,   361,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   478,   479,
       0,     0,   480,     0,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,     0,     0,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,     0,     0,     0,     0,   502,
       0,     0,     0,   503,   504,   505,   506,     0,     0,     0,
       0,     0,   507,   508,   509,   510,     0,     0,   511,     0,
       0,     0,     0,   512,   513,     0,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,     0,     0,   523,   524,
     525,   526,     0,   527,     0,     0,   528,   529,   530,   531,
       0,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,     0,     0,   542,     0,     0,   543,     0,   544,
       0,     0,   545,     0,     0,     0,     0,     0,   546,     0,
       0,   547,   548,   549,   550,   551,   552,     0,     0,     0,
       0,   553,     0,   554,     0,     0,   555,     0,     0,     0,
       0,     0,     0,     0,   556,   557,     0,   558,   559,   560,
     561,   562,     0,   563,     0,     0,     0,     0,     0,   564,
     565,   566,     0,     0,   567,   568,   569,     0,   570,   571,
       0,   572,     0,     0,     0,     0,   573,     0,     0,     0,
       0,     0,   574,   575,   576,   577,   578,     0,     0,     0,
       0,   579,   580,   581,   582,     0,     0,     0,   583,     0,
     584,   585,     0,   586,     0,     0,     0,     0,     0,   587,
       0,   588,     0,     0,     0,   589,     0,     0,   590,   591,
       0,     0,     0,   592,   593,   594,   595,   596,     0,     0,
     597,     0,     0,     0,   598,     0,   599,   600,     0,     0,
       0,   601,   602,   603,   604,   605,   606,   607,   608,     0,
     609,   610,   611,   612,   613,   614,   615,   616,     0,     0,
     617,     0,   618,     0,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,     0,     0,   636,     0,   637,     0,     0,     0,
     638,     0,     0,     0,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   157,     0,     0,     0,     0,     0,
     648,   649,   322,   323,   324,     0,     0,     0,  1327,     0,
     651,     0,   325,   326,   327,   328,     0,   329,     0,     0,
       0,   330,   331,   332,   333,   334,     0,     0,     0,   335,
       0,     0,   336,     0,   337,     0,   338,     0,   339,   340,
       0,     0,   341,     0,     0,     0,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
       0,     0,     0,   356,   357,   358,     0,     0,   359,   360,
     361,   362,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   478,   479,     0,     0,   480,     0,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,     0,     0,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
       0,     0,     0,     0,   502,     0,     0,     0,   503,   504,
     505,   506,     0,     0,     0,     0,     0,   507,   508,   509,
     510,     0,     0,   511,     0,     0,     0,     0,   512,   513,
       0,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,     0,     0,   523,   524,   525,   526,     0,   527,     0,
       0,   528,   529,   530,   531,     0,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,     0,     0,   542,
       0,     0,   543,     0,   544,     0,     0,   545,     0,     0,
       0,     0,     0,   546,     0,     0,   547,   548,   549,   550,
     551,   552,     0,     0,     0,     0,   553,     0,   554,     0,
       0,   555,     0,     0,     0,     0,     0,     0,     0,   556,
     557,     0,   558,   559,   560,   561,   562,     0,   563,     0,
       0,     0,     0,     0,   564,   565,   566,     0,     0,   567,
     568,   569,     0,   570,   571,     0,   572,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,   574,   575,   576,
     577,   578,     0,     0,     0,     0,   579,   580,   581,   582,
       0,     0,     0,   583,     0,   584,   585,     0,   586,     0,
       0,     0,     0,     0,   587,     0,   588,     0,     0,     0,
     589,     0,     0,   590,   591,     0,     0,     0,   592,   593,
     594,   595,   596,     0,     0,   597,     0,     0,     0,   598,
       0,   599,   600,     0,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,     0,   609,   610,   611,   612,   613,
     614,   615,   616,     0,     0,   617,     0,   618,     0,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,     0,     0,   636,
       0,   637,     0,     0,     0,   638,     0,     0,     0,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   157,
       1,     0,     0,     0,     2,     3,     0,     0,     0,     0,
       4,     0,     0,   650,     0,   651,     0,     0,     0,     0,
       5,     6,     7,     0,     8,     9,     0,    10,     0,    11,
       0,    12,     0,     0,    13,    14,     0,    15,    16,    17,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    18,    19,    20,     0,     0,     0,
      21,    22,     0,     0,     0,     0,    23,     0,     0,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1347,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,    36,    37,     0,     0,     0,    38,
       0,     0,    39,    40,    41,     0,     0,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,     0,     0,     0,
       0,     0,    43,    44,    45,     0,    46,    47,    48,     0,
       0,     0,     0,     0,    49,     0,    50,    51,     0,    52,
      53,    54,     0,     0,     0,     0,    55,    56,    57,    58,
      59,     0,     0,     0,     0,    60,    61,     0,    62,    63,
      64,    65,     0,     0,     0,     0,     0,     0,    66,     0,
       0,     0,     0,     0,     0,    67,    68,     0,     0,     0,
       0,     0,     0,    69,    70,     0,     0,     0,     0,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    72,    73,     0,    74,     0,    75,
      76,     0,    77,    78,    79,    80,    81,     0,    82,     0,
       0,     0,     0,     0,     0,     0,    83,    84,    85,    86,
       0,    87,     0,    88,    89,     0,    90,    91,    92,    93,
      94,    95,    96,     0,     0,    97,     0,     0,     0,     0,
       0,    98,     0,    99,     0,   100,   101,   102,     0,     0,
       0,   103,   104,     0,     0,  1352,   105,     0,  1353,   106,
       0,   107,   108,     0,     0,     0,   109,   110,   111,   112,
     113,     0,     0,     0,     0,     0,   114,   115,   116,   117,
       0,     0,     0,  1352,   118,   119,   120,  1354,   121,     0,
       0,   122,     0,   123,   124,   125,   126,   127,     0,   128,
       0,   129,   130,   131,  1355,   132,   133,     0,     0,   134,
     135,   136,  1356,     0,     0,  1354,     0,   137,     0,     0,
       0,   138,   139,     0,   140,  1357,     0,     0,   141,     0,
       0,     0,  1355,     0,     0,     0,     0,     0,   142,     0,
    1356,     0,  1358,     0,     0,     0,     0,   143,   144,     0,
     145,     0,   146,  1357,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1358,   148,   149,     0,   150,     0,   151,   152,   153,     0,
     154,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   157,   158,     1,  1359,     0,     0,     2,
       3,     0,     0,     0,     0,     4,     0,     0,     0,   159,
       0,     0,     0,   160,     0,     5,     6,     7,     0,     8,
       9,     0,    10,     0,    11,     0,    12,     0,     0,    13,
      14,     0,    15,    16,    17,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    18,
      19,    20,     0,     0,     0,    21,    22,     0,     0,     0,
       0,    23,     0,     0,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1410,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
       0,     0,     0,  1587,  1360,     0,     0,  1369,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1369,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,    36,
      37,     0,     0,     0,    38,     0,     0,    39,    40,    41,
       0,     0,     0,     0,     0,     0,     0,     0,    42,     0,
       0,     0,     0,     0,     0,     0,     0,    43,    44,    45,
       0,    46,    47,    48,     0,     0,     0,     0,     0,    49,
       0,    50,    51,     0,    52,    53,    54,     0,     0,     0,
       0,    55,    56,    57,    58,    59,     0,     0,     0,     0,
      60,    61,     0,    62,    63,    64,    65,     0,     0,     0,
       0,     0,     0,    66,     0,     0,     0,     0,     0,     0,
      67,    68,     0,     0,     0,     0,     0,     0,    69,    70,
       0,     0,     0,     0,     0,    71,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    72,
      73,     0,    74,     0,    75,    76,     0,    77,    78,    79,
      80,    81,     0,    82,     0,     0,     0,     0,     0,     0,
       0,    83,    84,    85,    86,     0,    87,     0,    88,    89,
       0,    90,    91,    92,    93,    94,    95,    96,     0,     0,
      97,     0,     0,     0,     0,     0,    98,     0,    99,     0,
     100,   101,   952,     0,     0,     0,   103,   104,     0,     0,
       0,   105,     0,     0,   106,     0,   107,   108,     0,     0,
       0,   109,   110,   111,   112,   113,     0,     0,     0,     0,
       0,   114,   115,   116,   117,     0,     0,     0,     0,   118,
     119,   120,     0,   121,     0,     0,   122,     0,   123,   124,
     125,   126,   127,     0,   128,     0,   129,   130,   131,     0,
     132,   133,     0,     0,   134,   135,   136,     0,     0,     0,
       0,     0,   137,     0,     0,     0,   138,   139,     0,   140,
       0,     0,     0,   141,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   142,     0,     0,     0,     0,     0,     0,
       0,     0,   143,   144,     0,   145,     0,   146,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     1,     0,
       0,     0,     2,     3,     0,     0,   148,   149,     4,   150,
       0,   151,   152,   153,     0,   154,   155,   156,     5,     6,
       7,     0,     8,     9,     0,    10,     0,    11,   157,    12,
       0,     0,    13,    14,     0,    15,    16,    17,     0,     0,
       0,     0,     0,     0,   159,     0,     0,     0,   160,     0,
       0,     0,    18,    19,    20,     0,     0,     0,    21,    22,
       0,     0,     0,     0,    23,     0,     0,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,    36,    37,     0,     0,     0,    38,     0,     0,
      39,    40,    41,     0,     0,     0,     0,     0,     0,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,     0,
      43,    44,    45,     0,    46,    47,    48,     0,     0,     0,
       0,     0,    49,     0,    50,    51,     0,    52,    53,    54,
       0,     0,     0,     0,    55,    56,    57,    58,    59,     0,
       0,     0,     0,    60,    61,     0,    62,    63,    64,    65,
       0,     0,     0,     0,     0,     0,    66,     0,     0,     0,
       0,     0,     0,    67,    68,     0,     0,     0,  1347,     0,
    1348,    69,    70,     0,     0,     0,     0,     0,    71,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    72,    73,     0,    74,     0,    75,    76,     0,
      77,    78,    79,    80,    81,     0,    82,     0,     0,     0,
       0,     0,     0,     0,    83,    84,    85,    86,     0,    87,
       0,    88,    89,     0,    90,    91,    92,    93,    94,    95,
      96,     0,     0,    97,     0,     0,     0,     0,     0,    98,
       0,    99,     0,   100,   101,     0,     0,     0,     0,   103,
     104,     0,     0,  1352,   105,     0,  1353,   106,     0,   107,
     108,     0,     0,     0,   109,   110,   111,   112,   113,     0,
       0,     0,     0,     0,   114,   115,   116,   117,     0,     0,
       0,     0,   118,   119,   120,  1354,   121,     0,     0,   122,
       0,   123,   124,   125,   126,   127,     0,   128,     0,   129,
     130,   131,  1355,   132,   133,     0,     0,   134,   135,   136,
    1356,     0,     0,     0,     0,   137,  1347,     0,  1348,   138,
     139,     0,   140,  1357,     0,     0,   141,  1349,  1350,  1351,
       0,     0,     0,     0,     0,     0,   142,     0,     0,     0,
    1358,     0,     0,     0,     0,   143,   144,     0,   145,  1347,
     146,  1348,   147,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,     0,     0,     0,   148,
     149,     0,   150,     0,   151,   152,   153,     0,   154,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   157,     0,     0,  1359,     0,     0,     0,     0,  1352,
       0,     0,  1353,     0,     0,     0,     0,   159,     0,     0,
       0,   160,     0,     0,     0,     0,     0,  1347,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,  1354,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,  1347,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,  1357,
    1349,  1350,  1351,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1358,     0,     0,     0,
       0,     0,     0,  1347,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1414,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,
    1359,  1587,     0,     0,     0,  1369,     0,  1352,     0,     0,
    1353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1354,
    1352,     0,     0,  1353,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,  1347,  1354,  1348,     0,     0,     0,  1357,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,  1358,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1352,     0,
    1357,  1353,     0,  1347,     0,  1348,     0,     0,     0,     0,
    1360,     0,     0,     0,  1349,  1350,  1351,  1358,     0,     0,
       0,     0,  1416,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
    1354,  1368,     0,     0,     0,     0,     0,  1587,  1359,     0,
    1352,  1369,  1666,  1353,     0,     0,     0,  1355,     0,     0,
       0,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1357,     0,
       0,  1359,  1354,     0,  1352,     0,     0,  1353,     0,     0,
       0,     0,     0,     0,     0,  1358,     0,     0,     0,  1355,
       0,     0,  1347,     0,  1348,     0,     0,  1356,     0,     0,
       0,     0,     0,  1349,  1350,  1351,  1354,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1355,     0,     0,     0,  1358,     0,     0,
       0,  1356,     0,     0,  1347,     0,  1348,     0,     0,  1359,
       0,     0,     0,     0,  1357,  1349,  1350,  1351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
    1420,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,  1359,     0,     0,     0,  1587,     0,     0,     0,  1369,
       0,  1360,  1352,     0,     0,  1353,     0,     0,     0,     0,
       0,     0,     0,  1425,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,  1347,  1359,  1348,     0,  1587,     0,
       0,     0,  1369,     0,  1354,  1349,  1350,  1351,     0,     0,
       0,     0,     0,     0,  1352,     0,     0,  1353,     0,     0,
       0,  1355,  1347,     0,  1348,     0,     0,     0,     0,  1356,
       0,     0,     0,  1349,  1350,  1351,     0,     0,     0,  1360,
       0,     0,  1357,     0,     0,     0,  1354,     0,     0,     0,
       0,  1429,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1358,
    1368,     0,     0,  1355,     0,     0,  1587,     0,     0,     0,
    1369,  1356,     0,     0,  1347,     0,  1348,     0,     0,     0,
       0,  1360,     0,     0,  1357,  1349,  1350,  1351,     0,     0,
       0,     0,     0,  1431,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,  1358,  1368,  1352,     0,     0,  1353,     0,  1587,     0,
       0,     0,  1369,  1359,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1383,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1354,  1368,     0,     0,     0,
       0,     0,     0,     0,     0,  1352,  1369,     0,  1353,     0,
       0,     0,  1355,     0,     0,  1359,     0,     0,     0,     0,
    1356,     0,     0,     0,     0,     0,     0,  1347,     0,  1348,
       0,     0,     0,  1357,     0,     0,     0,  1354,  1349,  1350,
    1351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1358,     0,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,     0,  1356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1352,     0,     0,  1353,     0,
       0,     0,  1358,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,  1437,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1352,  1368,     0,  1353,  1354,     0,     0,
    1587,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,  1360,     0,     0,     0,     0,
       0,     0,  1356,     0,     0,  1354,  1359,  1670,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1357,  1368,     0,  1671,     0,
       0,     0,  1355,     0,     0,  1352,  1369,     0,  1353,     0,
    1356,     0,  1358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,     0,     0,     0,     0,
       0,  1347,     0,  1348,     0,     0,     0,  1354,     0,     0,
    1358,     0,  1349,  1350,  1351,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,     0,  1356,     0,  1360,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,  1682,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,
       0,  1683,  1358,     0,  1359,  1369,     0,     0,  1352,     0,
       0,  1353,     0,  1347,     0,  1348,  1360,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,  1687,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1347,
    1354,  1348,     0,  1688,     0,     0,     0,  1369,     0,     0,
    1349,  1350,  1351,     0,     0,     0,  1359,  1355,     0,     0,
       0,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,  1347,     0,  1348,     0,     0,     0,  1357,     0,
       0,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1358,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1689,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1347,
       0,  1348,     0,  1690,  1360,     0,     0,  1369,     0,     0,
    1349,  1350,  1351,     0,     0,     0,  1691,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,  1359,
       0,  1692,     0,     0,     0,  1369,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1352,     0,     0,  1353,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1693,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1347,     0,
    1348,     0,     0,  1694,  1354,     0,     0,  1369,     0,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,     0,     0,  1347,     0,  1348,     0,     0,  1356,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
       0,     0,  1357,     0,  1352,     0,     0,  1353,     0,     0,
    1347,     0,  1348,     0,     0,     0,     0,     0,     0,  1358,
       0,  1349,  1350,  1351,     0,     0,     0,     0,     0,  1360,
    1352,     0,     0,  1353,     0,     0,  1354,     0,     0,     0,
       0,  1695,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,     0,  1355,     0,     0,  1696,     0,     0,     0,
    1369,  1356,  1354,  1352,     0,     0,  1353,     0,     0,     0,
       0,     0,     0,  1359,  1357,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,  1358,     0,     0,     0,  1354,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1352,     0,  1355,  1353,     0,     0,     0,  1358,     0,     0,
    1356,     0,     0,     0,     0,     0,     0,     0,  1347,     0,
    1348,     0,     0,  1357,     0,     0,     0,     0,     0,  1349,
    1350,  1351,  1354,     0,     0,  1359,     0,     0,     0,     0,
    1358,     0,     0,     0,     0,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,  1359,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,  1352,
       0,     0,  1353,  1360,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,  1359,  1500,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,  1352,     0,     0,  1353,     0,
    1587,  1354,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,  1352,     0,     0,  1353,     0,  1356,  1354,     0,     0,
       0,  1359,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,     0,  1355,  1360,     0,     0,     0,     0,
       0,     0,  1356,  1354,     0,     0,  1358,  1710,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1357,  1368,     0,     0,     0,
    1355,  1360,  1711,     0,     0,     0,  1369,     0,  1356,     0,
       0,     0,  1358,  1385,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,  1357,  1368,     0,     0,     0,     0,     0,  1719,     0,
       0,     0,  1369,     0,  1360,     0,     0,     0,  1358,     0,
    1359,     0,     0,     0,     0,     0,  1741,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,
       0,  1742,     0,     0,     0,  1369,  1359,     0,     0,  1352,
       0,     0,  1353,     0,  1347,     0,  1348,     0,     0,     0,
       0,  1360,     0,     0,     0,  1349,  1350,  1351,     0,     0,
       0,     0,  1359,  1383,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,  1354,  1368,     0,     0,     0,     0,     0,  1755,     0,
       0,     0,  1369,     0,     0,     0,     0,     0,  1355,  1347,
       0,  1348,     0,     0,     0,     0,  1356,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,  1347,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,  1351,  1358,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,  1347,     0,  1348,     0,  1360,  1762,     0,     0,
       0,  1369,     0,  1349,  1350,  1351,     0,     0,  1383,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
    1359,     0,  1360,  1765,     0,     0,     0,  1369,     0,     0,
       0,     0,     0,     0,  1780,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,  1347,     0,  1348,     0,  1781,
       0,     0,     0,  1369,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1347,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,  1352,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,  1354,     0,     0,
       0,     0,  1875,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
    1352,  1368,     0,  1353,  1355,     0,     0,  1876,     0,     0,
       0,  1369,  1356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1352,     0,  1357,  1353,     0,  1347,     0,
    1348,     0,  1354,     0,     0,     0,     0,     0,     0,  1349,
    1350,  1351,  1358,     0,     0,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,  1354,     0,  1356,     0,     0,
       0,     0,     0,  1352,     0,     0,  1353,     0,     0,     0,
    1357,     0,  1355,     0,     0,     0,     0,     0,     0,     0,
    1356,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,  1357,     0,  1354,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1358,     0,  1355,     0,     0,     0,  1352,     0,     0,  1353,
    1356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,     0,     0,     0,     0,
    1352,  1359,     0,  1353,     0,     0,     0,     0,  1354,  1347,
    1358,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,  1351,     0,  1359,  1355,  1352,     0,     0,  1353,
       0,     0,  1354,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1357,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,  1354,     0,
    1347,     0,  1348,  1358,  1359,     0,     0,     0,     0,     0,
    1357,  1349,  1350,  1351,     0,  1355,  1360,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,  1358,  1878,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1357,  1368,     0,  1347,
       0,  1348,     0,  1879,     0,     0,     0,  1369,     0,     0,
    1349,  1350,  1351,  1358,     0,     0,     0,  1359,     0,  1352,
       0,  1360,  1353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1880,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,  1359,  1368,     0,  1360,     0,     0,     0,  1881,     0,
       0,  1354,  1369,     0,     0,     0,  1882,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,  1359,  1355,     0,
       0,  1883,     0,     0,     0,  1369,  1356,     0,     0,  1347,
       0,  1348,     0,     0,  1360,     0,     0,     0,     0,  1357,
    1349,  1350,  1351,     0,     0,     0,  1885,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,  1358,     0,     0,     0,
       0,  1886,     0,     0,     0,  1369,     0,     0,     0,     0,
    1347,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,  1351,     0,     0,     0,  1360,     0,     0,
    1352,     0,     0,  1353,     0,     0,     0,     0,     0,  1891,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,
    1359,  1360,     0,     0,  1892,     0,     0,     0,  1369,     0,
       0,     0,  1354,  1893,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,     0,  1360,  1894,  1355,
       0,  1352,  1369,     0,  1353,     0,     0,  1356,     0,  1895,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,
    1357,     0,     0,     0,  1896,     0,     0,     0,  1369,     0,
       0,     0,     0,  1354,     0,     0,     0,  1358,     0,     0,
    1352,     0,     0,  1353,     0,     0,     0,     0,     0,     0,
    1355,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1357,  1354,  1347,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,  1358,  1355,
    1360,  1359,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,  1899,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
    1357,  1368,     0,     0,     0,     0,     0,  1900,     0,     0,
    1352,  1369,     0,  1353,     0,     0,  1347,  1358,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,     0,     0,
       0,  1352,     0,     0,  1353,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,  1359,     0,     0,  1347,     0,  1348,     0,     0,     0,
    1357,     0,     0,  1354,     0,  1349,  1350,  1351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
    1355,  1360,     0,     0,     0,     0,     0,     0,  1356,     0,
       0,     0,     0,  1907,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,  1357,  1368,     0,  1347,     0,  1348,     0,  1908,     0,
       0,     0,  1369,     0,     0,  1349,  1350,  1351,  1358,     0,
       0,     0,     0,     0,     0,     0,  1347,     0,  1348,     0,
       0,  1359,  1360,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,  1956,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,  1347,     0,  1348,     0,     0,  1957,
       0,     0,     0,  1369,     0,  1349,  1350,  1351,     0,     0,
       0,  1360,  1359,     0,  1352,     0,     0,  1353,     0,     0,
       0,     0,     0,  1961,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,     0,     0,  1962,     0,
       0,     0,  1369,     0,     0,     0,  1354,  1347,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,     0,     0,  1355,     0,     0,     0,  1352,     0,     0,
    1353,  1356,     0,     0,  1347,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,  1357,  1349,  1350,  1351,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,  1354,
       0,  1358,     0,  1964,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,  1355,     0,  1965,     0,
       0,     0,  1369,     0,  1356,  1352,     0,     0,  1353,     0,
       0,     0,  1360,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,  1979,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,  1358,  1359,     0,  1354,     0,  1980,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,  1352,     0,     0,  1353,     0,
       0,     0,  1356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,  1352,     0,     0,
    1353,     0,     0,     0,     0,     0,     0,  1354,  1359,     0,
       0,     0,  1358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,  1352,     0,     0,  1353,  1354,
       0,  1347,  1356,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,  1357,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,  1354,     0,     0,
       0,     0,  1358,     0,     0,     0,  1359,  1357,     0,     0,
       0,     0,     0,     0,  1355,  1360,     0,     0,  1352,     0,
       0,  1353,  1356,     0,  1358,     0,     0,  1373,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1357,  1368,     0,     0,     0,
       0,     0,     0,     0,     0,  1352,  1369,     0,  1353,     0,
    1354,  1347,  1358,  1348,     0,     0,  1359,     0,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,  1355,  1360,     0,
       0,     0,     0,     0,     0,  1356,     0,  1354,  1359,     0,
    1379,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1357,  1368,
       0,     0,     0,     0,  1355,     0,     0,     0,  1347,  1369,
    1348,     0,  1356,     0,     0,  1358,  1359,     0,     0,  1349,
    1350,  1351,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,  1358,     0,     0,     0,     0,     0,  1383,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1347,
       0,  1348,     0,     0,     0,     0,     0,  1369,     0,  1359,
    1349,  1350,  1351,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,  1348,     0,  1360,     0,     0,     0,
       0,     0,     0,  1349,  1350,  1351,  1359,     0,  1385,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1360,     0,
       0,     0,  1352,     0,     0,  1353,     0,  1369,     0,     0,
    1393,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,  1404,     0,     0,  1360,     0,     0,  1369,
       0,     0,     0,     0,  1354,     0,     0,     0,  1395,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
       0,  1355,  1347,     0,  1348,     0,     0,  1369,     0,  1356,
       0,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,  1352,     0,     0,  1353,     0,     0,     0,  1358,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
    1369,     0,     0,     0,  1354,     0,     0,     0,  1406,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1352,
       0,  1355,  1353,     0,  1347,     0,  1348,  1369,     0,  1356,
       0,     0,     0,  1359,     0,  1349,  1350,  1351,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,  1354,     0,     0,     0,     0,     0,     0,     0,  1358,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
    1352,     0,     0,  1353,     0,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,  1352,     0,     0,  1353,     0,  1347,     0,
    1348,     0,  1354,     0,     0,     0,  1358,     0,     0,  1349,
    1350,  1351,     0,  1359,     0,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,  1347,  1354,  1348,  1356,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
    1357,     0,  1355,     0,     0,     0,     0,     0,     0,     0,
    1356,     0,     0,  1360,     0,     0,     0,  1358,     0,     0,
    1359,     0,     0,  1357,     0,  1408,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1352,  1368,     0,  1353,     0,     0,     0,
    1358,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1347,     0,  1348,     0,
       0,     0,     0,     0,     0,  1354,     0,  1349,  1350,  1351,
       0,  1359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1355,     0,     0,     0,     0,     0,     0,     0,
    1356,     0,     0,  1360,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,  1410,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,  1352,     0,     0,  1353,     0,
    1358,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,  1347,     0,  1348,     0,     0,     0,     0,
    1360,     0,     0,     0,  1349,  1350,  1351,  1354,     0,     0,
       0,     0,  1414,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,  1369,  1356,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,  1352,
       0,  1360,  1353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1358,  1416,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,  1360,  1352,     0,     0,  1353,     0,
       0,  1354,  1369,     0,     0,     0,  1420,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,  1355,  1347,
       0,  1348,     0,     0,     0,  1369,  1356,  1354,     0,     0,
    1349,  1350,  1351,     0,     0,     0,  1428,     0,     0,  1357,
       0,     0,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,     0,  1356,     0,     0,     0,  1358,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,  1352,     0,     0,
    1353,     0,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,  1358,     0,     0,     0,  1425,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,  1354,
       0,     0,     0,     0,     0,  1369,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,  1347,     0,  1348,
       0,     0,     0,     0,     0,     0,  1359,  1357,  1349,  1350,
    1351,     0,     0,     0,  1352,     0,     0,  1353,     0,  1347,
       0,  1348,     0,     0,  1358,     0,  1360,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,     0,     0,  1429,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1354,  1368,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1369,     0,     0,
       0,     0,     0,  1355,     0,     0,     0,     0,     0,     0,
    1347,  1356,  1348,     0,     0,     0,     0,     0,  1444,     0,
       0,  1349,  1350,  1351,  1357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1431,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
    1352,  1368,     0,  1353,     0,     0,  1360,     0,     0,     0,
       0,  1369,     0,     0,     0,     0,     0,     0,  1437,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
       0,  1347,  1354,  1348,     0,  1359,     0,  1369,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,     0,     0,  1355,
       0,     0,     0,  1347,     0,  1348,     0,  1356,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
    1429,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,     0,     0,     0,     0,     0,  1352,  1369,
       0,  1353,     0,  1347,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
    1352,     0,     0,  1353,     0,     0,  1347,     0,  1348,     0,
    1354,  1359,     0,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,     0,  1360,     0,  1355,     0,     0,
       0,     0,  1354,     0,     0,  1356,     0,  1500,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1357,  1355,
       0,  1352,     0,     0,  1353,     0,  1369,  1356,     0,     0,
       0,     0,     0,     0,     0,  1358,     0,     0,     0,  1347,
    1357,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,  1351,  1354,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1355,     0,     0,     0,  1347,     0,  1348,     0,  1356,     0,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,  1359,
       0,  1357,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1360,  1352,     0,     0,  1353,     0,     0,  1358,     0,
       0,  1359,     0,  1429,  1361,  1362,  1363,  1586,  1365,  1366,
    1367,     0,  1368,     0,  1352,     0,     0,  1353,     0,     0,
       0,     0,  1369,  1347,  1354,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
       0,  1355,     0,     0,     0,  1347,  1354,  1348,     0,  1356,
       0,     0,  1359,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,  1357,  1355,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,  1352,     0,     0,  1353,     0,  1358,
       0,  1347,     0,  1348,  1357,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,  1352,     0,  1360,
    1353,  1358,     0,     0,     0,     0,  1354,     0,     0,     0,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,  1360,     0,  1355,     0,     0,  1587,     0,     0,  1354,
    1369,  1356,     0,  1359,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,  1357,     0,  1355,     0,  1672,     0,
       0,     0,  1369,     0,  1356,  1359,     0,     0,     0,     0,
    1352,  1358,     0,  1353,     0,     0,  1347,  1357,  1348,     0,
       0,     0,  1360,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,  1358,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,  1354,  1368,     0,  1352,     0,     0,  1353,  1673,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,  1359,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1354,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,  1359,     0,
       0,     0,     0,     0,  1355,     0,     0,  1358,     0,     0,
       0,     0,  1356,  1360,  1352,     0,     0,  1353,     0,     0,
       0,     0,     0,     0,     0,  1357,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,  1360,  1352,     0,     0,  1353,
    1674,     0,  1358,     0,  1369,     0,  1354,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
       0,  1359,  1675,  1355,     0,     0,  1369,     0,  1354,     0,
       0,  1356,  1352,     0,     0,  1353,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,  1360,  1359,     0,     0,     0,
       0,  1358,     0,     0,  1354,     0,  1357,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1360,     0,
       0,  1355,  1678,  1358,     0,     0,  1369,     0,     0,  1356,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,  1347,  1357,  1348,     0,  1679,     0,     0,     0,  1369,
       0,     0,  1349,  1350,  1351,  1359,     0,  1352,     0,  1358,
    1353,     0,     0,  1347,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,  1359,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,  1354,
       0,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,  1355,  1347,  1680,  1348,
       0,     0,  1369,  1359,  1356,     0,  1360,     0,  1349,  1350,
    1351,     0,     0,     0,     0,     0,     0,  1357,     0,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
    1347,     0,  1348,  1681,  1358,     0,     0,  1369,     0,     0,
       0,  1349,  1350,  1351,     0,     0,     0,     0,     0,     0,
    1347,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,  1351,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,  1360,  1359,     0,
       0,     0,  1684,     0,     0,     0,  1369,     0,     0,  1685,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1347,
       0,  1348,     0,     0,     0,     0,     0,     0,  1369,     0,
    1349,  1350,  1351,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1686,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,  1352,     0,     0,  1353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1352,     0,     0,  1353,     0,     0,
       0,     0,     0,     0,  1354,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,  1355,     0,     0,     0,     0,  1354,     0,     0,  1356,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1352,  1368,
       0,  1353,  1357,  1355,     0,  1697,     0,     0,     0,  1369,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,  1358,
       0,     0,     0,     0,  1357,     0,     0,     0,     0,     0,
    1354,  1352,     0,     0,  1353,     0,     0,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,  1355,     0,     0,
       0,  1352,     0,     0,  1353,  1356,     0,     0,     0,     0,
       0,     0,     0,  1354,     0,     0,     0,     0,  1357,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
    1355,     0,     0,  1354,     0,  1358,     0,     0,  1356,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
    1355,  1357,     0,  1347,     0,  1348,     0,     0,  1356,     0,
    1352,     0,     0,  1353,  1349,  1350,  1351,     0,  1358,     0,
       0,  1357,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1358,  1359,
       0,     0,  1354,  1347,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,  1355,
       0,     0,     0,  1347,     0,  1348,     0,  1356,     0,     0,
       0,     0,  1359,     0,  1349,  1350,  1351,     0,     0,     0,
    1357,     0,     0,  1347,     0,  1348,     0,     0,     0,     0,
       0,     0,  1359,  1360,  1349,  1350,  1351,  1358,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,  1360,     0,     0,     0,     0,
    1698,     0,     0,     0,  1369,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
       0,     0,  1699,  1347,     0,  1348,  1369,     0,     0,     0,
       0,  1359,     0,     0,  1349,  1350,  1351,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,     0,     0,     0,  1347,  1700,  1348,     0,     0,
    1369,     0,  1360,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,  1360,  1368,     0,     0,     0,     0,     0,  1701,
       0,     0,     0,  1369,     0,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,  1352,     0,     0,  1353,     0,  1702,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1354,     0,     0,     0,
       0,  1360,     0,     0,  1352,     0,     0,  1353,     0,     0,
       0,     0,     0,  1355,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,  1356,  1368,     0,  1352,     0,     0,  1353,  1703,     0,
       0,     0,  1369,     0,  1357,     0,  1354,     0,     0,     0,
       0,     0,     0,     0,  1352,     0,     0,  1353,     0,     0,
       0,  1358,     0,  1355,     0,     0,  1354,     0,     0,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1355,  1357,     0,  1354,     0,     0,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,  1355,  1357,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,  1352,  1359,     0,  1353,     0,     0,
       0,  1358,     0,  1347,  1357,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,  1354,     0,     0,  1347,
       0,  1348,     0,     0,     0,  1359,  1352,     0,     0,  1353,
    1349,  1350,  1351,  1355,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,     0,  1354,     0,
       0,  1347,     0,  1348,     0,  1359,     0,     0,     0,     0,
       0,  1358,  1349,  1350,  1351,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,  1357,  1348,     0,     0,
       0,     0,     0,     0,     0,  1360,  1349,  1350,  1351,     0,
       0,     0,     0,  1358,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1359,  1368,     0,     0,     0,
       0,     0,  1704,     0,     0,  1347,  1369,  1348,     0,     0,
       0,     0,     0,     0,     0,  1360,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1360,  1368,  1359,     0,     0,
       0,     0,  1705,     0,     0,     0,  1369,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1360,  1368,     0,     0,     0,
       0,     0,  1706,     0,     0,     0,  1369,  1707,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1369,  1347,     0,  1348,
       0,     0,     0,     0,  1352,     0,     0,  1353,  1349,  1350,
    1351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
    1352,     0,     0,  1353,     0,     0,  1354,  1708,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
       0,     0,     0,  1355,     0,     0,  1369,     0,     0,     0,
       0,  1356,  1354,     0,     0,     0,     0,  1360,     0,     0,
       0,     0,  1352,     0,  1357,  1353,     0,     0,     0,  1355,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1356,  1368,     0,
    1347,  1358,  1348,     0,  1712,     0,     0,     0,  1369,     0,
    1357,  1349,  1350,  1351,  1354,     0,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,  1355,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,     0,     0,     0,     0,  1354,     0,
       0,     0,  1357,     0,     0,  1359,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,  1355,     0,     0,     0,  1358,
       0,     0,     0,  1356,     0,     0,     0,     0,  1347,     0,
    1348,  1359,     0,     0,     0,     0,  1357,     0,  1354,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1358,     0,  1355,  1347,     0,  1348,     0,
       0,     0,     0,  1356,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,  1359,     0,     0,  1357,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1352,     0,
       0,  1353,     0,  1358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1347,  1359,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,  1351,
    1354,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1355,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1356,  1368,  1359,     0,     0,
       0,  1360,  1713,     0,     0,     0,  1369,     0,  1357,     0,
       0,     0,     0,  1714,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,  1347,  1358,  1348,     0,     0,     0,
       0,  1352,  1369,     0,  1353,  1349,  1350,  1351,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1354,  1368,     0,     0,     0,     0,     0,
    1716,     0,     0,     0,  1369,     0,     0,  1360,     0,  1359,
    1355,     0,     0,     0,     0,     0,     0,     0,  1356,  1720,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,
       0,  1357,  1347,     0,  1348,     0,     0,     0,  1369,  1352,
       0,     0,  1353,  1349,  1350,  1351,     0,  1360,  1358,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1721,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1352,  1368,     0,
    1353,  1354,  1347,     0,  1348,     0,     0,     0,  1369,     0,
       0,     0,     0,  1349,  1350,  1351,     0,     0,  1355,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,  1354,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,     0,     0,     0,  1355,  1352,     0,     0,
    1353,     0,     0,  1347,  1356,  1348,  1358,     0,     0,  1360,
       0,     0,     0,     0,  1349,  1350,  1351,  1357,     0,     0,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1354,
    1368,  1347,     0,  1348,  1358,     0,  1722,     0,     0,     0,
    1369,     0,  1349,  1350,  1351,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,  1352,     0,  1357,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1347,  1358,  1348,     0,     0,  1359,     0,
       0,     0,     0,     0,  1349,  1350,  1351,  1354,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,  1356,  1368,     0,     0,     0,     0,  1347,  1723,
    1348,     0,     0,  1369,     0,  1357,     0,     0,  1359,  1349,
    1350,  1351,     0,  1352,     0,     0,  1353,     0,  1347,     0,
    1348,     0,  1358,     0,     0,     0,     0,     0,     0,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1354,  1347,     0,  1348,     0,
    1360,     0,     0,  1352,     0,     0,  1353,  1349,  1350,  1351,
       0,     0,  1355,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
    1356,  1368,     0,     0,     0,     0,  1359,  1724,  1360,     0,
       0,  1369,     0,  1357,     0,  1354,     0,     0,     0,     0,
    1725,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
    1358,     0,  1355,     0,  1352,     0,     0,  1353,     0,  1369,
    1356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,     0,     0,  1360,     0,
       0,     0,  1352,     0,     0,  1353,  1354,     0,     0,     0,
    1358,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,  1355,  1359,  1726,     0,     0,     0,  1369,
       0,  1356,     0,     0,  1354,     0,     0,  1347,     0,  1348,
       0,     0,     0,     0,  1357,     0,     0,     0,  1349,  1350,
    1351,  1355,     0,     0,  1352,     0,     0,  1353,     0,  1356,
       0,  1358,     0,     0,  1359,     0,  1360,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1354,  1368,     0,  1358,
       0,     0,     0,  1729,     0,     0,     0,  1369,     0,  1352,
       0,     0,  1353,  1355,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,     0,  1359,     0,     0,     0,  1352,
       0,     0,  1353,     0,  1357,     0,     0,     0,     0,     0,
       0,  1354,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,  1359,  1360,     0,     0,  1352,  1355,     0,
    1353,  1354,     0,     0,     0,     0,  1356,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,  1355,  1357,
       0,  1730,     0,     0,     0,  1369,  1356,     0,     0,  1354,
       0,  1347,     0,  1348,  1360,     0,  1358,     0,     0,  1357,
       0,     0,  1349,  1350,  1351,  1359,  1355,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,  1356,  1368,  1358,  1347,     0,  1348,
       0,  1731,     0,     0,     0,  1369,     0,  1357,  1349,  1350,
    1351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1347,     0,  1348,  1358,  1360,     0,     0,     0,     0,
    1359,     0,  1349,  1350,  1351,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
    1359,     0,  1732,  1360,     0,     0,  1369,     0,  1352,     0,
       0,  1353,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,  1359,     0,
    1733,     0,     0,  1347,  1369,  1348,     0,     0,     0,     0,
    1354,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,  1355,     0,     0,
       0,     0,     0,     0,     0,  1356,     0,  1734,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,  1347,  1357,  1348,
       0,     0,     0,     0,     0,     0,  1369,     0,  1349,  1350,
    1351,     0,     0,     0,     0,  1358,     0,  1347,     0,  1348,
    1360,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,     0,  1735,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
    1360,  1368,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1369,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,     0,     0,     0,  1736,  1360,  1359,
       0,  1369,  1352,     0,     0,  1353,     0,     0,     0,     0,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,     0,     0,  1737,     0,     0,  1352,  1369,
       0,  1353,     0,     0,  1354,  1347,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1351,     0,
       0,  1355,  1352,     0,     0,  1353,     0,     0,     0,  1356,
    1354,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,  1355,     0,     0,
       0,     0,     0,     0,  1354,  1356,     0,     0,     0,  1358,
       0,     0,     0,     0,     0,     0,     0,     0,  1357,     0,
       0,  1355,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,  1352,  1358,     0,  1353,     0,  1360,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,  1739,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1358,
    1368,     0,     0,  1359,     0,     0,  1354,     0,     0,     0,
    1369,     0,     0,     0,     0,     0,     0,     0,  1352,     0,
       0,  1353,     0,  1355,     0,     0,     0,     0,     0,  1359,
       0,  1356,     0,     0,     0,     0,     0,     0,  1352,     0,
       0,  1353,     0,     0,  1357,     0,     0,     0,     0,     0,
    1354,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,  1355,     0,     0,
    1354,  1347,     0,  1348,     0,  1356,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,  1355,  1357,     0,
       0,  1347,     0,  1348,     0,  1356,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,  1358,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,  1358,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,  1360,
    1740,     0,     0,     0,  1369,     0,     0,     0,  1354,  1359,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,     0,  1360,     0,  1355,  1743,     0,     0,  1359,
    1369,     0,     0,  1356,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,  1347,  1357,  1348,     0,     0,
    1744,     0,     0,     0,  1369,     0,  1349,  1350,  1351,     0,
       0,     0,     0,  1358,     0,  1347,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
       0,     0,  1745,     0,     0,     0,  1369,  1359,     0,     0,
       0,  1347,     0,  1348,     0,     0,     0,     0,     0,  1360,
       0,     0,  1349,  1350,  1351,     0,     0,     0,     0,     0,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1360,
    1368,     0,  1352,     0,     0,  1353,  1746,     0,     0,     0,
    1369,  1747,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,  1352,     0,     0,  1353,     0,  1347,     0,  1348,
    1369,     0,     0,     0,  1354,     0,     0,     0,  1349,  1350,
    1351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,     0,     0,  1354,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,  1357,     0,     0,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,     0,     0,     0,  1360,     0,  1358,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,  1748,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1358,
       0,     0,     0,     0,     0,     0,     0,     0,  1369,     0,
       0,     0,     0,     0,     0,     0,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,  1354,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1355,     0,     0,  1354,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1355,  1357,     0,     0,     0,
       0,     0,  1352,  1356,     0,  1353,     0,     0,  1347,     0,
    1348,     0,     0,  1358,     0,     0,  1357,     0,     0,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,  1348,  1358,  1354,     0,     0,     0,     0,     0,
       0,  1349,  1350,  1351,     0,     0,     0,     0,     0,     0,
       0,  1355,     0,     0,     0,     0,     0,     0,  1352,  1356,
       0,  1353,     0,  1360,     0,     0,     0,  1359,     0,     0,
       0,     0,  1357,     0,     0,  1750,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1360,  1368,     0,     0,  1359,     0,  1358,
    1354,     0,     0,     0,  1369,  1751,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,  1355,  1347,     0,
    1348,     0,     0,     0,  1369,  1356,     0,     0,     0,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,  1347,     0,  1348,     0,
       0,     0,     0,  1359,     0,  1358,     0,  1349,  1350,  1351,
       0,     0,     0,     0,     0,     0,  1347,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,  1348,     0,     0,     0,     0,  1360,     0,     0,
       0,  1349,  1350,  1351,     0,     0,     0,     0,     0,  1359,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1360,  1368,     0,
       0,     0,     0,     0,  1756,     0,     0,     0,  1369,     0,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,
       0,     0,     0,     0,  1757,     0,     0,     0,  1369,  1352,
       0,     0,  1353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1352,     0,  1360,  1353,     0,     0,     0,     0,     0,
       0,  1354,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,  1355,     0,
    1758,     0,     0,  1354,  1369,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
    1355,  1347,     0,  1348,     0,     0,     0,     0,  1356,  1360,
       0,     0,  1349,  1350,  1351,     0,  1358,     0,     0,     0,
       0,  1357,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1352,
    1368,     0,  1353,     0,     0,     0,  1759,     0,  1358,     0,
    1369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1352,     0,     0,
    1353,  1354,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,  1352,  1355,     0,
    1353,     0,     0,     0,     0,     0,  1356,     0,     0,  1354,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,  1357,
       0,  1352,     0,     0,  1353,     0,  1355,     0,     0,  1354,
       0,     0,     0,     0,  1356,     0,  1358,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1355,  1357,     0,  1347,
       0,  1348,     0,  1354,  1356,     0,     0,     0,     0,     0,
    1349,  1350,  1351,     0,  1358,     0,     0,  1357,     0,     0,
    1355,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
       0,     0,     0,  1347,  1358,  1348,     0,     0,     0,     0,
    1359,  1357,     0,     0,  1349,  1350,  1351,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1358,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,  1359,     0,
       0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,  1360,     0,     0,     0,     0,  1760,  1359,     0,
       0,  1369,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,  1352,  1368,     0,  1353,     0,     0,     0,  1763,
       0,     0,  1359,  1369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1347,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,  1354,  1349,  1350,  1351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,  1347,     0,  1348,     0,     0,     0,     0,  1356,
    1360,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,  1357,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,     0,     0,     0,  1766,  1360,  1358,
       0,  1369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1360,  1368,
       0,     0,     0,     0,     0,  1767,     0,     0,     0,  1369,
    1768,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
    1352,     0,  1360,  1353,     0,     0,     0,     0,     0,  1369,
       0,     0,     0,  1359,     0,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,     0,     0,     0,     0,  1769,
       0,     0,  1354,  1369,  1352,     0,     0,  1353,     0,  1347,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,  1355,
    1349,  1350,  1351,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,  1347,     0,  1348,     0,  1354,     0,     0,     0,
    1357,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,     0,  1355,     0,     0,     0,  1358,     0,     0,
    1347,  1356,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,  1351,  1357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1347,     0,
    1348,  1358,     0,     0,     0,  1352,     0,     0,  1353,  1349,
    1350,  1351,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1352,  1368,     0,  1353,  1354,     0,     0,
    1770,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,  1359,     0,     0,     0,     0,
       0,  1347,  1356,  1348,     0,  1354,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,  1357,     0,     0,     0,     0,
       0,     0,  1355,     0,     0,     0,     0,     0,     0,     0,
    1356,     0,  1358,     0,     0,  1347,     0,  1348,     0,     0,
       0,     0,     0,  1357,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1347,
    1358,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,     0,  1359,     0,     0,     0,
    1352,     0,     0,  1353,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,     0,     0,  1771,     0,
       0,     0,  1369,  1352,  1359,  1360,  1353,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,  1355,
       0,  1352,  1772,     0,  1353,  1354,  1369,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,  1355,     0,     0,     0,     0,     0,     0,  1352,
    1356,     0,  1353,  1354,     0,     0,     0,  1358,     0,     0,
       0,     0,     0,  1357,     0,     0,     0,     0,     0,     0,
    1355,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
    1358,  1354,     0,  1347,     0,  1348,  1360,     0,     0,     0,
       0,  1357,     0,     0,  1349,  1350,  1351,     0,  1355,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1356,  1368,  1358,     0,
       0,  1359,  1352,  1773,  1360,  1353,     0,  1369,     0,  1357,
       0,     0,     0,     0,     0,     0,     0,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,  1359,  1368,  1358,     0,     0,     0,
       0,  1774,     0,     0,  1354,  1369,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,  1359,     0,     0,     0,     0,     0,     0,  1356,
    1352,     0,     0,  1353,     0,     0,     0,     0,  1354,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,  1355,  1347,     0,  1348,  1358,
       0,     0,  1354,  1356,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,     0,     0,  1357,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,  1360,     0,  1358,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,  1359,  1360,     0,     0,  1358,  1775,     0,
       0,     0,  1369,     0,     0,     0,     0,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,  1347,     0,  1348,
       0,  1776,  1360,     0,     0,  1369,     0,  1359,  1349,  1350,
    1351,     0,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,     0,     0,     0,     0,  1777,
    1360,  1359,     0,  1369,  1352,     0,     0,  1353,     0,     0,
       0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,     0,     0,  1347,  1778,  1348,     0,
       0,  1369,     0,     0,     0,     0,  1354,  1349,  1350,  1351,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1355,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,  1779,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,  1347,     0,
    1348,  1358,     0,     0,  1369,     0,     0,  1360,     0,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1352,  1368,     0,
    1353,  1360,     0,     0,  1782,     0,     0,     0,  1369,     0,
       0,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,  1359,     0,     0,  1783,  1354,
       0,  1347,  1369,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,  1351,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1352,     0,
       0,  1353,     0,  1347,  1358,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1354,     0,     0,     0,     0,     0,     0,  1347,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,  1355,  1349,  1350,
    1351,     0,     0,     0,     0,  1356,     0,  1352,  1359,     0,
    1353,     0,     0,     0,     0,  1360,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1358,  1368,     0,     0,  1354,
       0,     0,  1784,     0,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,  1352,
       0,     0,  1353,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1359,
       0,     0,     0,     0,  1358,  1347,     0,  1348,     0,     0,
       0,  1354,     0,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,  1360,     0,
       0,     0,  1352,     0,     0,  1353,     0,     0,     0,  1357,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1359,  1368,
       0,     0,     0,     0,     0,  1785,  1358,     0,     0,  1369,
       0,     0,     0,     0,  1354,     0,     0,  1347,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,  1355,     0,     0,  1352,     0,     0,  1353,     0,  1356,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,  1360,
    1359,     0,     0,     0,     0,     0,  1354,     0,  1352,  1358,
       0,  1353,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,     0,  1355,     0,     0,  1786,     0,     0,     0,
    1369,  1356,     0,     0,  1347,     0,  1348,     0,     0,     0,
    1354,     0,     0,     0,  1357,  1349,  1350,  1351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1355,  1360,     0,
       0,  1358,     0,  1359,     0,  1356,     0,     0,     0,     0,
    1787,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1357,  1368,
       0,  1347,     0,  1348,     0,     0,     0,     0,     0,  1369,
       0,     0,  1349,  1350,  1351,  1358,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,  1352,     0,     0,  1353,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,  1347,     0,  1348,     0,     0,  1788,  1354,  1359,
       0,  1369,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,  1357,     0,  1352,     0,
       0,  1353,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1358,  1368,     0,  1347,     0,  1348,     0,
    1789,     0,     0,     0,  1369,     0,     0,  1349,  1350,  1351,
    1354,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,  1355,     0,     0,
       0,     0,     0,     0,     0,  1356,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,  1359,  1357,     0,
       0,     0,  1790,     0,     0,  1352,  1369,     0,  1353,  1360,
       0,     0,     0,     0,     0,  1358,     0,     0,     0,     0,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,     0,     0,     0,     0,  1791,  1354,     0,     0,
    1369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1352,     0,  1355,  1353,     0,     0,     0,  1347,
       0,  1348,  1356,     0,     0,     0,     0,     0,     0,  1359,
    1349,  1350,  1351,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,  1354,     0,     0,     0,     0,     0,
       0,     0,  1358,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,     0,     0,  1352,     0,     0,  1353,  1360,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1358,
       0,     0,     0,     0,  1792,  1354,  1359,  1347,  1369,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,     0,  1355,     0,     0,     0,     0,     0,     0,     0,
    1356,     0,     0,     0,     0,     0,     0,  1352,     0,     0,
    1353,     0,     0,  1357,  1347,     0,  1348,     0,     0,  1360,
       0,     0,     0,  1359,     0,  1349,  1350,  1351,     0,     0,
    1358,  1804,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1354,
    1368,  1347,     0,  1348,     0,     0,     0,     0,     0,     0,
    1369,     0,  1349,  1350,  1351,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,  1347,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,  1357,  1349,  1350,
    1351,     0,     0,     0,  1359,     0,     0,     0,     0,  1347,
       0,  1348,     0,     0,  1358,     0,  1360,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,     0,     0,  1806,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
    1352,     0,     0,  1353,     0,     0,  1347,  1369,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,  1360,     0,     0,     0,     0,  1359,     0,
       0,     0,  1354,     0,     0,  1809,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,  1369,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,     0,  1358,  1352,     0,
       0,  1353,     0,     0,  1811,     0,  1810,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1369,     0,     0,     0,     0,
    1354,     0,     0,     0,     0,  1352,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,  1355,     0,     0,
       0,  1359,     0,     0,     0,  1356,     0,     0,  1360,     0,
       0,     0,  1352,     0,     0,  1353,     0,  1354,  1357,     0,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,     0,  1355,  1358,     0,     0,  1352,  1369,
       0,  1353,  1356,     0,  1354,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
    1352,  1355,     0,  1353,     0,     0,  1347,     0,  1348,  1356,
    1354,     0,  1358,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,  1357,     0,     0,     0,     0,  1355,     0,  1359,
       0,     0,  1354,     0,     0,  1356,     0,  1352,     0,  1358,
    1353,     0,     0,     0,     0,     0,     0,     0,  1357,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,  1360,     0,     0,     0,  1358,  1359,     0,     0,  1354,
    1357,     0,     0,  1814,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,  1355,  1358,     0,  1347,
       0,  1348,  1369,  1359,  1356,     0,     0,     0,     0,     0,
    1349,  1350,  1351,     0,     0,     0,     0,  1357,     0,  1347,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,  1359,
    1349,  1350,  1351,     0,  1358,     0,     0,     0,     0,     0,
       0,  1347,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,  1359,  1349,  1350,  1351,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1815,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,  1347,     0,  1348,     0,     0,     0,     0,  1359,     0,
    1369,     0,  1349,  1350,  1351,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1816,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1347,     0,
    1348,     0,     0,  1360,     0,     0,     0,  1369,     0,  1349,
    1350,  1351,     0,     0,     0,  1817,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,  1352,     0,  1360,
    1353,     0,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,  1819,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,  1360,     0,     0,     0,     0,     0,     0,     0,  1354,
    1369,     0,     0,  1429,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,     0,  1355,     0,     0,  1347,
       0,  1348,  1369,     0,  1356,     0,     0,     0,  1360,     0,
    1349,  1350,  1351,     0,     0,     0,     0,  1357,     0,     0,
    1820,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
    1352,     0,     0,  1353,  1358,  1347,     0,  1348,     0,  1369,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1351,     0,
    1352,     0,     0,  1353,     0,     0,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1352,     0,     0,  1353,     0,     0,     0,  1355,
       0,     0,  1354,     0,     0,     0,     0,  1356,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1355,
    1357,     0,     0,     0,  1354,     0,     0,  1356,     0,     0,
       0,     0,  1352,     0,     0,  1353,     0,  1358,     0,     0,
    1357,  1355,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,     0,     0,     0,  1358,     0,     0,
       0,     0,  1357,     0,  1354,     0,     0,     0,     0,  1352,
       0,     0,  1353,     0,     0,     0,     0,     0,     0,  1358,
       0,  1355,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,  1359,     0,     0,     0,  1347,     0,  1348,     0,     0,
       0,  1354,  1357,     0,     0,     0,  1349,  1350,  1351,     0,
       0,  1359,     0,     0,     0,     0,     0,     0,  1355,  1358,
       0,     0,     0,     0,     0,     0,  1356,     0,  1360,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,  1357,
    1823,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
    1352,     0,     0,  1353,     0,  1347,  1358,  1348,     0,  1369,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
    1359,  1360,     0,     0,     0,     0,     0,     0,  1354,     0,
    1357,     0,     0,  1836,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,  1360,  1368,     0,     0,  1355,     0,  1358,     0,     0,
       0,     0,  1369,  1356,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,  1360,  1872,     0,  1357,     0,     0,     0,
       0,     0,  1369,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,  1358,  1368,     0,  1347,     0,  1348,     0,
    1874,     0,     0,     0,  1369,     0,     0,  1349,  1350,  1351,
       0,  1359,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,     0,
    1877,     0,     0,     0,  1369,     0,  1352,  1359,     0,  1353,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,  1347,     0,  1348,     0,     0,  1884,  1354,     0,
       0,  1369,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,  1352,     0,     0,  1353,
       0,  1347,     0,  1348,     0,     0,  1357,     0,     0,     0,
       0,     0,  1349,  1350,  1351,     0,     0,     0,     0,     0,
       0,  1360,     0,  1358,     0,     0,     0,     0,  1354,     0,
       0,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,     0,     0,  1355,     0,     0,  1887,     0,
       0,     0,  1369,  1356,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,     0,  1357,     0,     0,     0,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1359,  1368,     0,
    1347,     0,  1348,  1358,  1888,     0,     0,     0,  1369,     0,
       0,  1349,  1350,  1351,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1352,     0,     0,
    1353,     0,  1347,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,  1351,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,  1347,     0,  1348,     0,  1354,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,     0,  1355,     0,     0,     0,
       0,     0,     0,  1347,  1356,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,  1357,     0,     0,
       0,     0,     0,  1352,     0,     0,  1353,  1360,     0,     0,
       0,     0,     0,     0,  1358,     0,     0,     0,     0,  1890,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,
       0,     0,     0,     0,     0,  1354,     0,     0,  1369,     0,
       0,     0,  1352,     0,     0,  1353,     0,     0,     0,     0,
       0,     0,  1355,     0,     0,     0,     0,     0,     0,     0,
    1356,     0,     0,     0,     0,     0,     0,  1360,  1359,     0,
       0,     0,     0,  1357,  1354,     0,     0,     0,     0,     0,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,
    1358,  1355,     0,     0,  1897,     0,     0,     0,  1369,  1356,
       0,     0,     0,     0,  1347,     0,  1348,     0,     0,     0,
       0,     0,  1357,     0,     0,  1349,  1350,  1351,     0,     0,
       0,  1352,     0,     0,  1353,     0,  1347,     0,  1348,  1358,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,  1354,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1352,     0,     0,  1353,     0,     0,     0,
    1355,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
       0,     0,     0,  1359,     0,     0,  1352,     0,  1360,  1353,
       0,  1357,     0,     0,     0,  1354,     0,     0,     0,     0,
    1898,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1358,  1368,
       0,     0,  1355,     0,  1352,     0,     0,  1353,  1354,  1369,
    1356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,  1355,  1347,     0,  1348,     0,
       0,     0,     0,  1356,     0,     0,  1354,  1349,  1350,  1351,
    1358,     0,     0,     0,     0,     0,  1357,     0,     0,     0,
       0,     0,  1359,  1355,  1360,     0,     0,     0,     0,     0,
       0,  1356,     0,  1358,     0,     0,     0,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,  1357,  1368,  1347,     0,  1348,     0,
       0,  1901,     0,     0,     0,  1369,     0,  1349,  1350,  1351,
       0,  1358,     0,  1360,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,  1359,     0,     0,
    1902,     0,     0,     0,  1369,  1352,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,  1352,     0,     0,
    1353,     0,     0,  1347,     0,  1348,     0,  1354,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,     0,     0,     0,
       0,     0,  1360,     0,  1355,     0,     0,     0,     0,  1354,
       0,     0,  1356,     0,  1903,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,  1357,  1355,  1347,     0,  1348,
       0,     0,     0,  1369,  1356,     0,     0,     0,  1349,  1350,
    1351,     0,  1358,     0,  1360,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,  1904,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,  1358,  1368,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,  1369,     0,     0,     0,  1905,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1352,  1368,     0,
    1353,     0,     0,     0,     0,  1360,  1359,     0,  1369,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1359,  1354,
       0,     0,  1906,     0,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1355,  1352,     0,     0,
    1353,     0,     0,  1347,  1356,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1354,
       0,     0,     0,     0,  1358,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1355,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,  1352,     0,  1360,  1353,     0,     0,
       0,     0,     0,     0,  1358,     0,     0,     0,  1359,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1360,     0,
       0,     0,     0,  1909,     0,     0,  1354,  1369,     0,     0,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1352,  1368,
       0,  1353,     0,  1355,  1347,  1910,  1348,     0,     0,  1369,
       0,  1356,     0,     0,     0,  1349,  1350,  1351,  1359,     0,
       0,     0,     0,     0,  1357,     0,  1347,     0,  1348,     0,
    1354,     0,     0,     0,     0,     0,     0,  1349,  1350,  1351,
       0,  1358,     0,     0,     0,     0,     0,  1355,  1347,     0,
    1348,     0,     0,     0,     0,  1356,     0,     0,     0,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1358,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,     0,  1352,  1911,     0,  1353,     0,  1369,
    1347,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,  1351,     0,     0,     0,     0,  1360,  1359,
       0,     0,     0,     0,     0,     0,  1354,     0,     0,     0,
    1912,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,  1355,     0,     0,     0,     0,     0,  1369,
    1347,  1356,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,  1351,  1357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1347,     0,
    1348,  1358,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,  1351,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1914,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,  1352,  1368,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,  1352,     0,  1360,
    1353,     0,     0,     0,     0,     0,     0,  1354,     0,     0,
       0,  1915,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1352,
    1368,     0,  1353,     0,  1355,     0,     0,     0,     0,  1354,
    1369,     0,  1356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,  1355,     0,     0,     0,
    1916,  1354,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,     0,  1358,     0,     0,     0,     0,  1357,  1355,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,  1358,     0,     0,     0,     0,  1357,
       0,  1352,     0,     0,  1353,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1358,     0,     0,  1347,
       0,  1348,     0,     0,     0,  1360,  1359,     0,     0,     0,
    1349,  1350,  1351,  1354,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,  1359,     0,
    1355,  1352,     0,     0,  1353,     0,  1369,     0,  1356,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,  1357,     0,     0,     0,     0,     0,     0,     0,  1352,
       0,     0,  1353,  1354,  1347,     0,  1348,     0,  1358,     0,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
    1355,     0,     0,     0,  1347,     0,  1348,     0,  1356,     0,
       0,  1354,     0,     0,     0,  1349,  1350,  1351,     0,     0,
       0,  1357,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,  1358,     0,
       0,     0,  1359,  1347,     0,  1348,  1360,     0,     0,  1357,
       0,     0,     0,     0,  1349,  1350,  1351,     0,  1918,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1358,  1368,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,  1369,     0,     0,
    1919,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
    1360,     0,  1359,     0,     0,     0,     0,     0,     0,  1369,
       0,     0,  1920,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,     0,  1347,     0,  1348,     0,     0,
    1359,  1369,     0,     0,     0,     0,  1349,  1350,  1351,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1352,     0,     0,  1353,     0,     0,  1347,     0,  1348,     0,
       0,     0,  1360,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,  1921,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,  1354,  1368,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,  1355,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,  1360,     0,     0,  1352,     0,     0,  1353,     0,
    1357,     0,     0,     0,  1922,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,  1352,     0,  1358,  1353,     0,
    1360,     0,     0,  1369,     0,     0,     0,  1354,     0,     0,
       0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,  1923,  1355,     0,     0,  1354,     0,     0,
       0,  1369,  1356,     0,  1352,     0,     0,  1353,     0,     0,
       0,     0,     0,     0,  1355,  1357,     0,     0,     0,     0,
       0,  1359,  1356,     0,     0,     0,     0,     0,  1347,     0,
    1348,     0,  1358,     0,     0,  1357,  1354,     0,     0,  1349,
    1350,  1351,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1358,  1355,     0,     0,  1347,     0,  1348,     0,
       0,  1356,     0,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,  1357,     0,  1352,     0,     0,  1353,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,  1348,     0,     0,     0,  1359,     0,  1354,     0,
       0,  1349,  1350,  1351,     0,     0,     0,  1352,     0,     0,
    1353,     0,     0,     0,     0,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,  1359,  1357,     0,     0,  1354,
       0,     0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,  1358,     0,     0,  1355,     0,  1949,     0,
       0,     0,  1369,  1347,  1356,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,  1351,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,  1347,     0,  1348,     0,
       0,     0,     0,     0,  1358,     0,  1360,  1349,  1350,  1351,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,  1360,  1368,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,  1369,     0,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,
       0,     0,     0,  1951,     0,     0,     0,  1369,  1359,  1352,
       0,     0,  1353,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,  1352,     0,     0,
    1353,  1354,  1952,     0,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1355,     0,
       0,     0,     0,     0,     0,  1347,  1356,  1348,     0,  1354,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1351,  1357,
       0,  1352,     0,     0,  1353,     0,  1355,  1360,     0,     0,
       0,     0,     0,     0,  1356,     0,  1358,     0,     0,     0,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1357,  1368,  1347,
       0,  1348,     0,  1354,  1953,     0,     0,     0,  1369,     0,
    1349,  1350,  1351,     0,  1358,     0,     0,     0,  1360,     0,
    1355,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
    1954,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
    1359,  1357,     0,     0,  1352,     0,     0,  1353,     0,  1369,
    1347,     0,  1348,     0,     0,     0,     0,     0,  1358,     0,
       0,  1349,  1350,  1351,     0,     0,     0,  1352,  1359,     0,
    1353,     0,  1347,     0,  1348,     0,  1354,     0,     0,     0,
       0,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
       0,     0,     0,  1355,     0,     0,     0,     0,     0,  1354,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,  1357,     0,  1355,     0,     0,     0,
       0,     0,     0,  1347,  1356,  1348,     0,     0,     0,     0,
       0,  1358,     0,     0,  1349,  1350,  1351,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1347,     0,  1348,  1358,     0,     0,     0,     0,     0,
    1360,     0,  1349,  1350,  1351,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,     0,  1359,  1352,  1955,  1360,  1353,
       0,  1369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1359,  1368,
       0,     0,  1347,     0,  1348,  1958,     0,     0,  1354,  1369,
       0,     0,     0,  1349,  1350,  1351,     0,     0,     0,     0,
    1352,     0,  1360,  1353,     0,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,     0,  1357,     0,     0,  1959,
       0,     0,  1354,  1369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1358,     0,     0,     0,     0,     0,  1355,
       0,  1352,     0,     0,  1353,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,  1352,     0,  1360,  1353,     0,     0,     0,
       0,     0,     0,  1354,     0,     0,     0,  1358,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,  1359,  1360,     0,
    1355,     0,  1960,     0,     0,  1354,  1369,     0,  1356,     0,
       0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,  1357,  1355,     0,  1352,  1963,     0,  1353,     0,  1369,
    1356,     0,     0,     0,     0,     0,     0,     0,  1358,     0,
       0,  1359,     0,  1357,     0,     0,     0,     0,     0,     0,
       0,     0,  1352,     0,     0,  1353,  1354,  1347,     0,  1348,
    1358,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,     0,     0,  1355,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,  1354,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,  1357,     0,     0,     0,     0,     0,
       0,  1355,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,  1358,     0,  1352,  1359,     0,  1353,  1360,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1358,
       0,     0,     0,     0,  1966,  1354,     0,  1347,  1369,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,  1360,  1355,     0,     0,  1359,     0,     0,     0,     0,
    1356,     0,     0,  1967,  1361,  1362,  1363,  1364,  1365,  1366,
    1367,     0,  1368,  1357,  1347,     0,  1348,     0,     0,     0,
       0,     0,  1369,  1359,     0,  1349,  1350,  1351,     0,     0,
    1358,     0,     0,     0,     0,     0,  1347,     0,  1348,     0,
       0,     0,  1360,     0,     0,     0,     0,  1349,  1350,  1351,
       0,     0,     0,     0,  1968,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,  1369,     0,     0,  1969,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,  1359,  1368,     0,  1347,     0,  1348,
       0,     0,     0,     0,     0,  1369,     0,     0,  1349,  1350,
    1351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,  1352,     0,
       0,  1353,     0,     0,     0,     0,     0,  1970,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
    1347,     0,  1348,  1360,     0,     0,  1369,     0,     0,     0,
    1354,  1349,  1350,  1351,     0,     0,  1361,  1362,  1363,  1364,
    1365,  1366,  1367,     0,  1368,     0,     0,  1355,     0,     0,
    1981,     0,     0,     0,  1369,  1356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1357,     0,
    1347,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,  1351,  1360,  1358,     0,     0,  1352,     0,
       0,  1353,     0,     0,     0,     0,     0,  1361,  1362,  1363,
    1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,     0,
       0,  1982,     0,     0,     0,  1369,     0,     0,     0,     0,
    1354,     0,     0,     0,     0,  1352,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,  1355,     0,  1359,
       0,     0,     0,     0,     0,  1356,     0,  1352,     0,     0,
    1353,     0,     0,     0,     0,     0,     0,  1354,  1357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,  1358,     0,     0,  1347,  1354,
    1348,     0,  1356,     0,     0,     0,     0,     0,     0,  1349,
    1350,  1351,     0,     0,     0,  1357,  1355,     0,  1352,     0,
       0,  1353,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,     0,  1358,     0,     0,     0,     0,  1357,     0,     0,
    1347,     0,  1348,     0,     0,     0,     0,     0,     0,  1359,
    1354,  1349,  1350,  1351,  1358,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1355,     0,     0,
       0,  1352,     0,     0,  1353,  1356,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,  1359,     0,  1357,     0,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,     0,     0,  1354,     0,  1358,  1983,     0,  1359,     0,
    1369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1355,  1352,     0,     0,  1353,     0,     0,     0,  1356,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1357,     0,  1347,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,  1354,  1349,  1350,  1351,     0,  1358,  1359,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
    1355,     0,     0,     0,     0,     0,     0,     0,  1356,     0,
       0,  1984,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,
    1368,  1357,     0,     0,     0,     0,     0,     0,     0,     0,
    1369,     0,     0,     0,     0,     0,  1360,     0,  1358,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,  1985,  1361,
    1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,  1360,  1352,
       0,     0,  1353,     0,     0,     0,     0,  1369,     0,     0,
    1986,  1361,  1362,  1363,  1364,  1365,  1366,  1367,     0,  1368,
       0,     0,     0,  1347,     0,  1348,     0,     0,     0,  1369,
       0,  1354,  1359,     0,  1349,  1350,  1351,     0,     0,     0,
       0,  1352,     0,     0,  1353,     0,     0,     0,  1355,  1360,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
       0,     0,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1357,
    1368,     0,     0,  1354,     0,     0,  1991,     0,     0,     0,
    1369,     0,     0,     0,     0,     0,  1358,     0,     0,     0,
    1355,     0,     0,     0,     0,  1347,     0,  1348,  1356,     0,
       0,     0,  1360,     0,     0,     0,  1349,  1350,  1351,     0,
       0,  1357,     0,     0,  1992,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,     0,     0,     0,  1358,     0,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,  1352,     0,     0,  1353,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1993,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,     0,     0,  1354,     0,     0,     0,
       0,     0,  1359,  1369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1355,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1352,     0,     0,  1353,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1996,  1361,  1362,  1363,  1364,  1365,  1366,  1367,
       0,  1368,     0,     0,     0,  1359,  1354,     0,     0,     0,
       0,  1369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,  1355,     0,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,  1998,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,     0,  1368,  1357,     0,  1352,     0,     0,  1353,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1354,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1355,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,  1357,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,  1358,     0,     0,     0,  2000,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  1362,
    1363,  1364,  1365,  1366,  1367,     0,  1368,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,  1362,  1363,  1586,  1365,  1366,  1367,     0,  1368,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1369
};

static const yytype_int16 yycheck[] =
{
       1,     2,     3,    70,  1397,   242,     5,     8,     9,    10,
      11,   165,    13,     5,   163,    20,    21,    18,    19,    20,
      21,    22,   207,     5,    25,    26,    63,    64,    65,   178,
     512,   526,   181,     5,    63,    64,    65,   510,    39,   522,
       0,   523,   504,   505,   527,  1375,    47,    48,    49,    50,
      51,    52,    53,   526,   527,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    91,    68,    69,   528,
      71,    72,     0,    74,    75,   364,   510,     5,   529,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,  1421,   526,   522,     0,   526,    97,    98,   527,     5,
     101,   526,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   160,   137,     0,   139,   140,
     141,   271,     5,   144,   510,     0,   147,   510,   149,   150,
       5,    79,   526,   154,   155,   156,   526,     0,   510,   160,
     526,   526,     5,   526,     5,     6,   296,     0,     9,   526,
       0,     0,     5,    79,   526,     0,     5,   521,   526,   522,
       5,     5,     6,   271,   527,     9,   526,   531,   526,   526,
     526,   526,   526,    23,   526,   526,     2,   526,   526,   526,
     526,   526,   526,     9,   526,   526,     8,   526,   296,   526,
     526,   526,   526,    43,     2,   526,    79,    19,    20,    21,
     526,     9,   526,   526,    79,   526,   526,   526,   526,   526,
     526,   526,   526,   526,    75,   526,    79,    67,   526,   526,
      70,   526,   526,   204,   205,    51,    79,    53,   526,   526,
      79,    75,   526,   526,    79,   526,   526,   526,   526,   526,
     526,   526,   526,    51,    52,    53,   271,   228,   526,    99,
     526,   526,    60,     8,   526,    10,    82,   526,   526,   516,
     526,    87,   526,   526,    19,    20,    21,   526,   526,   207,
     526,   296,    98,   526,    82,   526,   526,   526,   526,    87,
     526,   526,   526,   526,    19,    20,    21,    22,   526,   526,
      98,   526,   526,   143,   526,   526,   146,   526,   526,   526,
     526,   526,   526,   526,    39,   131,   132,   526,   329,   159,
     515,    46,   526,   163,   140,    50,   526,   526,   526,    54,
      55,    56,   526,   131,   132,   526,    61,   135,   178,   137,
     526,   181,   140,   526,   526,   526,   526,   526,    73,    74,
      75,   527,   522,   515,   526,    80,    81,    82,   512,   522,
     526,   526,   207,    88,   364,    90,   527,    92,    79,   527,
     522,   512,   525,   522,   525,   207,   516,   517,   518,   519,
     527,   521,   527,   108,   527,   527,   111,   514,   527,   114,
     527,   531,   117,   118,   523,   120,   527,   122,   207,   527,
     125,   527,   127,   527,   527,   130,    10,   527,   133,   527,
     527,   136,   527,   527,   527,   527,   527,   527,    22,   527,
     518,   519,   527,   521,   527,   527,   364,   436,   527,   154,
     155,   156,   527,   531,   436,    39,   527,   527,   527,   525,
     512,   526,    46,   530,   436,   527,   530,    51,   364,    53,
      54,    55,   531,    57,   436,   523,    60,   308,   527,   271,
     527,  1864,  1802,   527,   522,   242,   523,   523,   479,    73,
     951,  1341,   527,   915,   308,  1584,  1912,    67,    82,    67,
      67,   811,    -1,    -1,   296,   496,   758,   758,    92,    -1,
      -1,   364,    -1,    97,   239,   466,    -1,   242,   436,   364,
      -1,   516,   517,   518,   519,    -1,   521,   111,    -1,   113,
      -1,   364,   116,   522,    -1,    -1,   531,   526,   527,    -1,
     436,   364,    -1,    -1,    -1,   364,   271,   131,   132,   364,
     381,    -1,   136,   137,   545,   527,   140,    -1,   702,   510,
     522,    -1,    -1,   288,   526,    -1,    -1,   381,    -1,    -1,
      -1,   296,    -1,   524,    -1,   526,   720,    -1,    -1,    -1,
      -1,    -1,    -1,   436,   309,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,   436,   522,   436,   437,    -1,   526,    -1,
     528,   529,    -1,   436,    -1,    -1,    -1,   436,    -1,    -1,
      -1,   436,   436,   437,    -1,    -1,   522,    -1,    -1,    -1,
     526,    -1,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,   648,    -1,   650,
     651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   522,
      -1,    -1,    -1,   526,   665,   528,   529,    -1,    -1,    -1,
      -1,   672,    -1,   528,   529,   676,    -1,    -1,   679,   522,
      -1,   522,    -1,   526,    -1,   528,   529,    -1,   689,    -1,
      -1,   515,   693,    -1,    -1,   528,   529,   698,    -1,   528,
     529,    -1,   703,   528,   529,   706,    -1,    -1,   496,    -1,
     711,    -1,    -1,    -1,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
      -1,    -1,   769,   734,    -1,    -1,    -1,    -1,    -1,   740,
     769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   753,    -1,    -1,    -1,    -1,   758,    -1,    -1,
      -1,   762,    -1,   478,   479,   500,    -1,    -1,   769,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,   942,    -1,
      -1,    -1,   527,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,   828,     8,    -1,    10,    -1,    -1,    -1,
     811,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
      -1,   651,    -1,    -1,    -1,    -1,    -1,   828,   977,    -1,
      -1,    -1,    -1,    -1,    -1,   665,    -1,    -1,   839,    -1,
      -1,    -1,    -1,   844,    -1,    -1,   676,    -1,    -1,   679,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   689,
      -1,    -1,    -1,   693,    -1,    -1,   867,    -1,   698,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   706,    -1,    -1,    -1,
      -1,   711,    -1,    -1,   478,    -1,    -1,    -1,    -1,   719,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   734,    -1,    -1,    -1,    -1,    -1,
     740,    -1,    -1,    -1,    -1,    -1,   917,    -1,    -1,    -1,
     945,    -1,    -1,   753,    -1,   926,    -1,    -1,   758,    -1,
      -1,    -1,   762,    -1,   935,    -1,    -1,    -1,    -1,   769,
      -1,    -1,    -1,    -1,   945,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   956,   957,   958,   959,   960,
      -1,   962,   963,    -1,    -1,   966,   967,    -1,   969,   970,
     971,   972,   973,    -1,   975,   976,    -1,    -1,    -1,   980,
     981,   811,    -1,    -1,   985,   986,    -1,   988,   703,    -1,
      -1,   992,    -1,    -1,    -1,   996,   997,    -1,   828,    -1,
      -1,  1002,  1003,  1004,  1005,    -1,    -1,    -1,    -1,   839,
      -1,    -1,    -1,    -1,    -1,    -1,  1017,  1018,  1019,  1020,
      -1,  1022,  1023,  1024,  1025,    -1,    -1,    -1,    -1,    -1,
      26,    -1,    -1,    -1,    -1,   239,    -1,   867,   242,    -1,
      -1,    -1,    -1,    39,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    53,    -1,    -1,
      -1,    57,    -1,    -1,    60,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    82,   917,    -1,    -1,
      -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,    -1,   309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,   945,    -1,    -1,    -1,   115,
     116,   951,   326,    -1,    19,    20,    21,    -1,    -1,   844,
      -1,    -1,    -1,    -1,    -1,   131,   132,    -1,  1139,  1140,
      -1,   137,    -1,  1144,    -1,  1146,    -1,   977,    -1,  1150,
    1151,  1152,  1153,    -1,    -1,    -1,    -1,   987,    -1,  1160,
    1161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1170,
      -1,  1172,  1173,  1174,  1175,    -1,   380,    -1,  1179,  1180,
    1181,  1182,  1183,  1184,    -1,  1186,    -1,    -1,  1342,    -1,
      -1,  1192,  1193,    -1,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1214,    -1,  1216,    -1,    -1,  1219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1227,  1228,  1229,    -1,
    1231,    -1,  1233,    -1,  1235,    -1,  1237,    -1,    -1,  1240,
    1241,  1242,  1243,  1244,    -1,  1246,  1247,  1401,  1249,  1250,
    1251,    -1,    -1,    -1,    -1,    -1,  1257,    -1,  1259,  1260,
    1261,  1262,    -1,    -1,  1265,    -1,  1267,  1268,  1269,  1270,
    1271,  1272,  1273,  1274,  1275,  1276,    -1,    -1,  1279,  1280,
      -1,  1282,  1283,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
    1291,    -1,    -1,    -1,    -1,    -1,   500,    -1,  1299,  1300,
      -1,    -1,  1327,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
      -1,    -1,  1323,   527,    -1,    -1,  1327,   531,    -1,    -1,
      -1,  1161,  1399,    -1,    -1,    -1,  1403,    -1,  1339,  1340,
      -1,    -1,    -1,    -1,   239,    -1,  1347,  1348,  1349,  1350,
    1351,  1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,  1360,
    1361,  1362,  1363,  1364,  1365,  1366,  1367,  1368,  1369,    -1,
      -1,    -1,  1373,    -1,  1375,    -1,   271,    -1,  1379,    -1,
      -1,    -1,  1383,    -1,  1385,  1386,  1387,    -1,    -1,  1390,
      -1,    -1,  1393,   288,  1395,  1396,    -1,    -1,    -1,     0,
      -1,   296,    -1,    -1,  1429,  1406,    -1,  1408,    -1,  1410,
      -1,     0,    -1,  1414,   309,  1416,     5,    -1,    -1,    -1,
    1421,    -1,    23,    -1,  1425,    -1,    -1,  1428,  1429,    -1,
    1431,    -1,    -1,  1434,    23,    -1,  1437,    -1,    -1,    -1,
      -1,    -1,    -1,  1444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      -1,    62,    63,    64,    65,  1180,    67,    -1,  1469,    -1,
      -1,    -1,    -1,    62,    63,    64,    65,    -1,    67,  1194,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    76,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    99,  1500,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      99,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,
    1245,  1246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,  1259,    -1,  1261,    -1,    -1,   138,
      -1,    -1,    -1,    -1,   143,    -1,    -1,   146,   159,    -1,
      -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,  1399,
     159,    -1,    -1,  1403,   163,    -1,    -1,   178,    -1,    -1,
     181,  1175,    -1,  1584,    -1,  1586,  1180,    -1,    -1,   178,
      -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,  1219,   521,    -1,    -1,    -1,
      -1,    -1,  1633,  1634,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1242,    -1,
      -1,  1245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1665,  1666,    -1,    -1,    -1,  1670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1682,    -1,    -1,  1685,  1686,  1687,    -1,  1689,    -1,
    1691,    -1,  1693,    -1,  1695,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1707,  1708,    -1,  1710,
      -1,    -1,    -1,  1714,    -1,    -1,    -1,    -1,    -1,  1720,
    1721,    -1,    -1,   324,  1725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1734,  1735,   324,    -1,    -1,  1739,    -1,
    1741,    -1,   239,    -1,    -1,   242,  1747,  1748,    -1,  1750,
    1751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1768,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,  1779,  1780,
      -1,     8,    -1,    10,    -1,    -1,  1787,    -1,    -1,    -1,
      -1,   288,    19,    20,    21,  1796,    -1,    -1,    -1,   296,
      -1,  1802,    -1,  1804,    -1,  1806,    -1,    -1,  1809,  1810,
    1811,    -1,   309,  1814,  1815,  1816,  1817,    -1,  1819,  1820,
      -1,    -1,  1823,    -1,  1825,    -1,     8,    -1,    10,   326,
      -1,    -1,    -1,    -1,    -1,  1836,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1875,    -1,    -1,  1878,    -1,  1880,
      -1,  1882,    -1,   380,  1885,    -1,    -1,    -1,    -1,  1890,
    1891,    -1,  1893,    -1,  1895,    -1,    -1,  1898,  1899,    -1,
      -1,    -1,  1903,  1904,  1905,    -1,  1907,    -1,    -1,    -1,
      -1,  1912,    -1,  1914,  1915,  1916,    -1,  1918,  1919,  1920,
    1921,  1922,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1954,    -1,  1956,    -1,    -1,    -1,    -1,
    1961,    -1,    -1,  1964,    -1,    -1,  1967,  1968,  1969,  1970,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1979,    -1,
      -1,    -1,    -1,  1984,  1985,  1986,    -1,    -1,    -1,    -1,
      -1,  1992,  1993,    -1,    -1,  1996,   597,  1998,    -1,  2000,
      -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,   597,    -1,
      -1,    -1,   239,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,    -1,
     527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
     651,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,
     242,   288,   651,    -1,   665,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,   676,   665,    -1,   679,    -1,
      -1,   670,   309,    -1,    -1,    -1,    -1,   676,   689,   271,
     679,    -1,   693,    -1,    -1,    -1,    -1,   698,    -1,   326,
     689,    -1,    -1,    -1,   693,   706,   288,    -1,    -1,   698,
     711,    -1,    -1,    -1,   296,    -1,    -1,   706,    -1,    -1,
      -1,    -1,   711,   207,    -1,    -1,    -1,   309,    -1,    -1,
     719,    -1,    -1,   734,    -1,    -1,    -1,    -1,    -1,   740,
      -1,    -1,    -1,    -1,   326,   734,    -1,    -1,    -1,    -1,
      -1,   740,   753,   380,    -1,   239,    -1,   758,   242,    -1,
      -1,   762,    -1,     8,   753,    10,    -1,    -1,   769,   758,
      -1,    -1,    -1,   762,    19,    20,    21,    -1,    -1,    -1,
     769,    -1,    -1,     8,    -1,    10,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,   380,    -1,
      -1,    -1,    -1,    -1,   288,     8,    -1,    10,    -1,    -1,
     811,    -1,   296,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,   811,    -1,    -1,   309,    -1,   828,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   839,   828,
      -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,     8,
     839,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,   867,    -1,     8,    -1,
      10,    -1,    -1,   500,    -1,    -1,    -1,    -1,   867,    19,
      20,    21,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   917,    -1,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   917,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,    -1,   945,   527,    -1,    -1,    -1,   531,
     951,    -1,    -1,    -1,    -1,    -1,   945,    -1,    -1,    -1,
      -1,    -1,   951,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   977,    -1,    -1,    -1,
      -1,   982,    -1,    -1,    -1,    -1,   987,    -1,   977,    -1,
      -1,    -1,    -1,   982,   239,    -1,    -1,   242,   987,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,    -1,   500,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   239,   521,    -1,   242,
      -1,    -1,    -1,   288,    -1,    -1,   271,   531,    -1,    -1,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,   309,    -1,    -1,    -1,   271,    -1,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   326,    -1,   242,   309,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,   239,
      -1,   326,    -1,    -1,    -1,    -1,   309,    -1,    12,    13,
      14,    -1,   271,    -1,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    28,    -1,    -1,    -1,    -1,   288,
      -1,   271,    -1,    -1,    38,   380,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
     309,    -1,    -1,    -1,    -1,   380,   296,    -1,    -1,    -1,
    1161,    -1,    -1,    -1,    -1,    -1,    -1,   326,    72,   309,
      -1,    -1,  1161,    77,    -1,    -1,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    93,
      94,    95,    96,    -1,    -1,    -1,   100,    -1,    -1,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,
      -1,   115,    -1,   117,    -1,   119,   120,   121,    -1,   123,
      -1,   380,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   148,   149,    -1,   151,   152,    -1,
      -1,    -1,    -1,    -1,    -1,   500,   160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   500,   521,    -1,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,   531,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,   500,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,   531,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
      -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,   531,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,   531,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1397,    -1,
    1399,    -1,    -1,    -1,  1403,    -1,    -1,    -1,    -1,  1420,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   331,   332,   333,
     334,  1420,    -1,   337,   338,   339,   340,    -1,    -1,    -1,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,    -1,    -1,   359,    -1,    -1,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,
     484,    -1,    -1,    -1,    -1,   489,   490,   491,   492,   493,
     494,    -1,    -1,   497,   498,   499,   500,   501,   502,    -1,
      -1,    -1,    -1,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,   515,   516,   517,   518,   519,   520,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,    -1,    -1,   547,   548,   549,   550,   551,   552,   553,
      -1,    -1,  1641,   557,    -1,   559,   560,   561,   562,   563,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   572,    -1,
      -1,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
     584,   585,   586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   610,   611,   612,   613,
     614,   615,   616,    -1,    -1,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    13,    14,    15,    16,    -1,    18,    -1,
      -1,  1800,    22,    23,    24,    25,    26,    -1,    -1,    -1,
      30,    -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,
      40,    -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1864,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
      -1,    -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,
      -1,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,
     260,   261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,
     270,    -1,   272,   273,   274,    -1,   276,   277,   278,   279,
     280,   281,    -1,    -1,   284,   285,   286,   287,    -1,   289,
      -1,    -1,   292,   293,   294,   295,    -1,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,    -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,
     330,   331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,
      -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,    -1,   359,
      -1,    -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,
      -1,    -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,
     390,   391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,
     400,    -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,
      -1,    -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,
      -1,   421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,
     430,   431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,
     440,    -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,    -1,    -1,
     490,    -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,   516,   517,    -1,    -1,
      -1,    -1,    -1,   523,   524,    -1,   526,     3,     4,     5,
     530,    -1,    -1,    -1,    -1,    -1,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,   361,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,   527,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
     361,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,   527,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,   361,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,   527,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,   527,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,   527,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,   527,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,   207,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,   515,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,   523,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,   514,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
     361,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,   516,   517,     3,     4,     5,
      -1,    -1,    -1,   524,    -1,   526,    -1,    13,    14,    15,
      16,    -1,    18,    -1,    -1,    -1,    22,    23,    24,    25,
      26,    -1,    -1,    -1,    30,    -1,    -1,    33,    -1,    35,
      -1,    37,    -1,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    -1,    -1,    64,    65,
      66,    -1,    -1,    69,    70,    71,    72,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,    -1,    -1,    -1,   203,   204,   205,
      -1,    -1,   208,    -1,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,    -1,    -1,
      -1,    -1,   258,   259,   260,   261,    -1,    -1,   264,    -1,
      -1,    -1,    -1,   269,   270,    -1,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,    -1,    -1,   284,   285,
     286,   287,    -1,   289,    -1,    -1,   292,   293,   294,   295,
      -1,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,    -1,    -1,   313,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   324,    -1,
      -1,   327,   328,   329,   330,   331,   332,    -1,    -1,    -1,
      -1,   337,    -1,   339,    -1,    -1,   342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,
     366,   367,    -1,    -1,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,    -1,
      -1,   397,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,   415,
      -1,   417,    -1,    -1,    -1,   421,    -1,    -1,   424,   425,
      -1,    -1,    -1,   429,   430,   431,   432,   433,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,   442,   443,    -1,    -1,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,    -1,   468,    -1,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
     516,   517,     3,     4,     5,    -1,    -1,    -1,   524,    -1,
     526,    -1,    13,    14,    15,    16,    -1,    18,    -1,    -1,
      -1,    22,    23,    24,    25,    26,    -1,    -1,    -1,    30,
      -1,    -1,    33,    -1,    35,    -1,    37,    -1,    39,    40,
      -1,    -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    -1,    64,    65,    66,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,    -1,
      -1,    -1,   203,   204,   205,    -1,    -1,   208,    -1,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,    -1,    -1,    -1,    -1,   258,   259,   260,
     261,    -1,    -1,   264,    -1,    -1,    -1,    -1,   269,   270,
      -1,   272,   273,   274,    -1,   276,   277,   278,   279,   280,
     281,    -1,    -1,   284,   285,   286,   287,    -1,   289,    -1,
      -1,   292,   293,   294,   295,    -1,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,    -1,   310,
      -1,    -1,   313,    -1,   315,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,   327,   328,   329,   330,
     331,   332,    -1,    -1,    -1,    -1,   337,    -1,   339,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,   365,   366,   367,    -1,    -1,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,   388,   389,   390,
     391,   392,    -1,    -1,    -1,    -1,   397,   398,   399,   400,
      -1,    -1,    -1,   404,    -1,   406,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,   415,    -1,   417,    -1,    -1,    -1,
     421,    -1,    -1,   424,   425,    -1,    -1,    -1,   429,   430,
     431,   432,   433,    -1,    -1,   436,    -1,    -1,    -1,   440,
      -1,   442,   443,    -1,    -1,    -1,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,    -1,   468,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,    -1,    -1,   490,
      -1,   492,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       7,    -1,    -1,    -1,    11,    12,    -1,    -1,    -1,    -1,
      17,    -1,    -1,   524,    -1,   526,    -1,    -1,    -1,    -1,
      27,    28,    29,    -1,    31,    32,    -1,    34,    -1,    36,
      -1,    38,    -1,    -1,    41,    42,    -1,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    61,    62,    63,    -1,    -1,    -1,
      67,    68,    -1,    -1,    -1,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   200,   201,   202,    -1,    -1,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,   235,    -1,
      -1,    -1,    -1,    -1,   241,    -1,   243,   244,    -1,   246,
     247,   248,    -1,    -1,    -1,    -1,   253,   254,   255,   256,
     257,    -1,    -1,    -1,    -1,   262,   263,    -1,   265,   266,
     267,   268,    -1,    -1,    -1,    -1,    -1,    -1,   275,    -1,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,   290,   291,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   311,   312,    -1,   314,    -1,   316,
     317,    -1,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
      -1,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,    -1,   352,    -1,    -1,    -1,    -1,
      -1,   358,    -1,   360,    -1,   362,   363,   364,    -1,    -1,
      -1,   368,   369,    -1,    -1,   239,   373,    -1,   242,   376,
      -1,   378,   379,    -1,    -1,    -1,   383,   384,   385,   386,
     387,    -1,    -1,    -1,    -1,    -1,   393,   394,   395,   396,
      -1,    -1,    -1,   239,   401,   402,   403,   271,   405,    -1,
      -1,   408,    -1,   410,   411,   412,   413,   414,    -1,   416,
      -1,   418,   419,   420,   288,   422,   423,    -1,    -1,   426,
     427,   428,   296,    -1,    -1,   271,    -1,   434,    -1,    -1,
      -1,   438,   439,    -1,   441,   309,    -1,    -1,   445,    -1,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,   455,    -1,
     296,    -1,   326,    -1,    -1,    -1,    -1,   464,   465,    -1,
     467,    -1,   469,   309,   471,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,   488,   489,    -1,   491,    -1,   493,   494,   495,    -1,
     497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,   511,     7,   380,    -1,    -1,    11,
      12,    -1,    -1,    -1,    -1,    17,    -1,    -1,    -1,   526,
      -1,    -1,    -1,   530,    -1,    27,    28,    29,    -1,    31,
      32,    -1,    34,    -1,    36,    -1,    38,    -1,    -1,    41,
      42,    -1,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,
      62,    63,    -1,    -1,    -1,    67,    68,    -1,    -1,    -1,
      -1,    73,    -1,    -1,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
      -1,    -1,    -1,   527,   500,    -1,    -1,   531,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,   201,
     202,    -1,    -1,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,   235,    -1,    -1,    -1,    -1,    -1,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,    -1,    -1,
      -1,   253,   254,   255,   256,   257,    -1,    -1,    -1,    -1,
     262,   263,    -1,   265,   266,   267,   268,    -1,    -1,    -1,
      -1,    -1,    -1,   275,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   311,
     312,    -1,   314,    -1,   316,   317,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   333,   334,   335,   336,    -1,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,    -1,
     352,    -1,    -1,    -1,    -1,    -1,   358,    -1,   360,    -1,
     362,   363,   364,    -1,    -1,    -1,   368,   369,    -1,    -1,
      -1,   373,    -1,    -1,   376,    -1,   378,   379,    -1,    -1,
      -1,   383,   384,   385,   386,   387,    -1,    -1,    -1,    -1,
      -1,   393,   394,   395,   396,    -1,    -1,    -1,    -1,   401,
     402,   403,    -1,   405,    -1,    -1,   408,    -1,   410,   411,
     412,   413,   414,    -1,   416,    -1,   418,   419,   420,    -1,
     422,   423,    -1,    -1,   426,   427,   428,    -1,    -1,    -1,
      -1,    -1,   434,    -1,    -1,    -1,   438,   439,    -1,   441,
      -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   464,   465,    -1,   467,    -1,   469,    -1,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     7,    -1,
      -1,    -1,    11,    12,    -1,    -1,   488,   489,    17,   491,
      -1,   493,   494,   495,    -1,   497,   498,   499,    27,    28,
      29,    -1,    31,    32,    -1,    34,    -1,    36,   510,    38,
      -1,    -1,    41,    42,    -1,    44,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,   530,    -1,
      -1,    -1,    61,    62,    63,    -1,    -1,    -1,    67,    68,
      -1,    -1,    -1,    -1,    73,    -1,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   200,   201,   202,    -1,    -1,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,    -1,    -1,    -1,   253,   254,   255,   256,   257,    -1,
      -1,    -1,    -1,   262,   263,    -1,   265,   266,   267,   268,
      -1,    -1,    -1,    -1,    -1,    -1,   275,    -1,    -1,    -1,
      -1,    -1,    -1,   282,   283,    -1,    -1,    -1,     8,    -1,
      10,   290,   291,    -1,    -1,    -1,    -1,    -1,   297,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   311,   312,    -1,   314,    -1,   316,   317,    -1,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   333,   334,   335,   336,    -1,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,    -1,   352,    -1,    -1,    -1,    -1,    -1,   358,
      -1,   360,    -1,   362,   363,    -1,    -1,    -1,    -1,   368,
     369,    -1,    -1,   239,   373,    -1,   242,   376,    -1,   378,
     379,    -1,    -1,    -1,   383,   384,   385,   386,   387,    -1,
      -1,    -1,    -1,    -1,   393,   394,   395,   396,    -1,    -1,
      -1,    -1,   401,   402,   403,   271,   405,    -1,    -1,   408,
      -1,   410,   411,   412,   413,   414,    -1,   416,    -1,   418,
     419,   420,   288,   422,   423,    -1,    -1,   426,   427,   428,
     296,    -1,    -1,    -1,    -1,   434,     8,    -1,    10,   438,
     439,    -1,   441,   309,    -1,    -1,   445,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,    -1,
     326,    -1,    -1,    -1,    -1,   464,   465,    -1,   467,     8,
     469,    10,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,   488,
     489,    -1,   491,    -1,   493,   494,   495,    -1,   497,   498,
     499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,    -1,    -1,   380,    -1,    -1,    -1,    -1,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,   526,    -1,    -1,
      -1,   530,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,     8,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,
     380,   527,    -1,    -1,    -1,   531,    -1,   239,    -1,    -1,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
     239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,     8,   271,    10,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,   326,    -1,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,
     309,   242,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,
     500,    -1,    -1,    -1,    19,    20,    21,   326,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     271,   521,    -1,    -1,    -1,    -1,    -1,   527,   380,    -1,
     239,   531,   207,   242,    -1,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,   380,   271,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,   288,
      -1,    -1,     8,    -1,    10,    -1,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,   271,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,   326,    -1,    -1,
      -1,   296,    -1,    -1,     8,    -1,    10,    -1,    -1,   380,
      -1,    -1,    -1,    -1,   309,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,   380,    -1,    -1,    -1,   527,    -1,    -1,    -1,   531,
      -1,   500,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,     8,   380,    10,    -1,   527,    -1,
      -1,    -1,   531,    -1,   271,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,   288,     8,    -1,    10,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,   500,
      -1,    -1,   309,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   326,
     521,    -1,    -1,   288,    -1,    -1,   527,    -1,    -1,    -1,
     531,   296,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
      -1,   500,    -1,    -1,   309,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   326,   521,   239,    -1,    -1,   242,    -1,   527,    -1,
      -1,    -1,   531,   380,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   271,   521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,   531,    -1,   242,    -1,
      -1,    -1,   288,    -1,    -1,   380,    -1,    -1,    -1,    -1,
     296,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,
      -1,    -1,    -1,   309,    -1,    -1,    -1,   271,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,
      -1,    -1,   326,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,   512,   513,   514,   515,   516,
     517,   518,   519,   239,   521,    -1,   242,   271,    -1,    -1,
     527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   500,    -1,    -1,    -1,    -1,
      -1,    -1,   296,    -1,    -1,   271,   380,   512,   513,   514,
     515,   516,   517,   518,   519,   309,   521,    -1,   523,    -1,
      -1,    -1,   288,    -1,    -1,   239,   531,    -1,   242,    -1,
     296,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    10,    -1,    -1,    -1,   271,    -1,    -1,
     326,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,    -1,   500,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,
      -1,   527,   326,    -1,   380,   531,    -1,    -1,   239,    -1,
      -1,   242,    -1,     8,    -1,    10,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,     8,
     271,    10,    -1,   527,    -1,    -1,    -1,   531,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,   380,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    10,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,     8,
      -1,    10,    -1,   527,   500,    -1,    -1,   531,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,   380,
      -1,   527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,    -1,    -1,   242,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,     8,    -1,
      10,    -1,    -1,   527,   271,    -1,    -1,   531,    -1,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,     8,    -1,    10,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
      -1,    -1,   309,    -1,   239,    -1,    -1,   242,    -1,    -1,
       8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,   326,
      -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,   500,
     239,    -1,    -1,   242,    -1,    -1,   271,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,    -1,   288,    -1,    -1,   527,    -1,    -1,    -1,
     531,   296,   271,   239,    -1,    -1,   242,    -1,    -1,    -1,
      -1,    -1,    -1,   380,   309,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,   326,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,    -1,   288,   242,    -1,    -1,    -1,   326,    -1,    -1,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      10,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,   271,    -1,    -1,   380,    -1,    -1,    -1,    -1,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
      -1,    -1,   242,   500,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,   380,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,   239,    -1,    -1,   242,    -1,
     527,   271,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,   239,    -1,    -1,   242,    -1,   296,   271,    -1,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,    -1,    -1,   288,   500,    -1,    -1,    -1,    -1,
      -1,    -1,   296,   271,    -1,    -1,   326,   512,   513,   514,
     515,   516,   517,   518,   519,   309,   521,    -1,    -1,    -1,
     288,   500,   527,    -1,    -1,    -1,   531,    -1,   296,    -1,
      -1,    -1,   326,   512,   513,   514,   515,   516,   517,   518,
     519,   309,   521,    -1,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,   531,    -1,   500,    -1,    -1,    -1,   326,    -1,
     380,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,
      -1,   527,    -1,    -1,    -1,   531,   380,    -1,    -1,   239,
      -1,    -1,   242,    -1,     8,    -1,    10,    -1,    -1,    -1,
      -1,   500,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
      -1,    -1,   380,   512,   513,   514,   515,   516,   517,   518,
     519,   271,   521,    -1,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,   288,     8,
      -1,    10,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,   326,    -1,    -1,    -1,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,     8,    -1,    10,    -1,   500,   527,    -1,    -1,
      -1,   531,    -1,    19,    20,    21,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
     380,    -1,   500,   527,    -1,    -1,    -1,   531,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,     8,    -1,    10,    -1,   527,
      -1,    -1,    -1,   531,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     239,   521,    -1,   242,   288,    -1,    -1,   527,    -1,    -1,
      -1,   531,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,   309,   242,    -1,     8,    -1,
      10,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,   326,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,   271,    -1,   296,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,
     309,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,   309,    -1,   271,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,    -1,   288,    -1,    -1,    -1,   239,    -1,    -1,   242,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   380,    -1,   242,    -1,    -1,    -1,    -1,   271,     8,
     326,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    -1,   380,   288,   239,    -1,    -1,   242,
      -1,    -1,   271,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   271,    -1,
       8,    -1,    10,   326,   380,    -1,    -1,    -1,    -1,    -1,
     309,    19,    20,    21,    -1,   288,   500,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,   326,   512,   513,
     514,   515,   516,   517,   518,   519,   309,   521,    -1,     8,
      -1,    10,    -1,   527,    -1,    -1,    -1,   531,    -1,    -1,
      19,    20,    21,   326,    -1,    -1,    -1,   380,    -1,   239,
      -1,   500,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   380,   521,    -1,   500,    -1,    -1,    -1,   527,    -1,
      -1,   271,   531,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,   380,   288,    -1,
      -1,   527,    -1,    -1,    -1,   531,   296,    -1,    -1,     8,
      -1,    10,    -1,    -1,   500,    -1,    -1,    -1,    -1,   309,
      19,    20,    21,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,   326,    -1,    -1,    -1,
      -1,   527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,
       8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,   500,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
     380,   500,    -1,    -1,   527,    -1,    -1,    -1,   531,    -1,
      -1,    -1,   271,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,    -1,   500,   527,   288,
      -1,   239,   531,    -1,   242,    -1,    -1,   296,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
     309,    -1,    -1,    -1,   527,    -1,    -1,    -1,   531,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,   326,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   271,     8,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,   326,   288,
     500,   380,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     309,   521,    -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,
     239,   531,    -1,   242,    -1,    -1,     8,   326,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,   380,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
     309,    -1,    -1,   271,    -1,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
     288,   500,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   309,   521,    -1,     8,    -1,    10,    -1,   527,    -1,
      -1,    -1,   531,    -1,    -1,    19,    20,    21,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,
      -1,   380,   500,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,     8,    -1,    10,    -1,    -1,   527,
      -1,    -1,    -1,   531,    -1,    19,    20,    21,    -1,    -1,
      -1,   500,   380,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,   531,    -1,    -1,    -1,   271,     8,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    -1,    -1,   288,    -1,    -1,    -1,   239,    -1,    -1,
     242,   296,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    19,    20,    21,    -1,    -1,
      -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,   326,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,   288,    -1,   527,    -1,
      -1,    -1,   531,    -1,   296,   239,    -1,    -1,   242,    -1,
      -1,    -1,   500,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,   326,   380,    -1,   271,    -1,   527,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   239,    -1,    -1,   242,    -1,
      -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,   239,    -1,    -1,
     242,    -1,    -1,    -1,    -1,    -1,    -1,   271,   380,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   239,    -1,    -1,   242,   271,
      -1,     8,   296,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,   309,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,   271,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   380,   309,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   500,    -1,    -1,   239,    -1,
      -1,   242,   296,    -1,   326,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   309,   521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,   531,    -1,   242,    -1,
     271,     8,   326,    10,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,    -1,   288,   500,    -1,
      -1,    -1,    -1,    -1,    -1,   296,    -1,   271,   380,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   309,   521,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,     8,   531,
      10,    -1,   296,    -1,    -1,   326,   380,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,     8,
      -1,    10,    -1,    -1,    -1,    -1,    -1,   531,    -1,   380,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    10,    -1,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,   380,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,   500,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,   531,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,   444,    -1,    -1,   500,    -1,    -1,   531,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
      -1,   288,     8,    -1,    10,    -1,    -1,   531,    -1,   296,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,   500,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,   326,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,
     531,    -1,    -1,    -1,   271,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,   239,
      -1,   288,   242,    -1,     8,    -1,    10,   531,    -1,   296,
      -1,    -1,    -1,   380,    -1,    19,    20,    21,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
     239,    -1,    -1,   242,    -1,    -1,   296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,     8,    -1,
      10,    -1,   271,    -1,    -1,    -1,   326,    -1,    -1,    19,
      20,    21,    -1,   380,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,     8,   271,    10,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
     309,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,    -1,    -1,   500,    -1,    -1,    -1,   326,    -1,    -1,
     380,    -1,    -1,   309,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   239,   521,    -1,   242,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    19,    20,    21,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,    -1,    -1,   500,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,   239,    -1,    -1,   242,    -1,
     326,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,
     500,    -1,    -1,    -1,    19,    20,    21,   271,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,   531,   296,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,   239,
      -1,   500,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,   500,   239,    -1,    -1,   242,    -1,
      -1,   271,   531,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,   288,     8,
      -1,    10,    -1,    -1,    -1,   531,   296,   271,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,   380,    -1,    -1,   309,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,    -1,    -1,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,   239,    -1,    -1,
     242,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,     8,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,   380,   309,    19,    20,
      21,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,     8,
      -1,    10,    -1,    -1,   326,    -1,   500,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   271,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
       8,   296,    10,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,    19,    20,    21,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     239,   521,    -1,   242,    -1,    -1,   500,    -1,    -1,    -1,
      -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
      -1,     8,   271,    10,    -1,   380,    -1,   531,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,     8,    -1,    10,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   531,
      -1,   242,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,     8,    -1,    10,    -1,
     271,   380,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,   500,    -1,   288,    -1,    -1,
      -1,    -1,   271,    -1,    -1,   296,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,   309,   288,
      -1,   239,    -1,    -1,   242,    -1,   531,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,     8,
     309,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,   271,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     288,    -1,    -1,    -1,     8,    -1,    10,    -1,   296,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,   380,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,   239,    -1,    -1,   242,    -1,    -1,   326,    -1,
      -1,   380,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,   531,     8,   271,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,   288,    -1,    -1,    -1,     8,   271,    10,    -1,   296,
      -1,    -1,   380,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,   309,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,   239,    -1,    -1,   242,    -1,   326,
      -1,     8,    -1,    10,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,    -1,   239,    -1,   500,
     242,   326,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,   500,    -1,   288,    -1,    -1,   527,    -1,    -1,   271,
     531,   296,    -1,   380,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,   309,    -1,   288,    -1,   527,    -1,
      -1,    -1,   531,    -1,   296,   380,    -1,    -1,    -1,    -1,
     239,   326,    -1,   242,    -1,    -1,     8,   309,    10,    -1,
      -1,    -1,   500,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,   326,   513,   514,   515,   516,   517,
     518,   519,   271,   521,    -1,   239,    -1,    -1,   242,   527,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,   380,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,   326,    -1,    -1,
      -1,    -1,   296,   500,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,   500,   239,    -1,    -1,   242,
     527,    -1,   326,    -1,   531,    -1,   271,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
      -1,   380,   527,   288,    -1,    -1,   531,    -1,   271,    -1,
      -1,   296,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,   500,   380,    -1,    -1,    -1,
      -1,   326,    -1,    -1,   271,    -1,   309,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,   500,    -1,
      -1,   288,   527,   326,    -1,    -1,   531,    -1,    -1,   296,
      -1,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,     8,   309,    10,    -1,   527,    -1,    -1,    -1,   531,
      -1,    -1,    19,    20,    21,   380,    -1,   239,    -1,   326,
     242,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,   380,    -1,    -1,
      -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,   288,     8,   527,    10,
      -1,    -1,   531,   380,   296,    -1,   500,    -1,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
       8,    -1,    10,   527,   326,    -1,    -1,   531,    -1,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,   500,   380,    -1,
      -1,    -1,   527,    -1,    -1,    -1,   531,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,     8,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,
      19,    20,    21,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,
      -1,   288,    -1,    -1,    -1,    -1,   271,    -1,    -1,   296,
      -1,   513,   514,   515,   516,   517,   518,   519,   239,   521,
      -1,   242,   309,   288,    -1,   527,    -1,    -1,    -1,   531,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
     271,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,
      -1,   239,    -1,    -1,   242,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
     288,    -1,    -1,   271,    -1,   326,    -1,    -1,   296,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,
     288,   309,    -1,     8,    -1,    10,    -1,    -1,   296,    -1,
     239,    -1,    -1,   242,    19,    20,    21,    -1,   326,    -1,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,   380,
      -1,    -1,   271,     8,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,   288,
      -1,    -1,    -1,     8,    -1,    10,    -1,   296,    -1,    -1,
      -1,    -1,   380,    -1,    19,    20,    21,    -1,    -1,    -1,
     309,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,   380,   500,    19,    20,    21,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,   500,    -1,    -1,    -1,    -1,
     527,    -1,    -1,    -1,   531,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
      -1,    -1,   527,     8,    -1,    10,   531,    -1,    -1,    -1,
      -1,   380,    -1,    -1,    19,    20,    21,    -1,    -1,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,    -1,    -1,    -1,     8,   527,    10,    -1,    -1,
     531,    -1,   500,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   500,   521,    -1,    -1,    -1,    -1,    -1,   527,
      -1,    -1,    -1,   531,    -1,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,   239,    -1,    -1,   242,    -1,   527,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,   500,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,   288,   513,   514,   515,   516,   517,   518,
     519,   296,   521,    -1,   239,    -1,    -1,   242,   527,    -1,
      -1,    -1,   531,    -1,   309,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,   326,    -1,   288,    -1,    -1,   271,    -1,    -1,    -1,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,   309,    -1,   271,    -1,    -1,    -1,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,   288,   309,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,   239,   380,    -1,   242,    -1,    -1,
      -1,   326,    -1,     8,   309,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,   271,    -1,    -1,     8,
      -1,    10,    -1,    -1,    -1,   380,   239,    -1,    -1,   242,
      19,    20,    21,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,   271,    -1,
      -1,     8,    -1,    10,    -1,   380,    -1,    -1,    -1,    -1,
      -1,   326,    19,    20,    21,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,   309,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    19,    20,    21,    -1,
      -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   380,   521,    -1,    -1,    -1,
      -1,    -1,   527,    -1,    -1,     8,   531,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   500,   521,   380,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,   531,    -1,   513,   514,
     515,   516,   517,   518,   519,   500,   521,    -1,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,   531,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,     8,    -1,    10,
      -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,   271,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,   531,    -1,    -1,    -1,
      -1,   296,   271,    -1,    -1,    -1,    -1,   500,    -1,    -1,
      -1,    -1,   239,    -1,   309,   242,    -1,    -1,    -1,   288,
     513,   514,   515,   516,   517,   518,   519,   296,   521,    -1,
       8,   326,    10,    -1,   527,    -1,    -1,    -1,   531,    -1,
     309,    19,    20,    21,   271,    -1,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,   309,    -1,    -1,   380,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,   326,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,     8,    -1,
      10,   380,    -1,    -1,    -1,    -1,   309,    -1,   271,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    -1,   288,     8,    -1,    10,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,   380,    -1,    -1,   309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,
      -1,   242,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,   380,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
     271,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,   513,   514,
     515,   516,   517,   518,   519,   296,   521,   380,    -1,    -1,
      -1,   500,   527,    -1,    -1,    -1,   531,    -1,   309,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,     8,   326,    10,    -1,    -1,    -1,
      -1,   239,   531,    -1,   242,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   271,   521,    -1,    -1,    -1,    -1,    -1,
     527,    -1,    -1,    -1,   531,    -1,    -1,   500,    -1,   380,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   512,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
      -1,   309,     8,    -1,    10,    -1,    -1,    -1,   531,   239,
      -1,    -1,   242,    19,    20,    21,    -1,   500,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   239,   521,    -1,
     242,   271,     8,    -1,    10,    -1,    -1,    -1,   531,    -1,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,   288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,   271,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,    -1,    -1,    -1,    -1,   288,   239,    -1,    -1,
     242,    -1,    -1,     8,   296,    10,   326,    -1,    -1,   500,
      -1,    -1,    -1,    -1,    19,    20,    21,   309,    -1,    -1,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   271,
     521,     8,    -1,    10,   326,    -1,   527,    -1,    -1,    -1,
     531,    -1,    19,    20,    21,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,    -1,    -1,   239,    -1,   309,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,   326,    10,    -1,    -1,   380,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,   271,    -1,    -1,
      -1,    -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   513,   514,   515,   516,   517,
     518,   519,   296,   521,    -1,    -1,    -1,    -1,     8,   527,
      10,    -1,    -1,   531,    -1,   309,    -1,    -1,   380,    19,
      20,    21,    -1,   239,    -1,    -1,   242,    -1,     8,    -1,
      10,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,     8,    -1,    10,    -1,
     500,    -1,    -1,   239,    -1,    -1,   242,    19,    20,    21,
      -1,    -1,   288,   513,   514,   515,   516,   517,   518,   519,
     296,   521,    -1,    -1,    -1,    -1,   380,   527,   500,    -1,
      -1,   531,    -1,   309,    -1,   271,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
     326,    -1,   288,    -1,   239,    -1,    -1,   242,    -1,   531,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,   500,    -1,
      -1,    -1,   239,    -1,    -1,   242,   271,    -1,    -1,    -1,
     326,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,   288,   380,   527,    -1,    -1,    -1,   531,
      -1,   296,    -1,    -1,   271,    -1,    -1,     8,    -1,    10,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    19,    20,
      21,   288,    -1,    -1,   239,    -1,    -1,   242,    -1,   296,
      -1,   326,    -1,    -1,   380,    -1,   500,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   271,   521,    -1,   326,
      -1,    -1,    -1,   527,    -1,    -1,    -1,   531,    -1,   239,
      -1,    -1,   242,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,    -1,   380,    -1,    -1,    -1,   239,
      -1,    -1,   242,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,   380,   500,    -1,    -1,   239,   288,    -1,
     242,   271,    -1,    -1,    -1,    -1,   296,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,   288,   309,
      -1,   527,    -1,    -1,    -1,   531,   296,    -1,    -1,   271,
      -1,     8,    -1,    10,   500,    -1,   326,    -1,    -1,   309,
      -1,    -1,    19,    20,    21,   380,   288,   513,   514,   515,
     516,   517,   518,   519,   296,   521,   326,     8,    -1,    10,
      -1,   527,    -1,    -1,    -1,   531,    -1,   309,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    10,   326,   500,    -1,    -1,    -1,    -1,
     380,    -1,    19,    20,    21,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
     380,    -1,   527,   500,    -1,    -1,   531,    -1,   239,    -1,
      -1,   242,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,   380,    -1,
     527,    -1,    -1,     8,   531,    10,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   296,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,     8,   309,    10,
      -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,    19,    20,
      21,    -1,    -1,    -1,    -1,   326,    -1,     8,    -1,    10,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     500,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   531,    -1,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,    -1,    -1,    -1,   527,   500,   380,
      -1,   531,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,   239,   531,
      -1,   242,    -1,    -1,   271,     8,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,   288,   239,    -1,    -1,   242,    -1,    -1,    -1,   296,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,   271,   296,    -1,    -1,    -1,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,   239,   326,    -1,   242,    -1,   500,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   326,
     521,    -1,    -1,   380,    -1,    -1,   271,    -1,    -1,    -1,
     531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,
      -1,   242,    -1,   288,    -1,    -1,    -1,    -1,    -1,   380,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,
      -1,   242,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,
     271,     8,    -1,    10,    -1,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,    -1,   288,   309,    -1,
      -1,     8,    -1,    10,    -1,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,   326,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    -1,   326,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,   500,
     527,    -1,    -1,    -1,   531,    -1,    -1,    -1,   271,   380,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,    -1,   500,    -1,   288,   527,    -1,    -1,   380,
     531,    -1,    -1,   296,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,     8,   309,    10,    -1,    -1,
     527,    -1,    -1,    -1,   531,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,   326,    -1,     8,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
      -1,    -1,   527,    -1,    -1,    -1,   531,   380,    -1,    -1,
      -1,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,   500,
      -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   500,
     521,    -1,   239,    -1,    -1,   242,   527,    -1,    -1,    -1,
     531,   512,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,   239,    -1,    -1,   242,    -1,     8,    -1,    10,
     531,    -1,    -1,    -1,   271,    -1,    -1,    -1,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,   271,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,   309,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,   326,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,   271,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,   309,    -1,    -1,    -1,
      -1,    -1,   239,   296,    -1,   242,    -1,    -1,     8,    -1,
      10,    -1,    -1,   326,    -1,    -1,   309,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    10,   326,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,   239,   296,
      -1,   242,    -1,   500,    -1,    -1,    -1,   380,    -1,    -1,
      -1,    -1,   309,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   500,   521,    -1,    -1,   380,    -1,   326,
     271,    -1,    -1,    -1,   531,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,   288,     8,    -1,
      10,    -1,    -1,    -1,   531,   296,    -1,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,
      -1,    -1,    -1,   380,    -1,   326,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    10,    -1,    -1,    -1,    -1,   500,    -1,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,   380,
     513,   514,   515,   516,   517,   518,   519,   500,   521,    -1,
      -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,   531,    -1,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
      -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,   531,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,    -1,   500,   242,    -1,    -1,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,   288,    -1,
     527,    -1,    -1,   271,   531,    -1,   296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
     288,     8,    -1,    10,    -1,    -1,    -1,    -1,   296,   500,
      -1,    -1,    19,    20,    21,    -1,   326,    -1,    -1,    -1,
      -1,   309,   513,   514,   515,   516,   517,   518,   519,   239,
     521,    -1,   242,    -1,    -1,    -1,   527,    -1,   326,    -1,
     531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,
     242,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,    -1,   239,   288,    -1,
     242,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,   271,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,   239,    -1,    -1,   242,    -1,   288,    -1,    -1,   271,
      -1,    -1,    -1,    -1,   296,    -1,   326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,   309,    -1,     8,
      -1,    10,    -1,   271,   296,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    -1,   326,    -1,    -1,   309,    -1,    -1,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
      -1,    -1,    -1,     8,   326,    10,    -1,    -1,    -1,    -1,
     380,   309,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,   500,    -1,    -1,    -1,    -1,   527,   380,    -1,
      -1,   531,    -1,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   239,   521,    -1,   242,    -1,    -1,    -1,   527,
      -1,    -1,   380,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,     8,    -1,    10,    -1,    -1,    -1,    -1,   296,
     500,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,    -1,    -1,    -1,   527,   500,   326,
      -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   500,   521,
      -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,   531,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
     239,    -1,   500,   242,    -1,    -1,    -1,    -1,    -1,   531,
      -1,    -1,    -1,   380,    -1,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,    -1,    -1,    -1,    -1,   527,
      -1,    -1,   271,   531,   239,    -1,    -1,   242,    -1,     8,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      19,    20,    21,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,    -1,     8,    -1,    10,    -1,   271,    -1,    -1,    -1,
     309,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,   326,    -1,    -1,
       8,   296,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      10,   326,    -1,    -1,    -1,   239,    -1,    -1,   242,    19,
      20,    21,    -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   239,   521,    -1,   242,   271,    -1,    -1,
     527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   380,    -1,    -1,    -1,    -1,
      -1,     8,   296,    10,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,   309,    -1,    -1,    -1,    -1,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,    -1,   326,    -1,    -1,     8,    -1,    10,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
     326,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,
     239,    -1,    -1,   242,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,   531,   239,   380,   500,   242,    -1,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,   288,
      -1,   239,   527,    -1,   242,   271,   531,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     296,    -1,   242,   271,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
     326,   271,    -1,     8,    -1,    10,   500,    -1,    -1,    -1,
      -1,   309,    -1,    -1,    19,    20,    21,    -1,   288,   513,
     514,   515,   516,   517,   518,   519,   296,   521,   326,    -1,
      -1,   380,   239,   527,   500,   242,    -1,   531,    -1,   309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   380,   521,   326,    -1,    -1,    -1,
      -1,   527,    -1,    -1,   271,   531,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,   380,    -1,    -1,    -1,    -1,    -1,    -1,   296,
     239,    -1,    -1,   242,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,    -1,    -1,   288,     8,    -1,    10,   326,
      -1,    -1,   271,   296,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,   500,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,   380,   500,    -1,    -1,   326,   527,    -1,
      -1,    -1,   531,    -1,    -1,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,     8,    -1,    10,
      -1,   527,   500,    -1,    -1,   531,    -1,   380,    19,    20,
      21,    -1,    -1,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,    -1,    -1,    -1,    -1,   527,
     500,   380,    -1,   531,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,    -1,    -1,     8,   527,    10,    -1,
      -1,   531,    -1,    -1,    -1,    -1,   271,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,     8,    -1,
      10,   326,    -1,    -1,   531,    -1,    -1,   500,    -1,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   239,   521,    -1,
     242,   500,    -1,    -1,   527,    -1,    -1,    -1,   531,    -1,
      -1,    -1,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,   380,    -1,    -1,   527,   271,
      -1,     8,   531,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,
      -1,   242,    -1,     8,   326,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    19,    20,
      21,    -1,    -1,    -1,    -1,   296,    -1,   239,   380,    -1,
     242,    -1,    -1,    -1,    -1,   500,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   326,   521,    -1,    -1,   271,
      -1,    -1,   527,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,    -1,    -1,   326,     8,    -1,    10,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,   500,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,   309,
      -1,   513,   514,   515,   516,   517,   518,   519,   380,   521,
      -1,    -1,    -1,    -1,    -1,   527,   326,    -1,    -1,   531,
      -1,    -1,    -1,    -1,   271,    -1,    -1,     8,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,   288,    -1,    -1,   239,    -1,    -1,   242,    -1,   296,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     380,    -1,    -1,    -1,    -1,    -1,   271,    -1,   239,   326,
      -1,   242,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,    -1,   288,    -1,    -1,   527,    -1,    -1,    -1,
     531,   296,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
     271,    -1,    -1,    -1,   309,    19,    20,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,   500,    -1,
      -1,   326,    -1,   380,    -1,   296,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   309,   521,
      -1,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,   531,
      -1,    -1,    19,    20,    21,   326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,   239,    -1,    -1,   242,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,     8,    -1,    10,    -1,    -1,   527,   271,   380,
      -1,   531,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    -1,    -1,   309,    -1,   239,    -1,
      -1,   242,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   326,   521,    -1,     8,    -1,    10,    -1,
     527,    -1,    -1,    -1,   531,    -1,    -1,    19,    20,    21,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,   380,   309,    -1,
      -1,    -1,   527,    -1,    -1,   239,   531,    -1,   242,   500,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,    -1,    -1,    -1,    -1,   527,   271,    -1,    -1,
     531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,    -1,   288,   242,    -1,    -1,    -1,     8,
      -1,    10,   296,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      19,    20,    21,    -1,    -1,   309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,   239,    -1,    -1,   242,   500,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,   326,
      -1,    -1,    -1,    -1,   527,   271,   380,     8,   531,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,
     242,    -1,    -1,   309,     8,    -1,    10,    -1,    -1,   500,
      -1,    -1,    -1,   380,    -1,    19,    20,    21,    -1,    -1,
     326,   512,   513,   514,   515,   516,   517,   518,   519,   271,
     521,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
     531,    -1,    19,    20,    21,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,     8,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    19,    20,
      21,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,     8,
      -1,    10,    -1,    -1,   326,    -1,   500,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,     8,   531,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,   380,    -1,
      -1,    -1,   271,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,   531,    -1,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,    -1,    -1,   326,   239,    -1,
      -1,   242,    -1,    -1,   446,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,
      -1,   380,    -1,    -1,    -1,   296,    -1,    -1,   500,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,   271,   309,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,    -1,   288,   326,    -1,    -1,   239,   531,
      -1,   242,   296,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,
     239,   288,    -1,   242,    -1,    -1,     8,    -1,    10,   296,
     271,    -1,   326,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,   309,    -1,    -1,    -1,    -1,   288,    -1,   380,
      -1,    -1,   271,    -1,    -1,   296,    -1,   239,    -1,   326,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,   500,    -1,    -1,    -1,   326,   380,    -1,    -1,   271,
     309,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,   288,   326,    -1,     8,
      -1,    10,   531,   380,   296,    -1,    -1,    -1,    -1,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,   309,    -1,     8,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      19,    20,    21,    -1,   326,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    19,    20,    21,    -1,    -1,    -1,    -1,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,     8,    -1,    10,    -1,    -1,    -1,    -1,   380,    -1,
     531,    -1,    19,    20,    21,    -1,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,     8,    -1,
      10,    -1,    -1,   500,    -1,    -1,    -1,   531,    -1,    19,
      20,    21,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,   239,    -1,   500,
     242,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
     531,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,    -1,   288,    -1,    -1,     8,
      -1,    10,   531,    -1,   296,    -1,    -1,    -1,   500,    -1,
      19,    20,    21,    -1,    -1,    -1,    -1,   309,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
     239,    -1,    -1,   242,   326,     8,    -1,    10,    -1,   531,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
     239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,   288,
      -1,    -1,   271,    -1,    -1,    -1,    -1,   296,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
     309,    -1,    -1,    -1,   271,    -1,    -1,   296,    -1,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,   326,    -1,    -1,
     309,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,   309,    -1,   271,    -1,    -1,    -1,    -1,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,   326,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,   380,    -1,    -1,    -1,     8,    -1,    10,    -1,    -1,
      -1,   271,   309,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,   288,   326,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,   500,    -1,
      -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,   309,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
     239,    -1,    -1,   242,    -1,     8,   326,    10,    -1,   531,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
     380,   500,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
     309,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   500,   521,    -1,    -1,   288,    -1,   326,    -1,    -1,
      -1,    -1,   531,   296,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,   500,   523,    -1,   309,    -1,    -1,    -1,
      -1,    -1,   531,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   326,   521,    -1,     8,    -1,    10,    -1,
     527,    -1,    -1,    -1,   531,    -1,    -1,    19,    20,    21,
      -1,   380,    -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,    -1,
     527,    -1,    -1,    -1,   531,    -1,   239,   380,    -1,   242,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,     8,    -1,    10,    -1,    -1,   527,   271,    -1,
      -1,   531,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,   239,    -1,    -1,   242,
      -1,     8,    -1,    10,    -1,    -1,   309,    -1,    -1,    -1,
      -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,   326,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,    -1,    -1,   288,    -1,    -1,   527,    -1,
      -1,    -1,   531,   296,    -1,    -1,    -1,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   380,   521,    -1,
       8,    -1,    10,   326,   527,    -1,    -1,    -1,   531,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,
     242,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,     8,   296,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,   309,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,   500,    -1,    -1,
      -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   531,    -1,
      -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,    -1,    -1,    -1,    -1,    -1,    -1,   500,   380,    -1,
      -1,    -1,    -1,   309,   271,    -1,    -1,    -1,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
     326,   288,    -1,    -1,   527,    -1,    -1,    -1,   531,   296,
      -1,    -1,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    19,    20,    21,    -1,    -1,
      -1,   239,    -1,    -1,   242,    -1,     8,    -1,    10,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,    -1,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   239,    -1,   500,   242,
      -1,   309,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   326,   521,
      -1,    -1,   288,    -1,   239,    -1,    -1,   242,   271,   531,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,   288,     8,    -1,    10,    -1,
      -1,    -1,    -1,   296,    -1,    -1,   271,    19,    20,    21,
     326,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,
      -1,    -1,   380,   288,   500,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,   326,    -1,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   309,   521,     8,    -1,    10,    -1,
      -1,   527,    -1,    -1,    -1,   531,    -1,    19,    20,    21,
      -1,   326,    -1,   500,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,   380,    -1,    -1,
     527,    -1,    -1,    -1,   531,   239,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,   239,    -1,    -1,
     242,    -1,    -1,     8,    -1,    10,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,   500,    -1,   288,    -1,    -1,    -1,    -1,   271,
      -1,    -1,   296,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,   309,   288,     8,    -1,    10,
      -1,    -1,    -1,   531,   296,    -1,    -1,    -1,    19,    20,
      21,    -1,   326,    -1,   500,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   326,   521,    -1,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   239,   521,    -1,
     242,    -1,    -1,    -1,    -1,   500,   380,    -1,   531,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,   380,   271,
      -1,    -1,   527,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,   239,    -1,    -1,
     242,    -1,    -1,     8,   296,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,   239,    -1,   500,   242,    -1,    -1,
      -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,   380,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,   500,    -1,
      -1,    -1,    -1,   527,    -1,    -1,   271,   531,    -1,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   239,   521,
      -1,   242,    -1,   288,     8,   527,    10,    -1,    -1,   531,
      -1,   296,    -1,    -1,    -1,    19,    20,    21,   380,    -1,
      -1,    -1,    -1,    -1,   309,    -1,     8,    -1,    10,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,   326,    -1,    -1,    -1,    -1,    -1,   288,     8,    -1,
      10,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,   500,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,    -1,   239,   527,    -1,   242,    -1,   531,
       8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,    -1,   500,   380,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,   531,
       8,   296,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      10,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   239,   521,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,   239,    -1,   500,
     242,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   239,
     521,    -1,   242,    -1,   288,    -1,    -1,    -1,    -1,   271,
     531,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   288,    -1,    -1,    -1,
     435,   271,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,   309,   288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,   309,
      -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,     8,
      -1,    10,    -1,    -1,    -1,   500,   380,    -1,    -1,    -1,
      19,    20,    21,   271,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,   380,    -1,
     288,   239,    -1,    -1,   242,    -1,   531,    -1,   296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
      -1,    -1,   242,   271,     8,    -1,    10,    -1,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
     288,    -1,    -1,    -1,     8,    -1,    10,    -1,   296,    -1,
      -1,   271,    -1,    -1,    -1,    19,    20,    21,    -1,    -1,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,   326,    -1,
      -1,    -1,   380,     8,    -1,    10,   500,    -1,    -1,   309,
      -1,    -1,    -1,    -1,    19,    20,    21,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   326,   521,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
     500,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,   531,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,    -1,     8,    -1,    10,    -1,    -1,
     380,   531,    -1,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,     8,    -1,    10,    -1,
      -1,    -1,   500,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   271,   521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,
      -1,    -1,   500,    -1,    -1,   239,    -1,    -1,   242,    -1,
     309,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,   239,    -1,   326,   242,    -1,
     500,    -1,    -1,   531,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,   523,   288,    -1,    -1,   271,    -1,    -1,
      -1,   531,   296,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   309,    -1,    -1,    -1,    -1,
      -1,   380,   296,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      10,    -1,   326,    -1,    -1,   309,   271,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,   288,    -1,    -1,     8,    -1,    10,    -1,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,   309,    -1,   239,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    10,    -1,    -1,    -1,   380,    -1,   271,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,   239,    -1,    -1,
     242,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,    -1,   380,   309,    -1,    -1,   271,
      -1,    -1,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,   326,    -1,    -1,   288,    -1,   527,    -1,
      -1,    -1,   531,     8,   296,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    20,    21,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,
      -1,    -1,    -1,    -1,   326,    -1,   500,    19,    20,    21,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,   513,
     514,   515,   516,   517,   518,   519,   500,   521,    -1,    -1,
      -1,    -1,    -1,   527,    -1,    -1,    -1,   531,    -1,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,    -1,    -1,
      -1,    -1,    -1,   527,    -1,    -1,    -1,   531,   380,   239,
      -1,    -1,   242,    -1,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,   239,    -1,    -1,
     242,   271,   527,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,    -1,    -1,    -1,    -1,     8,   296,    10,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    20,    21,   309,
      -1,   239,    -1,    -1,   242,    -1,   288,   500,    -1,    -1,
      -1,    -1,    -1,    -1,   296,    -1,   326,    -1,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   309,   521,     8,
      -1,    10,    -1,   271,   527,    -1,    -1,    -1,   531,    -1,
      19,    20,    21,    -1,   326,    -1,    -1,    -1,   500,    -1,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
     380,   309,    -1,    -1,   239,    -1,    -1,   242,    -1,   531,
       8,    -1,    10,    -1,    -1,    -1,    -1,    -1,   326,    -1,
      -1,    19,    20,    21,    -1,    -1,    -1,   239,   380,    -1,
     242,    -1,     8,    -1,    10,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,   271,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,   309,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,     8,   296,    10,    -1,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    19,    20,    21,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    10,   326,    -1,    -1,    -1,    -1,    -1,
     500,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,    -1,   380,   239,   527,   500,   242,
      -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   380,   521,
      -1,    -1,     8,    -1,    10,   527,    -1,    -1,   271,   531,
      -1,    -1,    -1,    19,    20,    21,    -1,    -1,    -1,    -1,
     239,    -1,   500,   242,    -1,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,    -1,   309,    -1,    -1,   527,
      -1,    -1,   271,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,   288,
      -1,   239,    -1,    -1,   242,    -1,    -1,   296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   239,    -1,   500,   242,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,   326,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,   380,   500,    -1,
     288,    -1,   527,    -1,    -1,   271,   531,    -1,   296,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,   309,   288,    -1,   239,   527,    -1,   242,    -1,   531,
     296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
      -1,   380,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,    -1,    -1,   242,   271,     8,    -1,    10,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
      -1,   326,    -1,   239,   380,    -1,   242,   500,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,   326,
      -1,    -1,    -1,    -1,   527,   271,    -1,     8,   531,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    19,    20,
      21,   500,   288,    -1,    -1,   380,    -1,    -1,    -1,    -1,
     296,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,    -1,   521,   309,     8,    -1,    10,    -1,    -1,    -1,
      -1,    -1,   531,   380,    -1,    19,    20,    21,    -1,    -1,
     326,    -1,    -1,    -1,    -1,    -1,     8,    -1,    10,    -1,
      -1,    -1,   500,    -1,    -1,    -1,    -1,    19,    20,    21,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   380,   521,    -1,     8,    -1,    10,
      -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,   239,    -1,
      -1,   242,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
       8,    -1,    10,   500,    -1,    -1,   531,    -1,    -1,    -1,
     271,    19,    20,    21,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,    -1,   521,    -1,    -1,   288,    -1,    -1,
     527,    -1,    -1,    -1,   531,   296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
       8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    20,    21,   500,   326,    -1,    -1,   239,    -1,
      -1,   242,    -1,    -1,    -1,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,    -1,
      -1,   527,    -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,   380,
      -1,    -1,    -1,    -1,    -1,   296,    -1,   239,    -1,    -1,
     242,    -1,    -1,    -1,    -1,    -1,    -1,   271,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   326,    -1,    -1,     8,   271,
      10,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      20,    21,    -1,    -1,    -1,   309,   288,    -1,   239,    -1,
      -1,   242,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,   309,    -1,    -1,
       8,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,   380,
     271,    19,    20,    21,   326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,
      -1,   239,    -1,    -1,   242,   296,    -1,    -1,    -1,   500,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,   309,    -1,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,    -1,    -1,   271,    -1,   326,   527,    -1,   380,    -1,
     531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     288,   239,    -1,    -1,   242,    -1,    -1,    -1,   296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,     8,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    19,    20,    21,    -1,   326,   380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,    -1,
     521,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     531,    -1,    -1,    -1,    -1,    -1,   500,    -1,   326,    -1,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,    -1,   521,   500,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,   531,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,    -1,   521,
      -1,    -1,    -1,     8,    -1,    10,    -1,    -1,    -1,   531,
      -1,   271,   380,    -1,    19,    20,    21,    -1,    -1,    -1,
      -1,   239,    -1,    -1,   242,    -1,    -1,    -1,   288,   500,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   309,
     521,    -1,    -1,   271,    -1,    -1,   527,    -1,    -1,    -1,
     531,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,
     288,    -1,    -1,    -1,    -1,     8,    -1,    10,   296,    -1,
      -1,    -1,   500,    -1,    -1,    -1,    19,    20,    21,    -1,
      -1,   309,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,    -1,    -1,    -1,   326,    -1,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,   380,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
      -1,   521,    -1,    -1,    -1,   380,   271,    -1,    -1,    -1,
      -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,    -1,   521,   309,    -1,   239,    -1,    -1,   242,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,   309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,    -1,   521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,    -1,   521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,    11,    12,    17,    27,    28,    29,    31,    32,
      34,    36,    38,    41,    42,    44,    45,    46,    61,    62,
      63,    67,    68,    73,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,   200,   201,   202,   206,   209,
     210,   211,   220,   229,   230,   231,   233,   234,   235,   241,
     243,   244,   246,   247,   248,   253,   254,   255,   256,   257,
     262,   263,   265,   266,   267,   268,   275,   282,   283,   290,
     291,   297,   311,   312,   314,   316,   317,   319,   320,   321,
     322,   323,   325,   333,   334,   335,   336,   338,   340,   341,
     343,   344,   345,   346,   347,   348,   349,   352,   358,   360,
     362,   363,   364,   368,   369,   373,   376,   378,   379,   383,
     384,   385,   386,   387,   393,   394,   395,   396,   401,   402,
     403,   405,   408,   410,   411,   412,   413,   414,   416,   418,
     419,   420,   422,   423,   426,   427,   428,   434,   438,   439,
     441,   445,   455,   464,   465,   467,   469,   471,   488,   489,
     491,   493,   494,   495,   497,   498,   499,   510,   511,   526,
     530,   533,   535,   536,   537,   543,   544,   545,   576,   577,
     578,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   594,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,   689,   690,
     691,   692,   693,   694,   695,   696,   697,   698,   699,   700,
     701,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     711,   712,   713,   714,   715,   716,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   726,   727,   728,   729,   730,
     731,   732,     3,     4,     5,    13,    14,    15,    16,    18,
      22,    23,    24,    25,    26,    30,    33,    35,    37,    39,
      40,    43,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    64,    65,    66,    69,
      70,    71,    72,    74,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   203,   204,   205,
     208,   212,   213,   214,   215,   216,   217,   218,   219,   221,
     222,   223,   224,   225,   226,   227,   228,   232,   236,   237,
     238,   240,   245,   249,   250,   251,   252,   258,   259,   260,
     261,   264,   269,   270,   272,   273,   274,   276,   277,   278,
     279,   280,   281,   284,   285,   286,   287,   289,   292,   293,
     294,   295,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   310,   313,   315,   318,   324,   327,   328,   329,
     330,   331,   332,   337,   339,   342,   350,   351,   353,   354,
     355,   356,   357,   359,   365,   366,   367,   370,   371,   372,
     374,   375,   377,   382,   388,   389,   390,   391,   392,   397,
     398,   399,   400,   404,   406,   407,   409,   415,   417,   421,
     424,   425,   429,   430,   431,   432,   433,   436,   440,   442,
     443,   447,   448,   449,   450,   451,   452,   453,   454,   456,
     457,   458,   459,   460,   461,   462,   463,   466,   468,   470,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   490,   492,   496,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   516,   517,
     524,   526,   543,   544,   545,   549,   553,   568,   569,   570,
     571,   572,   573,   574,   575,   526,   563,   564,   568,   568,
     526,   543,   579,   568,   563,   564,   526,   561,   568,   526,
     557,   568,   526,   557,   557,   568,   557,   557,   568,   526,
     557,   558,   568,   526,   558,   568,   558,   568,   526,   558,
     561,   568,   543,   544,   545,   568,   526,   562,   568,   557,
     557,   526,   558,   561,   562,   568,   543,   543,   543,   526,
     543,   544,   546,   548,   543,   543,   558,   561,   568,   568,
     568,   568,   558,   568,   526,   561,   562,   563,   564,   568,
     526,   563,   568,   561,   562,   563,   564,   558,   561,   558,
     561,   558,   568,   526,   561,   562,   568,   568,   526,   566,
     567,   568,   526,   561,   562,   563,   568,   558,   568,   526,
     543,   545,   559,   560,   568,   543,   545,   559,   560,   543,
     545,   559,   560,   543,   545,   559,   560,   568,   607,   608,
     609,   562,   568,   548,   568,   557,   568,   558,   561,   558,
     568,   558,   568,   543,   557,   543,   543,   558,   568,   558,
     568,   526,   558,   561,   562,   563,   564,   565,   568,   568,
     568,   568,   568,   563,   564,   558,   568,   558,   526,   552,
     557,   568,   558,   561,   557,   557,   557,   557,   561,   526,
     562,   563,   564,   568,   544,   545,   557,   568,   557,   568,
     557,   568,   568,   568,   568,   558,   568,   568,   568,   558,
     561,   568,   557,   568,   561,   558,   568,   526,   557,   562,
     568,   561,   562,   557,   558,   568,   558,   568,   557,   568,
     557,   558,   568,   557,   568,   558,   568,   557,   568,   568,
     558,   568,   557,   568,   558,   568,   568,   568,   558,   561,
     562,   563,   564,   561,   562,   563,   564,   558,   568,   563,
     558,   561,   561,   562,   563,   543,   568,   526,   561,   563,
     564,   568,   568,   544,   545,   568,   593,   544,   568,   557,
     557,   568,   568,   557,   557,   595,   558,   568,   558,   568,
     558,   568,   543,   544,   545,   526,   552,   557,   568,     0,
     528,   534,   364,   537,   364,     5,     6,     9,    75,   308,
     381,   436,   437,   522,   538,   542,   207,   515,     5,     6,
       9,    75,   308,   381,   436,   437,   515,   529,   537,   537,
     526,   526,   526,   543,   545,   526,   526,   526,   526,   568,
     557,   557,   526,   557,   557,   557,   526,   526,   557,   557,
     557,   557,   526,   526,   526,   526,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   526,   526,   526,
     526,   557,   526,   526,   526,   526,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   526,
     526,   558,   561,   558,   526,   557,   526,   557,   557,   557,
     526,   526,   526,   526,   557,   557,   557,   557,   557,   557,
     526,   526,   562,   563,   568,   557,   557,   557,   557,   557,
     526,   557,   526,   526,   526,   526,   557,   557,   557,   526,
     526,   526,   526,   526,   526,   557,   526,   557,   557,   557,
     557,   557,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   526,   557,   526,   557,   568,   526,
     557,   557,   557,   557,   557,   557,   557,   526,   526,   526,
     557,   526,   557,   526,   557,   526,   557,   526,   557,   557,
     526,   526,   526,   526,   526,   526,   526,   526,   557,   526,
     526,   526,   557,   557,   557,   557,   557,   526,   557,   526,
     526,   526,   526,   557,   557,   526,   557,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   543,   545,   526,
     526,   557,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   557,   557,   557,   557,   557,   557,   557,   526,
     526,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   526,   568,   504,   505,   524,   550,   551,
     552,   554,   568,   543,   544,   545,   568,     5,   436,   522,
     526,   538,   539,   540,   541,     5,   436,     8,    10,    19,
      20,    21,   239,   242,   271,   288,   296,   309,   326,   380,
     500,   513,   514,   515,   516,   517,   518,   519,   521,   531,
     563,   564,   568,   512,   543,   526,   568,   561,   568,   512,
     527,   558,   568,   512,   568,   512,   207,   515,   558,   568,
     207,   562,   568,   512,   568,   512,   515,   242,   516,   526,
     547,   543,   522,   512,   444,   568,   512,   568,   512,   568,
     512,   566,   567,   568,   512,   568,   512,   559,   560,   568,
     512,   526,   526,   565,   568,   512,   552,   568,   380,   512,
     568,   512,   558,   568,   207,   547,   568,   512,   568,   568,
     527,   527,   527,   552,   380,   533,   364,   568,   568,   568,
     568,   568,   568,   523,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   537,    79,   568,   568,   543,   522,
     568,   568,   544,   545,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     512,   568,   568,   568,   568,   561,   568,   558,   561,   568,
     568,   568,   568,   568,   568,   568,   568,   558,   561,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   561,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   561,   568,
     568,   558,   561,   558,   568,   568,   568,   568,   568,   568,
     558,   568,   568,   558,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     568,   558,   552,   525,   512,   525,   516,   527,   512,   530,
     361,   527,   555,   556,   568,   522,   539,   538,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     568,   527,   527,   568,   527,   555,   527,   568,   527,   568,
     568,   568,   568,   207,   207,   568,   527,   568,   568,   568,
     575,   514,   527,   548,   548,   568,   568,   568,   527,   527,
     568,   568,   527,   527,   543,   545,   527,   555,   527,   527,
     568,   527,   552,   568,   568,   207,   207,   568,   568,   527,
     512,   523,   527,   527,   527,   527,   527,   527,   527,   527,
     527,   527,   512,   527,   527,   512,   512,   512,   527,   512,
     527,   512,   527,   512,   527,   512,   527,   527,   527,   527,
     527,   527,   527,   527,   527,   527,   527,   512,   512,   568,
     512,   527,   527,   527,   512,   527,   527,   527,   527,   527,
     512,   512,   527,   527,   527,   512,   527,   527,   527,   527,
     527,   527,   527,   527,   512,   512,   527,   527,   527,   512,
     527,   512,   527,   527,   527,   527,   527,   512,   512,   527,
     512,   512,   527,   527,   527,   527,   527,   527,   527,   527,
     527,   527,   527,   527,   527,   527,   527,   527,   512,   527,
     527,   527,   527,   527,   527,   527,   527,   527,   527,   512,
     512,   527,   527,   527,   527,   527,   527,   512,   527,   527,
     527,   527,   527,   527,   525,   550,   514,   530,   512,   523,
     526,   527,   512,   530,   512,   527,   512,   568,   568,   512,
     512,   446,   543,   527,   512,   512,   512,   512,   527,   512,
     512,   568,   568,   512,   568,   522,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   512,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   523,   523,   543,   555,   568,
     568,   568,   568,   568,   242,   568,   568,   568,   568,   568,
     568,   568,   523,   568,   527,   512,   527,   527,   512,   527,
     512,   527,   512,   527,   527,   512,   527,   527,   527,   568,
     512,   512,   527,   512,   527,   512,   527,   527,   512,   512,
     527,   527,   527,   512,   512,   512,   527,   512,   527,   527,
     527,   527,   512,   527,   512,   512,   435,   575,   512,   512,
     512,   512,   512,   523,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   554,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   527,
     527,   527,   527,   527,   512,   527,   512,   527,   527,   527,
     527,   512,   527,   527,   512,   527,   527,   512,   512,   512,
     512,   568,   568,   568,   568,   568,   568,   568,   568,   512,
     527,   527,   527,   527,   512,   512,   512,   568,   568,   568,
     568,   527,   512,   512,   568,   568,   512,   568,   512,   568,
     512,   568
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   532,   533,   533,   534,   535,   535,   535,   535,   535,
     535,   535,   535,   536,   537,   537,   538,   539,   540,   540,
     541,   541,   542,   542,   542,   543,   543,   544,   544,   544,
     545,   545,   546,   547,   547,   548,   548,   549,   550,   550,
     550,   551,   552,   552,   553,   554,   554,   555,   555,   556,
     556,   557,   557,   558,   558,   559,   559,   560,   560,   561,
     561,   562,   562,   563,   563,   564,   564,   565,   565,   566,
     566,   567,   567,   568,   568,   568,   568,   568,   568,   568,
     568,   569,   569,   569,   569,   569,   570,   570,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   572,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   574,   574,   574,   574,   574,   574,   574,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   576,
     577,   579,   578,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   593,   592,   595,   594,   596,
     596,   596,   596,   596,   596,   597,   598,   598,   598,   598,
     598,   598,   598,   598,   599,   599,   599,   599,   599,   599,
     600,   601,   602,   602,   602,   603,   604,   604,   605,   606,
     607,   607,   607,   607,   607,   607,   607,   607,   607,   608,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   614,   615,   615,   616,
     617,   617,   617,   618,   619,   619,   620,   620,   620,   621,
     621,   622,   622,   622,   623,   623,   624,   624,   625,   625,
     626,   626,   627,   627,   628,   629,   629,   629,   630,   630,
     630,   631,   631,   632,   632,   633,   633,   634,   634,   635,
     636,   637,   638,   639,   639,   640,   640,   641,   641,   642,
     642,   642,   643,   643,   643,   644,   644,   644,   644,   645,
     646,   647,   648,   649,   649,   649,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   657,   657,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   659,   659,   659,   659,   659,
     659,   659,   659,   660,   660,   661,   662,   662,   663,   664,
     665,   666,   667,   667,   667,   668,   669,   670,   671,   672,
     672,   673,   673,   673,   673,   674,   674,   674,   674,   675,
     676,   677,   678,   679,   679,   680,   680,   681,   681,   682,
     682,   682,   683,   683,   683,   684,   684,   685,   685,   686,
     686,   687,   687,   688,   689,   690,   691,   692,   693,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   718,   719,   720,   721,   721,
     722,   722,   723,   723,   724,   724,   724,   724,   725,   725,
     725,   725,   726,   726,   727,   728,   728,   729,   730,   731,
     731,   732
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     3,     1,     1,     2,     3,     1,     2,     1,
       2,     1,     0,     1,     3,     1,     2,     3,     4,     2,
       4,     2,     5,     6,     3,     1,     3,     1,     2,     3,
       2,     3,     1,     2,     3,     1,     3,     3,     1,     1,
       3,     3,     1,     3,     3,     4,     6,     1,     3,     1,
       4,     2,     0,     3,     3,     3,     3,     3,     3,     5,
       3,     7,     3,     9,     3,    11,     3,    13,     3,    17,
       3,    19,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     4,     3,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     2,     2,     2,
       3,     3,     3,     2,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     3,     2,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     2,     2,     2,     2,     2,     2,
       4,     4,     4,     4,     6,     8,    10,     6,     8,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     2,     2,     2,     4,     4,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     4,     2,
       4,     2,     4,     2,     2,     2,     2,     2,     2,     6,
       8,    10,     2,     2,     2,     8,     6,     4,     4,     4,
       4,     4,     4,     4,     4,     2,     4,     6,     4,     6,
       8,     4,     6,     8,     4,     6,     8,     2,     2,     2,
       4,     4,     6,     8,     6,     2,     2,     4,     6,     2,
       6,     2,     4,     2,     2,     4,     2,     2,     2,     4,
       6,     4,     4,     4,     6,     1,     1,     1,     2,     2,
       2,     4,     4,     4,     2,     4,     2,     4,     2,     4,
       2,     2,     4,     4,     4,     4,     4,     4,     4,     2,
       2,     2,     2,     1,     4,     4,     4,     4,     8,     6,
       8,     6,     6,     2,     4,     2,     4,     2,     4,     6,
       8,     2,     2,     2,     4,     2,     4,     2,     2,     6,
       4,     2,     8,    10,     8,     4,     4,     4,     4,     4,
       6,     4,     4,     4,     6,     4,     4,     4,     4,     4,
       2,     2,     2,     4,     4,     4,     8,     6,     4,    12,
      10,     4,     2,     4,     4,     4,     4,     4,     4,     4,
       1,     1,     1,     4,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     2,     3,     1,     0,     3,     0,     3,     2,
       2,     2,     1,     1,     1,     2,     2,     4,     3,     5,
       3,     5,     4,     4,     2,     4,     3,     5,     3,     5,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     6,
       8,     4,     7,     2,     1,     2,     2,     4,     5,     2,
       2,     4,     5,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     3,     2,     4,     2,
       3,     2,     4,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     3,
       3,     1,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 4: /* programnewline: '\n'  */
             {
		linenumber++;
		column=0;
		addIntOp(OP_CURRLINE, filenumber * 0x1000000 + linenumber);
	}
    break;

  case 13: /* label: B256LABEL  */
                  {
		if (functionDefSymbol != -1 || subroutineDefSymbol !=-1) {
			errorcode = COMPERR_FUNCTIONGOTO;
			return -1;
		}
		//
		//check if name of label is already used by a function, subroutine or another label
		if (symtableaddress[(yyvsp[0].number)] != -1) {
			errorcode = COMPERR_LABELREDEFINED;
			return -1;
		}
		symtableaddress[(yyvsp[0].number)] = wordOffset;
		symtableaddresstype[(yyvsp[0].number)] = ADDRESSTYPE_LABEL;
	}
    break;

  case 24: /* array_indexing: '[' expr ']'  */
                       {
		addIntOp(OP_PUSHINT, 0);
		addOp(OP_STACKSWAP);
	}
    break;

  case 25: /* variable: B256VARIABLE  */
                     {
		varnumber[nvarnumber++] = (yyvsp[0].number);
	}
    break;

  case 32: /* functionvariable: variable_a  */
                           {
			args[numargs] = varnumber[--nvarnumber]; argstype[numargs] = ARGSTYPEVALUE; numargs++;
			//printf("functionvariable %i %i %i\n", args[numargs-1], argstype[numargs-1],numargs);
		}
    break;

  case 37: /* listoflists: '{' listinlist '}'  */
                          {
		addIntOp(OP_PUSHINT, numberoflists);		// number of lists (y dim)
		addIntOp(OP_PUSHINT, listlenmax);			// maximum number of expressions (x dim)
#ifdef DEBUG
	fprintf(stderr, "listlenmax %d\n", listlenmax);
#endif
		numberoflists = 0;
		listlenmax=0;
	}
    break;

  case 38: /* listinlist: listitems  */
                  {
		addIntOp(OP_PUSHINT, listlen);
		if (listlen>listlenmax) listlenmax=listlen;
		listlen = 0;
		numberoflists = 1;
	}
    break;

  case 39: /* listinlist: listofitems  */
                      {numberoflists = 1; }
    break;

  case 40: /* listinlist: listofitems ',' listinlist  */
                                     {numberoflists++;}
    break;

  case 41: /* listofitems: '{' listitems '}'  */
                          {
		addIntOp(OP_PUSHINT, listlen);
		if (listlen>listlenmax) listlenmax=listlen;
		listlen = 0;
	}
    break;

  case 42: /* listitems: expr  */
             { listlen = 1; }
    break;

  case 43: /* listitems: expr ',' listitems  */
                             {listlen++;}
    break;

  case 44: /* listofmapitems: '{' mapitems '}'  */
                         {
		addIntOp(OP_PUSHINT, listlen);
		if (listlen>listlenmax) listlenmax=listlen;
		listlen = 0;
		numberoflists = 0;
		listlenmax=0;
	}
    break;

  case 45: /* mapitems: expr '-' '>' expr  */
                          { listlen = 1; }
    break;

  case 46: /* mapitems: expr '-' '>' expr ',' mapitems  */
                                         {listlen++;}
    break;

  case 47: /* callexprlist: callexpr  */
                 { listlen = 1; }
    break;

  case 48: /* callexprlist: callexpr ',' callexprlist  */
                                    {listlen++;}
    break;

  case 50: /* callexpr: B256REF '(' variable ')'  */
                                   { addIntOp(OP_VAR_REF, varnumber[--nvarnumber]); }
    break;

  case 80: /* expr: array_element  */
                        {
		addIntOp(OP_ARR_GET, varnumber[--nvarnumber]);
	}
    break;

  case 82: /* expr_multi: expr '+' expr  */
                        {
		addOp(OP_ADD);
	}
    break;

  case 83: /* expr_multi: expr B256SEMICOLON expr  */
                                  {
		addOp(OP_CONCATENATE);
	}
    break;

  case 84: /* expr_multi: expr B256AMP expr  */
                            {
		addOp(OP_BINARYAND);
	}
    break;

  case 85: /* expr_multi: expr '*' expr  */
                        {
		addOp(OP_MUL);
	}
    break;

  case 86: /* expr_function: variable '(' callexprlist ')'  */
                                      {
		// function call with arguments
		addIntOp(OP_PUSHINT, listlen); //push number of arguments passed to compare with FUNCTION definition
		addIntOp(OP_CALLFUNCTION, varnumber[--nvarnumber]);
		addIntOp(OP_CURRLINE, filenumber * 0x1000000 + linenumber);
	}
    break;

  case 87: /* expr_function: variable '(' ')'  */
                           {
		// function call without arguments
		addIntOp(OP_PUSHINT, 0); //push number of arguments passed to compare with FUNCTION definition
		addIntOp(OP_CALLFUNCTION, varnumber[--nvarnumber]);
		addIntOp(OP_CURRLINE, filenumber * 0x1000000 + linenumber);
	}
    break;

  case 88: /* expr_constants: B256BLACK args_none  */
                            { addIntOp(OP_PUSHINT, 0xff000000); }
    break;

  case 89: /* expr_constants: B256BLUE args_none  */
                             { addIntOp(OP_PUSHINT, 0xff0000ff); }
    break;

  case 90: /* expr_constants: B256BOOLFALSE args_none  */
                                  { addIntOp(OP_PUSHINT, 0); }
    break;

  case 91: /* expr_constants: B256BOOLTRUE args_none  */
                                 { addIntOp(OP_PUSHINT, 1); }
    break;

  case 92: /* expr_constants: B256CLEAR args_none  */
                              { addIntOp(OP_PUSHINT, 0x00); }
    break;

  case 93: /* expr_constants: B256CYAN args_none  */
                             { addIntOp(OP_PUSHINT, 0xff00ffff); }
    break;

  case 94: /* expr_constants: B256DARKBLUE args_none  */
                                 { addIntOp(OP_PUSHINT, 0xff000080); }
    break;

  case 95: /* expr_constants: B256DARKCYAN args_none  */
                                 { addIntOp(OP_PUSHINT, 0xff008080); }
    break;

  case 96: /* expr_constants: B256DARKGREEN args_none  */
                                  { addIntOp(OP_PUSHINT, 0xff008000); }
    break;

  case 97: /* expr_constants: B256DARKGREY args_none  */
                                 { addIntOp(OP_PUSHINT, 0xff808080); }
    break;

  case 98: /* expr_constants: B256DARKORANGE args_none  */
                                   { addIntOp(OP_PUSHINT, 0xffb03d00); }
    break;

  case 99: /* expr_constants: B256DARKPURPLE args_none  */
                                   { addIntOp(OP_PUSHINT, 0xff800080); }
    break;

  case 100: /* expr_constants: B256DARKRED args_none  */
                                { addIntOp(OP_PUSHINT, 0xff800000); }
    break;

  case 101: /* expr_constants: B256DARKYELLOW args_none  */
                                   { addIntOp(OP_PUSHINT, 0xff808000); }
    break;

  case 102: /* expr_constants: B256GREEN args_none  */
                              { addIntOp(OP_PUSHINT, 0xff00ff00); }
    break;

  case 103: /* expr_constants: B256GREY args_none  */
                             { addIntOp(OP_PUSHINT, 0xffa4a4a4); }
    break;

  case 104: /* expr_constants: B256MOUSEBUTTON_CENTER args_none  */
                                           { addIntOp(OP_PUSHINT, MOUSEBUTTON_CENTER); }
    break;

  case 105: /* expr_constants: B256MOUSEBUTTON_DOUBLECLICK args_none  */
                                                { addIntOp(OP_PUSHINT, MOUSEBUTTON_DOUBLECLICK); }
    break;

  case 106: /* expr_constants: B256MOUSEBUTTON_LEFT args_none  */
                                         { addIntOp(OP_PUSHINT, MOUSEBUTTON_LEFT); }
    break;

  case 107: /* expr_constants: B256MOUSEBUTTON_NONE args_none  */
                                         { addIntOp(OP_PUSHINT, MOUSEBUTTON_NONE); }
    break;

  case 108: /* expr_constants: B256MOUSEBUTTON_RIGHT args_none  */
                                          { addIntOp(OP_PUSHINT, MOUSEBUTTON_RIGHT); }
    break;

  case 109: /* expr_constants: B256ORANGE args_none  */
                               { addIntOp(OP_PUSHINT, 0xffff6600); }
    break;

  case 110: /* expr_constants: B256OSTYPE_ANDROID args_none  */
                                       { addIntOp(OP_PUSHINT, OSTYPE_ANDROID); }
    break;

  case 111: /* expr_constants: B256OSTYPE_LINUX args_none  */
                                     { addIntOp(OP_PUSHINT, OSTYPE_LINUX); }
    break;

  case 112: /* expr_constants: B256OSTYPE_MACINTOSH args_none  */
                                         { addIntOp(OP_PUSHINT, OSTYPE_MACINTOSH); }
    break;

  case 113: /* expr_constants: B256OSTYPE_WINDOWS args_none  */
                                       { addIntOp(OP_PUSHINT, OSTYPE_WINDOWS); }
    break;

  case 114: /* expr_constants: B256PURPLE args_none  */
                               { addIntOp(OP_PUSHINT, 0xffff00ff); }
    break;

  case 115: /* expr_constants: B256RED args_none  */
                            { addIntOp(OP_PUSHINT, 0xffff0000); }
    break;

  case 116: /* expr_constants: B256SLICE_ALL args_none  */
                                  { addIntOp(OP_PUSHINT, SLICE_ALL); }
    break;

  case 117: /* expr_constants: B256SLICE_PAINT args_none  */
                                    { addIntOp(OP_PUSHINT, SLICE_PAINT); }
    break;

  case 118: /* expr_constants: B256SLICE_SPRITE args_none  */
                                     { addIntOp(OP_PUSHINT, SLICE_SPRITE); }
    break;

  case 119: /* expr_constants: B256TYPE_ARRAY args_none  */
                                   { addIntOp(OP_PUSHINT, T_ARRAY); }
    break;

  case 120: /* expr_constants: B256TYPE_FLOAT args_none  */
                                   { addIntOp(OP_PUSHINT, T_FLOAT); }
    break;

  case 121: /* expr_constants: B256TYPE_INT args_none  */
                                 { addIntOp(OP_PUSHINT, T_INT); }
    break;

  case 122: /* expr_constants: B256TYPE_MAP args_none  */
                                 { addIntOp(OP_PUSHINT, T_MAP); }
    break;

  case 123: /* expr_constants: B256TYPE_REF args_none  */
                                 { addIntOp(OP_PUSHINT, T_REF); }
    break;

  case 124: /* expr_constants: B256TYPE_STRING args_none  */
                                    { addIntOp(OP_PUSHINT, T_STRING); }
    break;

  case 125: /* expr_constants: B256TYPE_UNASSIGNED args_none  */
                                        { addIntOp(OP_PUSHINT, T_UNASSIGNED); }
    break;

  case 126: /* expr_constants: B256WHITE args_none  */
                              { addIntOp(OP_PUSHINT, 0xffffffff); }
    break;

  case 127: /* expr_constants: B256YELLOW args_none  */
                               { addIntOp(OP_PUSHINT, 0xffffff00); }
    break;

  case 128: /* expr_errors: B256ERROR_ARGUMENTCOUNT args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_ARGUMENTCOUNT);
	}
    break;

  case 129: /* expr_errors: B256ERROR_ARRAYELEMENT args_none  */
                                           {
		addIntOp(OP_PUSHINT, ERROR_ARRAYELEMENT);
	}
    break;

  case 130: /* expr_errors: B256ERROR_ARRAYEVEN args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_ARRAYEVEN);
	}
    break;

  case 131: /* expr_errors: B256ERROR_ARRAYEXPR args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_ARRAYEXPR);
	}
    break;

  case 132: /* expr_errors: B256ERROR_ARRAYINDEX args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_ARRAYINDEX);
	}
    break;

  case 133: /* expr_errors: B256ERROR_ARRAYINDEXMISSING args_none  */
                                                {
		addIntOp(OP_PUSHINT, ERROR_ARRAYINDEXMISSING);
	}
    break;

  case 134: /* expr_errors: B256ERROR_ARRAYLENGTH2D args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_ARRAYLENGTH2D);
	}
    break;

  case 135: /* expr_errors: B256ERROR_ARRAYNITEMS args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_ARRAYNITEMS);
	}
    break;

  case 136: /* expr_errors: B256ERROR_ARRAYSIZELARGE args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_ARRAYSIZELARGE);
	}
    break;

  case 137: /* expr_errors: B256ERROR_ARRAYSIZESMALL args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_ARRAYSIZESMALL);
	}
    break;

  case 138: /* expr_errors: B256ERROR_ASINACOSRANGE args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_ASINACOSRANGE);
	}
    break;

  case 139: /* expr_errors: B256ERROR_BOOLEANCONV args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_BOOLEANCONV);
	}
    break;

  case 140: /* expr_errors: B256ERROR_DBCOLNO args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_DBCOLNO);
	}
    break;

  case 141: /* expr_errors: B256ERROR_DBCONNNUMBER args_none  */
                                           {
		addIntOp(OP_PUSHINT, ERROR_DBCONNNUMBER);
	}
    break;

  case 142: /* expr_errors: B256ERROR_DBNOTOPEN args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_DBNOTOPEN);
	}
    break;

  case 143: /* expr_errors: B256ERROR_DBNOTSET args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_DBNOTSET);
	}
    break;

  case 144: /* expr_errors: B256ERROR_DBNOTSETROW args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_DBNOTSETROW);
	}
    break;

  case 145: /* expr_errors: B256ERROR_DBOPEN args_none  */
                                     {
		addIntOp(OP_PUSHINT, ERROR_DBOPEN);
	}
    break;

  case 146: /* expr_errors: B256ERROR_DBQUERY args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_DBQUERY);
	}
    break;

  case 147: /* expr_errors: B256ERROR_DBSETNUMBER args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_DBSETNUMBER);
	}
    break;

  case 148: /* expr_errors: B256ERROR_DIVZERO args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_DIVZERO);
	}
    break;

  case 149: /* expr_errors: B256ERROR_DOWNLOAD args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_DOWNLOAD);
	}
    break;

  case 150: /* expr_errors: B256ERROR_ENVELOPEMAX args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_ENVELOPEMAX);
	}
    break;

  case 151: /* expr_errors: B256ERROR_ENVELOPEODD args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_ENVELOPEODD);
	}
    break;

  case 152: /* expr_errors: B256ERROR_EXPECTEDARRAY args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_EXPECTEDARRAY);
	}
    break;

  case 153: /* expr_errors: B256ERROR_EXPECTEDSOUND args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_EXPECTEDSOUND);
	}
    break;

  case 154: /* expr_errors: B256ERROR_FILENOTOPEN args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_FILENOTOPEN);
	}
    break;

  case 155: /* expr_errors: B256ERROR_FILENUMBER args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_FILENUMBER);
	}
    break;

  case 156: /* expr_errors: B256ERROR_FILEOPEN args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_FILEOPEN);
	}
    break;

  case 157: /* expr_errors: B256ERROR_FILEOPERATION args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_FILEOPERATION);
	}
    break;

  case 158: /* expr_errors: B256ERROR_FILERESET args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_FILERESET);
	}
    break;

  case 159: /* expr_errors: B256ERROR_FILEWRITE args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_FILEWRITE);
	}
    break;

  case 160: /* expr_errors: B256ERROR_FOLDER args_none  */
                                     {
		addIntOp(OP_PUSHINT, ERROR_FOLDER);
	}
    break;

  case 161: /* expr_errors: B256ERROR_FREEDB args_none  */
                                     {
		addIntOp(OP_PUSHINT, ERROR_FREEDB);
	}
    break;

  case 162: /* expr_errors: B256ERROR_FREEDBSET args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_FREEDBSET);
	}
    break;

  case 163: /* expr_errors: B256ERROR_FREEFILE args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_FREEFILE);
	}
    break;

  case 164: /* expr_errors: B256ERROR_FREENET args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_FREENET);
	}
    break;

  case 165: /* expr_errors: B256ERROR_HARMONICLIST args_none  */
                                           {
		addIntOp(OP_PUSHINT, ERROR_HARMONICLIST);
	}
    break;

  case 166: /* expr_errors: B256ERROR_HARMONICNUMBER args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_HARMONICNUMBER);
	}
    break;

  case 167: /* expr_errors: B256ERROR_IMAGEFILE args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_IMAGEFILE);
	}
    break;

  case 168: /* expr_errors: B256ERROR_IMAGERESOURCE args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_IMAGERESOURCE);
	}
    break;

  case 169: /* expr_errors: B256ERROR_IMAGESAVETYPE args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_IMAGESAVETYPE);
	}
    break;

  case 170: /* expr_errors: B256ERROR_IMAGESCALE args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_IMAGESCALE);
	}
    break;

  case 171: /* expr_errors: B256ERROR_INFINITY args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_INFINITY);
	}
    break;

  case 172: /* expr_errors: B256ERROR_INTEGERRANGE args_none  */
                                           {
		addIntOp(OP_PUSHINT, ERROR_INTEGERRANGE);
	}
    break;

  case 173: /* expr_errors: B256ERROR_INVALIDKEYNAME args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_INVALIDKEYNAME);
	}
    break;

  case 174: /* expr_errors: B256ERROR_INVALIDPROGNAME args_none  */
                                              {
		addIntOp(OP_PUSHINT, ERROR_INVALIDPROGNAME);
	}
    break;

  case 175: /* expr_errors: B256ERROR_INVALIDRESOURCE args_none  */
                                              {
		addIntOp(OP_PUSHINT, ERROR_INVALIDRESOURCE);
	}
    break;

  case 176: /* expr_errors: B256ERROR_LOGRANGE args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_LOGRANGE);
	}
    break;

  case 177: /* expr_errors: B256ERROR_LONGRANGE args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_LONGRANGE);
	}
    break;

  case 178: /* expr_errors: B256ERROR_MAXRECURSE args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_MAXRECURSE);
	}
    break;

  case 179: /* expr_errors: B256ERROR_NETACCEPT args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_NETACCEPT);
	}
    break;

  case 180: /* expr_errors: B256ERROR_NETBIND args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_NETBIND);
	}
    break;

  case 181: /* expr_errors: B256ERROR_NETCONN args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_NETCONN);
	}
    break;

  case 182: /* expr_errors: B256ERROR_NETHOST args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_NETHOST);
	}
    break;

  case 183: /* expr_errors: B256ERROR_NETNONE args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_NETNONE);
	}
    break;

  case 184: /* expr_errors: B256ERROR_NETREAD args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_NETREAD);
	}
    break;

  case 185: /* expr_errors: B256ERROR_NETSOCK args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_NETSOCK);
	}
    break;

  case 186: /* expr_errors: B256ERROR_NETSOCKNUMBER args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_NETSOCKNUMBER);
	}
    break;

  case 187: /* expr_errors: B256ERROR_NETSOCKOPT args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_NETSOCKOPT);
	}
    break;

  case 188: /* expr_errors: B256ERROR_NETWRITE args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_NETWRITE);
	}
    break;

  case 189: /* expr_errors: B256ERROR_NEXTNOFOR args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_NEXTNOFOR);
	}
    break;

  case 190: /* expr_errors: B256ERROR_NONE args_none  */
                                   {
		addIntOp(OP_PUSHINT, ERROR_NONE);
	}
    break;

  case 191: /* expr_errors: B256ERROR_NOSUCHFUNCTION args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_NOSUCHFUNCTION);
	}
    break;

  case 192: /* expr_errors: B256ERROR_NOSUCHLABEL args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_NOSUCHLABEL);
	}
    break;

  case 193: /* expr_errors: B256ERROR_NOSUCHSUBROUTINE args_none  */
                                               {
		addIntOp(OP_PUSHINT, ERROR_NOSUCHSUBROUTINE);
	}
    break;

  case 194: /* expr_errors: B256ERROR_NOTARRAY args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_NOTARRAY);
	}
    break;

  case 195: /* expr_errors: B256ERROR_NOTIMPLEMENTED args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_NOTIMPLEMENTED);
	}
    break;

  case 196: /* expr_errors: B256ERROR_NUMBERCONV args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_NUMBERCONV);
	}
    break;

  case 197: /* expr_errors: B256ERROR_NUMBEREXPR args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_NUMBEREXPR);
	}
    break;

  case 198: /* expr_errors: B256ERROR_ONEDIMENSIONAL args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_ONEDIMENSIONAL);
	}
    break;

  case 199: /* expr_errors: B256ERROR_ONERRORSUB args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_ONERRORSUB);
	}
    break;

  case 200: /* expr_errors: B256ERROR_PENWIDTH args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_PENWIDTH);
	}
    break;

  case 201: /* expr_errors: B256ERROR_PERMISSION args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_PERMISSION);
	}
    break;

  case 202: /* expr_errors: B256ERROR_POLYPOINTS args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_POLYPOINTS);
	}
    break;

  case 203: /* expr_errors: B256ERROR_PRINTERNOTOFF args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_PRINTERNOTOFF);
	}
    break;

  case 204: /* expr_errors: B256ERROR_PRINTERNOTON args_none  */
                                           {
		addIntOp(OP_PUSHINT, ERROR_PRINTERNOTON);
	}
    break;

  case 205: /* expr_errors: B256ERROR_PRINTEROPEN args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_PRINTEROPEN);
	}
    break;

  case 206: /* expr_errors: B256ERROR_RADIX args_none  */
                                    {
		addIntOp(OP_PUSHINT, ERROR_RADIX);
	}
    break;

  case 207: /* expr_errors: B256ERROR_RADIXSTRING args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_RADIXSTRING);
	}
    break;

  case 208: /* expr_errors: B256ERROR_REFNOTASSIGNED args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_REFNOTASSIGNED);
	}
    break;

  case 209: /* expr_errors: B256ERROR_RGB args_none  */
                                  {
		addIntOp(OP_PUSHINT, ERROR_RGB);
	}
    break;

  case 210: /* expr_errors: B256ERROR_SERIALPARAMETER args_none  */
                                              {
		addIntOp(OP_PUSHINT, ERROR_SERIALPARAMETER);
	}
    break;

  case 211: /* expr_errors: B256ERROR_SETTINGMAXKEYS args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_SETTINGMAXKEYS);
	}
    break;

  case 212: /* expr_errors: B256ERROR_SETTINGMAXLEN args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_SETTINGMAXLEN);
	}
    break;

  case 213: /* expr_errors: B256ERROR_SETTINGSGETACCESS args_none  */
                                                {
		addIntOp(OP_PUSHINT, ERROR_SETTINGSGETACCESS);
	}
    break;

  case 214: /* expr_errors: B256ERROR_SETTINGSSETACCESS args_none  */
                                                {
		addIntOp(OP_PUSHINT, ERROR_SETTINGSSETACCESS);
	}
    break;

  case 215: /* expr_errors: B256ERROR_SLICESIZE args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_SLICESIZE);
	}
    break;

  case 216: /* expr_errors: B256ERROR_SOUNDERROR args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_SOUNDERROR);
	}
    break;

  case 217: /* expr_errors: B256ERROR_SOUNDFILE args_none  */
                                        {
		addIntOp(OP_PUSHINT, ERROR_SOUNDFILE);
	}
    break;

  case 218: /* expr_errors: B256ERROR_SOUNDFILEFORMAT args_none  */
                                              {
		addIntOp(OP_PUSHINT, ERROR_SOUNDFILEFORMAT);
	}
    break;

  case 219: /* expr_errors: B256ERROR_SOUNDLENGTH args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_SOUNDLENGTH);
	}
    break;

  case 220: /* expr_errors: B256ERROR_SOUNDNOTSEEKABLE args_none  */
                                               {
		addIntOp(OP_PUSHINT, ERROR_SOUNDNOTSEEKABLE);
	}
    break;

  case 221: /* expr_errors: B256ERROR_SOUNDRESOURCE args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_SOUNDRESOURCE);
	}
    break;

  case 222: /* expr_errors: B256ERROR_SPRITENA args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_SPRITENA);
	}
    break;

  case 223: /* expr_errors: B256ERROR_SPRITENUMBER args_none  */
                                           {
		addIntOp(OP_PUSHINT, ERROR_SPRITENUMBER);
	}
    break;

  case 224: /* expr_errors: B256ERROR_SPRITESLICE args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_SPRITESLICE);
	}
    break;

  case 225: /* expr_errors: B256ERROR_SQRRANGE args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_SQRRANGE);
	}
    break;

  case 226: /* expr_errors: B256ERROR_STACKUNDERFLOW args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_STACKUNDERFLOW);
	}
    break;

  case 227: /* expr_errors: B256ERROR_STRING2NOTE args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_STRING2NOTE);
	}
    break;

  case 228: /* expr_errors: B256ERROR_STRINGCONV args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_STRINGCONV);
	}
    break;

  case 229: /* expr_errors: B256ERROR_STRINGEXPR args_none  */
                                         {
		addIntOp(OP_PUSHINT, ERROR_STRINGEXPR);
	}
    break;

  case 230: /* expr_errors: B256ERROR_STRINGMAXLEN args_none  */
                                           {
		addIntOp(OP_PUSHINT, ERROR_STRINGMAXLEN);
	}
    break;

  case 231: /* expr_errors: B256ERROR_STRSTART args_none  */
                                       {
		addIntOp(OP_PUSHINT, ERROR_STRSTART);
	}
    break;

  case 232: /* expr_errors: B256ERROR_TOOMANYSOUNDS args_none  */
                                            {
		addIntOp(OP_PUSHINT, ERROR_TOOMANYSOUNDS);
	}
    break;

  case 233: /* expr_errors: B256ERROR_UNEXPECTEDRETURN args_none  */
                                               {
		addIntOp(OP_PUSHINT, ERROR_UNEXPECTEDRETURN);
	}
    break;

  case 234: /* expr_errors: B256ERROR_UNSERIALIZEFORMAT args_none  */
                                                {
		addIntOp(OP_PUSHINT, ERROR_UNSERIALIZEFORMAT);
	}
    break;

  case 235: /* expr_errors: B256ERROR_VARCIRCULAR args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_VARCIRCULAR);
	}
    break;

  case 236: /* expr_errors: B256ERROR_VARNOTASSIGNED args_none  */
                                             {
		addIntOp(OP_PUSHINT, ERROR_VARNOTASSIGNED);
	}
    break;

  case 237: /* expr_errors: B256ERROR_VARNULL args_none  */
                                      {
		addIntOp(OP_PUSHINT, ERROR_VARNULL);
	}
    break;

  case 238: /* expr_errors: B256ERROR_WAVEFORMLOGICAL args_none  */
                                              {
		addIntOp(OP_PUSHINT, ERROR_WAVEFORMLOGICAL);
	}
    break;

  case 239: /* expr_errors: B256ERROR_WAVOBSOLETE args_none  */
                                          {
		addIntOp(OP_PUSHINT, ERROR_WAVOBSOLETE);
	}
    break;

  case 240: /* expr_errors: B256WARNING_ARRAYELEMENT args_none  */
                                             {
		addIntOp(OP_PUSHINT, WARNING_ARRAYELEMENT);
	}
    break;

  case 241: /* expr_errors: B256WARNING_BOOLEANCONV args_none  */
                                            {
		addIntOp(OP_PUSHINT, WARNING_BOOLEANCONV);
	}
    break;

  case 242: /* expr_errors: B256WARNING_INTEGERRANGE args_none  */
                                             {
		addIntOp(OP_PUSHINT, WARNING_INTEGERRANGE);
	}
    break;

  case 243: /* expr_errors: B256WARNING_LONGRANGE args_none  */
                                          {
		addIntOp(OP_PUSHINT, WARNING_LONGRANGE);
	}
    break;

  case 244: /* expr_errors: B256WARNING_NUMBERCONV args_none  */
                                           {
		addIntOp(OP_PUSHINT, WARNING_NUMBERCONV);
	}
    break;

  case 245: /* expr_errors: B256WARNING_REFNOTASSIGNED args_none  */
                                               {
		addIntOp(OP_PUSHINT, WARNING_REFNOTASSIGNED);
	}
    break;

  case 246: /* expr_errors: B256WARNING_SOUNDERROR args_none  */
                                           {
		addIntOp(OP_PUSHINT, WARNING_SOUNDERROR);
	}
    break;

  case 247: /* expr_errors: B256WARNING_SOUNDFILEFORMAT args_none  */
                                                {
		addIntOp(OP_PUSHINT, WARNING_SOUNDFILEFORMAT);
	}
    break;

  case 248: /* expr_errors: B256WARNING_SOUNDLENGTH args_none  */
                                            {
		addIntOp(OP_PUSHINT, WARNING_SOUNDLENGTH);
	}
    break;

  case 249: /* expr_errors: B256WARNING_SOUNDNOTSEEKABLE args_none  */
                                                 {
		addIntOp(OP_PUSHINT, WARNING_SOUNDNOTSEEKABLE);
	}
    break;

  case 250: /* expr_errors: B256WARNING_START args_none  */
                                      {
		addIntOp(OP_PUSHINT, WARNING_START);
	}
    break;

  case 251: /* expr_errors: B256WARNING_STRING2NOTE args_none  */
                                            {
		addIntOp(OP_PUSHINT, WARNING_STRING2NOTE);
	}
    break;

  case 252: /* expr_errors: B256WARNING_STRINGCONV args_none  */
                                           {
		addIntOp(OP_PUSHINT, WARNING_STRINGCONV);
	}
    break;

  case 253: /* expr_errors: B256WARNING_VARNOTASSIGNED args_none  */
                                               {
		addIntOp(OP_PUSHINT, WARNING_VARNOTASSIGNED);
	}
    break;

  case 254: /* expr_errors: B256WARNING_WAVOBSOLETE args_none  */
                                            {
		addIntOp(OP_PUSHINT, WARNING_WAVOBSOLETE);
	}
    break;

  case 255: /* expr_numeric: B256INTEGER  */
                    { addIntOp(OP_PUSHINT, (yyvsp[0].number)); }
    break;

  case 256: /* expr_numeric: B256FLOAT  */
                      {
		if(isfinite((yyvsp[0].floatnum))){
			addFloatOp(OP_PUSHFLOAT, (yyvsp[0].floatnum));
		}else{
			errorcode = COMPERR_NUMBERTOOLARGE;
			return -1;
		}
	}
    break;

  case 257: /* expr_numeric: '+' B256INTEGER  */
                                          {
		 // accept/eat unary plus only for numbers
		 addIntOp(OP_PUSHINT, (yyvsp[0].number));
	}
    break;

  case 258: /* expr_numeric: '+' B256FLOAT  */
                                        {
		// accept/eat unary plus only for numbers
		if(isfinite((yyvsp[0].floatnum))){
			addFloatOp(OP_PUSHFLOAT, (yyvsp[0].floatnum));
		}else{
			errorcode = COMPERR_NUMBERTOOLARGE;
			return -1;
		}
	}
    break;

  case 259: /* expr_numeric: '-' expr  */
                                   {
		addOp(OP_NEGATE);
	}
    break;

  case 260: /* expr_numeric: expr '-' expr  */
                        {
		addOp(OP_SUB);
	}
    break;

  case 261: /* expr_numeric: expr B256MOD expr  */
                            {
		addOp(OP_MOD);
	}
    break;

  case 262: /* expr_numeric: expr '%' expr  */
                                      {
		addOp(OP_MOD);
	}
    break;

  case 263: /* expr_numeric: expr '%'  */
                                   {
		/* expression% is actually a percentage */
		addIntOp(OP_PUSHINT, 100);
		addOp(OP_DIV);
	}
    break;

  case 264: /* expr_numeric: expr B256INTDIV expr  */
                               {
		addOp(OP_INTDIV);
	}
    break;

  case 265: /* expr_numeric: expr '/' expr  */
                        {
		addOp(OP_DIV);
	}
    break;

  case 266: /* expr_numeric: expr '^' expr  */
                        { addOp(OP_EX); }
    break;

  case 267: /* expr_numeric: expr B256BINARYOR expr  */
                                 { addOp(OP_BINARYOR); }
    break;

  case 268: /* expr_numeric: expr B256BITSHIFTL expr  */
                                  { addOp(OP_BITSHIFTL); }
    break;

  case 269: /* expr_numeric: expr B256BITSHIFTR expr  */
                                  { addOp(OP_BITSHIFTR); }
    break;

  case 270: /* expr_numeric: B256BINARYNOT expr  */
                             { addOp(OP_BINARYNOT); }
    break;

  case 271: /* expr_numeric: expr B256AND expr  */
                            {
		addOp(OP_AND);
	}
    break;

  case 272: /* expr_numeric: expr B256OR expr  */
                           {
		addOp(OP_OR);
	}
    break;

  case 273: /* expr_numeric: expr B256XOR expr  */
                            { addOp(OP_XOR); }
    break;

  case 274: /* expr_numeric: B256NOT expr  */
                                     { addOp(OP_NOT); }
    break;

  case 275: /* expr_numeric: expr '=' expr  */
                        { addOp(OP_EQUAL); }
    break;

  case 276: /* expr_numeric: expr B256NE expr  */
                           { addOp(OP_NEQUAL); }
    break;

  case 277: /* expr_numeric: expr '<' expr  */
                        { addOp(OP_LT); }
    break;

  case 278: /* expr_numeric: expr '>' expr  */
                        { addOp(OP_GT); }
    break;

  case 279: /* expr_numeric: expr B256GTE expr  */
                            { addOp(OP_GTE); }
    break;

  case 280: /* expr_numeric: expr B256LTE expr  */
                            { addOp(OP_LTE); }
    break;

  case 281: /* expr_numeric: expr B256IN expr  */
                           {
		addOp(OP_IN);
	}
    break;

  case 282: /* expr_numeric: array_element B256ADD1  */
                                 {
		// a[b,c]++ - pushing value before to stack
		int v = varnumber[--nvarnumber];
		addOp(OP_STACKDUP2);			// save indexes
		addIntOp(OP_ARR_GET, v);		// get current value
		addOp(OP_STACKDUP);				// duplicate (1 to save and 1 to increment)
		addOp(OP_STACKSAVE);			// save original
		addIntOp(OP_PUSHINT,1);			// add 1
		addOp(OP_ADD);
		addIntOp(OP_ARR_SET, v);		// assign new value
		addOp(OP_STACKUNSAVE);			// put original value on the stack
	}
    break;

  case 283: /* expr_numeric: array_element B256SUB1  */
                                 {
		// a[b,c]-- - pushing value before to stack
		int v = varnumber[--nvarnumber];
		addOp(OP_STACKDUP2);			// save indexes
		addIntOp(OP_ARR_GET, v);		// get current value
		addOp(OP_STACKDUP);				// duplicate (1 to save and 1 to increment)
		addOp(OP_STACKSAVE);			// save original
		addIntOp(OP_PUSHINT,-1);		// subtract 1
		addOp(OP_ADD);
		addIntOp(OP_ARR_SET, v);		// assign new value
		addOp(OP_STACKUNSAVE);			// put original value on the stack
	}
    break;

  case 284: /* expr_numeric: B256ADD1 array_element  */
                                 {
		// ++a[b,c] - pushing value after to stack
		int v = varnumber[--nvarnumber];
		addOp(OP_STACKDUP2);			// save indexes
		addIntOp(OP_ARR_GET, v);		// get current value
		addIntOp(OP_PUSHINT,1);			// add 1
		addOp(OP_ADD);
		addOp(OP_STACKDUP);				// duplicate (1 to set 1 to stack)
		addOp(OP_STACKSAVE);			// save 1 to stack
		addIntOp(OP_ARR_SET, v);		// assign new value
		addOp(OP_STACKUNSAVE);			// put new value on the stack
	}
    break;

  case 285: /* expr_numeric: B256SUB1 array_element  */
                                 {
		// --a[b,c] - pushing value after to stack
		int v = varnumber[--nvarnumber];
		addOp(OP_STACKDUP2);			// save indexes
		addIntOp(OP_ARR_GET, v);		// get current value
		addIntOp(OP_PUSHINT,-1);		// subtract 1
		addOp(OP_ADD);
		addOp(OP_STACKDUP);				// duplicate (1 to set 1 to stack)
		addOp(OP_STACKSAVE);			// save 1 to stack
		addIntOp(OP_ARR_SET, v);		// assign new value
		addOp(OP_STACKUNSAVE);			// put new value on the stack
	}
    break;

  case 286: /* expr_numeric: variable B256ADD1  */
                            {
		addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
		addIntOp(OP_VAR_GET,varnumber[nvarnumber]);
		addIntOp(OP_PUSHINT,1);
		addOp(OP_ADD);
		addIntOp(OP_VAR_SET,varnumber[nvarnumber]);
	}
    break;

  case 287: /* expr_numeric: variable B256SUB1  */
                            {
		addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
		addIntOp(OP_VAR_GET,varnumber[nvarnumber]);
		addIntOp(OP_PUSHINT,-1);
		addOp(OP_ADD);
		addIntOp(OP_VAR_SET,varnumber[nvarnumber]);
	}
    break;

  case 288: /* expr_numeric: B256ADD1 variable  */
                            {
		addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
		addIntOp(OP_PUSHINT,1);
		addOp(OP_ADD);
		addIntOp(OP_VAR_SET,varnumber[nvarnumber]);
		addIntOp(OP_VAR_GET,varnumber[nvarnumber]);
	}
    break;

  case 289: /* expr_numeric: B256SUB1 variable  */
                            {
		addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
		addIntOp(OP_PUSHINT,-1);
		addOp(OP_ADD);
		addIntOp(OP_VAR_SET,varnumber[nvarnumber]);
		addIntOp(OP_VAR_GET,varnumber[nvarnumber]);
	}
    break;

  case 290: /* expr_numeric: B256TOINT '(' expr ')'  */
                                 { addOp(OP_INT); }
    break;

  case 291: /* expr_numeric: B256TOFLOAT '(' expr ')'  */
                                   { addOp(OP_FLOAT); }
    break;

  case 292: /* expr_numeric: B256LENGTH '(' expr ')'  */
                                  { addOp(OP_LENGTH); }
    break;

  case 293: /* expr_numeric: B256ASC '(' expr ')'  */
                               { addOp(OP_ASC); }
    break;

  case 294: /* expr_numeric: B256INSTR '(' expr ',' expr ')'  */
                                          {
		addIntOp(OP_PUSHINT, 1);	// start
		addIntOp(OP_PUSHINT, 0);	// case sens flag
		addOp(OP_INSTR);
	}
    break;

  case 295: /* expr_numeric: B256INSTR '(' expr ',' expr ',' expr ')'  */
                                                   {
		addIntOp(OP_PUSHINT, 0);	// case sens flag
		addOp(OP_INSTR);
	 }
    break;

  case 296: /* expr_numeric: B256INSTR '(' expr ',' expr ',' expr ',' expr ')'  */
                                                           { addOp(OP_INSTR); }
    break;

  case 297: /* expr_numeric: B256INSTRX '(' expr ',' expr ')'  */
                                           {
		addIntOp(OP_PUSHINT, 1);	//start
		addOp(OP_INSTRX);
	}
    break;

  case 298: /* expr_numeric: B256INSTRX '(' expr ',' expr ',' expr ')'  */
                                                    { addOp(OP_INSTRX); }
    break;

  case 299: /* expr_numeric: B256CEIL '(' expr ')'  */
                                { addOp(OP_CEIL); }
    break;

  case 300: /* expr_numeric: B256FLOOR '(' expr ')'  */
                                 { addOp(OP_FLOOR); }
    break;

  case 301: /* expr_numeric: B256SIN '(' expr ')'  */
                               { addOp(OP_SIN); }
    break;

  case 302: /* expr_numeric: B256COS '(' expr ')'  */
                               { addOp(OP_COS); }
    break;

  case 303: /* expr_numeric: B256TAN '(' expr ')'  */
                               { addOp(OP_TAN); }
    break;

  case 304: /* expr_numeric: B256ASIN '(' expr ')'  */
                                { addOp(OP_ASIN); }
    break;

  case 305: /* expr_numeric: B256ACOS '(' expr ')'  */
                                { addOp(OP_ACOS); }
    break;

  case 306: /* expr_numeric: B256ATAN '(' expr ')'  */
                                { addOp(OP_ATAN); }
    break;

  case 307: /* expr_numeric: B256DEGREES '(' expr ')'  */
                                   { addOp(OP_DEGREES); }
    break;

  case 308: /* expr_numeric: B256RADIANS '(' expr ')'  */
                                   { addOp(OP_RADIANS); }
    break;

  case 309: /* expr_numeric: B256LOG '(' expr ')'  */
                               { addOp(OP_LOG); }
    break;

  case 310: /* expr_numeric: B256LOGTEN '(' expr ')'  */
                                  { addOp(OP_LOGTEN); }
    break;

  case 311: /* expr_numeric: B256SQR '(' expr ')'  */
                               { addOp(OP_SQR); }
    break;

  case 312: /* expr_numeric: B256EXP '(' expr ')'  */
                               { addOp(OP_EXP); }
    break;

  case 313: /* expr_numeric: B256ABS '(' expr ')'  */
                               { addOp(OP_ABS); }
    break;

  case 314: /* expr_numeric: B256RAND args_none  */
                             { addOp(OP_RAND); }
    break;

  case 315: /* expr_numeric: B256PI args_none  */
                                                   { addFloatOp(OP_PUSHFLOAT, 3.14159265358979323846); }
    break;

  case 316: /* expr_numeric: B256BOOLEOF args_none  */
                                {
		addIntOp(OP_PUSHINT, 0);
		addOp(OP_EOF);
	}
    break;

  case 317: /* expr_numeric: B256BOOLEOF '(' expr ')'  */
                                   { addOp(OP_EOF); }
    break;

  case 318: /* expr_numeric: B256EXISTS '(' expr ')'  */
                                  { addOp(OP_EXISTS); }
    break;

  case 319: /* expr_numeric: B256YEAR args_none  */
                             { addOp(OP_YEAR); }
    break;

  case 320: /* expr_numeric: B256MONTH args_none  */
                              { addOp(OP_MONTH); }
    break;

  case 321: /* expr_numeric: B256DAY args_none  */
                            { addOp(OP_DAY); }
    break;

  case 322: /* expr_numeric: B256HOUR args_none  */
                             { addOp(OP_HOUR); }
    break;

  case 323: /* expr_numeric: B256MINUTE args_none  */
                               { addOp(OP_MINUTE); }
    break;

  case 324: /* expr_numeric: B256SECOND args_none  */
                               { addOp(OP_SECOND); }
    break;

  case 325: /* expr_numeric: B256GRAPHWIDTH args_none  */
                                   { addOp(OP_GRAPHWIDTH); }
    break;

  case 326: /* expr_numeric: B256GRAPHHEIGHT args_none  */
                                    { addOp(OP_GRAPHHEIGHT); }
    break;

  case 327: /* expr_numeric: B256SIZE args_none  */
                             {
		addIntOp(OP_PUSHINT, 0);
		addOp(OP_SIZE);
	}
    break;

  case 328: /* expr_numeric: B256SIZE '(' expr ')'  */
                                { addOp(OP_SIZE); }
    break;

  case 329: /* expr_numeric: B256KEYPRESSED args_none  */
                                   {
		addIntOp(OP_PUSHINT, 0x00);
		addOp(OP_KEYPRESSED);
	}
    break;

  case 330: /* expr_numeric: B256KEYPRESSED '(' expr ')'  */
                                      { addOp(OP_KEYPRESSED); }
    break;

  case 331: /* expr_numeric: B256KEY args_none  */
                                {
		addIntOp(OP_PUSHINT, 0x00);
		addOp(OP_KEY);
	}
    break;

  case 332: /* expr_numeric: B256KEY '(' expr ')'  */
                                   {
		addOp(OP_KEY);
	}
    break;

  case 333: /* expr_numeric: B256MOUSEX args_none  */
                               { addOp(OP_MOUSEX); }
    break;

  case 334: /* expr_numeric: B256MOUSEY args_none  */
                               { addOp(OP_MOUSEY); }
    break;

  case 335: /* expr_numeric: B256MOUSEB args_none  */
                               { addOp(OP_MOUSEB); }
    break;

  case 336: /* expr_numeric: B256CLICKX args_none  */
                               { addOp(OP_CLICKX); }
    break;

  case 337: /* expr_numeric: B256CLICKY args_none  */
                               { addOp(OP_CLICKY); }
    break;

  case 338: /* expr_numeric: B256CLICKB args_none  */
                               { addOp(OP_CLICKB); }
    break;

  case 339: /* expr_numeric: B256PIXEL '(' expr ',' expr ')'  */
                                          { addOp(OP_PIXEL); }
    break;

  case 340: /* expr_numeric: B256RGB '(' expr ',' expr ',' expr ')'  */
                                                 {
		addIntOp(OP_PUSHINT,255);	// a
		addOp(OP_RGB);
	}
    break;

  case 341: /* expr_numeric: B256RGB '(' expr ',' expr ',' expr ',' expr ')'  */
                                                          {
		addOp(OP_RGB);
	}
    break;

  case 342: /* expr_numeric: B256GETCOLOR args_none  */
                                 { addOp(OP_GETCOLOR); }
    break;

  case 343: /* expr_numeric: B256GETBRUSHCOLOR args_none  */
                                      { addOp(OP_GETBRUSHCOLOR); }
    break;

  case 344: /* expr_numeric: B256GETPENWIDTH args_none  */
                                    { addOp(OP_GETPENWIDTH); }
    break;

  case 345: /* expr_numeric: B256SPRITECOLLIDE '(' expr ',' expr ',' expr ')'  */
                                                           { addOp(OP_SPRITECOLLIDE); }
    break;

  case 346: /* expr_numeric: B256SPRITECOLLIDE '(' expr ',' expr ')'  */
                                                  { addIntOp(OP_PUSHINT, 0); addOp(OP_SPRITECOLLIDE); }
    break;

  case 347: /* expr_numeric: B256SPRITEX '(' expr ')'  */
                                   { addOp(OP_SPRITEX); }
    break;

  case 348: /* expr_numeric: B256SPRITEY '(' expr ')'  */
                                   { addOp(OP_SPRITEY); }
    break;

  case 349: /* expr_numeric: B256SPRITEH '(' expr ')'  */
                                   { addOp(OP_SPRITEH); }
    break;

  case 350: /* expr_numeric: B256SPRITEW '(' expr ')'  */
                                   { addOp(OP_SPRITEW); }
    break;

  case 351: /* expr_numeric: B256SPRITEV '(' expr ')'  */
                                   { addOp(OP_SPRITEV); }
    break;

  case 352: /* expr_numeric: B256SPRITER '(' expr ')'  */
                                   { addOp(OP_SPRITER); }
    break;

  case 353: /* expr_numeric: B256SPRITES '(' expr ')'  */
                                   { addOp(OP_SPRITES); }
    break;

  case 354: /* expr_numeric: B256SPRITEO '(' expr ')'  */
                                   { addOp(OP_SPRITEO); }
    break;

  case 355: /* expr_numeric: B256DBROW args_none  */
                              {
		addIntOp(OP_PUSHINT,0);	// default db number
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_DBROW);
	}
    break;

  case 356: /* expr_numeric: B256DBROW '(' expr ')'  */
                                 {
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_DBROW);
	}
    break;

  case 357: /* expr_numeric: B256DBROW '(' expr ',' expr ')'  */
                                         {
		addOp(OP_DBROW);
	}
    break;

  case 358: /* expr_numeric: B256DBINT '(' expr ')'  */
                                 {
		addIntOp(OP_PUSHINT,0);	// default db number
		addOp(OP_STACKSWAP);
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBINT); }
    break;

  case 359: /* expr_numeric: B256DBINT '(' expr ',' expr ')'  */
                                          {
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBINT); }
    break;

  case 360: /* expr_numeric: B256DBINT '(' expr ',' expr ',' expr ')'  */
                                                   {
		addOp(OP_DBINT); }
    break;

  case 361: /* expr_numeric: B256DBFLOAT '(' expr ')'  */
                                   {
		addIntOp(OP_PUSHINT,0);	// default db number
		addOp(OP_STACKSWAP);
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBFLOAT); }
    break;

  case 362: /* expr_numeric: B256DBFLOAT '(' expr ',' expr ')'  */
                                            {
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBFLOAT); }
    break;

  case 363: /* expr_numeric: B256DBFLOAT '(' expr ',' expr ',' expr ')'  */
                                                     {
		addOp(OP_DBFLOAT); }
    break;

  case 364: /* expr_numeric: B256DBNULL '(' expr ')'  */
                                  {
		addIntOp(OP_PUSHINT,0);	// default db number
		addOp(OP_STACKSWAP);
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBNULL); }
    break;

  case 365: /* expr_numeric: B256DBNULL '(' expr ',' expr ')'  */
                                           {
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBNULL); }
    break;

  case 366: /* expr_numeric: B256DBNULL '(' expr ',' expr ',' expr ')'  */
                                                    {
		addOp(OP_DBNULL); }
    break;

  case 367: /* expr_numeric: B256LASTERROR args_none  */
                                  { addOp(OP_LASTERROR); }
    break;

  case 368: /* expr_numeric: B256LASTERRORLINE args_none  */
                                      { addOp(OP_LASTERRORLINE); }
    break;

  case 369: /* expr_numeric: B256NETDATA args_none  */
                                { addIntOp(OP_PUSHINT, 0); addOp(OP_NETDATA); }
    break;

  case 370: /* expr_numeric: B256NETDATA '(' expr ')'  */
                                   { addOp(OP_NETDATA); }
    break;

  case 371: /* expr_numeric: B256PORTIN '(' expr ')'  */
                                  { addOp(OP_PORTIN); }
    break;

  case 372: /* expr_numeric: B256COUNT '(' expr ',' expr ')'  */
                                          {
		addIntOp(OP_PUSHINT, 0); // case sens flag
		addOp(OP_COUNT);
	 }
    break;

  case 373: /* expr_numeric: B256COUNT '(' expr ',' expr ',' expr ')'  */
                                                   { addOp(OP_COUNT); }
    break;

  case 374: /* expr_numeric: B256COUNTX '(' expr ',' expr ')'  */
                                           { addOp(OP_COUNTX); }
    break;

  case 375: /* expr_numeric: B256OSTYPE args_none  */
                               { addOp(OP_OSTYPE); }
    break;

  case 376: /* expr_numeric: B256MSEC args_none  */
                             { addOp(OP_MSEC); }
    break;

  case 377: /* expr_numeric: B256TEXTWIDTH '(' expr ')'  */
                                     { addOp(OP_TEXTWIDTH); }
    break;

  case 378: /* expr_numeric: B256TEXTWIDTH '(' expr ',' expr ')'  */
                                              { addOp(OP_TEXTBOXWIDTH); }
    break;

  case 379: /* expr_numeric: B256TEXTHEIGHT args_none  */
                                   { addOp(OP_TEXTHEIGHT); }
    break;

  case 380: /* expr_numeric: B256TEXTHEIGHT '(' expr ',' expr ')'  */
                                               { addOp(OP_TEXTBOXHEIGHT); }
    break;

  case 381: /* expr_numeric: B256READBYTE args_none  */
                                 { addIntOp(OP_PUSHINT, 0); addOp(OP_READBYTE); }
    break;

  case 382: /* expr_numeric: B256READBYTE '(' expr ')'  */
                                    { addOp(OP_READBYTE); }
    break;

  case 383: /* expr_numeric: B256FREEDB args_none  */
                               { addOp(OP_FREEDB); }
    break;

  case 384: /* expr_numeric: B256FREEDBSET args_none  */
                                  {
		addIntOp(OP_PUSHINT,0);	// default db number
		addOp(OP_FREEDBSET);
	}
    break;

  case 385: /* expr_numeric: B256FREEDBSET '(' expr ')'  */
                                     { addOp(OP_FREEDBSET); }
    break;

  case 386: /* expr_numeric: B256FREEFILE args_none  */
                                 { addOp(OP_FREEFILE); }
    break;

  case 387: /* expr_numeric: B256FREENET args_none  */
                                { addOp(OP_FREENET); }
    break;

  case 388: /* expr_numeric: B256VERSION args_none  */
                                { addIntOp(OP_PUSHINT, VERSIONSIGNATURE); }
    break;

  case 389: /* expr_numeric: B256CONFIRM '(' expr ')'  */
                                   {
		addIntOp(OP_PUSHINT,-1);	// no default
		addOp(OP_CONFIRM);
	}
    break;

  case 390: /* expr_numeric: B256CONFIRM '(' expr ',' expr ')'  */
                                            {
		addOp(OP_CONFIRM);
	}
    break;

  case 391: /* expr_numeric: B256FROMBINARY '(' expr ')'  */
                                      {
		addIntOp(OP_PUSHINT,2);	// radix
		addOp(OP_FROMRADIX);
	}
    break;

  case 392: /* expr_numeric: B256FROMHEX '(' expr ')'  */
                                   {
		addIntOp(OP_PUSHINT,16);	// radix
		addOp(OP_FROMRADIX);
	}
    break;

  case 393: /* expr_numeric: B256FROMOCTAL '(' expr ')'  */
                                     {
		addIntOp(OP_PUSHINT,8);	// radix
		addOp(OP_FROMRADIX);
	}
    break;

  case 394: /* expr_numeric: B256FROMRADIX '(' expr ',' expr ')'  */
                                              {
		addOp(OP_FROMRADIX);
	}
    break;

  case 395: /* expr_numeric: B256BINCONST  */
                       {
		addIntOp(OP_PUSHINT,strtoul((yyvsp[0].string), NULL, 2));
		if(errno==ERANGE){
			errorcode = COMPERR_NUMBERTOOLARGE;
			return -1;
		}
		//addStringOp(OP_PUSHSTRING, $1);
		//addIntOp(OP_PUSHINT,2);	// radix
		//addOp(OP_FROMRADIX);
	}
    break;

  case 396: /* expr_numeric: B256HEXCONST  */
                       {
		addIntOp(OP_PUSHINT,strtoul((yyvsp[0].string), NULL, 16));
		if(errno==ERANGE){
			errorcode = COMPERR_NUMBERTOOLARGE;
			return -1;
		}
		//addStringOp(OP_PUSHSTRING, $1);
		//addIntOp(OP_PUSHINT,16);	// radix
		//addOp(OP_FROMRADIX);
	}
    break;

  case 397: /* expr_numeric: B256OCTCONST  */
                       {
		addIntOp(OP_PUSHINT,strtoul((yyvsp[0].string), NULL, 8));
		if(errno==ERANGE){
			errorcode = COMPERR_NUMBERTOOLARGE;
			return -1;
		}
		//addStringOp(OP_PUSHSTRING, $1);
		//addIntOp(OP_PUSHINT,8);	// radix
		//addOp(OP_FROMRADIX);
	}
    break;

  case 398: /* expr_numeric: B256WAVLENGTH args_none  */
                                  { addOp(OP_WAVLENGTH); }
    break;

  case 399: /* expr_numeric: B256WAVPOS args_none  */
                               { addOp(OP_WAVPOS); }
    break;

  case 400: /* expr_numeric: B256WAVSTATE args_none  */
                                 { addOp(OP_WAVSTATE); }
    break;

  case 401: /* expr_numeric: B256TYPEOF '(' expr ')'  */
                                  {
		addOp(OP_TYPEOF);
	}
    break;

  case 402: /* expr_numeric: B256SOUNDPLAYER '(' expr ')'  */
                                       {
		addOp(OP_SOUNDPLAYER);
	}
    break;

  case 403: /* expr_numeric: B256SOUNDPLAYER '(' args_ee ')'  */
                                          {
		addIntOp(OP_PUSHINT, 2);	// 2 columns
		addIntOp(OP_PUSHINT, 1);	// 1 row
		addOp(OP_LIST2ARRAY);
		addOp(OP_SOUNDPLAYER);
	}
    break;

  case 404: /* expr_numeric: B256SOUNDID args_none  */
                                {
		addOp(OP_SOUNDID);
	}
    break;

  case 405: /* expr_numeric: B256SOUNDPOSITION '(' expr ')'  */
                                         {
		addOp(OP_SOUNDPOSITION);
	}
    break;

  case 406: /* expr_numeric: B256SOUNDPOSITION args_none  */
                                      {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDPOSITION);
	}
    break;

  case 407: /* expr_numeric: B256SOUNDSTATE '(' expr ')'  */
                                      {
		addOp(OP_SOUNDSTATE);
	}
    break;

  case 408: /* expr_numeric: B256SOUNDSTATE args_none  */
                                   {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDSTATE);
	}
    break;

  case 409: /* expr_numeric: B256SOUNDLENGTH '(' expr ')'  */
                                       {
		addOp(OP_SOUNDLENGTH);
	}
    break;

  case 410: /* expr_numeric: B256SOUNDLENGTH args_none  */
                                    {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDLENGTH);
	}
    break;

  case 411: /* expr_numeric: B256SOUNDSAMPLERATE args_none  */
                                        {
		addOp(OP_SOUNDSAMPLERATE);
	}
    break;

  case 412: /* expr_numeric: B256IMAGEWIDTH '(' expr ')'  */
                                      {
		addOp(OP_IMAGEWIDTH);
	}
    break;

  case 413: /* expr_numeric: B256IMAGEHEIGHT '(' expr ')'  */
                                       {
		addOp(OP_IMAGEHEIGHT);
	}
    break;

  case 414: /* expr_numeric: B256IMAGEPIXEL '(' args_eee ')'  */
                                          {
		addOp(OP_IMAGEPIXEL);
	}
    break;

  case 415: /* expr_numeric: B256ROUND '(' expr ')'  */
                                 {
		addIntOp(OP_PUSHINT,0);		// default decimal places
		addOp(OP_ROUND);
	}
    break;

  case 416: /* expr_numeric: B256ROUND '(' args_ee ')'  */
                                    {
		addOp(OP_ROUND);
	}
    break;

  case 417: /* expr_numeric: B256ASSIGNED '(' variable_a ')'  */
                                          {
		addIntOp(OP_VAR_ASSIGNED, varnumber[--nvarnumber]);
	}
    break;

  case 418: /* expr_numeric: B256ASSIGNED '(' array_element ')'  */
                                             {
		addIntOp(OP_ARR_ASSIGNED, varnumber[--nvarnumber]);
	}
    break;

  case 419: /* expr_numeric: variable array_size  */
                              {
		addIntOp(OP_ALEN, varnumber[--nvarnumber]);
	}
    break;

  case 420: /* expr_numeric: variable array_size_rows  */
                                   {
		addIntOp(OP_ALENROWS, varnumber[--nvarnumber]);
	}
    break;

  case 421: /* expr_numeric: variable array_size_cols  */
                                   {
		addIntOp(OP_ALENCOLS, varnumber[--nvarnumber]);
	}
    break;

  case 422: /* expr_numeric: B256GETARRAYBASE args_none  */
                                     { addOp(OP_GETARRAYBASE); }
    break;

  case 423: /* expr_string: B256STRING  */
                   { addStringOp(OP_PUSHSTRING, (yyvsp[0].string)); }
    break;

  case 424: /* expr_string: B256CHR '(' expr ')'  */
                               { addOp(OP_CHR); }
    break;

  case 425: /* expr_string: B256TOSTRING '(' expr ')'  */
                                    { addOp(OP_STRING); }
    break;

  case 426: /* expr_string: B256UPPER '(' expr ')'  */
                                 { addOp(OP_UPPER); }
    break;

  case 427: /* expr_string: B256LOWER '(' expr ')'  */
                                 { addOp(OP_LOWER); }
    break;

  case 428: /* expr_string: B256MID '(' expr ',' expr ',' expr ')'  */
                                                 { addOp(OP_MID); }
    break;

  case 429: /* expr_string: B256MIDX '(' expr ',' expr ')'  */
                                         { addIntOp(OP_PUSHINT, 1); addOp(OP_MIDX); }
    break;

  case 430: /* expr_string: B256MIDX '(' expr ',' expr ',' expr ')'  */
                                                  { addOp(OP_MIDX); }
    break;

  case 431: /* expr_string: B256LEFT '(' expr ',' expr ')'  */
                                         { addOp(OP_LEFT); }
    break;

  case 432: /* expr_string: B256RIGHT '(' expr ',' expr ')'  */
                                          { addOp(OP_RIGHT); }
    break;

  case 433: /* expr_string: B256READ args_none  */
                             { addIntOp(OP_PUSHINT, 0); addOp(OP_READ); }
    break;

  case 434: /* expr_string: B256READ '(' expr ')'  */
                                { addOp(OP_READ); }
    break;

  case 435: /* expr_string: B256READLINE args_none  */
                                 { addIntOp(OP_PUSHINT, 0); addOp(OP_READLINE); }
    break;

  case 436: /* expr_string: B256READLINE '(' expr ')'  */
                                    { addOp(OP_READLINE); }
    break;

  case 437: /* expr_string: B256CURRENTDIR args_none  */
                                   { addOp(OP_CURRENTDIR); }
    break;

  case 438: /* expr_string: B256DBSTRING '(' expr ')'  */
                                    {
		addIntOp(OP_PUSHINT,0);	// default db number
		addOp(OP_STACKSWAP);
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBSTRING); }
    break;

  case 439: /* expr_string: B256DBSTRING '(' expr ',' expr ')'  */
                                             {
		addIntOp(OP_PUSHINT,0);	// default dbset number
		addOp(OP_STACKSWAP);
		addOp(OP_DBSTRING); }
    break;

  case 440: /* expr_string: B256DBSTRING '(' expr ',' expr ',' expr ')'  */
                                                      {
		addOp(OP_DBSTRING); }
    break;

  case 441: /* expr_string: B256LASTERRORMESSAGE args_none  */
                                         { addOp(OP_LASTERRORMESSAGE); }
    break;

  case 442: /* expr_string: B256LASTERROREXTRA args_none  */
                                       { addOp(OP_LASTERROREXTRA); }
    break;

  case 443: /* expr_string: B256NETREAD args_none  */
                                 { addIntOp(OP_PUSHINT, 0); addOp(OP_NETREAD); }
    break;

  case 444: /* expr_string: B256NETREAD '(' expr ')'  */
                                   { addOp(OP_NETREAD); }
    break;

  case 445: /* expr_string: B256NETADDRESS args_none  */
                                   { addOp(OP_NETADDRESS); }
    break;

  case 446: /* expr_string: B256MD5 '(' expr ')'  */
                               { addOp(OP_MD5); }
    break;

  case 447: /* expr_string: B256GETCLIPBOARDIMAGE args_none  */
                                          { addOp(OP_GETCLIPBOARDIMAGE); }
    break;

  case 448: /* expr_string: B256GETCLIPBOARDSTRING args_none  */
                                           { addOp(OP_GETCLIPBOARDSTRING); }
    break;

  case 449: /* expr_string: B256GETSETTING '(' expr ',' expr ')'  */
                                               { addOp(OP_GETSETTING); }
    break;

  case 450: /* expr_string: B256DIR '(' expr ')'  */
                               { addOp(OP_DIR); }
    break;

  case 451: /* expr_string: B256DIR args_none  */
                            { addStringOp(OP_PUSHSTRING, ""); addOp(OP_DIR); }
    break;

  case 452: /* expr_string: B256REPLACE '(' expr ',' expr ',' expr ')'  */
                                                     {
		addIntOp(OP_PUSHINT, 0);	// case sens flag
		addOp(OP_REPLACE);
	}
    break;

  case 453: /* expr_string: B256REPLACE '(' expr ',' expr ',' expr ',' expr ')'  */
                                                              { addOp(OP_REPLACE); }
    break;

  case 454: /* expr_string: B256REPLACEX '(' expr ',' expr ',' expr ')'  */
                                                      { addOp(OP_REPLACEX); }
    break;

  case 455: /* expr_string: B256SERIALIZE '(' expr ')'  */
                                     {
		addOp(OP_SERIALIZE);
	}
    break;

  case 456: /* expr_string: B256IMPLODE '(' expr ')'  */
                                   {
		addStringOp(OP_PUSHSTRING, ""); // no delimiter
		addOp(OP_STACKDUP);
		addOp(OP_IMPLODE);
	}
    break;

  case 457: /* expr_string: B256IMPLODE '(' args_ee ')'  */
                                      {
		addOp(OP_STACKDUP);				// same delimiter for rows and columns
		addOp(OP_IMPLODE);
	}
    break;

  case 458: /* expr_string: B256IMPLODE '(' args_eee ')'  */
                                       {
		addOp(OP_IMPLODE);
	}
    break;

  case 459: /* expr_string: B256PROMPT '(' expr ')'  */
                                  {
		addStringOp(OP_PUSHSTRING, "");
		addOp(OP_PROMPT); }
    break;

  case 460: /* expr_string: B256PROMPT '(' expr ',' expr ')'  */
                                           {
		addOp(OP_PROMPT); }
    break;

  case 461: /* expr_string: B256TOBINARY '(' expr ')'  */
                                    {
		addIntOp(OP_PUSHINT,2);	// radix
		addOp(OP_TORADIX);
	}
    break;

  case 462: /* expr_string: B256TOHEX '(' expr ')'  */
                                 {
		addIntOp(OP_PUSHINT,16);	// radix
		addOp(OP_TORADIX);
	}
    break;

  case 463: /* expr_string: B256TOOCTAL '(' expr ')'  */
                                   {
		addIntOp(OP_PUSHINT,8);	// radix
		addOp(OP_TORADIX);
	}
    break;

  case 464: /* expr_string: B256TORADIX '(' expr ',' expr ')'  */
                                            {
		addOp(OP_TORADIX);
	}
    break;

  case 465: /* expr_string: B256DEBUGINFO '(' expr ')'  */
                                     {
		addOp(OP_DEBUGINFO);
	}
    break;

  case 466: /* expr_string: B256ISNUMERIC '(' expr ')'  */
                                     { addOp(OP_ISNUMERIC); }
    break;

  case 467: /* expr_string: B256LTRIM '(' expr ')'  */
                                 { addOp(OP_LTRIM); }
    break;

  case 468: /* expr_string: B256RTRIM '(' expr ')'  */
                                 { addOp(OP_RTRIM); }
    break;

  case 469: /* expr_string: B256TRIM '(' expr ')'  */
                                { addOp(OP_TRIM); }
    break;

  case 470: /* expr_string: B256IMAGETYPE_BMP args_none  */
                                      { addStringOp(OP_PUSHSTRING, IMAGETYPE_BMP); }
    break;

  case 471: /* expr_string: B256IMAGETYPE_JPG args_none  */
                                      { addStringOp(OP_PUSHSTRING, IMAGETYPE_JPG); }
    break;

  case 472: /* expr_string: B256IMAGETYPE_PNG args_none  */
                                      { addStringOp(OP_PUSHSTRING, IMAGETYPE_PNG); }
    break;

  case 473: /* expr_string: B256SOUNDLOAD '(' expr ')'  */
                                     {
		addOp(OP_SOUNDLOAD);
	}
    break;

  case 474: /* expr_string: B256SOUNDLOAD '(' args_ee ')'  */
                                        {
		addIntOp(OP_PUSHINT, 2);	// 2 columns
		addIntOp(OP_PUSHINT, 1);	// 1 row
		addOp(OP_LIST2ARRAY);
		addOp(OP_SOUNDLOAD);
	}
    break;

  case 475: /* expr_string: B256SOUNDLOADRAW '(' expr ')'  */
                                        {
		addOp(OP_SOUNDLOADRAW);
	}
    break;

  case 476: /* expr_string: B256IMAGENEW '(' expr ',' expr ',' expr ')'  */
                                                      {
		addOp(OP_IMAGENEW);
	}
    break;

  case 477: /* expr_string: B256IMAGENEW '(' expr ',' expr ')'  */
                                             {
		addIntOp(OP_PUSHINT, 0x00);
		addOp(OP_IMAGENEW);
	}
    break;

  case 478: /* expr_string: B256IMAGELOAD '(' expr ')'  */
                                     {
		addOp(OP_IMAGELOAD);
	}
    break;

  case 479: /* expr_string: B256IMAGECOPY '(' expr ',' expr ',' expr ',' expr ',' expr ')'  */
                                                                         {
		addIntOp(OP_PUSHINT, 5); //number of arguments
		addOp(OP_IMAGECOPY);
	}
    break;

  case 480: /* expr_string: B256IMAGECOPY '(' expr ',' expr ',' expr ',' expr ')'  */
                                                                {
		addIntOp(OP_PUSHINT, 4); //number of arguments
		addOp(OP_IMAGECOPY);
	}
    break;

  case 481: /* expr_string: B256IMAGECOPY '(' expr ')'  */
                                     {
		addIntOp(OP_PUSHINT, 1); //number of arguments
		addOp(OP_IMAGECOPY);
	}
    break;

  case 482: /* expr_string: B256IMAGECOPY args_none  */
                                  {
		addIntOp(OP_PUSHINT, 0); //number of arguments
		addOp(OP_IMAGECOPY);
	}
    break;

  case 483: /* expr_string: B256LJUST '(' args_ee ')'  */
                                    {
		addStringOp(OP_PUSHSTRING, " ");
		addOp(OP_LJUST);
	}
    break;

  case 484: /* expr_string: B256LJUST '(' args_eee ')'  */
                                     {
		addOp(OP_LJUST);
	}
    break;

  case 485: /* expr_string: B256RJUST '(' args_ee ')'  */
                                    {
		addStringOp(OP_PUSHSTRING, " ");
		addOp(OP_RJUST);
	}
    break;

  case 486: /* expr_string: B256RJUST '(' args_eee ')'  */
                                     {
		addOp(OP_RJUST);
	}
    break;

  case 487: /* expr_string: B256ZFILL '(' args_ee ')'  */
                                    {
		addStringOp(OP_PUSHSTRING, "0");
		addOp(OP_RJUST);
	}
    break;

  case 488: /* expr_string: B256OPENFILEDIALOG '(' args_eee ')'  */
                                              {
		addOp(OP_OPENFILEDIALOG);
	}
    break;

  case 489: /* expr_string: B256SAVEFILEDIALOG '(' args_eee ')'  */
                                              {
		addOp(OP_SAVEFILEDIALOG);
	}
    break;

  case 490: /* expr_dataelement: variable_a  */
                   {
		addIntOp(OP_VAR_GET, varnumber[--nvarnumber]);
	}
    break;

  case 491: /* expr_dataelement: listoflists  */
                      {
		addOp(OP_LIST2ARRAY);
	}
    break;

  case 492: /* expr_dataelement: listofmapitems  */
                         {
		addOp(OP_LIST2MAP);
	}
    break;

  case 493: /* expr_dataelement: B256UNSERIALIZE '(' expr ')'  */
                                      {
		addOp(OP_UNSERIALIZE);
	}
    break;

  case 494: /* expr_dataelement: B256EXPLODE args_ee  */
                              {
		addIntOp(OP_PUSHINT, 0);	// case sensitive flag
		addOp(OP_EXPLODE);
	}
    break;

  case 495: /* expr_dataelement: B256EXPLODE args_eee  */
                               {
		addOp(OP_EXPLODE);
	}
    break;

  case 496: /* expr_dataelement: B256EXPLODEX args_ee  */
                               {
		addOp(OP_EXPLODEX);
	}
    break;

  case 497: /* expr_dataelement: B256GETSLICE args_eeee  */
                                 {
		addIntOp(OP_PUSHINT, SLICE_ALL);	// get everything
		addOp(OP_GETSLICE);
	}
    break;

  case 498: /* expr_dataelement: B256GETSLICE args_eeeee  */
                                  {
		addOp(OP_GETSLICE);
	}
    break;

  case 569: /* statement: B256MKDIR expr  */
                         {
		addOp(OP_MKDIR);
	}
    break;

  case 600: /* statement: B256RMDIR expr  */
                         {
		addOp(OP_RMDIR);
	}
    break;

  case 650: /* begincasestmt: B256BEGINCASE  */
                      {
		// start a case block
		newIf(linenumber, IFTABLETYPEBEGINCASE,-1);
	}
    break;

  case 651: /* $@1: %empty  */
                         {
		// if not first case then add jump to to "endcase" and resolve the branchfalse
		if (numifs>1) {
			if (iftabletype[numifs-1]==IFTABLETYPECASE) {
				if (iftabletype[numifs-2]==IFTABLETYPEBEGINCASE) {
					//
					// create jump around from end of the CASE to end of the END CASE
					addIntOp(OP_GOTO, getInternalSymbol(iftableid[numifs-2],INTERNALSYMBOLEXIT));
				} else {
					errorcode = COMPERR_ENDBEGINCASE;
					linenumber = iftablesourceline[numifs-1];
					return -1;
				}
				//
				// resolve branchfalse from previous case
				symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
				//
				numifs--;
			}
		}
		//
	}
    break;

  case 652: /* casestmt: B256CASE $@1 expr  */
               {
		//
		// add branch to the end if false
		addIntOp(OP_BRANCH, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
		//
		// put new CASE on the frame for the IF
		newIf(linenumber, IFTABLETYPECASE,-1);
	}
    break;

  case 653: /* catchstmt: B256CATCH  */
                          {
	//
	// create jump around from end of the TRY to end of the CATCH
	// OP_OFFERRORCATCH label - close try/catch trap and jump over the CATCH part
	addIntOp(OP_OFFERRORCATCH, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
	//
	if (numifs>0) {
		if (iftabletype[numifs-1]==IFTABLETYPETRY) {
			//
			// resolve the try onerrorcatch to the catch address
			symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
			numifs--;
			//
			// put new if on the frame for the catch
			newIf(linenumber, IFTABLETYPECATCH,-1);
		} else {
			errorcode = testIfOnTableError(numincludes);
			linenumber = testIfOnTable(numincludes);
			return -1;
		}
	} else {
		errorcode = COMPERR_CATCH;
		return -1;
	}
}
    break;

  case 654: /* dostmt: B256DO  */
                       {
		//
		// create internal symbol and add to the label table for the top of the loop
		symtableaddress[getInternalSymbol(nextifid,INTERNALSYMBOLTOP)] = wordOffset;
		//
		// add to if frame
		newIf(linenumber, IFTABLETYPEDO, -1);
	}
    break;

  case 655: /* elsestmt: B256ELSE  */
                         {
		//
		// create jump around from end of the THEN to end of the ELSE
		addIntOp(OP_GOTO, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
		//
		if (numifs>0) {
			if (iftabletype[numifs-1]==IFTABLETYPEIF) {
				//
				// resolve the label on the if to the current location
				symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
				numifs--;
				//
				// put new if on the frame for the else
				newIf(linenumber, IFTABLETYPEELSE, -1);
			} else if (iftabletype[numifs-1]==IFTABLETYPECASE) {
				if (numifs>1) {
					if (iftabletype[numifs-2]==IFTABLETYPEBEGINCASE) {
						//
						// create jump around from end of the CASE to end of the END CASE
						addIntOp(OP_GOTO, getInternalSymbol(iftableid[numifs-2],INTERNALSYMBOLEXIT));
					} else {
						errorcode = COMPERR_ENDBEGINCASE;
						linenumber = iftablesourceline[numifs-1];
						return -1;
					}
					//
					// resolve branchfalse from previous case
					symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
					//
					numifs--;
					// put new if on the frame for the else
					newIf(linenumber, IFTABLETYPEELSE, -1);
				}
			} else {
				errorcode = testIfOnTableError(numincludes);
				linenumber = testIfOnTable(numincludes);
				return -1;
			}
		} else {
			errorcode = COMPERR_ELSE;
			return -1;
		}
	}
    break;

  case 656: /* endcasestmt: B256ENDCASE  */
                                    {
				// add label for last case branchfalse to jump to
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPECASE || iftabletype[numifs-1]==IFTABLETYPEELSE) {
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
						numifs--;
					} else {
						errorcode = COMPERR_ENDENDCASE;
						return -1;
					}
				} else {
					errorcode = COMPERR_ENDENDCASE;
					return -1;
				}
				// add label for all cases to jump to after execution
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPEBEGINCASE) {
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
						numifs--;
					} else {
						errorcode = testIfOnTableError(numincludes);
						linenumber = testIfOnTable(numincludes);
						return -1;
					}
				} else {
					errorcode = COMPERR_ENDENDCASEBEGIN;
					return -1;
				}
			}
    break;

  case 657: /* endifstmt: B256ENDIF  */
                          {
				// if there is an if branch or jump on the iftable stack get where it is
				// in the wordcode array and then put the current wordcode address there
				// - so we can jump over code
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPEIF||iftabletype[numifs-1]==IFTABLETYPEELSE) {
						//
						// resolve the label on the if/else to the current location
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
						numifs--;
					} else {
						errorcode = testIfOnTableError(numincludes);
						linenumber = testIfOnTable(numincludes);
						return -1;
					}
				} else {
					errorcode = COMPERR_ENDIF;
					return -1;
				}
			}
    break;

  case 658: /* endtrystmt: B256ENDTRY  */
                           {
				// if there is an if branch or jump on the iftable stack get where it is
				// in the wordcode array and then put the current wordcode address there
				// - so we can jump over code
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPECATCH) {
						//
						// resolve the label on the Catch to the current location
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
						numifs--;
					} else {
						errorcode = testIfOnTableError(numincludes);
						linenumber = testIfOnTable(numincludes);
						return -1;
					}
				} else {
					errorcode = COMPERR_ENDTRY;
					return -1;
				}
			}
    break;

  case 659: /* endwhilestmt: B256ENDWHILE  */
                                     {
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPEWHILE) {
						//
						// jump to the top
						addIntOp(OP_GOTO, getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLCONTINUE));
						//
						// resolve the label to the bottom
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
						//
						// remove the single placeholder from the if frame
						numifs--;
					} else {
						errorcode = testIfOnTableError(numincludes);
						linenumber = testIfOnTable(numincludes);
						return -1;
					}
				} else {
					errorcode = COMPERR_ENDWHILE;
					return -1;
				}
			}
    break;

  case 660: /* ifstmt: B256IF expr B256THEN  */
                                     {
					//
					// add branch to the end if false
					addIntOp(OP_BRANCH, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
					//
					// put new if on the frame for the IF
					newIf(linenumber, IFTABLETYPEIF, -1);
			}
    break;

  case 661: /* ifthenstmt: ifstmt compoundstmt  */
                                            {
				// if there is an if branch or jump on the iftable stack get where it is
				// in the wordcode array and then resolve the lable
				if (numifs>0) {
					symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
					numifs--;
				}
			}
    break;

  case 662: /* ifthenelsestmt: ifthenelse compoundstmt  */
                                                {
				//
				// resolve the label on the else to the current location
				symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
				numifs--;
			}
    break;

  case 663: /* ifthenelse: ifstmt compoundstmt B256ELSE  */
                                                     {
				//
				// create jump around from end of the THEN to end of the ELSE
				addIntOp(OP_GOTO, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
				//
				// jump point for else
				symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
				numifs--;
				//
				// put new if on the frame for the else
				newIf(linenumber, IFTABLETYPEELSE, -1);
			}
    break;

  case 664: /* trystmt: B256TRY  */
                        {
				//
				// add on error branch
                                addIntOp(OP_ONERRORCATCH, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
				//
				// put new if on the frame for the TRY
				newIf(linenumber, IFTABLETYPETRY, -1);
			}
    break;

  case 665: /* $@2: %empty  */
                          {
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPEDO) {
						//
						// create label for CONTINUE DO
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLCONTINUE)] = wordOffset;
						//
					} else {
						errorcode = testIfOnTableError(numincludes);
						linenumber = testIfOnTable(numincludes);
						return -1;
					}
				} else {
					errorcode = COMPERR_UNTIL;
					return -1;
				}
			}
    break;

  case 666: /* untilstmt: B256UNTIL $@2 expr  */
                               {
				//
				// branch back to top if condition holds
				addIntOp(OP_BRANCH, getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLTOP));
				//
				// create label for EXIT DO
				symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
				numifs--;
			}
    break;

  case 667: /* $@3: %empty  */
                                  {
				//
				// create internal symbol and add to the label table for the top of the loop
				newIf(linenumber, IFTABLETYPEWHILE, -1);
				symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLCONTINUE)] = wordOffset;
			}
    break;

  case 668: /* whilestmt: B256WHILE $@3 expr  */
                               {
				//
				// add branch to end if false
				addIntOp(OP_BRANCH, getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT));
			}
    break;

  case 675: /* mapstmt: B256MAP functionvariables  */
                                          {
				for(int t=numargs-1;t>=0;t--) {
					addIntOp(OP_MAP_DIM, args[t]);
				}
				numargs=0;	// clear the list for next function
			}
    break;

  case 676: /* dimstmt: B256DIM array_element  */
                                      {
				addIntOp(OP_DIM, varnumber[--nvarnumber]);
			}
    break;

  case 677: /* dimstmt: B256DIM array_element B256FILL expr  */
                                                              {
				addOp(OP_STACKTOPTO2);
				addIntOp(OP_DIM, varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT, 1);		// fill all elements
				addIntOp(OP_ARRAYFILL, varnumber[nvarnumber]);
			}
    break;

  case 678: /* dimstmt: B256DIM variable_a expr  */
                                                  {
				addIntOp(OP_PUSHINT, 1);
				addOp(OP_STACKSWAP);
				addIntOp(OP_DIM, varnumber[--nvarnumber]);
			}
    break;

  case 679: /* dimstmt: B256DIM variable_a expr B256FILL expr  */
                                                                {
				addOp(OP_STACKSWAP);
				addIntOp(OP_PUSHINT, 1);
				addOp(OP_STACKSWAP);
				addIntOp(OP_DIM, varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT, 1);		// fill all elements
				addIntOp(OP_ARRAYFILL, varnumber[nvarnumber]);
			}
    break;

  case 680: /* dimstmt: B256DIM variable_a args_ee  */
                                                     {
				addIntOp(OP_DIM, varnumber[--nvarnumber]);
			}
    break;

  case 681: /* dimstmt: B256DIM variable_a args_ee B256FILL expr  */
                                                                   {
				addOp(OP_STACKTOPTO2);
				addIntOp(OP_DIM, varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT, 1);		// fill all elements
				addIntOp(OP_ARRAYFILL, varnumber[nvarnumber]);
			}
    break;

  case 682: /* dimstmt: B256DIM variable_a '=' expr  */
                                                      {
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 683: /* dimstmt: B256DIM variable_a B256FILL expr  */
                                                           {
				addIntOp(OP_PUSHINT, 1);
				addIntOp(OP_ARRAYFILL, varnumber[--nvarnumber]);
			}
    break;

  case 684: /* redimstmt: B256REDIM array_element  */
                                        {
				addIntOp(OP_REDIM, varnumber[--nvarnumber]);
			}
    break;

  case 685: /* redimstmt: B256REDIM array_element B256FILL expr  */
                                                                {
				addOp(OP_STACKTOPTO2);
				addIntOp(OP_REDIM, varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT, 0);		// just fill unassigned
				addIntOp(OP_ARRAYFILL, varnumber[nvarnumber]);
			}
    break;

  case 686: /* redimstmt: B256REDIM variable_a expr  */
                                                    {
				addIntOp(OP_PUSHINT, 1);
				addOp(OP_STACKSWAP);
				addIntOp(OP_REDIM, varnumber[--nvarnumber]);
			}
    break;

  case 687: /* redimstmt: B256REDIM variable_a expr B256FILL expr  */
                                                                  {
				addOp(OP_STACKSWAP);
				addIntOp(OP_PUSHINT, 1);
				addOp(OP_STACKSWAP);
				addIntOp(OP_REDIM, varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT, 0);		// just fill unassigned
				addIntOp(OP_ARRAYFILL, varnumber[nvarnumber]);
			}
    break;

  case 688: /* redimstmt: B256REDIM variable_a args_ee  */
                                                       {
				addIntOp(OP_REDIM, varnumber[--nvarnumber]);
			}
    break;

  case 689: /* redimstmt: B256REDIM variable_a args_ee B256FILL expr  */
                                                                     {
				addOp(OP_STACKTOPTO2);
				addIntOp(OP_REDIM, varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT, 0);		// just fill unassigned
				addIntOp(OP_ARRAYFILL, varnumber[nvarnumber]);
			}
    break;

  case 690: /* pausestmt: B256PAUSE expr  */
                               {
				addOp(OP_PAUSE);
			}
    break;

  case 691: /* throwerrorstmt: B256THROWERROR expr  */
                                            {
				addOp(OP_THROWERROR);
			}
    break;

  case 692: /* clearstmt: B256CLS args_none  */
                                  {
				addOp(OP_CLS);
			}
    break;

  case 693: /* clearstmt: B256CLG args_none  */
                                            {
				// push the color clear if there are no arguments
				addIntOp(OP_PUSHINT, 0x00);
				//addIntOp(OP_PUSHINT, 0x00);
				//addIntOp(OP_PUSHINT, 0x00);
				//addIntOp(OP_PUSHINT, 0x00);
				//addIntOp(OP_PUSHINT, 0x00);
				//addOp(OP_RGB);
				addOp(OP_CLG);
			}
    break;

  case 694: /* clearstmt: B256CLG expr  */
                                       {
				addOp(OP_CLG);
			}
    break;

  case 695: /* fastgraphicsstmt: B256FASTGRAPHICS args_none  */
                                                   {
				addOp(OP_FASTGRAPHICS);
			}
    break;

  case 696: /* graphsizestmt: B256GRAPHSIZE args_ee  */
                                              {
                                addFloatOp(OP_PUSHFLOAT, 1.0);
				addOp(OP_GRAPHSIZE);
			}
    break;

  case 697: /* graphsizestmt: B256GRAPHSIZE args_eee  */
                                                 {
					addOp(OP_GRAPHSIZE);
			}
    break;

  case 698: /* refreshstmt: B256REFRESH args_none  */
                                              {
				addOp(OP_REFRESH);
			}
    break;

  case 699: /* endstmt: B256END args_none  */
                                  {
				addOp(OP_END);
			}
    break;

  case 700: /* arrayelementassign: array_element '=' expr  */
                                               {
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 701: /* arrayelementassign: array_element B256ADD1  */
                                                 {
				// a[r,c]++ - NO PUSH as this is a statement
				int v = varnumber[--nvarnumber];
				addOp(OP_STACKDUP2);			// save indexes
				addIntOp(OP_ARR_GET, v);		// get current value
				addIntOp(OP_PUSHINT,1);			// add 1
				addOp(OP_ADD);
				addIntOp(OP_ARR_SET, v);		// assign new value
			}
    break;

  case 702: /* arrayelementassign: array_element B256SUB1  */
                                                 {
				// a[r,c]-- - NO PUSH as this is a statement
				int v = varnumber[--nvarnumber];
				addOp(OP_STACKDUP2);			// save indexes
				addIntOp(OP_ARR_GET, v);		// get current value
				addIntOp(OP_PUSHINT,-1);		// subtract 1
				addOp(OP_ADD);
				addIntOp(OP_ARR_SET, v);		// assign new value
			}
    break;

  case 703: /* arrayelementassign: array_element B256ADDEQUAL expr  */
                                                          {
				// a[b,c] += n
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKDUP2);
				addIntOp(OP_ARR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKSWAP2);
				addOp(OP_ADD);
				addIntOp(OP_ARR_SET, varnumber[nvarnumber]);
			}
    break;

  case 704: /* arrayelementassign: array_element B256SUBEQUAL expr  */
                                                          {
				// a[b,c] -= n
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKDUP2);
				addIntOp(OP_ARR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKSWAP2);
				addOp(OP_STACKSWAP);
				addOp(OP_SUB);
				addIntOp(OP_ARR_SET, varnumber[nvarnumber]);
			}
    break;

  case 705: /* arrayelementassign: array_element B256MULEQUAL expr  */
                                                          {
				// a[b,c] *= n
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKDUP2);
				addIntOp(OP_ARR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKSWAP2);
				addOp(OP_MUL);
				addIntOp(OP_ARR_SET, varnumber[nvarnumber]);
			}
    break;

  case 706: /* arrayelementassign: array_element B256DIVEQUAL expr  */
                                                          {
				// a[b,c] /= n
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKDUP2);
				addIntOp(OP_ARR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKSWAP2);
				addOp(OP_STACKSWAP);
				addOp(OP_DIV);
				addIntOp(OP_ARR_SET, varnumber[nvarnumber]);
			}
    break;

  case 707: /* arrayelementassign: array_element B256AMPEQUAL expr  */
                                                          {
				// a[b,c] &= n
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKDUP2);
				addIntOp(OP_ARR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKSWAP2);
				addOp(OP_STACKSWAP);
				addOp(OP_BINARYAND);
				addIntOp(OP_ARR_SET, varnumber[nvarnumber]);
			}
    break;

  case 708: /* arrayelementassign: array_element B256SEMICOLONEQUAL expr  */
                                                                {
				// a[b,c] /= n
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKDUP2);
				addIntOp(OP_ARR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKTOPTO2);
				addOp(OP_STACKSWAP2);
				addOp(OP_STACKSWAP);
				addOp(OP_CONCATENATE);
				addIntOp(OP_ARR_SET, varnumber[nvarnumber]);
			}
    break;

  case 709: /* arrayassign: variable_a B256FILL expr  */
                                                 {
				addIntOp(OP_PUSHINT, 1);		// fill all elements
				addIntOp(OP_ARRAYFILL, varnumber[--nvarnumber]);
			}
    break;

  case 710: /* assign: variable_a '=' expr  */
                                            {
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 711: /* assign: variable B256ADD1  */
                                            {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT,1);
				addOp(OP_ADD);
				addIntOp(OP_VAR_SET,varnumber[nvarnumber]);
			}
    break;

  case 712: /* assign: variable B256SUB1  */
                                            {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addIntOp(OP_PUSHINT,-1);
				addOp(OP_ADD);
				addIntOp(OP_VAR_SET,varnumber[nvarnumber]);
			}
    break;

  case 713: /* assign: variable B256ADDEQUAL expr  */
                                                     {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKSWAP);
				addOp(OP_ADD);
				addIntOp(OP_VAR_SET, varnumber[nvarnumber]);
			}
    break;

  case 714: /* assign: variable B256SUBEQUAL expr  */
                                                     {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKSWAP);
				addOp(OP_SUB);
				addIntOp(OP_VAR_SET, varnumber[nvarnumber]);
			}
    break;

  case 715: /* assign: variable B256MULEQUAL expr  */
                                                     {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addOp(OP_MUL);
				addIntOp(OP_VAR_SET, varnumber[nvarnumber]);
			}
    break;

  case 716: /* assign: variable B256DIVEQUAL expr  */
                                                     {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKSWAP);
				addOp(OP_DIV);
				addIntOp(OP_VAR_SET, varnumber[nvarnumber]);
			}
    break;

  case 717: /* assign: variable B256AMPEQUAL expr  */
                                                     {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKSWAP);
				addOp(OP_BINARYAND);
				addIntOp(OP_VAR_SET, varnumber[nvarnumber]);
			}
    break;

  case 718: /* assign: variable B256SEMICOLONEQUAL expr  */
                                                           {
				addIntOp(OP_VAR_GET,varnumber[--nvarnumber]);
				addOp(OP_STACKSWAP);
				addOp(OP_CONCATENATE);
				addIntOp(OP_VAR_SET, varnumber[nvarnumber]);
			}
    break;

  case 719: /* forstmt: B256FOR variable '=' expr B256TO expr  */
                                                      {
				// add to iftable to make sure it is not broken with an if
				// do, while, else, and to report if it is
				// next ed before end of program
				int var =  varnumber[--nvarnumber];
				newIf(linenumber, IFTABLETYPEFOR, var);
				// push default step 1 and exit address
				addIntOp(OP_PUSHINT, 1); //step
				addIntOp(OP_PUSHLABEL, getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT));
				addIntOp(OP_FOR, var);
			}
    break;

  case 720: /* forstmt: B256FOR variable '=' expr B256TO expr B256STEP expr  */
                                                                              {
				// add to iftable to make sure it is not broken with an if
				// do, while, else, and to report if it is
				// next ed before end of program
				int var =  varnumber[--nvarnumber];
				newIf(linenumber, IFTABLETYPEFOR, var);
				// push exit address
				addIntOp(OP_PUSHLABEL, getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT));
				addIntOp(OP_FOR, var);
			}
    break;

  case 721: /* foreachstmt: B256FOREACH variable B256IN expr_dataelement  */
                                                             {
				// add to iftable to make sure it is not broken with an if
				// do, while, else, and to report if it is
				// next ed before end of program
				int var =  varnumber[--nvarnumber];
				newIf(linenumber, IFTABLETYPEFOR, var);
				addIntOp(OP_PUSHLABEL, getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT));
				addIntIntOp(OP_FOREACH, var, -1 );
			}
    break;

  case 722: /* foreachstmt: B256FOREACH variable '-' '>' variable B256IN expr_dataelement  */
                                                                                        {
				// add to iftable to make sure it is not broken with an if
				// do, while, else, and to report if it is
				// next ed before end of program
				int value_var =  varnumber[--nvarnumber];
				int key_var =  varnumber[--nvarnumber];
				newIf(linenumber, IFTABLETYPEFOR, key_var);
				addIntOp(OP_PUSHLABEL, getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT));
				addIntIntOp(OP_FOREACH, key_var, value_var);
			}
    break;

  case 723: /* nextstmt: B256NEXT variable  */
                                  {
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPEFOR) {
						if (iftablevariable[numifs-1]==varnumber[nvarnumber-1]) {
							symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLCONTINUE)] = wordOffset;
							addOp(OP_NEXT);
							symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
							numifs--;
						} else {
							errorcode = COMPERR_NEXTWRONGFOR;
							return -1;
						}
					} else {
						errorcode = testIfOnTableError(numincludes);
						linenumber = testIfOnTable(numincludes);
						return -1;
					}
				} else {
					errorcode = COMPERR_NEXT;
					return -1;
				}
			}
    break;

  case 724: /* nextstmt: B256NEXT  */
                                   {
				// allow relaxed next without the variable name
				if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPEFOR) {
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLCONTINUE)] = wordOffset;
						addOp(OP_NEXT);
						symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
						numifs--;
					} else {
						errorcode = testIfOnTableError(numincludes);
						linenumber = testIfOnTable(numincludes);
						return -1;
					}
				} else {
					errorcode = COMPERR_NEXT;
					return -1;
				}
			}
    break;

  case 725: /* gotostmt: B256GOTO variable  */
                                  {
				if (functionDefSymbol != -1 || subroutineDefSymbol !=-1) {
					errorcode = COMPERR_FUNCTIONGOTO;
					return -1;
				}
				addIntOp(OP_GOTO, varnumber[--nvarnumber]);
			}
    break;

  case 726: /* gosubstmt: B256GOSUB variable  */
                                   {
				if (functionDefSymbol != -1 || subroutineDefSymbol !=-1) {
					errorcode = COMPERR_FUNCTIONGOTO;
					return -1;
				}
				addIntOp(OP_GOSUB, varnumber[--nvarnumber]);
				addIntOp(OP_CURRLINE, filenumber * 0x1000000 + linenumber);
			}
    break;

  case 727: /* callstmt: B256CALL variable '(' ')'  */
                                          {
				addIntOp(OP_PUSHINT, 0); //push number of arguments passed to compare with SUBROUTINE definition
				addIntOp(OP_CALLSUBROUTINE, varnumber[--nvarnumber]);
				addIntOp(OP_CURRLINE, filenumber * 0x1000000 + linenumber);
			}
    break;

  case 728: /* callstmt: B256CALL variable '(' callexprlist ')'  */
                                                                 {
					addIntOp(OP_PUSHINT, listlen); //push number of arguments passed to compare with SUBROUTINE definition
					addIntOp(OP_CALLSUBROUTINE, varnumber[--nvarnumber]);
					addIntOp(OP_CURRLINE, filenumber * 0x1000000 + linenumber);
			}
    break;

  case 729: /* offerrorstmt: B256OFFERROR args_none  */
                                               {
				addOp(OP_OFFERROR);
			}
    break;

  case 730: /* onerrorstmt: B256ONERROR variable  */
                                             {
				addIntOp(OP_ONERRORGOSUB, varnumber[--nvarnumber]);
			}
    break;

  case 731: /* onerrorstmt: B256ONERROR variable '(' ')'  */
                                                       {
				addIntOp(OP_ONERRORCALL, varnumber[--nvarnumber]);
			}
    break;

  case 732: /* onerrorstmt: B256ONERROR variable '(' callexprlist ')'  */
                                                                    {
				errorcode = COMPERR_ONERRORCALL;
				return -1;
			}
    break;

  case 733: /* onstopstmt: B256ONSTOP variable '(' ')'  */
                                                    {
				addIntOp(OP_ONSTOPCALL, varnumber[--nvarnumber]);
			}
    break;

  case 734: /* returnstmt: B256RETURN args_none  */
                                     {
				if (functionDefSymbol!=-1) {
					// if we are defining a function return pushes a variable value
					addIntOp(OP_VAR_GET, functionDefSymbol);
					addOp(OP_DECREASERECURSE);
				}
				if (subroutineDefSymbol!=-1) {
					// if we are defining a subroutine
					addOp(OP_DECREASERECURSE);
				}
				addOp(OP_RETURN);
			}
    break;

  case 735: /* returnstmt: B256RETURN expr  */
                                          {
				if (functionDefSymbol!=-1) {
					// value on stack gets returned
					addOp(OP_DECREASERECURSE);
					addOp(OP_RETURN);
				} else {
					errorcode = COMPERR_RETURNVALUE;
					return -1;
				}
			}
    break;

  case 736: /* colorstmt: B256SETCOLOR expr  */
                                  {
				addOp(OP_STACKDUP);
				addOp(OP_SETCOLOR);
			}
    break;

  case 737: /* colorstmt: B256SETCOLOR args_ee  */
                                                {
				addOp(OP_SETCOLOR);
			}
    break;

  case 738: /* colorstmt: B256SETCOLOR args_eee  */
                                                {
				addIntOp(OP_PUSHINT, 255);
				addOp(OP_RGB);
				addOp(OP_STACKDUP);
				addOp(OP_SETCOLOR);
				newParseWarning(COMPWARNING_DEPRECATED_FORM);
			}
    break;

  case 739: /* soundstmt: B256SOUND args_ee  */
                                  {
				addIntOp(OP_PUSHINT, 2);	// 2 columns (this)
				addIntOp(OP_PUSHINT, 1);	// 1 row
				addIntOp(OP_PUSHINT, 2);	// 2 columns (max)
				addOp(OP_LIST2ARRAY);
				addOp(OP_SOUND);
			}
    break;

  case 740: /* soundstmt: B256SOUND expr  */
                                         {
				addOp(OP_SOUND);
			}
    break;

  case 741: /* soundplaystmt: B256SOUNDPLAY args_none  */
                                        {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDPLAY);
	}
    break;

  case 742: /* soundplaystmt: B256SOUNDPLAY args_ee  */
                                {
		addIntOp(OP_PUSHINT, 2);	// 2 columns
		addIntOp(OP_PUSHINT, 1);	// 1 row
		addOp(OP_LIST2ARRAY);
		addOp(OP_SOUNDPLAY);
	}
    break;

  case 743: /* soundplaystmt: B256SOUNDPLAY expr  */
                             {
		// either string - lodresource
		// int - player number
		// array - from a variable
		addOp(OP_SOUNDPLAY);
	}
    break;

  case 744: /* soundpausestmt: B256SOUNDPAUSE expr  */
                                     {
		addOp(OP_SOUNDPAUSE);
	}
    break;

  case 745: /* soundpausestmt: B256SOUNDPAUSE args_none  */
                                   {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDPAUSE);
	}
    break;

  case 746: /* soundplayeroffstmt: B256SOUNDPLAYEROFF expr  */
                                             {
		addOp(OP_SOUNDPLAYEROFF);
	}
    break;

  case 747: /* soundplayeroffstmt: B256SOUNDPLAYEROFF args_none  */
                                       {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDPLAYEROFF);
	}
    break;

  case 748: /* soundstopstmt: B256SOUNDSTOP expr  */
                                   {
		addOp(OP_SOUNDSTOP);
	}
    break;

  case 749: /* soundstopstmt: B256SOUNDSTOP args_none  */
                                  {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDSTOP);
	}
    break;

  case 750: /* soundwaitstmt: B256SOUNDWAIT expr  */
                           {
		addOp(OP_SOUNDWAIT);
	}
    break;

  case 751: /* soundwaitstmt: B256SOUNDWAIT args_none  */
                                  {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_SOUNDWAIT);
	}
    break;

  case 752: /* soundwaveformstmt: B256SOUNDWAVEFORM expr  */
                               {
		addIntOp(OP_PUSHINT,0);
		addOp(OP_SOUNDWAVEFORM);
	}
    break;

  case 753: /* soundwaveformstmt: B256SOUNDWAVEFORM args_ee  */
                                    {
		addOp(OP_SOUNDWAVEFORM);
	}
    break;

  case 754: /* soundsystemstmt: B256SOUNDSYSTEM expr  */
                                       {
		addOp(OP_SOUNDSYSTEM);
	}
    break;

  case 755: /* soundenvelopestmt: B256SOUNDENVELOPE args_none  */
                                                {
		addOp(OP_SOUNDNOENVELOPE);
	}
    break;

  case 756: /* soundenvelopestmt: B256SOUNDENVELOPE args_eeee  */
                                      {
		addOp(OP_SOUNDENVELOPE);
	}
    break;

  case 757: /* soundenvelopestmt: B256SOUNDENVELOPE expr  */
                                 {
		addOp(OP_SOUNDENVELOPE);
	}
    break;

  case 758: /* soundharmonicsstmt: B256SOUNDHARMONICS args_none  */
                                                  {
		addOp(OP_SOUNDNOHARMONICS);
	}
    break;

  case 759: /* soundharmonicsstmt: B256SOUNDHARMONICS args_ee  */
                                     {
		addOp(OP_SOUNDHARMONICS);
	}
    break;

  case 760: /* soundharmonicsstmt: B256SOUNDHARMONICS expr  */
                                  {
		addOp(OP_SOUNDHARMONICS);
	}
    break;

  case 761: /* soundfadestmt: B256SOUNDFADE args_eeee  */
                                        {
		addOp(OP_SOUNDFADE);
	}
    break;

  case 762: /* soundfadestmt: B256SOUNDFADE args_eee  */
                                 {
		addOp(OP_STACKTOPTO2);
		addOp(OP_STACKTOPTO2);
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_STACKSWAP);
		addOp(OP_STACKSWAP2);
		addOp(OP_SOUNDFADE);
	}
    break;

  case 763: /* soundseekstmt: B256SOUNDSEEK args_ee  */
                                      {
		addOp(OP_SOUNDSEEK);
	}
    break;

  case 764: /* soundseekstmt: B256SOUNDSEEK expr  */
                             {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_STACKSWAP);
		addOp(OP_SOUNDSEEK);
	}
    break;

  case 765: /* soundvolumestmt: B256SOUNDVOLUME args_ee  */
                                          {
		addOp(OP_SOUNDVOLUME);
	}
    break;

  case 766: /* soundvolumestmt: B256SOUNDVOLUME expr  */
                               {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_STACKSWAP);
		addOp(OP_SOUNDVOLUME);
	}
    break;

  case 767: /* soundloopstmt: B256SOUNDLOOP args_ee  */
                                      {
		addOp(OP_SOUNDLOOP);
	}
    break;

  case 768: /* soundloopstmt: B256SOUNDLOOP expr  */
                             {
		addIntOp(OP_PUSHINT, -1);
		addOp(OP_STACKSWAP);
		addOp(OP_SOUNDLOOP);
	}
    break;

  case 769: /* plotstmt: B256PLOT args_ee  */
                                 {
				addOp(OP_PLOT);
			}
    break;

  case 770: /* linestmt: B256LINE args_eeee  */
                                   {
				addOp(OP_LINE);
			}
    break;

  case 771: /* circlestmt: B256CIRCLE args_eee  */
                            {
		addOp(OP_CIRCLE);
	}
    break;

  case 772: /* ellipsestmt: B256ELLIPSE args_eeee  */
                              {
		addOp(OP_ELLIPSE);
	}
    break;

  case 773: /* arcstmt: B256ARC args_eeeee  */
                           {
		addIntOp(OP_PUSHINT, 5); // with bounding circle
		addOp(OP_ARC);
	}
    break;

  case 774: /* arcstmt: B256ARC args_eeeeee  */
                              {
		addIntOp(OP_PUSHINT, 6); // with bounding rectangle
		addOp(OP_ARC);
	}
    break;

  case 775: /* chordstmt: B256CHORD args_eeeee  */
                             {
		addIntOp(OP_PUSHINT, 5); // with bounding circle
		addOp(OP_CHORD);
	}
    break;

  case 776: /* chordstmt: B256CHORD args_eeeeee  */
                                {
		addIntOp(OP_PUSHINT, 6); // with bounding rectangle
		addOp(OP_CHORD);
	}
    break;

  case 777: /* piestmt: B256PIE args_eeeee  */
                           {
		addIntOp(OP_PUSHINT, 5); // with bounding circle
		addOp(OP_PIE);
	}
    break;

  case 778: /* piestmt: B256PIE args_eeeeee  */
                              {
		addIntOp(OP_PUSHINT, 6); // with bounding rectangle
		addOp(OP_PIE);
	}
    break;

  case 779: /* rectstmt: B256RECT args_eeee  */
                           {
		addOp(OP_RECT);
	}
    break;

  case 780: /* rectstmt: B256RECT args_eeeee  */
                              {
		addOp(OP_STACKDUP);
		addOp(OP_ROUNDEDRECT);
	}
    break;

  case 781: /* rectstmt: B256RECT args_eeeeee  */
                               {
		addOp(OP_ROUNDEDRECT);
	}
    break;

  case 782: /* textstmt: B256TEXT args_eee  */
                          {
		addOp(OP_TEXT);
	}
    break;

  case 783: /* textstmt: B256TEXT args_eeeee  */
                              {
		addIntOp(OP_PUSHINT, 0); // flags
		addOp(OP_TEXTBOX);
	}
    break;

  case 784: /* textstmt: B256TEXT args_eeeeee  */
                               {
		addOp(OP_TEXTBOX);
	}
    break;

  case 785: /* fontstmt: B256FONT args_eeee  */
                           {
		addOp(OP_FONT);
	}
    break;

  case 786: /* fontstmt: B256FONT args_eee  */
                            {
		addIntOp(OP_PUSHINT, 0); // font is not italic
		addOp(OP_FONT);
	}
    break;

  case 787: /* fontstmt: B256FONT args_ee  */
                           {
		addIntOp(OP_PUSHINT, -1); // default weight
		addIntOp(OP_PUSHINT, 0); // font is not italic
		addOp(OP_FONT);
	}
    break;

  case 788: /* fontstmt: B256FONT expr  */
                        {
		addIntOp(OP_PUSHINT, -1); // default size
		addIntOp(OP_PUSHINT, -1); // default weight
		addIntOp(OP_PUSHINT, 0); // font is not italic
		addOp(OP_FONT);
	}
    break;

  case 789: /* saystmt: B256SAY expr  */
                             {
				addOp(OP_SAY);
			}
    break;

  case 790: /* systemstmt: B256SYSTEM expr  */
                                        {
				addOp(OP_SYSTEM);
			}
    break;

  case 791: /* volumestmt: B256VOLUME expr  */
                                        {
				addOp(OP_VOLUME);
			}
    break;

  case 792: /* polystmt: B256POLY expr  */
                                      {
				addOp(OP_POLY);
			}
    break;

  case 793: /* stampstmt: B256STAMP args_eeeee  */
                                     {
				addOp(OP_STAMP);
			}
    break;

  case 794: /* stampstmt: B256STAMP args_eeee  */
                                              {
				addFloatOp(OP_PUSHFLOAT, 0.0); // default rotate
				addOp(OP_STACKSWAP);
				addOp(OP_STAMP);
			}
    break;

  case 795: /* stampstmt: B256STAMP args_eee  */
                                             {
				addFloatOp(OP_PUSHFLOAT, 1.0); // default scale
				addOp(OP_STACKSWAP);
				addFloatOp(OP_PUSHFLOAT, 0.0); // default rotate
				addOp(OP_STACKSWAP);
				addOp(OP_STAMP);
			}
    break;

  case 796: /* openstmt: B256OPEN expr  */
                               {
				addIntOp(OP_PUSHINT, 0); // file number zero
				addOp(OP_STACKSWAP);
				addIntOp(OP_PUSHINT, 0); // not binary
				addOp(OP_OPEN);
			}
    break;

  case 797: /* openstmt: B256OPEN args_ee  */
                                           {
				addIntOp(OP_PUSHINT, 0); // not binary
				addOp(OP_OPEN);
			}
    break;

  case 798: /* openstmt: B256OPENB expr  */
                                          {
				addIntOp(OP_PUSHINT, 0); // file number zero
				addOp(OP_STACKSWAP);
				addIntOp(OP_PUSHINT, 1); // binary
				addOp(OP_OPEN);
			}
    break;

  case 799: /* openstmt: B256OPENB args_ee  */
                                            {
				addIntOp(OP_PUSHINT, 1); // binary
				addOp(OP_OPEN);
			}
    break;

  case 800: /* openstmt: B256OPENSERIAL args_ee  */
                                                 {
				addIntOp(OP_PUSHINT, 9600); // baud
				addIntOp(OP_PUSHINT, 8); // data bits
				addIntOp(OP_PUSHINT, 1); // stop bits
				addIntOp(OP_PUSHINT, 0); // parity
				addIntOp(OP_PUSHINT, 0); // flow
				addOp(OP_OPENSERIAL);
			}
    break;

  case 801: /* openstmt: B256OPENSERIAL args_eee  */
                                                  {
				addIntOp(OP_PUSHINT, 8); // data bits
				addIntOp(OP_PUSHINT, 1); // stop bits
				addIntOp(OP_PUSHINT, 0); // parity
				addIntOp(OP_PUSHINT, 0); // flow
				addOp(OP_OPENSERIAL);
			}
    break;

  case 802: /* openstmt: B256OPENSERIAL args_eeee  */
                                                   {
				addIntOp(OP_PUSHINT, 1); // stop bits
				addIntOp(OP_PUSHINT, 0); // parity
				addIntOp(OP_PUSHINT, 0); // flow
				addOp(OP_OPENSERIAL);
			}
    break;

  case 803: /* openstmt: B256OPENSERIAL args_eeeee  */
                                                    {
				addIntOp(OP_PUSHINT, 0); // parity
				addIntOp(OP_PUSHINT, 0); // flow
				addOp(OP_OPENSERIAL);
			}
    break;

  case 804: /* openstmt: B256OPENSERIAL args_eeeeee  */
                                                     {
				addIntOp(OP_PUSHINT, 0); // flow
				addOp(OP_OPENSERIAL);
			}
    break;

  case 805: /* openstmt: B256OPENSERIAL args_eeeeeee  */
                                                      {
				addOp(OP_OPENSERIAL);
			}
    break;

  case 806: /* writestmt: B256WRITE expr  */
                               {
				addIntOp(OP_PUSHINT, 0);  // file number zero
				addOp(OP_STACKSWAP);
				addOp(OP_WRITE);
			}
    break;

  case 807: /* writestmt: B256WRITE args_ee  */
                                            {
				addOp(OP_WRITE);
			}
    break;

  case 808: /* writelinestmt: B256WRITELINE expr  */
                                           {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_STACKSWAP);
				addOp(OP_WRITELINE);
			}
    break;

  case 809: /* writelinestmt: B256WRITELINE args_ee  */
                                                {
				addOp(OP_WRITELINE);
			}
    break;

  case 810: /* writebytestmt: B256WRITEBYTE expr  */
                                           {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_STACKSWAP);
				addOp(OP_WRITEBYTE);
			}
    break;

  case 811: /* writebytestmt: B256WRITEBYTE args_ee  */
                                                {
				addOp(OP_WRITEBYTE);
			}
    break;

  case 812: /* closestmt: B256CLOSE args_none  */
                                    {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_CLOSE);
			}
    break;

  case 813: /* closestmt: B256CLOSE expr  */
                                         {
				addOp(OP_CLOSE);
			}
    break;

  case 814: /* resetstmt: B256RESET args_none  */
                                    {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_RESET);
			}
    break;

  case 815: /* resetstmt: B256RESET expr  */
                                         {
				addOp(OP_RESET);
			}
    break;

  case 816: /* seedstmt: B256SEED expr  */
                              {
				addOp(OP_SEED);
			}
    break;

  case 817: /* seekstmt: B256SEEK expr  */
                              {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_STACKSWAP);
				addOp(OP_SEEK);
			}
    break;

  case 818: /* seekstmt: B256SEEK args_ee  */
                                           {
				addOp(OP_SEEK);
			}
    break;

  case 819: /* inputstmt: B256INPUT args_ev  */
                                  {
				addIntOp(OP_PUSHINT,T_UNASSIGNED);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 820: /* inputstmt: B256INPUT variable  */
                                              {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_UNASSIGNED);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 821: /* inputstmt: B256INPUT args_ea  */
                                            {
				addOp(OP_STACKTOPTO2); addOp(OP_STACKTOPTO2);		// bring prompt to top
				addIntOp(OP_PUSHINT,T_UNASSIGNED);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 822: /* inputstmt: B256INPUT array_element  */
                                                  {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_UNASSIGNED);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 823: /* inputstmt: B256INPUTSTRING args_ev  */
                                                  {
				addIntOp(OP_PUSHINT,T_STRING);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 824: /* inputstmt: B256INPUTSTRING variable  */
                                                    {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_STRING);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 825: /* inputstmt: B256INPUTSTRING args_ea  */
                                                  {
				addOp(OP_STACKTOPTO2); addOp(OP_STACKTOPTO2);		// bring prompt to top
				addIntOp(OP_PUSHINT,T_STRING);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 826: /* inputstmt: B256INPUTSTRING array_element  */
                                                        {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_STRING);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 827: /* inputstmt: B256INPUTINT args_ev  */
                                               {
				addIntOp(OP_PUSHINT,T_INT);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 828: /* inputstmt: B256INPUTINT variable  */
                                                 {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_INT);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 829: /* inputstmt: B256INPUTINT args_ea  */
                                               {
				addOp(OP_STACKTOPTO2); addOp(OP_STACKTOPTO2);		// bring prompt to top
				addIntOp(OP_PUSHINT,T_INT);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 830: /* inputstmt: B256INPUTINT array_element  */
                                                     {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_INT);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 831: /* inputstmt: B256INPUTFLOAT args_ev  */
                                                 {
				addIntOp(OP_PUSHINT,T_FLOAT);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 832: /* inputstmt: B256INPUTFLOAT variable  */
                                                   {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_FLOAT);
				addOp(OP_INPUT);
				addIntOp(OP_VAR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 833: /* inputstmt: B256INPUTFLOAT args_ea  */
                                                 {
				addOp(OP_STACKTOPTO2); addOp(OP_STACKTOPTO2);		// bring prompt to top
				addIntOp(OP_PUSHINT,T_FLOAT);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 834: /* inputstmt: B256INPUTFLOAT array_element  */
                                                       {
				addStringOp(OP_PUSHSTRING, "");
				addIntOp(OP_PUSHINT,T_FLOAT);
				addOp(OP_INPUT);
				addIntOp(OP_ARR_SET, varnumber[--nvarnumber]);
			}
    break;

  case 835: /* printstmt: B256PRINT args_none  */
                                            {
				addIntOp(OP_PUSHINT, 0); //push number of arguments passed
				addIntOp(OP_PUSHINT, 1); // need NL
				addOp(OP_PRINT);
			}
    break;

  case 836: /* printstmt: B256PRINT expr B256SEMICOLON  */
                                                       {
				addIntOp(OP_PUSHINT, 1); //push number of arguments passed
				addIntOp(OP_PUSHINT, 0); // suppress NL
				addOp(OP_PRINT);
			}
    break;

  case 837: /* printstmt: B256PRINT listitems  */
                                              {
				addIntOp(OP_PUSHINT, listlen); //push number of arguments passed
				addIntOp(OP_PUSHINT, 1); // need NL
				addOp(OP_PRINT);
			}
    break;

  case 838: /* printstmt: B256PRINT '(' listitems ')'  */
                                                      {
				addIntOp(OP_PUSHINT, listlen); //push number of arguments passed
				addIntOp(OP_PUSHINT, 1); // need NL
				addOp(OP_PRINT);
			}
    break;

  case 839: /* printstmt: '?' args_none  */
                                        {
				addIntOp(OP_PUSHINT, 0); //push number of arguments passed
				addIntOp(OP_PUSHINT, 1); // need NL
				addOp(OP_PRINT);
			}
    break;

  case 840: /* printstmt: '?' expr B256SEMICOLON  */
                                                 {
				addIntOp(OP_PUSHINT, 1); //push number of arguments passed
				addIntOp(OP_PUSHINT, 0); // suppress NL
				addOp(OP_PRINT);
			}
    break;

  case 841: /* printstmt: '?' listitems  */
                                        {
				addIntOp(OP_PUSHINT, listlen); //push number of arguments passed
				addIntOp(OP_PUSHINT, 1); // need NL
				addOp(OP_PRINT);
			}
    break;

  case 842: /* printstmt: '?' '(' listitems ')'  */
                                                {
				addIntOp(OP_PUSHINT, listlen); //push number of arguments passed
				addIntOp(OP_PUSHINT, 1); // need NL
				addOp(OP_PRINT);
			}
    break;

  case 843: /* printatstmt: B256PRINTAT args_ee  */
                                            {
				addStringOp(OP_PUSHSTRING, "");
				addOp(OP_PRINTAT);
			}
    break;

  case 844: /* printatstmt: B256PRINTAT args_eee  */
                                               {
				addOp(OP_PRINTAT);
			}
    break;

  case 845: /* wavpausestmt: B256WAVPAUSE args_none  */
                                               {
				addOp(OP_WAVPAUSE);
			}
    break;

  case 846: /* wavplaystmt: B256WAVPLAY args_none  */
                                              {
				addStringOp(OP_PUSHSTRING, "");
				addOp(OP_WAVPLAY);
			}
    break;

  case 847: /* wavplaystmt: B256WAVPLAY expr  */
                                           {
				addOp(OP_WAVPLAY);
			}
    break;

  case 848: /* wavseekstmt: B256WAVSEEK expr  */
                                         {
				addOp(OP_WAVSEEK);
			}
    break;

  case 849: /* wavstopstmt: B256WAVSTOP args_none  */
                                              {
				addOp(OP_WAVSTOP);
			}
    break;

  case 850: /* wavwaitstmt: B256WAVWAIT args_none  */
                                              {
				addOp(OP_WAVWAIT);
			}
    break;

  case 851: /* putslicestmt: B256PUTSLICE args_eee  */
                                               {
				addOp(OP_PUTSLICE);
			}
    break;

  case 852: /* imgloadstmt: B256IMGLOAD args_eee  */
                        {
				addIntOp(OP_PUSHINT, 1); // scale
				addOp(OP_STACKSWAP);
				addIntOp(OP_PUSHINT, 0); // rotate
				addOp(OP_STACKSWAP);
				addOp(OP_IMGLOAD);
			}
    break;

  case 853: /* imgloadstmt: B256IMGLOAD args_eeee  */
                        {
				addIntOp(OP_PUSHINT, 0); // rotate
				addOp(OP_STACKSWAP);
				addOp(OP_IMGLOAD);
			}
    break;

  case 854: /* imgloadstmt: B256IMGLOAD args_eeeee  */
                        {
				addOp(OP_IMGLOAD);
			}
    break;

  case 855: /* spritedimstmt: B256SPRITEDIM expr  */
                                           {
				addOp(OP_SPRITEDIM);
			}
    break;

  case 856: /* spriteloadstmt: B256SPRITELOAD args_ee  */
                                                {
				addOp(OP_SPRITELOAD);
			}
    break;

  case 857: /* spriteslicestmt: B256SPRITESLICE args_eeeee  */
                                                   {
				addOp(OP_SPRITESLICE);
			}
    break;

  case 858: /* spritepolystmt: B256SPRITEPOLY args_ee  */
                                               {
				addOp(OP_SPRITEPOLY);
			}
    break;

  case 859: /* spritetextstmt: B256SPRITETEXT args_ee  */
                                               {
				addIntOp(OP_PUSHINT, 0x00);	// clear
				addOp(OP_SPRITETEXT);
			}
    break;

  case 860: /* spritetextstmt: B256SPRITETEXT args_eee  */
                                                  {
				addOp(OP_SPRITETEXT);
			}
    break;

  case 861: /* spriteplacestmt: B256SPRITEPLACE args_eee  */
                        {
				addIntOp(OP_PUSHINT,3);	// nr of arguments
				addOp(OP_SPRITEPLACE);
			}
    break;

  case 862: /* spriteplacestmt: B256SPRITEPLACE args_eeee  */
                        {
				addIntOp(OP_PUSHINT,4);	// nr of arguments
				addOp(OP_SPRITEPLACE);
			}
    break;

  case 863: /* spriteplacestmt: B256SPRITEPLACE args_eeeee  */
                        {
				addIntOp(OP_PUSHINT,5);	// nr of arguments
				addOp(OP_SPRITEPLACE);
			}
    break;

  case 864: /* spriteplacestmt: B256SPRITEPLACE args_eeeeee  */
                        {
					addIntOp(OP_PUSHINT,6);	// nr of arguments
					addOp(OP_SPRITEPLACE);
			}
    break;

  case 865: /* spritemovestmt: B256SPRITEMOVE args_eee  */
                        {
				addIntOp(OP_PUSHINT,3);	// nr of arguments
				addOp(OP_SPRITEMOVE);
			}
    break;

  case 866: /* spritemovestmt: B256SPRITEMOVE args_eeee  */
                                                    {
				addIntOp(OP_PUSHINT,4);	// nr of arguments
				addOp(OP_SPRITEMOVE);
			}
    break;

  case 867: /* spritemovestmt: B256SPRITEMOVE args_eeeee  */
                                                    {
				addIntOp(OP_PUSHINT,5);	// nr of arguments
				addOp(OP_SPRITEMOVE);
			}
    break;

  case 868: /* spritemovestmt: B256SPRITEMOVE args_eeeeee  */
                                                     {
					addIntOp(OP_PUSHINT,6);	// nr of arguments
					addOp(OP_SPRITEMOVE);
			}
    break;

  case 869: /* spritehidestmt: B256SPRITEHIDE expr  */
                                            {
				addOp(OP_SPRITEHIDE);
			}
    break;

  case 870: /* spriteshowstmt: B256SPRITESHOW expr  */
                                            {
				addOp(OP_SPRITESHOW);
			}
    break;

  case 871: /* clickclearstmt: B256CLICKCLEAR args_none  */
                                                 {
				addOp(OP_CLICKCLEAR);
			}
    break;

  case 872: /* changedirstmt: B256CHANGEDIR expr  */
                                           {
				addOp(OP_CHANGEDIR);
			}
    break;

  case 873: /* dbopenstmt: B256DBOPEN expr  */
                                        {
				addIntOp(OP_PUSHINT,0);	// default db number
				addOp(OP_STACKSWAP);
				addOp(OP_DBOPEN);
			}
    break;

  case 874: /* dbopenstmt: B256DBOPEN args_ee  */
                                             {
				addOp(OP_DBOPEN);
			}
    break;

  case 875: /* dbclosestmt: B256DBCLOSE args_none  */
                                              {
				addIntOp(OP_PUSHINT,0);	// default db number
				addOp(OP_DBCLOSE);
			}
    break;

  case 876: /* dbclosestmt: B256DBCLOSE expr  */
                                           {
				addOp(OP_DBCLOSE);
			}
    break;

  case 877: /* dbexecutestmt: B256DBEXECUTE expr  */
                                           {
				addIntOp(OP_PUSHINT,0);	// default db number
				addOp(OP_STACKSWAP);
				addOp(OP_DBEXECUTE);
			}
    break;

  case 878: /* dbexecutestmt: B256DBEXECUTE args_ee  */
                                                {
				addOp(OP_DBEXECUTE);
			}
    break;

  case 879: /* dbopensetstmt: B256DBOPENSET expr  */
                                           {
				addIntOp(OP_PUSHINT,0);	// default db number
				addOp(OP_STACKSWAP);
				addIntOp(OP_PUSHINT,0);	// default dbset number
				addOp(OP_STACKSWAP);
				addOp(OP_DBOPENSET);
			}
    break;

  case 880: /* dbopensetstmt: B256DBOPENSET args_ee  */
                                                {
				addIntOp(OP_PUSHINT,0);	// default dbset number
				addOp(OP_STACKSWAP);
				addOp(OP_DBOPENSET);
			}
    break;

  case 881: /* dbopensetstmt: B256DBOPENSET args_eee  */
                                                 {
				addOp(OP_DBOPENSET);
			}
    break;

  case 882: /* dbclosesetstmt: B256DBCLOSESET args_none  */
                                                 {
				addIntOp(OP_PUSHINT,0);	// default db number
				addIntOp(OP_PUSHINT,0);	// default dbset number
				addOp(OP_DBCLOSESET);
			}
    break;

  case 883: /* dbclosesetstmt: B256DBCLOSESET expr  */
                                              {
				addIntOp(OP_PUSHINT,0);	// default dbset number
				addOp(OP_DBCLOSESET);
			}
    break;

  case 884: /* dbclosesetstmt: B256DBCLOSESET args_ee  */
                                                 {
				addOp(OP_DBCLOSESET);
			}
    break;

  case 885: /* netlistenstmt: B256NETLISTEN expr  */
                                           {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_STACKSWAP);
				addOp(OP_NETLISTEN);
			}
    break;

  case 886: /* netlistenstmt: B256NETLISTEN args_ee  */
                                                {
				addOp(OP_NETLISTEN);
			}
    break;

  case 887: /* netconnectstmt: B256NETCONNECT args_ee  */
                                               {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_STACKTOPTO2);
				addOp(OP_NETCONNECT);
			}
    break;

  case 888: /* netconnectstmt: B256NETCONNECT args_eee  */
                                                  {
				addOp(OP_NETCONNECT);
			}
    break;

  case 889: /* netwritestmt: B256NETWRITE expr  */
                                          {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_STACKSWAP);
				addOp(OP_NETWRITE);
			}
    break;

  case 890: /* netwritestmt: B256NETWRITE args_ee  */
                                               {
				addOp(OP_NETWRITE);
			}
    break;

  case 891: /* netclosestmt: B256NETCLOSE args_none  */
                                               {
				addIntOp(OP_PUSHINT, 0);
				addOp(OP_NETCLOSE);
			}
    break;

  case 892: /* netclosestmt: B256NETCLOSE expr  */
                                            {
				addOp(OP_NETCLOSE);
			}
    break;

  case 893: /* killstmt: B256KILL expr  */
                              {
				addOp(OP_KILL);
			}
    break;

  case 894: /* setclipboardimagestmt: B256SETCLIPBOARDIMAGE expr  */
                                                   {
				addOp(OP_SETCLIPBOARDIMAGE);
			}
    break;

  case 895: /* setclipboardstringstmt: B256SETCLIPBOARDSTRING expr  */
                                                    {
				addOp(OP_SETCLIPBOARDSTRING);
			}
    break;

  case 896: /* setsettingstmt: B256SETSETTING args_eee  */
                                                {
				addOp(OP_SETSETTING);
			}
    break;

  case 897: /* portoutstmt: B256PORTOUT args_ee  */
                                            {
				addOp(OP_PORTOUT);
			}
    break;

  case 898: /* imgsavestmt: B256IMGSAVE expr  */
                                          {
				addStringOp(OP_PUSHSTRING, "PNG");
				addOp(OP_IMGSAVE);
			}
    break;

  case 899: /* imgsavestmt: B256IMGSAVE args_ee  */
                                              {
				addOp(OP_IMGSAVE);
			}
    break;

  case 900: /* editvisiblestmt: B256EDITVISIBLE expr  */
                                             {
				addOp(OP_EDITVISIBLE);
			}
    break;

  case 901: /* graphvisiblestmt: B256GRAPHVISIBLE expr  */
                                              {
				addOp(OP_GRAPHVISIBLE);
			}
    break;

  case 902: /* outputvisiblestmt: B256OUTPUTVISIBLE expr  */
                                               {
				addOp(OP_OUTPUTVISIBLE);
			}
    break;

  case 903: /* maintoolbarvisiblestmt: B256MAINTOOLBARVISIBLE expr  */
                                                    {
				addOp(OP_MAINTOOLBARVISIBLE);
			}
    break;

  case 904: /* graphtoolbarvisiblestmt: B256GRAPHTOOLBARVISIBLE expr  */
                                                     {
				addOp(OP_GRAPHTOOLBARVISIBLE);
			}
    break;

  case 905: /* outputtoolbarvisiblestmt: B256OUTPUTTOOLBARVISIBLE expr  */
                                                      {
				addOp(OP_OUTPUTTOOLBARVISIBLE);
			}
    break;

  case 906: /* globalstmt: B256GLOBAL functionvariables  */
                                                     {
				// create ops to make all of the variables listed globals
				if (numifs>0) {
					errorcode = COMPERR_GLOBALNOTHERE;
					return -1;
				}
				int t;
				for(t=numargs-1;t>=0;t--) {
					addIntOp(OP_GLOBAL, args[t]);
				}
				numargs=0;	// clear the list for next function
			}
    break;

  case 907: /* penwidthstmt: B256PENWIDTH expr  */
                                          {
				addOp(OP_PENWIDTH);
			}
    break;

  case 908: /* alertstmt: B256ALERT expr  */
                                       {
				addOp(OP_ALERT);
			}
    break;

  case 909: /* continuedostmt: B256CONTINUEDO  */
                                       {
				// find most recent DO and jump to CONTINUE
				int n=numifs-1;
				while(n>=0&&iftabletype[n]!=IFTABLETYPEDO) {
					n--;
				}
				if (n>=0) {
					addIntOp(OP_GOTO, getInternalSymbol(iftableid[n],INTERNALSYMBOLCONTINUE));
				} else {
					errorcode = COMPERR_CONTINUEDO;
					return -1;
				}
			}
    break;

  case 910: /* continueforstmt: B256CONTINUEFOR  */
                                        {
				// find most recent FOR and jump to CONTINUE
				int n=numifs-1;
				while(n>=0&&iftabletype[n]!=IFTABLETYPEFOR) {
					n--;
				}
				if (n>=0) {
					addIntOp(OP_GOTO, getInternalSymbol(iftableid[n],INTERNALSYMBOLCONTINUE));
				} else {
					errorcode = COMPERR_CONTINUEFOR;
					return -1;
				}
			}
    break;

  case 911: /* continuewhilestmt: B256CONTINUEWHILE  */
                                          {
				// find most recent WHILE and jump to CONTINUE
				int n=numifs-1;
				while(n>=0&&iftabletype[n]!=IFTABLETYPEWHILE) {
					n--;
				}
				if (n>=0) {
					addIntOp(OP_GOTO, getInternalSymbol(iftableid[n],INTERNALSYMBOLCONTINUE));
				} else {
                                        errorcode = COMPERR_CONTINUEWHILE;
					return -1;
				}
			}
    break;

  case 912: /* exitdostmt: B256EXITDO  */
                                   {
				// find most recent DO and jump to exit
				int n=numifs-1;
				while(n>=0&&iftabletype[n]!=IFTABLETYPEDO) {
					n--;
				}
				if (n>=0) {
					addIntOp(OP_GOTO, getInternalSymbol(iftableid[n],INTERNALSYMBOLEXIT));
				} else {
					errorcode = COMPERR_EXITDO;
					return -1;
				}
			}
    break;

  case 913: /* exitforstmt: B256EXITFOR  */
                                    {
				// find most recent FOR and jump to exit
				int n=numifs-1;
				while(n>=0&&iftabletype[n]!=IFTABLETYPEFOR) {
					n--;
				}
				if (n>=0) {
					addIntOp(OP_EXITFOR, getInternalSymbol(iftableid[n],INTERNALSYMBOLEXIT));
				} else {
					errorcode = COMPERR_EXITFOR;
					return -1;
				}
			}
    break;

  case 914: /* exitwhilestmt: B256EXITWHILE  */
                                      {
				// find most recent WHILE and jump to exit
				int n=numifs-1;
				while(n>=0&&iftabletype[n]!=IFTABLETYPEWHILE) {
					n--;
				}
				if (n>=0) {
					addIntOp(OP_GOTO, getInternalSymbol(iftableid[n],INTERNALSYMBOLEXIT));
				} else {
					errorcode = COMPERR_EXITWHILE;
					return -1;
				}
			}
    break;

  case 915: /* printercancelstmt: B256PRINTERCANCEL args_none  */
                                                    {
				addOp(OP_PRINTERCANCEL);
			}
    break;

  case 916: /* printeroffstmt: B256PRINTEROFF args_none  */
                                                 {
				addOp(OP_PRINTEROFF);
			}
    break;

  case 917: /* printeronstmt: B256PRINTERON args_none  */
                                                {
				addOp(OP_PRINTERON);
			}
    break;

  case 918: /* printerpagestmt: B256PRINTERPAGE args_none  */
                                                  {
				addOp(OP_PRINTERPAGE);
			}
    break;

  case 919: /* functionstmt: B256FUNCTION variable functionvariablelist  */
                                                                   {
				if (numifs>0) {
					errorcode = COMPERR_FUNCTIONNOTHERE;
					return -1;
				}
				//
				// $2 is the symbol for the function - add the start to the label table
				functionDefSymbol = varnumber[--nvarnumber];
				//
				//check if name of function is already used by a label, subroutine or another function
				if (symtableaddress[functionDefSymbol] != -1) {
						errorcode = COMPERR_LABELREDEFINED;
						return -1;
				}
				//
				// create jump around function definition (use nextifid and 0 for jump after)
				addIntOp(OP_GOTO, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
				//
				// create the new if frame for this function
				symtableaddress[functionDefSymbol] = wordOffset;
				symtableaddresstype[functionDefSymbol] = ADDRESSTYPE_FUNCTION;
				newIf(linenumber, IFTABLETYPEFUNCTION, -1);
				//
				// store the number of the arguments required by FUNCTION
				// to check if number of arguments passed match definition when is called
				symtableaddressargs[functionDefSymbol] = numargs;
				//
				// add the assigns of the function arguments
				addOp(OP_INCREASERECURSE);
				{ 	int t;
					for(t=numargs-1;t>=0;t--) {
						addIntOp(OP_VAR_SET, args[t]);
					}
				}
				//
				// initialize return variable
				addIntOp(OP_PUSHINT, 0);
				addIntOp(OP_VAR_SET, functionDefSymbol);
				//
				numargs=0;	// clear the list for next function
			}
    break;

  case 920: /* subroutinestmt: B256SUBROUTINE variable functionvariablelist  */
                                                                     {
				if (numifs>0) {
					errorcode = COMPERR_FUNCTIONNOTHERE;
					return -1;
				}
				//
				// $2 is the symbol for the subroutine - add the start to the label table
				subroutineDefSymbol = varnumber[--nvarnumber];
				//
				//check if name of subroutine is already used by a label, function or another subroutine
				if (symtableaddress[subroutineDefSymbol] != -1) {
						errorcode = COMPERR_LABELREDEFINED;
						return -1;
				}
				//
				// create jump around subroutine definition (use nextifid and 0 for jump after)
				addIntOp(OP_GOTO, getInternalSymbol(nextifid,INTERNALSYMBOLEXIT));
				//
				// create the new if frame for this subroutine
				symtableaddress[subroutineDefSymbol] = wordOffset;
				symtableaddresstype[subroutineDefSymbol] = ADDRESSTYPE_SUBROUTINE;
				newIf(linenumber, IFTABLETYPESUBROUTINE, -1);
				//
				// store the number of the arguments required by SUBROUTINE
				// to check if number of arguments passed match definition when is called
				symtableaddressargs[subroutineDefSymbol] = numargs;
				//
				// add the assigns of the function arguments
				addOp(OP_INCREASERECURSE);
				{ 	int t;
					for(t=numargs-1;t>=0;t--) {
						addIntOp(OP_VAR_SET, args[t]);
					}
				}
				numargs=0;	// clear the list for next function
			}
    break;

  case 921: /* endfunctionstmt: B256ENDFUNCTION  */
                                        {
				if (numifs>0) {
				if (iftabletype[numifs-1]==IFTABLETYPEFUNCTION) {
					//
					// add return if there is not one
					addIntOp(OP_VAR_GET, functionDefSymbol);
					addOp(OP_DECREASERECURSE);
					addOp(OP_RETURN);
					//
					// add address for jump around function definition
					symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
					functionDefSymbol = -1;
					//
					numifs--;
				//
				} else {
					errorcode = testIfOnTableError(numincludes);
					linenumber = testIfOnTable(numincludes);
					return -1;
				}
			} else {
				errorcode = COMPERR_ENDFUNCTION;
				return -1;
			}
		}
    break;

  case 922: /* endsubroutinestmt: B256ENDSUBROUTINE  */
                                  {
			if (numifs>0) {
					if (iftabletype[numifs-1]==IFTABLETYPESUBROUTINE) {
					addOp(OP_DECREASERECURSE);
					addOp(OP_RETURN);
					//
					// add address for jump around function definition
					symtableaddress[getInternalSymbol(iftableid[numifs-1],INTERNALSYMBOLEXIT)] = wordOffset;
					subroutineDefSymbol = -1;
					//
					numifs--;
				} else {
					errorcode = testIfOnTableError(numincludes);
					linenumber = testIfOnTable(numincludes);
					return -1;
				}
			} else {
                                errorcode = COMPERR_ENDSUBROUTINE;
				return -1;
			}
		}
    break;

  case 923: /* regexminimalstmt: B256REGEXMINIMAL expr  */
                              {
		addOp(OP_REGEXMINIMAL);
	}
    break;

  case 924: /* unassignstmt: B256UNASSIGN variable_a  */
                                {
		addIntOp(OP_VAR_UN, varnumber[--nvarnumber]);
	}
    break;

  case 925: /* unassignstmt: B256UNASSIGN array_element  */
                                     {
		addIntOp(OP_ARR_UN, varnumber[--nvarnumber]);
	}
    break;

  case 926: /* variablewatchstmt: B256VARIABLEWATCH variable_a  */
                                     {
		addIntOp(OP_VARIABLEWATCH, varnumber[--nvarnumber]);
	}
    break;

  case 927: /* imagecropstmt: B256IMAGECROP args_eeeee  */
                                 {
		addOp(OP_IMAGECROP);
	}
    break;

  case 928: /* imageautocropstmt: B256IMAGEAUTOCROP expr  */
                               {
		addIntOp(OP_PUSHINT,1);	// nr of arguments
		addOp(OP_IMAGEAUTOCROP);
	}
    break;

  case 929: /* imageautocropstmt: B256IMAGEAUTOCROP args_ee  */
                                    {
		addIntOp(OP_PUSHINT,2);	// nr of arguments
		addOp(OP_IMAGEAUTOCROP);
	}
    break;

  case 930: /* imageresizestmt: B256IMAGERESIZE args_eee  */
                                 {
		addIntOp(OP_PUSHINT,3);	// nr of arguments
		addOp(OP_IMAGERESIZE);
	}
    break;

  case 931: /* imageresizestmt: B256IMAGERESIZE args_ee  */
                                  {
		addIntOp(OP_PUSHINT,2);	// nr of arguments
		addOp(OP_IMAGERESIZE);
	}
    break;

  case 932: /* imagesetpixelstmt: B256IMAGESETPIXEL args_eeee  */
                                    {
		addOp(OP_IMAGESETPIXEL);
	}
    break;

  case 933: /* imagesetpixelstmt: B256IMAGESETPIXEL args_eee  */
                                     {
		addOp(OP_GETCOLOR);
		addOp(OP_IMAGESETPIXEL);
	}
    break;

  case 934: /* imagedrawstmt: B256IMAGEDRAW args_eeeeee  */
                                  {
		addIntOp(OP_PUSHINT,6);	// nr of arguments
		addOp(OP_IMAGEDRAW);
	}
    break;

  case 935: /* imagedrawstmt: B256IMAGEDRAW args_eeeee  */
                                   {
		addIntOp(OP_PUSHINT,5);	// nr of arguments
		addOp(OP_IMAGEDRAW);
	}
    break;

  case 936: /* imagedrawstmt: B256IMAGEDRAW args_eeee  */
                                  {
		addIntOp(OP_PUSHINT,4);	// nr of arguments
		addOp(OP_IMAGEDRAW);
	}
    break;

  case 937: /* imagedrawstmt: B256IMAGEDRAW args_eee  */
                                 {
		addIntOp(OP_PUSHINT,3);	// nr of arguments
		addOp(OP_IMAGEDRAW);
	}
    break;

  case 938: /* imagecenteredstmt: B256IMAGECENTERED args_eeeeee  */
        {
		addIntOp(OP_PUSHINT,6);	// nr of arguments
		addOp(OP_IMAGECENTERED);
	}
    break;

  case 939: /* imagecenteredstmt: B256IMAGECENTERED args_eeeee  */
                                        {
		addIntOp(OP_PUSHINT,5);	// nr of arguments
		addOp(OP_IMAGECENTERED);
	}
    break;

  case 940: /* imagecenteredstmt: B256IMAGECENTERED args_eeee  */
                                      {
		addIntOp(OP_PUSHINT,4);	// nr of arguments
		addOp(OP_IMAGECENTERED);
	}
    break;

  case 941: /* imagecenteredstmt: B256IMAGECENTERED args_eee  */
                                     {
		addIntOp(OP_PUSHINT,3);	// nr of arguments
		addOp(OP_IMAGECENTERED);
	}
    break;

  case 942: /* imagetransformedstmt: B256IMAGETRANSFORMED args_eeeeeeeeee  */
                                             {
		addOp(OP_IMAGETRANSFORMED);
	}
    break;

  case 943: /* imagetransformedstmt: B256IMAGETRANSFORMED args_eeeeeeeee  */
                                              {
		addIntOp(OP_PUSHINT,1); // opacity
		addOp(OP_IMAGETRANSFORMED);
	}
    break;

  case 944: /* imagerotatestmt: B256IMAGEROTATE args_ee  */
                                {
		addOp(OP_IMAGEROTATE);
	}
    break;

  case 945: /* imageflipstmt: B256IMAGEFLIP args_eee  */
                               {
		addOp(OP_IMAGEFLIP);
	}
    break;

  case 946: /* imageflipstmt: B256IMAGEFLIP args_ee  */
                                {
		addIntOp(OP_PUSHINT,0);
		addOp(OP_IMAGEFLIP);
	}
    break;

  case 947: /* imagesmoothstmt: B256IMAGESMOOTH expr  */
                             {
		addOp(OP_IMAGESMOOTH);
	}
    break;

  case 948: /* unloadstmt: B256UNLOAD expr  */
                        {
		addOp(OP_UNLOAD);
	}
    break;

  case 949: /* setgraphstmt: B256SETGRAPH expr  */
                          {
		addOp(OP_SETGRAPH);
	}
    break;

  case 950: /* setgraphstmt: B256SETGRAPH args_none  */
                                 {
		addStringOp(OP_PUSHSTRING, "");
		addOp(OP_SETGRAPH);
	}
    break;

  case 951: /* arraybasestmt: B256ARRAYBASE expr  */
                           {
		addOp(OP_ARRAYBASE);
	}
    break;



      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}



int
yyerror(const char *msg) {
        (void) msg;
        errorcode = COMPERR_SYNTAX;
	return -1;
}
